Aggiunta di proprietà preimpostati a un componente, il collegamento o il tipo

Navigazione: Popolare vostra architettura> Proprietà>

Aggiunta di proprietà preimpostati a un componente, il collegamento o il tipo

Invia commenti su questo argomento.

Librerie standard di proprietà possono essere specificate e assegnati a qualsiasi altra cosa nell'architettura. Queste librerie sono noti come Standards. Usando Standards, Avete solo bisogno di raccogliere le specifiche proprietà di sistemi - le proprietà standard sono già lì.

Ad esempio, le caratteristiche standard di prestazioni di Microsoft Windows 2000 possono essere salvati come Standarde assegnato a qualsiasi componente (o connessioni, non quello che sarebbe tipico) utilizzando il sistema operativo Microsoft Windows 2000.

Per aggiungere un standardad un componente, o il tipo di connessione

1. Pulsante destro del mousesul componente / collegamento / tipo.

2. Selezionare Assegnare Standard.

3. Selezionare un Standarddalla lista.

Guarda anche

Compilazione l'architettura - Panoramica | Modifica delle proprietà di un componente, o il tipo di connessione | Proprietà di aggregazione

© 2001-2015 Avolution Pty Ltd. Tutti i diritti riservati.


Proprietà di aggregazione

Navigazione: Popolare vostra architettura> Proprietà>

Proprietà di aggregazione

Invia commenti su questo argomento.

L'operazione "Aggregate Proprietà"Permette di aggiungere valori delle proprietà simili insieme e scrivere (o aggiungere) il risultato nella proprietà dell'elemento genitore scelto. Consente inoltre di definire l'ambito di aggregazione e se aggiornare le proprietà di tutti i sotto-elementi o no.

Per le proprietà aggregate

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Fai clic destro su un elemento (una architettura, un componente o una connessione) in cui fare l'aggregazione e selezionare Proprietà di aggregazione.

3. Scegliere una delle opzioni di aggregazione (Traverse Tutti i sotto-livelli o Solo diretto sub-livello). Se avete scelto Traverse Tutti i sotto-livelli, Si può anche scegliere l'opzione se Aggiornamento sottolivelli.

o Traverse Tutti i sotto-livellisignifica che la portata di aggregazione comprenderà gli elementi in tutti i livelli sotto vostro elemento prescelto.

o Aggiornamento sottolivellipuò essere fatto solo se si è scelto l'opzione Traverse Tutti i sotto-livelli. Questo significa che, mentre si aggregano proprietà dal basso verso l'alto, il risultato complessivo ad ogni livello verrà aggiornato anche in ciascuno degli elementi corrispondenti.

o Solo diretto sub-livellosignifica che verranno aggregati solo le proprietà degli elementi direttamente sotto l'elemento scelto.

o Selezionare Includere StandardProprietàse si desidera che le proprietà definite nel standard essere incluso. In caso contrario, verranno utilizzate solo le proprietà uniche per ogni istanza del componente.

4. Scegliete le proprietà desiderate aggregare. Essi sono raggruppati in loro Tipi.

5. Clicca il Il prossimo pulsante.

6. Scegliere l'opzione se Valori di sovrascrittura o Aggiungi Valorinell'elemento prescelta.

o Valori di sovrascritturascriverà i risultati direttamente nelle proprietà dell'elemento selezionato.

o Aggiungi Valoriaggiungerà i risultati per le proprietà esistenti dell'elemento prescelto.

Guarda anche

Aggiunta di proprietà preimpostati a un componente, il collegamento o il tipo | Modifica delle proprietà di un componente, o il tipo di connessione | Valutare l'architettura


Architettura Diff e Sync

Navigazione: Analizzare la vostra architettura>

Architettura Diff e Sync

Invia commenti su questo argomento.

Quando si dispone di 2 o più architetture, sia come evoluzioni o architetture di base, è possibile visivamente 'diff' le due architetture con catalogo o schema di confronto o il Caratteristica Architettura Diff. Ciò è particolarmente utile per scoprire / riscoprire le precise modifiche apportate da un'architettura ad un'altra, come si evolvono le architetture e sviluppare roadmap in ABACUS.

A mostrare il 'diff' con un'altra architettura tramite un diagramma

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere almeno 2 architetture nel progetto.

3. Aprire il diagramma che si desidera confrontare a un'altra architettura.

4. Fare clic sul pulsante 'Confrontare questo Diagram per il contenuto di un'altra architettura' nella barra degli strumenti Diagramma.

5. Scegli l'altra architettura dall'elenco a discesa per confrontare.

6. È possibile filtrare quali differenze sono visualizzati facendo clic sul pulsante "differenze" sulla barra degli strumenti Diagramma e opzioni deselezionando, ad esempio, Cambiato / Aggiunta / Unknown e Indeterminato / Sync consigliati/ Mantenere consigliati.

Nota

Componenti e connessioni sullo schema saranno evidenziati in rosso, verde o porpora dove ci sono differenze tra il contenuto visibile nel diagramma corrente e il contenuto in altre architetture. Rosso è utilizzato laddove si raccomanda di sincronizzare le differenze (vedi sotto), Verde viene utilizzato quando non è consigliabile per sincronizzare le differenze, cioè li (vedi sotto) e mantenere Porpora è utilizzato laddove ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze (vedi sotto). Solo il contenuto visibile nel diagramma viene confrontato quindi se un'annotazione mostra un valore di proprietà repository e quel valore viene modificato il componente dato o collegamento apparirà debole rosso, debole verde o debole viola e un simbolo '*' mostrato in alto a sinistra per i componenti, tuttavia, se qualche altro fondo il valore della proprietà repository cambiato che non viene mostrato in una annotazione allora sarà dato alcuna indicazione. Contenuto che si verifica nello schema corrente, ma nessuna corrispondenza è trovato nell'architettura confronto apparirà forte rosso, forte verde o forte violae un simbolo '+' mostrato in alto a sinistra per componenti. La corrispondenza è fatta in base al tipo e il nome in modo tale che se il tipo o il nome del componente o la connessione è cambiato negli altri architettura sarà trovata alcuna corrispondenza componente. Poiché non vi è modo di determinare in modo affidabile se ulteriori elementi da altre architetture sarebbe stato illustrato nel diagramma di corrente (ad esempio un'interfaccia addizionale tra 2 componenti come mostrato di seguito in un diagramma dall'architettura confronto a destra), queste differenze non sono indicato per i diagrammi (sono mostrati per i cataloghi come sotto). Passa il mouse sopra ogni elemento modificato mostrerà la differenza nel suggerimento. Passa il mouse sopra il simbolo '*' in alto a sinistra del diagramma fornisce un riepilogo delle modifiche (o modifiche) tra il contenuto del diagramma e il contenuto della altre architetture.

Colore Leggenda

· Verde indica elementi che non è raccomandato per sincronizzare le differenze, che è quello di tenerli.

· Rosso indica elementi che si consiglia di sincronizzare le differenze.

· Porpora indica elementi in cui ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze.

A sincronizzare ('sync') contenuti da un architettura con un altro tramite un diagramma

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere almeno 2 architetture nel progetto.

3. Aprire il diagramma che si desidera confrontare a un'altra architettura.

4. Fare clic sul pulsante 'Confrontare questo catalogo per il contenuto di un'altra architettura' nella barra degli strumenti Diagramma.

5. Scegli l'altra architettura dall'elenco a discesa per confrontare.

Nota

Vedi sopra per il modo in cui ABACUS mostra il 'diff' tra le 2 architetture nel catalogo. In particolare come Rosso viene utilizzato dove èconsigliato sincronizzare le differenze, Verde viene utilizzato dove è nonconsigliato per sincronizzare le differenze e Porpora è utilizzato laddove ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze.

6. Fare clic con il elemento schema (o elementi utilizzando Shift o la tela schema per sincronizzare tutti) che mostra un 'diff' e selezionare la voce di menu Sync.

Nota

Tutte le modifiche di sincronizzazione verranno applicate solo per l'architettura che attualmente a fuoco catalogo appartiene. Per applicare le modifiche alle altre architetture è necessario utilizzare un catalogo in altre architetture. Inoltre, gli utenti saranno in grado di applicare le modifiche di sincronizzazione se hanno permesso di farlo .

Nota

A seconda di dove si fa clic sulla voce di menu viene visualizzata una guida su che cosa esattamente sta per essere sincronizzato.Es Fare clic su un singolo componente nel diagramma solo sincronizzare tale componente. Mentre clic destro della tela schema e selezionando Sincronizza tutto sincronizza tutte le differenze attualmente indicati.

A mostrare il 'diff' con un'altra architettura tramite un catalogo

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere almeno 2 architetture nel progetto.

3. Aprire il catalogo che si desidera confrontare a un'altra architettura.

4. Fare clic sul pulsante 'Confrontare questo catalogo per il contenuto di un'altra architettura' nella barra degli strumenti di catalogo.

5. Scegli l'altra architettura dall'elenco a discesa per confrontare.

6. È possibile filtrare quali differenze sono visualizzati facendo clic sul pulsante "differenze" sulla barra degli strumenti Diagramma e opzioni deselezionando, ad esempio, Cambiato / Aggiunta / Unknown e Indeterminato / Sync consigliati/ Mantenere consigliati.

Nota

Le cellule nel catalogo saranno evidenziati in rosso, verde o porpora in caso di divergenza tra il contenuto nel catalogo corrente e il contenuto corrispondente nella altre architetture. Rosso è utilizzato laddove si raccomanda di sincronizzare le differenze (vedi sotto), Verde viene utilizzato quando non è consigliabile per sincronizzare le differenze, cioè li (vedi sotto) e mantenere Porpora è utilizzato laddove ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze (vedi sotto). Solo le righe e le colonne visibili nel catalogo sono confrontati quindi se vi è una differenza in una riga oltre le righe attualmente visualizzati o un valore in una colonna che non viene mostrato ha una differenza poi sarà indicato alcuna differenza. Se il valore in una cella individuo è diverso con la cella corrispondente nella architettura confronto sarà evidenziato il bordo della cella. Il selettore colonna e riga verrà anche essere ombreggiata a debole violae mostrato con un simbolo '*'. Questi simboli "*" possono essere cliccati per passare rispettivamente alla differenza successiva nella colonna o riga. Le righe che si verifica nel catalogo corrente, ma viene trovata alcuna corrispondenza nell'architettura confronto verranno visualizzati con un simbolo '+' nel selettore di riga a sinistra e il bordo di tutta la riga sarà evidenziata. Le righe che si sarebbero verificati nella versione dell'architettura confronto del catalogo (vale a dire con gli stessi filtri, ecc), ma non viene trovata alcuna corrispondenza nella attuale architettura saranno indicati con un - simbolo sul selettore di riga a sinistra, il bordo di '' l'intera riga viene evidenziata e il contenuto cellule intere righe verrà mostrato in debole violae barrato, ad esempio 08:00-06:00. La corrispondenza è fatta in base al tipo e il nome in modo tale che se il tipo o il nome del componente o la connessione è cambiato negli altri architettura sarà trovata alcuna corrispondenza componente. Passa il mouse sopra ogni elemento modificato mostrerà la differenza nel suggerimento. Passa il mouse sopra il simbolo '*' in alto a sinistra del diagramma fornisce un riepilogo delle modifiche (o nessuna modifica) tra il contenuto del diagramma e il contenuto delle altre architetture.

Colore Leggenda

· Verde indica elementi che non è raccomandato per sincronizzare le differenze, che è quello di tenerli.

· Rosso indica elementi che si consiglia di sincronizzare le differenze.

· Porpora indica elementi in cui ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze.

A sincronizzare ('sync') contenuti da un architettura con un altro tramite un catalogo

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere almeno 2 architetture nel progetto.

3. Aprire il catalogo che si desidera confrontare a un'altra architettura.

4. Fare clic sul pulsante 'Confrontare questo catalogo per il contenuto di un'altra architettura' nella barra degli strumenti Catalogo.

5. Scegli l'altra architettura dall'elenco a discesa per confrontare.

Nota

Vedi sopra per il modo in cui ABACUS mostra il 'diff' tra le 2 architetture nel catalogo. In particolare come Rosso viene utilizzato dove èconsigliato sincronizzare le differenze, Verde viene utilizzato dove è nonconsigliato per sincronizzare le differenze e Porpora è utilizzato laddove ABACUS non può fare una raccomandazione sulla sincronizzazione delle differenze.

6. Fare clic sulla cella, colonna o riga voce (o più elementi usando Shift o Ctrl + A per tutto) che mostra un 'diff' e selezionare la voce di menu Sync.

Nota

Tutte le modifiche di sincronizzazione verranno applicate solo per l'architettura che attualmente a fuoco catalogo appartiene. Per applicare le modifiche alle altre architetture è necessario utilizzare un catalogo in altre architetture. Inoltre, gli utenti saranno in grado di applicare le modifiche di sincronizzazione se hanno permesso di farlo .

Nota

A seconda di dove si pulsante destro del mouse (per esempio una cella, colonna o riga di intestazione), il menu verrà visualizzato indicazioni su che cosa esattamente sta per essere sincronizzato.Es Fare clic su una singola proprietà o cella componente attaccato nel catalogo servirà solo a sincronizzare la proprietà o il componente collegato. Mentre clic destro su una riga voce (o voci usando Shift) saranno sincronizzare l'intera riga (o righe). Facendo clic destro una colonna sincronizzerà tutte le differenze in quella colonna.

Per visualizzare un 'diff'di 2 totale Architetture

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere almeno 2 architetture nel progetto.

3. Selezionare Strumenti| Architettura Diff ....

4. Nella finestra di dialogo che appare selezionare il primo / secondo e da / per le architetture a confronto.

5. Clicca su ok pulsante.

Architettura Diff

Colore Leggenda

· Verdeindica che il nodo è stato aggiunto nel secondo / all'architettura.

· Rossoindica che il nodo è stato eliminato nel secondo / all'architettura.

· Bluindica che il nodo ha diversi attributi (ad esempio, le proprietà o standard) nel secondo / all'architettura.

· Gialloindica che il nodo ha differenze nei suoi figli nel secondo / all'architettura quindi il nodo dovrebbe essere ampliato.

Nota

È possibile fare clic destro e "Mostra in Explorer" a tutti i nodi per visualizzare i dettagli e ulteriori informazioni è dato sulle differenze nel pannello Riepilogo differenze quando si seleziona un nodo.

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico tempo di risposta | Visualizzazione di una matrice di dispersione delle tue architetture evolute | Evolving l'architettura


Modifica delle proprietà di un componente, o il tipo di connessione

Navigazione: Popolare vostra architettura> Proprietà>

Modifica delle proprietà di un componente, o il tipo di connessione

Invia commenti su questo argomento.

Le proprietà sono in genere i requisiti di sistema che si definiscono, oi risultati delle valutazioni ABACUS '. (Quando ABACUS esegue le proprie valutazioni, scrive proprietà al file). In altre parole, le proprietà sono le cose che sapete circa il sistema, o le cose che si sta utilizzando ABACUS per scoprirlo.

Per modificare il valore della proprietà di un componente, o il tipo di connessione

1. Clicsul componente / collegamento / tipo (le sue proprietà verranno visualizzate nella finestra Proprietà a destra).

2. Clicper evidenziare la proprietà che si desidera modificare.

3. Tipoun nuovo valore.

Importante

Inoltre, molte proprietà sono definite utilizzando Standards . Modificando una proprietà all'interno di un Standard, Non solo di modificare l'oggetto corrente, si cambia anche il padrone Standard (sotto Norme ala parte superiore della struttura). Prima di fare questo, controllare ciò che gli altri componenti, collegamenti o tipi utilizzano la Standard, Perché il cambiamento non può essere rilevante per loro- È possibile utilizzare la finestra di riferimenti per questo.

Mancia

È possibile modificare le proprietà di una connessione all'interno del ramo componenti dell'albero (e viceversa). Così, per esempio, se si sta guardando ciò che i collegamenti sono collegati a un componente, e ti rendi conto che devi cambiare, è possibile.

Per aggiungere nuove proprietà a un componente o connessione (tramite il tipo)

Nota

Le proprietà possono essere aggiunti solo ai tipi e le componenti o le connessioni di tipo 'ereditare' tali proprietà.

1. Clicdal tipo (le sue proprietà verranno visualizzate nella finestra Proprietà a destra).

2. Clicsul pulsante Aggiungi nella parte superiore della finestra Proprietà per aggiungere una riga nella parte superiore della griglia delle proprietà per la nuova proprietà.

3. Aggiungere un Tipoper la nuova proprietà.

4. Aggiungere un Nomeper la nuova proprietà.

5. Aggiungere un Valore di defaultper la nuova proprietà.

6. Aggiungere un Unitàper la nuova proprietà.

7. Impostare il Tipo di datiper la nuova proprietà.

Nota

Il campo Tipo dati può essere utilizzato per limitare i valori validi che una proprietà può avere. Questo è; Testo, Intero, Decimale, Data / Ora, booleano o List.

o A Testoproprietà è uno che ha un numero illimitato di caratteri ed essenzialmente non ha restrizioni sul valore.Se il valore della proprietà è un collegamento ipertestuale correttamente formulato (vale a dire URL devono iniziare con uno dei 5stringhe; http: //, https: //, ftp: //, file:o \\ e qualsiasispazi vanno inseriti con una '% 20') Allora il link è cliccabile (via ctrl + click).

o Un Numero interoproprietà deve essere un numero intero positivo o negativoe può contenere un periodo, spazio, apostrofo o la virgola per il raggruppamento delle cifre a seconda del progetto di Impostazioni della regione da parte di File | Opzioni progetto.Le impostazioni e la Regione.Netto Metodo Long.TryParse è utilizzato per determinare valida Numero intero i valori.

o A Decimaleproprietà può contenere un punto o la virgola per il simbolo decimale e può contenere un periodo, spazio, apostrofo o la virgola per il raggruppamento delle cifre a seconda del progetto di Impostazioni della regione da parte di File | Opzioni progetto.Le impostazioni e la Regione.Netto Metodo Decimal.TryParse è utilizzato per determinare valida Decimale i valori.

o A Appuntamentoproprietà consente sia una parte data o un part-time o entrambi. La RegioneImpostazionie il .Net Metodo DateTime.TryParse sono principalmente utilizzati per determinare i valori di data e / o tempo valido. Tuttavia, la parte data, se applicabile richiede almeno giorno e mese (l'Anno sarà assunta ad essere l'anno in corso) o mese e anno parti sia valida. Cioè Giugno 3 ° trimestre 2010 o anche solo 2.010 non sono validi. Anche se sarà diverso con diverse impostazioni internazionali, in genere le parti di giorno, mese e anno possono essere separati da uno spazio, virgola, trattino ('-') o barra ('/'). La parte giorno è in genere un numero intero da 1 a 31. La parte Mese è tipicamente un intero da 1 a 12, una valida abbreviazione di 3 lettere per i mesi (ad esempio Gen, Feb, Mar) o il nome mese intero (ad esempio Gennaio, Febbraio , Marzo). La parte dell'anno è tipicamente un numero positivo di 4 cifre ma 1, 2 e 3 anni cifre vengono accettate in base alle impostazioni in Pannello di controllo-> internazionali e della lingua Opzioni-> Opzioni regionale> Personalizza (pulsante) -> Date-> Calendario. In genere essi sono interpretati come segue: 0-29 è interpretato come 2000-2029, 30-99 come 1930-1999 e 100-999 come 100-999. Verranno rilevati date non valide, come 31 giu 2010 e 31/9/2010. La parte di tempo, se del caso richiede una Ore e Minuti parte e, facoltativamente, una parte Secondi. The Hours, minuti e secondi opzionali parti sono in genere separate da due punti (':') e la parte Secondi possono essere specificati con un punto decimale ('.'). Per ulteriori informazioni sui formati validi consultare la sezione Osservazioni sul .Net Metodo DateTime.TryParse .

Mancia

Si consiglia di utilizzare almeno il 3 lettera formato nome del mese (ad esempio "Luglio" o "Luglio") per i valori di data, piuttosto che la formattazione numerica (cioè "7" o "07") come questi valori convalideranno attraverso le regioni più a seconda sul progetto di Impostazioni della regione da parte di File | Opzioni progetto.Cioè si raccomanda di usare "15 Luglio 2010" piuttosto che "15/7/2010" o "7/15/2010". Con questo esempio, "15/7/2010" fallirebbe convalida per 'inglese (Stati Uniti)' e "7/15/2010" avrebbe mancato di 'English (United Kingdom)', per quanto "15 lug 2010" passerebbe per entrambe le parti.

o A Booleanoproprietà può essere True o False.Si tratta di case insensitive così VERO o FALSO può essere utilizzato anche però Sì, No, 1, 0 ecc saranno tutti fallire alcun vincolo di proprietà.

o A Listaproprietà consente un insieme di valori predefiniti, come Low | Media | Alta o Mantieni | Refresh | Redesign | Andare in pensione e l'intervallo di valori viene dal campo Unità per la proprietà sia come virgola o pipe '|' valori separati. La struttura può essere considerata ordinale (al contrario di nominale, intervallo o di rapporto) perché quando usato sulle carte e per colorare elementi su diagrammas e 3DS i valori vengono trattati semplicemente in un ascendente (o discendente) ordine. Cioè i valori sono riportati in ordine crescente (o decrescente) ordine su assi dei grafici o gamme di colori.

8. Il tipo di dati può essere impostato per essere Disabilitato, Avvertito o Impostocliccando col tasto destro del campo tipo di dati per una impostazione diversa da testo, che permette qualsiasi carattere e quindi non possono mai essere corretto.

9. Impostare il Richiestobandiera per la nuova proprietà.

Nota

Il Campo obbligatorio può essere utilizzato per indicare se un valore deve essere inserito per la proprietà. Cioè che non può essere vuoto o vuoto. Falsoè il default e indica la proprietà può essere vuoto o vuoto, Verosignifica che la proprietà deve avere un valore e non può essere vuoto o vuoto. La richiesta può essere impostato per essere Disabilitato, Avvertito o Impostocliccando col tasto destro sul campo obbligatorio se è stata impostata su true.

Guarda anche

Compilazione l'architettura - Panoramica | Aggiunta di proprietà preimpostati a un componente, il collegamento o il tipo | Proprietà di aggregazione


Modifica di un componente / i tipi di connessione

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Modifica di un componente / i tipi di connessione

Invia commenti su questo argomento.

Tipi di componenti e di collegamento sono utilizzati principalmente ai fini della classificazione. È possibile utilizzare i tipi come filtri durante la visualizzazione la propria architettura. Per esempio, invece di vedere il tutto, si potrebbe visualizzare i componenti delle applicazioni solo.

Per modificare un componente / i tipi di connessione

1. Pulsante destro del mousesul componente o connessione.

2. Selezionare Cambia tipo.

3. Scegliere un tipo diverso dall'elenco.

Mancia

Quando si cambia il tipo, si può ottenere un po 'di nuovo standardo (ciò che è associato con il tipo - vedono il ramo Tipi dell'albero). Il tuo attuale standard e le proprietà rimarranno invariati. È possibile creare i propri nuovi tipi e assegnare le proprie combinazioni di standard e le proprietà a loro.

Guarda anche

Creazione di un nuovo tipo di | Compilazione l'architettura - Panoramica | Analisi l'architettura


Modifica delle impostazioni Regione di un progetto

Navigazione: Popolare vostra architettura> Proprietà>

Modifica delle impostazioni Regione di un progetto

Invia commenti su questo argomento.

I valori delle proprietà richiedere alcune formattazione in diverse regioni per adattarsi a qualsiasi Tipo di dati vincoli per Intero, Decimale e data / ora proprietà. Per esempio in Australia decimale "123.456 virgola sette otto nove" è rappresentato come "123,456.789", mentre in Germania sarebbe represnted come "123.456,789" e in Francia sarebbe " 123 456.789 ".Allo stesso modo, negli Stati Uniti la "seconda del dicembre 1970" viene rappresentato come una data breve "1970/12/02", ma nel Regno Unito è rappresentato come "1970/02/12" e in Polonia come "1970-1912 -02 ". Di conseguenza, a lavorare con un progetto ABACUS tra le regioni è necessaria un'impostazione globale per progetto ABACUS.

Cambiare le impostazioni internazionali di un progetto ABACUS

1. Assicurarsi di avere un File ABACUS aprire.

2. Selezionare File | Opzioni progetto ... e dalla finestra di dialogo che appare seleziona il Regione e fare clic su OK. Nota: Si prega di fare riferimento alla sezione di seguito per le impostazioni predefinite regionali.

Nota

Se non vedi la Opzioni progetto ... elemento del menuallora non avete Designer e Amministratore Aggiungi sus e non è possibile modificare regione del progetto.Inoltre, se nessuna Regione è impostato (cioè la Regione in Opzioni progetto è 'Nessuno (Regione del sistema)') allora ogni impostazioni di lingua corrente MS Windows dell'utente (ad esempio Impostazioni internazionali)sono utilizzati per convalidare le proprietà.

Defaults Regione

La seguente tabella elenca il impostazioni predefinite per ogni regione come stabilito attraverso la File | Opzioni progetto ... elemento del menu.Si prega di vedere sotto la tabella per un elenco dei simboli utilizzati.

Regione | Decimale Simbolo | Raggruppamento cifre | Segno negativo | Poco tempo | A lungo | AM / PM simbolo | Data breve | Data estesa
English (Australia) | . | , | - | HH: MM | HH: mm: ss | AM | PM | dd / MM / yyyy | dd MMMM yyyy
English (United Kingdom) | . | , | - | HH: MM | HH: mm: ss | AM | PM | dd / MM / yyyy | dd MMMM yyyy
Inglese (Stati Uniti) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | M / g / aaaa | dddd, MMMM dd, yyyy
Francese (Francia) | , | spazio | - | HH: MM | HH: mm: ss | | | dd / MM / yyyy | dddd d MMMM yyyy
Tedesco (Germania) | , | . | - | HH: MM | HH: mm: ss | | | dd.MM.yyyy | dddd, d. MMMM yyyy
Italiano (Italia) | , | . | - | HH: MM | HH: mm: ss | | | dd / MM / yyyy | dddd d MMMM yyyy
Spagnolo (Spagna) | , | . | - | H: mm | H: mm: ss | | | dd / MM / yyyy | dddd, dd 'de' MMMM 'de' aaaa
English (Canada) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | dd / MM / yyyy | MMMM-GG-AA
Francese (Canada) | , | spazio | - | HH: MM | HH: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Arabo (U.A.E.) | . | , | - | hh: mm tt | hh: mm: ss tt | Õ | م | dd / MM / yyyy | dd MMMM, yyyy
Arabo (Arabia Saudita) | . | , | - | hh: mm tt | hh: mm: ss tt | Õ | م | gg / mm / aa | gg / MMMM / aaaa
Inglese (Sud Africa) | , | spazio | - | hh: mm tt | hh: mm: ss tt | AM | PM | aaaa / MM / gg | dd MMMM yyyy
Inglese (Nuova Zelanda) | . | , | - | h: mm tt | h: mm: ss tt | a.m. | pm. | d / MM / yyyy | dddd, d MMMM yyyy
English (India) | . | , | - | HH: MM | HH: mm: ss | AM | PM | gg-mm-aaaa | dd MMMM yyyy
Tedesco (Svizzera) | . | ' | - | HH: MM | HH: mm: ss | | | dd.MM.yyyy | dddd, d. MMMM yyyy
Francese (Belgio) | , | . | - | HH: MM | HH: mm: ss | | | d / MM / yyyy | dddd d MMMM yyyy
Olandese (Belgio) | , | . | - | H: mm | H: mm: ss | | | d / MM / yyyy | dddd d MMMM yyyy
Repubblica Ceca (Repubblica Ceca) | , | spazio | - | H: mm | H: mm: ss | dop |. odp. | d.M.yyyy | d. MMMM yyyy
Danese (Danimarca) | , | . | - | HH: MM | HH: mm: ss | | | gg-mm-aaaa | d. MMMM yyyy
Greco (Grecia) | , | . | - | h: mm tt | h: mm: ss tt | πμ | μμ | d / M / aaaa | dddd, d MMMM yyyy
Finlandese (Finlandia) | , | spazio | - | H: mm | H: mm: ss | | | d.M.yyyy | d. MMMM'ta 'aaaa
Ungherese (Ungheria) | , | spazio | - | H: mm | H: mm: ss | de |. du. | AAAA.MM.GG. | aaaa. MMMM d.
Olandese (Paesi Bassi) | , | . | - | H: mm | H: mm: ss | | | d-M-aaaa | dddd d MMMM yyyy
Norvegese, Bokmål (Norvegia) | , | spazio | - | HH: MM | HH: mm: ss | | | dd.MM.yyyy | d. MMMM yyyy
Polacco (Polonia) | , | spazio | - | HH: MM | HH: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Russo (Russia) | , | spazio | - | H: mm | H: mm: ss | | | dd.MM.yyyy | d MMMM yyyy 'г.'
Svedese (Svezia) | , | spazio | - | HH: MM | HH: mm: ss | | | yyyy-MM-dd | 'covo' d MMMM yyyy
Coreano (Corea) | . | , | - | TT h: mm | TT h: mm: ss | 오전 | 오후 | yyyy-MM-dd | aaaa '년' M '월' d '일' dddd
Ebraico (Israele) | . | , | - | HH: MM | HH: mm: ss | AM | PM | dd / MM / yyyy | dddd dd MMMM yyyy

I seguenti simboli sono utilizzati per specificare la modalità di visualizzazione delle date e orari:

Simboli Tempo |
h | Ora (hh visualizza l'ora con uno zero)
m | Minuto (mm visualizza i minuti con uno zero)
s | Secondo (ss visualizza la seconda con uno zero)
TT | A.M. o P.M.
h / H | Esposizione di tempo 12 o 24 ore
Simboli Data |
d, dd | Giorno
ddd, dddd | Giorno della settimana
M | Mese
y | Anno

Guarda anche

Compilazione l'architettura - Panoramica | Modifica delle proprietà di un componente, o il tipo di connessione | Aggiunta di proprietà preimpostati a un componente, il collegamento o il tipo


Opzioni della riga di comando

Navigazione: Reference>

Opzioni della riga di comando

Invia commenti su questo argomento.

È possibile eseguire diverse operazioni ABACUS direttamente dalla riga di comando con l'operazione più comune è quello di aprire un file di progetto specifico e pubblicarlo in HTML.

In particolare, l'utilizzo della riga di comando di ABACUS è il seguente;

ABACUS.exe Projectfile [OptionalFile] [/ exitOnCompletion] [/ dontShowDialogs] [/ utente "USER" / "PASS"]

Discussione | Descrizione
Projectfile | Il Projectfile può essere sia un file di progetto ABACUS (.abacus), file di libreria (.abacuslib), file XML (.xml) o MS DB Access (mdb) e il file specificato sarà o essere aperto (se .abacus o .abacuslib ) o un nuovo progetto creato (se .xml o file con estensione mdb).
OptionalFile | Il OptionalFile può essere sia uno script ABACUS (.abacusscript, vb o cs), macro (.abacusmac) o file di libreria (.abacuslib) e il file specificato sarà o essere eseguita dopo l'apertura del Projectfile (se .abacusscript, .vb o .cs o .abacusmac) o semplicemente aperti (se .abacuslib).
/ exitOnCompletion | Uscirà ABACUS e se necessario salvare e commettere eventuali modifiche ai progetti .abacus aperte sul completamento di ogni script o macro. Nota: Questa bandiera è case sensitive in modo da essere sicuri di utilizzare una maiuscola 'O' e 'C' nel testo, come illustrato.
/ dontShowDialogs | Impedirà ABACUS Enterprise Edition (EE) le finestre di dialogo di notifica di aggiornamento dal mostrare all'apertura di un progetto. Nota: Questa bandiera è case sensitive in modo da essere sicuri di utilizzare una maiuscola 'S' e 'D' nel testo, come illustrato.
/ utente "USER" / "PASS" | Il nome utente e la password PASSA USER sarà utilizzato per accedere al progetto con, ignorando le credenziali utente memorizzati. Nota: i doppi apici devono essere posizionati intorno ai USER e PASS bandiere e due virgolette doppie possono essere utilizzate per eludere le virgolette doppie l'utente o passare flag.

Es;

ABACUS.exe "Data \ Example.abacus" "Scripts \PublishExample.vb"/ exitOnCompletion / dontShowDialogs / utente "pubblico" / pass "123456"

quando eseguire dalla directory in cui il ABACUS.exe binario è collocato volere aprire il progetto di esempio e accedere come utente con una password pubblica 123456 (come descritto Qui ), Pubblicarlo in HTML e quindi chiudere il progetto tutto senza mostrare finestre di dialogo lungo la strada (ad esempio 'aggiornamento di successo' o 'Non ci sono aggiornamenti disponibili' per i progetti di Enterprise).

Es;

ABACUS.exe "Data \ Example.abacus" "Scripts \Catalogo Excel Import.vb"/ exitOnCompletion / dontShowDialogs

quando eseguire dalla directory in cui il ABACUS.exe binario è collocato volere aprire il progetto di esempio e importare i "Server (2014 Actual) .xlsx" file di MS Excel nel catalogo 'Server' del '2014 Actual' architettura del progetto, senza mostrare alcun finestre di dialogo lungo la strada e poi la chiusura del progetto al termine. Se l'operazione apporta modifiche al progetto poi quando si chiude le modifiche vengono salvate in locale, e se un progetto Enterprise impegnati per l'Enterprise Server.

Nota

Assicurarsi di utilizzare la corretta doppio carattere preventivo in quanto vi sono diversi nel set di caratteri ASCII standard e il prompt dei comandi di Windows funziona correttamente solo con quella corretta. Il doppio codice di carattere preventivo corretto è decimale 34 (esadecimale 22).Questo è quello che viene utilizzato nell'esempio sopra quindi sentitevi liberi di copiare / incollare da lì.


Copiare e incollare

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Copiare e incollare

Invia commenti su questo argomento.

È possibile copiare tutto o in parte la propria architettura e incollarlo in una posizione diversa nella struttura.

Copiare

1. Pulsante destro del mousesulla voce che desideri copiare.

2. Selezionare Copia.

Incollare

1. Navigare l'albero per trovare il posto che desideri incollare l'elemento.

2. Pulsante destro del mousesul ramo che si desidera che appaia all'interno.

3. Selezionare Incolla.

4. L'articolo verrà copiato con il nome originale (a meno che non lo si copia al ramo originale - allora si chiamerà 'Copia di ...').

Guarda anche

Come si un'architettura rappresentata in ABACUS


Copia di diagrammi

Navigazione: Popolare vostra architettura> Uso di disegni>

Copia di diagrammi

Invia commenti su questo argomento.

Ci sono 2 scenari di base per la copia di un diagramma esistente; nell'ambito di un'architettura, o tra architetture.

A copiaun diagrammanell'ambito di un'architettura

1. Assicurarsi di avere unFile ABACUS apertocontenente il architettura popolatacon almeno un diagramma.

2. Espandereil Diagrammi ramo (e qualsiasi richiesta Gruppi Diagramma) di un dato Architetturasezione della struttura.

3. Selezionare il diagramma che si desidera copiare e quindi premere Ctrl + C o tasto destro del mousee selezionare Copia dal menu.

Nota

A copia Schema verrà aggiunto Diagrammiramo stesso architettura. Avrà "Copia di" aggiunto all'inizio del nome, Che può essere modificato in seguito da premendo F2 o clic destro su essoe selezionando Rinomina.

A copiare un diagramma tra architetture

1. Assicurarsi di avere unFile ABACUS apertocontenente il architettura popolatascon almeno un diagramma.

2. Espandereil Diagrammi ramo (e qualsiasi richiesta Gruppi Diagramma) di il Architetturasezione della strutturaper l'architettura che contiene il diagramma che si desidera copiare.

3. Selezionare il diagramma che si desidera copiare e sul Proprietà generalila finestra della nota Punto di vista che il diagramma è legata alla (nel campo Tipo).

4. Adesso, espandereil Diagrammi ramo (e qualsiasi richiesta Gruppi Diagramma) di il Architetturasezione della strutturaper l'altra architettura che si desidera copiare il diagramma in.

5. Pulsante destro del mouseil Diagrammi nodo (o Schema del gruppo) E selezionare Creare Schema .... Nella finestra di dialogo che appare selezionare il Punto di vista che è stato notato nel passaggio 3 sopra nella discesa in alto a destra. Lascia tutto il resto come è e fare clic su ok. Nella finestra di dialogo Diagramma Nome immettere un nome per la (presto) Schema copiato. Nota: Un diagramma tela bianca in base al punto di vista scelto sarà aperta.

6. Tornare al diagramma che si desidera copiare e aprire quella per pulsante destro del mouseil nodo e selezionando Aprire o semplicemente un doppio clicesso.

7. Selezionare lo sfondo tela del diagramma che si desidera copiare e premere Ctrl + A. Questo selezionerà tutti gli elementi che diagramma. Ora premete Ctrl + Cper copiare il contenuto negli appunti.

8. Ora, tornare allo schema vuoto nell'architettura che si desidera copiare il contenuto in, selezionare lo sfondotela e sia tasto destro del mousee selezionare Incolla o semplicemente premere Ctrl + Vper incollare il contenuto. Dopo un breve periodo il contenuto saranno tutti incollato nel nuovo diagramma vuoto.

Nota

Elementi saranno aggiunti al livello superiore della nuova architettura e dovranno essere ri-arrangiati o fusa con contenuti esistenti di conseguenza.

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


La creazione di un nuovo componente / tipo di connessione o di tipo di gruppo

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

La creazione di un nuovo componente / tipo di connessione o di tipo di gruppo

Invia commenti su questo argomento.

Tipi di componenti e di collegamento sono utilizzati principalmente ai fini della classificazione. È possibile utilizzare i tipi come filtri durante la visualizzazione la propria architettura. Per esempio, invece di vedere il tutto, si potrebbe visualizzare i componenti delle applicazioni solo.

Per creare un nuovo componente / tipo di connessione

Nota

Per aggiungere tipi o gruppi di tipo in un progetto ABACUS la licenza utente ha bisogno la possibilità aggiuntivo Designer. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

1. Espandere il Tipiramo dell'albero.

2. Pulsante destro del mouse in data Tipi di componenti (o Tipi di connessione).

3. Selezionare Aggiungi componente Tipo (o Aggiungi Tipo di connessione) o Creare un gruppo.

Mancia

Una volta creato un tipo, si dovrebbe cambiare la sua icona (vedi sotto) e aggiungere proprietà e standard ad esso per il componente o istanze di connessione a 'ereditare'.

Per cambiare l'icona di un componente / tipo di connessione

Nota

Per modificare le icone per i tipi in un progetto ABACUS la licenza utente ha bisogno la possibilità aggiuntivo Designer. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

1. Pulsante destro del mouse sul Tipo Componente (o Tipo di connessione) Si desidera modificare l'icona.

2. Selezionare Cambia icona.

3. Nella finestra di dialogo Sfoglia Seleziona icona di una città e scegli un file di immagine e fare clic su Apri.

Nota

Si può avere una immagine icona personalizzata di qualsiasi dimensione, ma sarà sempre ridimensionato in base a un'immagine 16x16 pixel nella finestra Esplora risorse. Quindi, se l'immagine originale icona personalizzata non è di parità di altezza e larghezza l'icona Window Explorer sarà allungato. Di conseguenza, le immagini personalizzate dovrebbero essere almeno 16x16 pixel e se si desidera mantenere la forma esatta del icona personalizzata assicurarsi che l'immagine icona personalizzata è uguale altezza e larghezza in pixel (16x16 o superiore). Si dovrebbe anche essere attenti a non avere colore 'pixel' andare fino al confine con l'immagine di icona personalizzata come apparirà poveri nella finestra Explorer con le icone adiacenti 'emorragia' gli uni negli altri. Di conseguenza, è necessario lasciare almeno un bordo bianco 1 pixel.

Mancia

Potete fare la vostra immagine icona personalizzata un ico, bmp, gif, jpg o file in formato .png, ma a causa di una limitazione in Windows solo ico formato sarà in anteprima nella finestra di dialogo Seleziona icona ABACUS se avete la possibilità menu Visualizza impostato su qualcosa di diverso Miniature.

Guarda anche

Compilazione l'architettura - Panoramica | Analisi l'architettura


Creazione o duplicare una architettura

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Creazione o duplicare una architettura

Invia commenti su questo argomento.

Si può avere un numero qualsiasi di architetture in un unico file ABACUS. In genere, devi creare una nuova architettura ogni volta che si desidera modellare e valutare l'evoluzione del sistema.

Per creare una nuova architettura

1. Pulsante destro del mouse sul Architettureramo dell'albero.

2. Selezionare Nuova architettura.

Per creare una copia di una architettura esistente

1. Pulsante destro del mousesull'architettura.

2. Selezionare Copia.

3. Pulsante destro del mouse sul Architettureramo dell'albero.

4. Selezionare Incolla.

5. La nuova architettura sarà chiamato 'Copia di ...'.

Per evolvere un'architettura esistente

1. Pulsante destro del mousesull'architettura.

2. Selezionare Evolvere.

3. La nuova architettura si chiamerà '... .1'.

Nota

C'è una descrizione dettagliata su architetture in evoluzione Qui .

Guarda anche

Come si un'architettura rappresentata in ABACUS | Evolving l'architettura


Rapporti personalizzati

Navigazione: Segnalazione vostra architettura>

Rapporti personalizzati

Invia commenti su questo argomento.

Report personalizzati ABACUS 'consentono di creare report personalizzati completamente configurabili. I report possono includere immagini personalizzate e grafica nonché dettagliare eventuali componenti, collegamenti o gli attributi da un repository ABACUS nonché i risultati analitici dettagliati da varie simulazioni (tra cui il TCO, prestazioni e affidabilità). Inoltre, i report possono contenere diagrammi, grafici, cataloghi, matrici / tabelle pivot, mappe, indicatori, sparkline, bar e gli indicatori di dati (ad esempio semafori).

Nota

Mentre ogni utente può aprire report personalizzati esistenti, to configure rapporti la licenza d'uso ha bisogno del Rapporto configurazione capacità. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

Per visualizzare un usanza relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata(S).

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzativerrà visualizzata la finestra.

Rapporti personalizzati finestra

3. Seleziona il esistente Relazione che si desidera per visualizzare dal Rapporti disponibili sezione.

4. Clic Esegui report.Il report si aprirà in Microsoft Report Viewer e to Navigare attraverso le pagine del report, fare clic sulle icone [image] sulla barra degli strumenti in alto a sinistra dello schermo.

Nota

Puoi salvare il rapporto in vari formati cliccando sul Esportare rapporto Icona [image] collocato in la barra degli strumenti. È possibile scegliere di esportare nei seguenti formati: Eccellere, PDF e Parola. Si prega di salvare il rapporto nella posizione desiderata per un uso successivo. Se le modifiche vengono apportate all'architettura in una fase successiva, un nuovo rapporto dovrà essere creata per riflettere le modifiche.

A modificare i dati repository che viene inviato a a usanza relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata(S).

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

Nota

Mentre ogni utente può aprire report personalizzati esistenti, to configure i dati che vengono inviati a un rapporto personalizzato la licenza d'uso ha bisogno del Rapporto configurazione capacità. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

3. Seleziona il esistente Relazione che si desidera per visualizzare dal Rapporti disponibili sezione.

4. Clic Imposta alla modifica dei dati. Il Data Set Editorverrà visualizzata la finestra.Questa finestra mostra la raccolta di serie di dati che sono attualmente in fase inviati a un rapporto personalizzato. Nell'esempio che segue ci sono tre (3);

· un insieme di dati ApplicationProxy che specifichi tutti i dettagli per tutti i componenti di applicazione del '2015 Actual' architettura (incluse le proprietà sui loro standard e le eventuali componenti collegati),

· un set di dati TwoDViewProxy che soddisfino uno o più diagrammi in cui il nome corrisponde 'Application Paesaggio (Australia)',

· un set di dati TargetProxy che specifichi tutti i dettagli per tutte le connessioni di destinazione del '2015 Actual' architettura (inclusi i componenti collegati).

Data Set Editor finestra

Nota

Il nome della query sarà utilizzato per il nome set di dati in Microsoft Report Builder (vedi sotto). Il campo Includere specifica se il dataset è o un elemento singolo, una collezione di elementi, tutti i tipi di componenti, tutti i tipi di collegamento, di una o più architetture, uno o più schemi o uno o più grafici. Per la 'raccolta di elementi' di dati imposta un pulsante Filtro è previsto che quando si fa clic si apre la finestra del filtro elemento che consente di applicare più filtri per restituire solo gli elementi da determinati Architetture, e / o di taluni tipi, e / o con determinate norme , e / o allegato ad alcuni componenti, e / o con alcuni genitori, e / o in alcuni diagrammi, e / o in alcuni grafici e / o con determinati valori di proprietà. Per gli altri tipi di set di dati di un campo Nome è fornito e utilizzando il pulsante Seleziona è possibile scegliere l'oggetto (s) da includere con il set di dati.

Nota

I gruppi di dati sono memorizzati in unSet di dati del file (.xml)con lo stesso nome file di base come unassociato File di definizione del report (.rdl). Se questo file non esiste l'editor set di dati popolerà automaticamente con tutti i nomi di query che esistono nel File di definizione del report (.rdl)e una nuova Set di dati del file (.xml)verrà creata una volta aa lista valida di query è definito.

3. Se si desidera cancellare un set di dati esistente, quindi selezionare il Query di eliminazione pulsante.

4. Se si desidera aggiungere un nuovo set di dati quindi fare clic sul Aggiungi nuovo set di datipulsante e configurare il set di dati come per la nota di cui sopra.

A creare un nuovo personalizzato relazione(da un modello)

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

3. Clic Nuovo e selezionare A4 - Ritratto, A4- Paesaggio, A3 - Ritratto, A3 Paesaggio, US Letter - Ritratto, US Letter - Paesaggio, US Tabloid - Ritratto o US Tabloid - Paesaggioa seconda della dimensione e orientamento del report di carta che si desidera.

4. Individuare il percorso per salvare il file di definizione del report (rdl / .rdlc) e il file Data Set corrispondenza (.xml) e fare clic Salvare. Questo aggiungerà un nuovo rapporto personalizzato alla sezione Disponibile Report della finestra Rapporti personalizzati e può aprire o modificato come descritto sopra.

A aggiungere un personalizzato esistente relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

3. Clic Aggiungere e individuare il percorso del file di definizione report (rdl / .rdlc) e fare clic Aprire. Questo aggiungerà un nuovo rapporto personalizzato alla sezione Disponibile Report della finestra Rapporti personalizzati e può aprire o modificato come descritto sopra.

Nota

Si presume che un file corrispondente set di dati (.xml) esiste nella stessa posizione del file di definizione report.

A copiare un personalizzato esistente relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

3. Seleziona il esistente Relazione che si desidera copiare dal Rapporti disponibili sezione.

4. Clic Copia e una copia del rapporto prescelto (dal nome 'Copia di ...') verrà aggiunto alla sezione Disponibile Report della finestra Rapporti personalizzati e può aprire o modificato come descritto sopra.

Nota

In questo modo si creerà una copia della relazione del Relazione Definizione file (rdl / .rdlc) così come la sua corrispondenti file di Data Set (.xml)(se esiste).

A rimuovere un personalizzato esistente relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

3. Seleziona il esistente Relazione che si desidera rimuovere dal Rapporti disponibilisezione e clic Rimuovere.

Nota

Quando si rimuove un rapporto non sarà più visualizzato nell'elenco rapporto. Tuttavia, questo non eliminare il di report Report Definizione file (rdl / .rdlc) o il Data Set file(.xml). Se necessario, l'eliminazione di questi file può essere raggiunto attraverso il file system.

A rinominare un personalizzato esistente relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

3. Seleziona il esistente Relazione che si desidera rinominare in il Rapporti disponibilisezione e clic Rinominare.

4. Immettere un nuovo nome per il rapporto.

Nota

Sia il file di definizione del report (rdl / .rdlc) e il file Data Set corrispondenza (.xml) verrà rinominato di conseguenza.

A modificare il disegno di un usanza relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata.

2. Selezionare Inserire| Rapporto personalizzatooppure fare clic sul Crea rapporto personalizzato barra degli strumenti. Il Rapporti personalizzati finestra (mostrato sopra) verrà visualizzato.

Nota

Mentre ogni utente può aprire report personalizzati esistenti, to configure la progettazione di un report personalizzati la licenza d'uso ha bisogno del Rapporto configurazione capacità. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.Inoltre, Microsoft Report Builder 3.0 è necessario per progettare report e può essere scaricato gratuitamente dal Qui .

3. Seleziona il esistente Relazione che si desidera per visualizzare dal Rapporti disponibili sezione.

4. Clic Modifica report.Il report si aprirà in Microsoft Report Builder 3.0. Per informazioni specifiche e un po 'di consigli e trucchi' su alcune delle operazioni più comuni con la progettazione dei report consultare le sezioni di seguito. Per informazioni generali sui rapporti progettazione per favore riferire ai Microsoft report pagine 3.0 Help Qui .

Aggiunta di tabelle al report

1. Assicurarsi di avere un file di report personalizzato ABACUS definizione (rdl / .rdlc) aperto in Microsoft Report Builder 3.0.

2. Selezionareil Inserire scheda nella 'nastro' in alto, poi clicca il tavola pulsantenella sezione delle aree dati e selezionare Inserisci Tabella.

3. Adesso trascinare il cursoreper la posizione sulle tele del report in cui si desidera l'angolo superiore sinistro della tabella a posto. Clicca la tela. Per impostazione predefinita, viene aggiunta la tabella con una riga di intestazione e poi un gruppo di dettagli (un gruppo viene utilizzato per organizzare una vista di un report dataset). Per rimuovere il gruppo, eliminare la riga o eliminare il gruppo di righe nella barra degli strumenti Raggruppamento.

Mancias

Formule / espressioni in celle della tabella vengono modificati selezionando la cella poi clic destro sul << Expr >> testo e selezionando espressione .... Ordinamento righe in una tabella è fatto selezionando la tabella e poi la navigazione verso il basso per l'Altro -> campo SortExpressions nel pannello delle proprietà e digitando un'espressione. Per una riga totale alla fine di una tabella aggiungere una riga dopo (e fuori) il raggruppamento e quindi utilizzare la seguente espressione = Sum (Fields!Nome.Valore)dove 'Nome' è il campo viene totalizzato. Per applicare colorazione alle colonne utilizzare un 'IIF' affermazione nella proprietà BackgroundColor. Per aggiungere un indicatore come una cella in una tabella prima inserire il calibro in una cella e quindi eliminare campi di dati richiesti per il calibro. Quando si modifica l'altezza e larghezza delle righe di tabella, assicuratevi di selezionare la riga corretta, e quindi posizionare il cursore del mouse intorno alle linee grigie fino ad ottenere la Freccia su / giù cursore, quindi ridimensionare.

Aggiunta di grafici al vostro rapporto

1. Assicurarsi di avere un file di definizione report ABACUS personalizzata (con estensione rdl / .rdlc) aperto in Microsoft Report Builder 3.0.

2. Selezionareil Inserire scheda nella 'nastro' in alto, poi clicca il Grafico pulsantenella sezione delle aree dati e selezionare Inserisci grafico.

3. Adesso trascinare il cursoreper la posizione sulle tele del report in cui si desidera l'angolo superiore sinistro del grafico a posto. Clicca la tela e poi selezionare il graficorichieste dalle opzioni e cliccare ok.

Mancias

Per visualizzare una proprietà come annotazione sui grafici, fare clic destro sul grafico e selezionare Mostra etichette dati, quindi selezionare una delle etichette che è stato aggiunto e impostare la Misc -> UseValueAsLabel False nel pannello Proprietà e aggiungere un'espressione (ad esempio, = Campi Name.Value) in Misc -> Etichetta. Specificamente per grafici a bolle; Grafici a bolle vengono visualizzati sotto l'intestazione grafico a dispersione. Goccia proprietà dell'asse X in campi di serie (o aggiungere in Proprietà della serie). Goccia Y immobili asse in campi di dati (o aggiungere in Proprietà della serie). Per utilizzare una proprietà per definire le dimensioni della bolla, cadere questo in campi di dati (o aggiungere in Proprietà della serie). Grafici a bolle sono in grado di visualizzare se ci sono troppi dati (di 200 articoli), a volte questo fa sì che l'intero rapporto di non visualizzare. Tipo Marker - Impostare a cerchio. Per impostazione predefinita, quando lasciando cadere i campi in campi dati, li aggiunge con il somma()formula, quindi rimuovere questo. Specificamente per Grafici in pila / FAQ / Gantt; Per un diagramma di Gantt utilizzare un grafico gamma e aggiungere le proprietà come valori alti e bassi nei campi di dati. Si può avere più "bar" con l'aggiunta di sempre più campi, dove il valore basso per uno corrisponde l'alto valore per un altro. Specificamente per Grafici a torta; Nei grafici a torta aggregati, rilasciare i dati in campi di categoria e in campi di dati, aggiungere la formula = CountRows (). Filtrare eventuali valori 0 (ad esempio nei grafici di costo), altrimenti le etichette per questi saranno comunque visualizzato nel grafico.

L'utilizzo di un IIF per aggiungere colori da tabelle e grafici

1. Assicurarsi di avere un file di definizione report ABACUS personalizzata (con estensione rdl / .rdlc) aperto in Microsoft Report Builder 3.0.

2. Fare clic sulla cella della tabella per colorare e il clic Proprietà casella di testo.

3. Selezionare Riempire e fare clic sul fxpulsante a destra dell'etichetta colore riempimento e nel Set un'espressione per campo BackgroundColor immettere un'espressione, ad esempio = iif (Fields! InformationStatus.Value = "Mantieni", "verde chiaro", iif (Fields! InformationStatus.Value = "riprogettare", "Giallo", iif (Fields! InformationStatus.Value = "Aggiorna", "Orange", " Salmone"))). Questo cambia il colore di sfondo verde chiaro per ogni cella che contiene lo stato 'Mantieni', giallo per ogni cella che contiene lo stato 'Redesign', arancione per ogni cella che contiene lo stato 'Aggiorna' e qualsiasi altro valore di stato si colorerà in 'Salmon'.

Nota

I colori possono essere aggiunti per i grafici selezionando la serie sulla carta e quindi impostando il Aspetto -> Proprietà di colore (o per i grafici a bolle Aspetto -> Marker -> proprietà Color) per un'espressione simile all'esempio precedente.

Cose da tenere a mente quando si progettano report personalizzati

· Poiché tutte le proprietà ad eccezione di Integer vengono inviati come una stringa da ABACUS al visualizzatore di report, se si vuole fare eventuali "espressioni« con loro (come dividere una proprietà con un altro o specie), è necessario convertirli in decimale o data ecc Per sfondo , Questo articolo è un buon riferimento. Es = CDate (Fields! LifecycleEndDate.Value) Nota: Assicurarsi che la lingua report è impostata su it-IT (come descritto di seguito) per accettare gg / mm / aaaa come si aspetta formato gg / mm / aaaa di default e di conseguenza 31/7/2011 non riuscirà conversione. =Round(Convert.ToDecimal(Fields!CostMaintenanceCostfixed.Value)/Convert.ToDecimal(Fields!UsersNumberofUsers.Value)) = FormatCurrency (! CostTotalCosttoOwnnext5years.Value Fields, 0)

· Se si scopre che stai lottando per mantenere tutte le tabelle e grafici su una sola pagina, Ci sono alcuni modi principali di gestione dello spazio del documento:

· Interruzione di pagina - Verificare che questa impostazione tabella è fuori per ogni tabella che si desidera essere sulla stessa pagina.

· Tenere insieme - Verificare che questa impostazione tabella è vero per ogni tabella che si desidera essere sulla stessa pagina.

· Quando si muove le cose, è più facile per diminuire utilizzando il controllo in basso a destra della pagina e quindi più la selezione e trascinamento

· Per la riga immagine in una tabella, assicurarsi che la 'dimensione' | Proprietà 'Dimensionamento' è impostato su 'Fit' altrimenti l'immagine può apparire troppo grande, o sarà male allungato.

· A ripetere una riga di intestazione di una tabella in ogni paginadel rapporto:

1. Modalità Aprire avanzata nel riquadro Raggruppamenti. (Fare clic sulla freccia a destra della colonna dei gruppi e selezionare Modalità avanzata.)

2. Nell'area Gruppi di righe (Gruppi non Colonna), fare clic su un gruppo statico, che evidenzia la casella di testo corrispondente nella Tablix. Clicchi attraverso ogni gruppo statico fino a quando si evidenzia la più a sinistra della colonna. Questo è generalmente il primo gruppo statico elencati.

3. Nella finestra Proprietà, impostare la proprietà RepeatOnNewPage su True.

4. Assicurarsi che la proprietà KeepWithGroup è impostata dopo.

· Cambia il impostazioni della linguanelle proprietà report per abbinare i formati di dati che richiedono, ad esempio, it-IT per la produzione di formato data UK (gg / mm / aaaa).

Guarda anche

Analizzando l'architettura


Personalizzazione dell'interfaccia ABACUS

Navigazione: Introduzione alla ABACUS>

Personalizzazione dell'interfaccia ABACUS

Invia commenti su questo argomento.

È possibile modificare l'aspetto e il comportamento dell'interfaccia ABACUS in molti modi. ABACUS comprende diverse combinazioni di impostazioni predefinite che è possibile utilizzare per applicare un gruppo di personalizzazioni all'interfaccia. Inoltre, è possibile effettuare singole personalizzazioni di elementi come finestre, barre degli strumenti, tasti di scelta rapida e opzioni varie visualizza.

Organizzare e Dock di Windows

Avete molte opzioni per l'organizzazione finestre all'interno dell'interfaccia per ABACUS, tra cui:

· Finestre Tab-dock.

· Finestre Dock al bordo di un telaio nell'interfaccia.

· Minimizzare finestre degli strumenti lungo il bordo dell'interfaccia.

· Ripristina posizione di finestre al layout predefinito.

Finestre di docking

Quando una finestra è ancorabile, esso può essere fissato ad un lato di una cornice all'interno dell'interfaccia oppure può essere organizzato su riquadri tabulari all'interno del telaio. Un diamante guida appare quando si trascina le finestre dalla posizione corrente in un'altra posizione nell'interfaccia. Il diamante guida permettono velocemente ri-ancorare una finestra su uno dei quattro lati del telaio o in centro come pannello a schede. Quando una finestra è sganciata o meno agganciabile, galleggia in cima alle altre finestre.

Per ancorare le finestre

1. Fare clic sulla finestra che si desidera ancorare, per dargli fuoco.

2. Sul Finestramenu, fare clic Agganciabile.

3. Trascinare la finestra dalla posizione corrente verso il centro del telaio che si desidera ancorarlo con.

Viene visualizzato un diamante guida. Le quattro frecce del punto di diamante verso i quattro bordi del telaio e il centro rappresenta il riquadro tabulare.

Mancia

Per spostare una finestra agganciabile senza scattare in posizione, premere CTRL mentre si trascina.

4. Quando la finestra si sta trascinando raggiunge la posizione in cui si desidera agganciarla, spostare il puntatore sopra la corrispondente quota della guida diamante. Un contorno della finestra viene visualizzato nell'area designata.

5. Per agganciare la finestra nella posizione indicata, rilasciare il pulsante del mouse.

Ad esempio, se Esploratoreè ancorata sul lato sinistro dell'interfaccia e si desidera agganciarla sul lato destro, si potrebbe trascinare Esploratoreverso il centro dell'interfaccia, spostare il puntatore sul lato destro della guida diamante, e quindi rilasciare il pulsante del mouse.

Minimizzare di Windows

Finestre (siano essi Strumento Windows - figura sulla Vistail menu, o Windows Documento - che appare sul Finestramenu) supportare una funzionalità denominata Nascondi automaticamente. Nascondi automaticamente vi permette di vedere di più la propria architettura in una sola volta, riducendo al minimo le finestre lungo i bordi dell'interfaccia quando non in uso.

Per attivare Nascondi automaticamente

1. Fare clic sulla finestra che si desidera nascondere dargli fuoco.

2. Sul Finestramenu, fare clic Nascondi automaticamente.

- o -

2. Fare clic sull'icona puntina sulla barra del titolo della finestra.

Nascondi automaticamente abilitato

Quando una finestra nascosta automaticamente perde l'attivo, si rientra automaticamente alla sua linguetta sul bordo dell'interfaccia. Mentre una finestra è nascosta automaticamente, il nome e l'icona sono visibili su una scheda a bordo dell'interfaccia. Per visualizzare una finestra nascosta automaticamente, spostare il puntatore sulla scheda. La finestra scorre all'indietro in vista ed è pronto per l'uso.

Nota

Una finestra che è nascosta automaticamente non può essere ancorata. Per ancorare una finestra dovrete disattivare Nascondi automaticamente come descritto di seguito.

Per disattivare Nascondi automaticamente

1. Fare clic sulla finestra che si desidera mantenere visibile per dargli fuoco.

2. Sul Finestramenu, fare clic Nascondi automaticamenteper cancellare il segno di spunta.

- o -

2. Fare clic sull'icona puntina sulla barra del titolo della finestra.

Auto Hide disabili

Mancia

Finestre che hanno Nascondi automaticamente abilitato scivolare temporaneamente in vista quando la finestra è attiva. Per nascondere di nuovo la finestra, selezionare una voce al di fuori della finestra corrente. Una volta che la finestra perde lo stato attivo, scivola indietro di vista.

Ripristino di Windows Layout

È possibile tornare l'interfaccia per il layout della finestra di default con il Ripristina layout finestra comando. Quando si esegue questo comando, verificano le seguenti operazioni:

· Tutte le finestre sono spostati nelle posizioni predefinite.

· Finestre che si chiudono nel layout finestra di default sono chiusi dal comando.

· Finestre aperte nel layout finestra di default vengono aperte dal comando.

· Finestre che sono nascosti / visibili nel layout finestra di default sono resi nascosto / visibile dal comando.

Per ripristinare il posizionamento finestra al layout predefinito

1. Sul Finestremenu, fare clic Ripristina layout finestra.

Personalizzazione menu e le barre

È possibile modificare il layout, la posizione e il contenuto dei menu e barre degli strumenti nell'interfaccia. È inoltre possibile aggiungere i pulsanti per le barre degli strumenti e cambiare l'icona assegnata per ogni tasto.

Creare nuove barre degli strumenti

Per creare una nuova barra degli strumenti

1. Sul Strumentimenu scegliere Personalizza.

2. Nel Personalizzarefinestra di dialogo, selezionare il Barre degli strumentischeda.

3. Scegliere Nuovo.

4. Nel Nuovo Barra degli strumentifinestra di dialogo, digitare un nome per la barra degli strumenti.

5. Scegliere ok.

Per aggiungere un pulsante di comando a un menu o una barra

1. Sul Strumentimenu scegliere Personalizza.

2. Nel Personalizzarefinestra di dialogo, selezionare il Comandischeda.

3. Selezionare una categoria e trascinare un comando fuori dalla finestra di dialogo per il menu o la barra degli strumenti.

4. Scegliere Chiudere.

Mancia

Tenendo premuto il tasto Alt permette di comandi rapidi personalizzare come se la finestra di dialogo Personalizza era aperta.

Guarda anche

L'interfaccia ABACUS


Definire e convalidare vincoli

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Definire e convalidare vincoli

Invia commenti su questo argomento.

La struttura e le proprietà di una architettura può essere limitato mediante vincoli. I vincoli possono essere applicati a tipi di componenti e tipi di connessioni per limitare la struttura di un'architettura in due modi. Il primo modo è quello di limitare la gerarchiadefinendo "genitore dovrebbe / deve avere bambini" e "bambino dovrebbe / deve avere controllanti" relazioni. Il secondo modo è quello di limitare la topologiadefinendo "componente dovrebbe / deve essere collegato alla connessione" e "connessione dovrebbe / deve essere allegata alla componente" relazioni. Inoltre, i vincoli possono essere applicate alle proprietà dei tipi di componenti, i tipi di connessione, modelli, punti di vista, le architetture, diagrammie 3D per restringere l'architettura (s) in due ulteriori modi. Il primo modo è quello di impostare il tipo di datidella struttura per limitare i valori validi che essa può avere, cioè; Testo, Intero, Decimale, Data / Ora, booleano o List. Il secondo modo è quello di impostare il richiestostato della proprietà per indicare se un valore deve essere inserito per la proprietà (Nota: i vincoli obbligatori si applicano solo alle proprietà per i tipi di componenti e di connessione). Per ulteriori informazioni sui vincoli di proprietà è previsto nel Modifica delle proprietà di un componente, o il tipo di connessione argomento della guida. Una volta definiti vincoli, è possibile validare un'architettura contro i vincoli. ABACUS avvertirà su eventuali vincoli che sono stati violati.

La chiave per determinare quali vincoli (s) per definire menzogne ​​nel linguaggio esatto utilizzato per descrivere il vincolo. Per i vincoli gerarchici sono in genere di forma "sostantivipuò / deve / devono essere decomposto in n sostantivi" o "sostantivipuò / deve / devono essere aggregate per sostantivi"Ecc, ad esempio,"Dipartimentideve essere scomposta in Squadre" o "Applicazionipuò essere scomposta in Moduli". Per i vincoli di topologia sono in genere di forma"sostantivipuò / deve / devono verbo sostantivi". Per esempio, "Processi può essere eseguita da Squadre" o "Applicazioni siamo ospitato su Server". Ora, si può vedere in ogni vincolo ci sono varie può / deve / must 'di qualificazione' e questi possono essere di 3 tipi;

· Opzionale- Questi in genere usare le parole / frasi come; "può", "può", "potrebbe", "a scelta", ecc

· Consigliato- Questi in genere usare le parole / frasi come; "dovrebbe", "raccomandati", "consigliato" etc.

· Obbligatorio- Questi in genere usare le parole / frasi come; "must", "è", "sono", "ha", "deve", ecc

A seconda del tipo di vincolo (gerarchia o topologia) ei qualificatori utilizzati nel descriverla, specifico vincolo (s) deve essere definita (vedi sotto). Per l'esempio gerarchia sopra di "Dipartimentideve essere scomposta in Squadre"Si dovrebbe definire un" "costrizione e impostare l'applicazione da eseguire. Per l'esempio sopra topologia di" madre si è bambiniProcessi può essere eseguita da Squadre. "Si dovrebbe creare solo due (2)" Connessione deve essere allegata alla componente "vincoli per entrambe le estremità del eseguita da tipo di connessione In particolare, i seguenti vincoli sono raccomandati da definire (vedi sotto) per le varie opzioni;

· Vincoli di gerarchia;

o Nomi A può esseredecomposto in Nomi B, o Nomi B può essereaggregati per Nomi A o Nomi B dovrebbe essereaggregati per Nomi A- Definire un vincolo "bambino deve avere genitore" con il tipo di bambino come Noun B, tipo genitore come Noun A e di esecuzione avvertito.

Nota

Ciò significa che se un bambino esiste, deve avere un genitore di un certo tipo. In caso contrario, si otterrà un messaggio di avviso.

o Nomi A dovrebbe esseredecomposto in Nomi B- Definire un vincolo "Parent deve avere il Bambino" con il tipo di genitore come Noun A, tipo bambino come Noun B e di esecuzione avvertito.

Nota

Ciò significa che se esiste un genitore, dovrebbe avere figli di un certo tipo. In caso contrario, si otterrà un messaggio di avviso.

o Nomi A deve esseredecomposto in Nomi B- Definire un "genitore deve avere Child" vincolo con il tipo di genitore come Noun A, tipo bambino come Noun B e di esecuzione forzata.

Nota

Ciò significa che se esiste un genitore, deve avere figli di un certo tipo. Se non sarà possibile ottenere un errore.

o Nomi A deve essereaggregati per Nomi B- Definire un vincolo "bambino deve avere genitore" con il tipo di bambino come Noun A, tipo genitore come Noun B e di esecuzione forzata.

Nota

Ciò significa che se un bambino esiste, deve avere un genitore di un certo tipo. In caso contrario, si otterrà un errore.

· Vincoli Topologia;

o Nomi A può essere verbo Nomi B- Definire due (2) "Connessione deve essere allegata a componenti" vincoli. Il primo è con la fine Fonte di tipo di connessione verboallegato al sostantivo Un tipo di componente e di esecuzione impostato forzate. La seconda è con la fine del dispersore di tipo di connessione verboallegata alla Noun tipo di componente B e dell'esecuzione di al forzate.

Nota

Questo significa che se il collegamento esiste, deve collegare componenti di taluni tipi. Se non sarà possibile ottenere un errore. In generale, questo assicura che questi componenti possono ancora esistere e non essere collegati tra di loro. Tuttavia, se sono collegati, devono essere utilizzati collegamenti del tipo giusto.

o Nomi A dovrebbe essere verbo Nomi B- Definire due (2) "Componente deve essere allegata alla connessione" vincoli. Il primo è con Noun Un tipo di componente fissato all'estremità Fonte del verbotipo di connessione e set dell'ordine per avvertiti. La seconda è con Noun tipo di componente B allegata alla fine del Sink verbotipo di connessione e set dell'ordine per avvertiti. Inoltre, definisce due (2) "Il collegamento deve essere collegato a componenti" vincoli. Il primo è con la fine Fonte di tipo di connessione verboallegato al sostantivo Un tipo di componente e di esecuzione impostato forzate. La seconda è con la fine del dispersore di tipo di connessione verboallegata alla Noun tipo di componente B e dell'esecuzione di al forzate.

Nota

Ciò significa che se esistono componenti di entrambi i tipi, esse devono essere fissate ad una connessione di un certo tipo. Se non sarà possibile ottenere un avvertimento. Inoltre, ciò significa che se il collegamento esiste, deve essere collegato a componenti del tipo specificato. Se non sarà possibile ottenere un errore. Nel complesso questo garantisce che se esistono componenti di questi tipi, si otterrà un avviso se non sono collegati tra loro.

o Nomi A deve essere verbo Nomi B- Definire due (2) "Componente deve essere allegata alla connessione" vincoli. Il primo è con Noun Un tipo di componente fissato all'estremità Fonte del verbotipo di connessione e l'esecuzione impostati forzate. La seconda è con Noun tipo di componente B allegata alla fine del Sink verbotipo di connessione e l'esecuzione impostati forzate. Inoltre, definisce due (2) "Il collegamento deve essere collegato a componenti" vincoli. Il primo è con la fine Fonte di tipo di connessione verboallegato al sostantivo Un tipo di componente e di esecuzione impostato forzate. La seconda è con la fine del dispersore di tipo di connessione verboallegata alla Noun tipo di componente B e dell'esecuzione di al forzate.

Nota

Ciò significa che se esistono componenti di entrambi i tipi, essi devono essere collegati ad una connessione di un certo tipo. Se non sarà possibile ottenere un errore. Inoltre, ciò significa che se il collegamento esiste, deve essere collegato a componenti del tipo specificato. Se non sarà possibile ottenere un errore. Nel complesso questo garantisce che se esistono componenti di questi tipi, si ottengono errori se non sono collegati tra loro.

Per definire un vincolo

1. Assicurarsi di avere un File ABACUSaperto e la Windows Explorervisualizzato.

2. Nella struttura di esplorazione espandere Tipi | Tipi di componentio espandere Tipi | Tipi di connessione.

3. Pulsante destro del mouseun tipo di componente o di un tipo di connessione e selezionare Aggiungi vincolo.

Aggiunta di un vincolo

Per definire un vincolo gerarchia, in cui un genitore deve avere un bambino specifico

4. Sul Aggiungi vincolobarrare la finestra Creare vincolocasella di controllo sotto la Madre si è bambini Vincolo area.

5. Seleziona il tipo di componentedal menu a tendina che si desidera specificare come il bambino del tipo di componente selezionato al punto 3.

Nota

Se c'è già un permesso 'madre si è bambini' vincolo definito per il tipo di componente genitore e un altro tipo di componente figlio allora questo nuovo vincolo sarà trattata come una 'E'. Questo è il tipo deve essere un genitore del bambino A etipo bambino B, a qualunque livello di applicazione (ad esempio portatori di handicap, Avvertito o forzata - vedere il punto 7) è specificato per ogni vincolo.

6. Opzionalmente è possibile definire il numero minimo e massimo di componenti del tipo componente specificato che deve essere figli del tipo di componente fa click destro al punto 3.

7. Scegliere se si desidera che il vincolo di essere Disabilitato, Avvertito o Imposto.

Nota

Vincoli disabili verranno ignorati dalla convalida di vincolo, vincoli avvertito produrrà un avviso nella finestra di convalida se vengono rilevati e vincoli forzate produrranno un errore nella finestra di convalida, se vengono rilevati. Inoltre, tutti gli errori devono essere risolti prima di un Impresa Server progetto può essere commesso.

8. Clic ok.

Nota

Il vincolo viene visualizzata nella struttura Explorer sotto il tipo di componente destra-clic nel passaggio 3. La freccia indica la direzione del vincolo e, in questo caso, punterà verso il basso e verso destra. Il lucchetto è colorato a seconda che il vincolo è disattivato (grigio), Avvertito (giallo) o forzate (rosso).

Genitore deve avere avvertito bambino vincolo

Per definire un vincolo gerarchia, in cui un bambino deve avere un genitore specifico

4. Sul Aggiungi vincolobarrare la finestra Creare vincolocasella di controllo sotto la Bambino deve avere vincolo Parent area.

5. Seleziona il tipo di componentedal menu a tendina che si desidera specificare come il padre del tipo di componente fa click destro al punto 3.

Nota

Se c'è già un permesso 'bambino deve avere Parent' vincolo definito per il tipo di componente bambino e un altro tipo di componente principale allora questo nuovo vincolo sarà trattata come una 'O'. Questo è il tipo deve essere un bambino di tipo genitore A otipo genitore B, e il livello di applicazione (ad esempio Avvertito o forzata - vedi punto seguente) devono essere gli stessi vincoli altrimenti imposti sempre ignorare quelli avvertiti.

6. Scegliere se si desidera che il vincolo di essere Disabilitato, Avvertito o Imposto.

Nota

Vincoli disabili verranno ignorati dalla convalida di vincolo, vincoli avvertito produrrà un avviso nella finestra di convalida se vengono rilevati e vincoli forzate produrranno un errore nella finestra di convalida, se vengono rilevati. Inoltre, tutti gli errori devono essere risolti prima di un Impresa Server progetto può essere commesso.

7. Clic ok.

Nota

Il vincolo viene visualizzata nella vista Explorer sotto il tipo di componente selezionato al punto 5. La freccia indica la direzione del vincolo e, in questo caso punterà in alto ea sinistra. Il lucchetto è colorato a seconda che il vincolo è disattivato (grigio), Avvertito (giallo) o forzate (rosso).

Bambino deve avere vincolo genitore avvertito

Per definire un vincolo topologia, in cui un componente deve essere collegato a una connessione specifica

4. Sul Aggiungi vincolobarrare la finestra Creare vincolocasella di controllo sotto la Componente devono essere allegati Vincolo area.

5. Seleziona il Tipo di connessionedal menu a tendina che si desidera specificare come il collegamento allegato del tipo di componente fa click destro al punto 3. (In alternativa, selezionare il tipo di componentedal menu a tendina che si desidera specificare come componente collegato se nel passaggio 3 destro del clic su un tipo di connessione.)

Nota

Se esiste già un vincolo abilitato 'componente deve essere allegata' definito per il tipo di componente e un altro tipo di connessione allora questo nuovo vincolo sarà trattata come una 'E'. Questo è il tipo di componente deve essere allegata al tipo di collegamento A etipo di collegamento B, a qualunque livello di applicazione (ad esempio portatori di handicap, Avvertito o forzata - vedere il punto 7) è specificato per ogni vincolo.

6. Opzionalmente è possibile selezionare una connessione ruoloche si desidera aggiungere al vincolo. Seleggere il specifica ruolo (cioè sia Source o Sink) dalla casella a discesa.

7. Scegliere se si desidera che il vincolo di essere Disabilitato, Avvertito o Imposto.

Nota

Vincoli disabili verranno ignorati dalla convalida di vincolo, vincoli avvertito produrrà un avviso nella finestra di convalida se vengono rilevati e vincoli forzate produrranno un errore nella finestra di convalida, se vengono rilevati. Inoltre, tutti gli errori devono essere risolti prima di un Impresa Server progetto può essere commesso.

8. Clic ok.

Per definire un vincolo topologia, in cui una connessione deve essere collegato a un componente specifico

4. Sul Aggiungi vincolobarrare la finestra Creare vincolocasella di controllo sotto la Collegamento devono essere allegati Vincolo area.

5. Seleziona il Tipo di connessionedal menu a tendina che si desidera specificare come il collegamento allegato del tipo di componente fa click destro al punto 3. (In alternativa, selezionare il tipo di componentedal menu a tendina che si desidera specificare come componente collegato se nel passaggio 3 destro del clic su un tipo di connessione.)

Nota

Se c'è vincolo già abilitato 'connessione deve essere allegata' definito per il tipo di connessione e un altro tipo di componente utilizzando la stessa connessione ruolo(cioè sia Source o Sink), allora questo nuovo vincolo saranno trattati come una 'O'. Questo è il tipo di connessione deve essere allegata al tipo di componente A otipo di componente B, e il livello di applicazione (ad esempio Avvertito o forzata - vedi punto 7) devono essere gli stessi vincoli altrimenti imposti sempre ignorare quelli avvertiti. Si noti inoltre, che se ci sono più vincoli che hanno la connessione ruolospecificato come 'Qualsiasi' (al contrario di specificamente Source o Sink) allora ogni estremità del collegamento deve essere collegato a uno dei tipi di componenti specificati nei vincoli.

6. Opzionalmente è possibile selezionare una connessione ruoloche si desidera aggiungere al vincolo. Seleggere il specifica ruolo (cioè sia fonte o Lavello) dalla casella a discesa.

Nota

Origine o ruolo Sink deve essere esplicitamente selezionato per un Attaccamento colonna sia avilable per essere mostrato in un componente catalogo .

7. Scegliere se si desidera che il vincolo di essere Disabilitato, Avvertito o Imposto.

Nota

Vincoli disabili verranno ignorati dalla convalida di vincolo, vincoli avvertito produrrà un avviso nella finestra di convalida se vengono rilevati e vincoli forzate produrranno un errore nella finestra di convalida, se vengono rilevati. Inoltre, tutti gli errori devono essere risolti prima di un Impresa Server progetto può essere commesso.

8. Clic ok.

Tempo reale model checking e costrizioneconvalida

ABACUS include unain tempo reale Model Checking e Funzionalità di convalida per subito display gli effetti di una determinata operazione utente avrà sul le avvertenze e gli errori con il progetto in corso, a causa di qualsiasi gerarchia e topologia vincoli che sono stati definiti. Va notato che tutti gli errori devono essere risolti prima un Impresa Server progetto può essere commesso.

La funzione di convalida vincolo in tempo reale è più evidente quando il popolamento con diagrammi o direttamente nella finestra Esplora. In particolare, durante le seguenti operazioni, la guida viene dato con riflessi di colore per l'effetto l'operazione avrà sul le avvertenze e gli errori con il progetto in corso;

1. Quando elementi di trascinamento su o attorno a un diagramma di colore del genitore (o fissaggio) del componente (se presente) bordo sarà colorata secondo lo schema di seguito descritto.

2. Quando si collega componenti utilizzando la destro del mouse trascinare | Connetti a caratterizzare l'elenco dei tipi di connessione disponibili è colorato secondo lo schema di seguito descritto.

3. Quando si collegano i componenti su diagrammi utilizzando la modalità connettore il cursore cambierà i colori secondo lo schema di seguito descritto.

4. Quando si aggiungono sottocomponenti l'elenco dei Tipi di componenti disponibili è colorato secondo lo schema descritto in appresso.

In generale, i colori sono usati per indicare gli effetti dell'operazione utente avrà sugli avvisi e gli errori con il progetto in corso;

Nero : Nessun impatto su avvisi o errori.

Verde : L'operazione è esplicitamente in accordo condefiniti Gerarchia e topologia vincoli per il progetto.

Rosso : L'operazione è esplicitamente in violazione dile Gerarchia e topologia vincoli definiti per il progetto e si tradurrà in avvisi e / o errori.

Sfondo model checking e costrizioneconvalida

ABACUS include una Funzionalità di convalida per visualizzare tutti gli avvisi e gli errori con il progetto in corso, a causa di vincoli che sono stati definiti. Va notato che tutti gli errori devono essere risolti prima un Impresa Server progetto può essere commesso.

Nota

Ha bisogno di convalida da eseguire manualmente tramite il 'Convalida / Check vincoli di progetto "pulsante sul Barra degli strumenti principale . La finestra di convalida è nascosta per impostazione predefinitama appare quando si fa clic sul pulsante della barra degli strumenti. Vedere Personalizzazione dell'interfaccia per come far riapparire e potenzialmente lasciarlo mostrato permanentemente. Inoltre, è possibile fare doppio clic su qualsiasi riga nella finestra di convalida per 'saltare' l'elemento rilevante nel progetto.

Finestra di convalida

Le colonne di default della finestra di convalida vengono descritti come segue;

Avvertenza o Errore: Questa colonna visualizza un'icona per se la violazione è un avvertimento (triangolo giallo con un punto esclamativo) o Error (cerchio rosso con una croce).

Numero: Questa colonna viene visualizzato il numero di violazione.

Nota

Solo 200 le violazioni sono mostrati alla volta e se ci sono più di 200 le violazioni in un progetto Start, Indietro, Avanti e navigatori fila End in alto a destra della finestra possono essere utilizzati per visualizza le violazioni supplementari.

Descrizione: Si tratta di una descrizione completa della violazione tra cui l'Ente e vincolo in questione.

Entità: Questa colonna visualizza l'entità di preoccupazione per la violazione.

Tipo: Questa colonna viene visualizzato il tipo di elemento per l'Ente.

Architettura: Questa colonna visualizza l'architettura in cui si è verificata la violazione.

Rilevato: Questa colonna riporta il tempo che la violazione è stata rilevata.

Mancia

E 'utile in ordine discendente dalla colonna Riconosciuto (come mostrato nella finestra sopra) per assicurare le più recenti violazioni appaiono in' top 'della lista.

Ci sono diverse opzioni utente per cambiare il comportamento della convalida modello di fondo. Ad esempio to modificare i colori utilizzati per violazioni dei vincoli di qualcosa di diverso da quello predefinito Rosso, clic su Strumenti | Opzioni ... poi vai a il Validazionescheda, e impostare i colori tramite il Cambia pulsanti.

Validazione Opzioni

Per convalidare manualmente vincoli

1. Pulsante destro del mouse sul Architetturenodo, qualsiasi architettura o dovunque sia nel Componenti o Collegamentiparte della vista esploratore e selezionare Controllare Vincoli.

Convalida vincoli

2. Clicca il Dettaglipulsante sulla Avvertenzefinestra per vedere dove l'architettura viola i vincoli che sono stati definiti.

Nota

Le violazioni sono indicati solo per i vincoli che sono stati impostati per Avvertito o forzate. Inoltre la formulazione dell'avviso includerà 'dovrebbe', se il vincolo fosse solo un avvertimento o di 'must' se è stato imposto.

3. Clic ok.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente


L'eliminazione di un componente o collegamento

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

L'eliminazione di un componente o collegamento

Invia commenti su questo argomento.

Per eliminare un componente o connessione

1. Pulsante destro del mousesul componente o connessione.

2. Selezionare Cancellare.

Attenzione

ABACUS vi avvertirà quali viste saranno interessati dalla soppressione e chiederà di confermare l'eliminazione. Questo perché possono esistere elementi su molti schemi e vale la pena di controllare ciò che la soppressione proposta interesserà.

Mancia

Se si elimina un componente, tutti i suoi sotto-componenti saranno anche eliminati. È possibile scegliere di eliminare i collegamenti interni ed esterni al componente. Se si sceglie di non eliminarli, i collegamenti è allegato a rimarranno, ma non sarà più collegato. Tutti i componenti e le connessioni sono di particolare Tipo . Cancellare il componente / collegamento non ha alcun impatto sul tipo (nel ramo tipi di albero). Analogamente, se il componente / ha un collegamento Standard assegnato, la cancellazione non avrà alcun impatto sul master nel ramo Standards.

Guarda anche

Compilazione l'architettura - Panoramica


Punti di vista Diagramma

Navigazione: Popolare vostra architettura> Uso di disegni>

Punti di vista Diagramma

Invia commenti su questo argomento.

The punti di vistacaratteristica assicura che i componenti e connessioni che vengono aggiunte ad uno schema devono avere un'associazione tipo precedentemente definito prima che possano essere aggiunti a un diagramma. Questa caratteristica consente per la restrizione dei tipi di diagrammi che si possono trarre limitando le forme e connettori che sono associati con i componenti e Collegamentiesistente all'interno della vostra architettura.

Attivazione o disattivazione schema Enforcing punti di vista

La capacità di far rispettare punti di vista diagramma viene automaticamente attivata per impostazione predefinita. Per disattivare / attivare questa funzione cliccare su Strumenti | Opzioni ...| il Diagrammascheda, e deselezionare / selezionare il Imporre Diagramma Punti di vistacasella di controllo di conseguenza.

Nota

Se non vedi la 'Applica Diagramma Punti di vista'Opzione nella scheda Diagramma allora non hai Designer add-on e l'opzione è attiva per impostazione predefinita.

Creazione di un diagramma esecutivo punto di vista

1. Assicurarsi di avere un File ABACUS aperto con la esploratorevista visualizzata.

2. Nella visualizzazione Explorer fare clic destro sul Vistapuntose cliccare su Creare Punto di vista Diagramma

3. Il Punto di vista Diagrammaverrà visualizzata la finestra.

4. Assegnare un nome pertinente alla punto di vista diagrammae notare che la punto di vista viene salvato nella Punti di vistasezione dell'esploratore.

5. Il Punto di vista Diagrammaverrà visualizzata la finestra.

6. Ora fare clic e trascinare i tipi di componenti rilevanti e tipi di connessione nelle architetture sulla Forme punto di vista tu vuoi. Tipi di componentideve essere trascinato su una forma nel Formescheda, mentre tipi di connessionedeve essere trascinato una delle forme di stile 5 di linea nel Connettorischeda.

7. Per salvare il punto di vista diagrammasi è creato, fare clic sul [image] sul alto a destra della vostra Punto di vista Diagramma finestra.

Nota

Il punto di vista diagrammapuò essere modificato facendo clic destro sulla punto di vista e selezionando Aprire o un doppio clicil punto di vista.

Synchonising un punto di vista aggiornato con diagrammi

1. Assicurarsi di avere un File ABACUS aprire.

2. O fare clic con il punto di vista della Esploratore finestra sotto Meta-modello | Punti di vistae selezionare Sync Schema Mapping ...

- o -

3. Chiudere il punto di vista aperto e aggiornato Finestra e selezionare sì nel Sincronizza a Viewpointdialogo che viene visualizzata.

4. Il Punto di vista Sincronizzazionedialogo verrà visualizzata come mostrato di seguito.

Caselle di controllo

· Aggiungere Mapping mancanti- Qualsiasi nuova forma (per tipo di componente) o connettore (per tipo di connessione) associazioni che sono state aggiunte al punto di vistaverrà aggiunto alla diagramma corrispondentes (cioè la lorostampinoS) che sono collegati al punto di vista.

· AggiornareMapping- Eventuali aspetti aggiornate della forma esistente (per tipo di componente) o connettore (per il tipo di connessione) per associazioni il punto di vista(ad esempio il colore, gli stili dei caratteri) sarà aggiornata nel diagramma corrispondentes (cioè la lorostampinoS) che sono collegati al punto di vista.

· Rimuovere ExtraMapping- Qualsiasi forma supplementare (per tipo di componente) o connettore (per tipo di connessione) associazioni che sono state aggiunte al diagrammi (cioè i loro stencil), ma non sono in punto di vistaverrà rimosso dal diagramma corrispondentes (cioè la lorostampinoS) che sono collegati al punto di vista.

· Sovrascrivi Impostazioni locali per aggiunto o modificato Mapping (Differenze solo)- Eventuali aspetti aggiornate della forma esistente (per tipo di componente) o connettore (per il tipo di connessione) per associazioni il punto di vista(ad esempio colore, stili di carattere) verranno applicate agli elementi corrispondenti diagrammi che sono collegati al punto di vista.Solo si applicano le 'differenze' aggiornata apportate al punto di vista così le impostazioni locali esistenti nel diagramma che non sono stati aggiornati nel punto di vista rimarranno invariati.

· [image] Annotazioni – Come sopra ma specificamente per le annotazioni.

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


Disegno Caratteristiche utensili

Navigazione: Popolare vostra architettura> Uso di disegni>

Disegno Caratteristiche utensili

Invia commenti su questo argomento.

Lo strumento di disegno supporta una serie di funzioni di disegno.

Zoom

La scala del diagramma può essere modificato utilizzando la funzione zoom.

Per diminuire la scala o 'zoom in'

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. stampa Ctrle il tasto '='.

- o -

2. Seleziona il Zoom Inpulsante sulla Diagrambarra degli strumenti.

- o -

2. stampa Ctrle girare la rotellina del mouse inoltrare. Nota: In questa modalità la tela zoom verso cui il mouse passa sopra la tela.

Per aumentare la scala o 'zoom out'

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. stampa Ctrle il tasto '-'.

- o -

2. Seleziona il Zoom Outpulsante sulla Diagrambarra degli strumenti.

- o -

2. stampa Ctrle girare la rotellina del mouse a rovescio. Nota: In questa modalità la tela zoom verso l'esterno dove il mouse passa sopra la tela.

Layout Auto

La disposizione dei componenti nel diagramma può essere modificato automaticamente.

Disporre tutti Componenti on un diagramma

1. Cleccare il Schema di layoutpulsante sulla barra Diagramma.

2. Selezionare entrambi Disposizione Radial o Griglia layout.

Nota

La disposizione radiale utilizzerà quello che viene chiamato un algoritmo 'forza-diretto' tale che i componenti collegati sono disegnati insieme mentre i componenti non collegati sono costretti a parte. Il layout Grid usare un algoritmo fisso larghezza e altezza spaziatura. Esso consente in primo luogo all'utente di scegliere il rapporto di aspetto schema generale (ad esempio 16: 9, A4 (Ritratto), Lettera (Paesaggio)), e poi la distanza ai lati e tra le colonne e le righe, come mostrato di seguito.Con il layout Griglia qualsiasi collegamento tra i componenti non influenzano il layout come sistema semplicemente i componenti in ordine alfabetico (con il loro nome) dalla parte superiore sinistra alla parte inferiore destra della tela. Con entrambi gli algoritmi forme libere non vengono spostati.

Disporre bambini Componenti in un solo genitore on un diagramma

1. Pulsante destro del mouseun componente di alto livello i cui figli si desidera configurazione automatica.

2. Selezionare Layout Bambini.

Nota

Di default viene utilizzato solo l'algoritmo di layout Radial.

Cambiare Element Estetica come Colore, La trasparenza, ombre e rotazione

Tutti gli elementi hanno diagramma estetica che possono essere manipolate, se lo desideri. Nel caso di forme associate, possono essere impostati questi aspetti per tipoe nella maggior parte dei casi anche per esempio. Nel caso di forme libere, è possibile impostare queste proprietà per esempiosulla tela.

Nota

Qualsiasi per gli aspetti delle istanze che sono state fissate per le forme associate saranno 'sovrascritto' se lo stesso aspetto è cambiato per il tipo corrispondente.

Per cambiare il colore di una forma associata o una forma libera

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o forma libera sulla tela.

3. Selezionare Cambia colore.

4. Seleziona il Fixed Colorepulsante di scelta (se applicabile).

5. Scegliere un colore di base o definire un colore personalizzato nella finestra di dialogo e fare clic su ok.

- o -

4. Seleziona il Pendenzapulsante di scelta (se applicabile).

5. Scegliere orizzontale, verticale, diagonale in avanti o indietro diagonale per la direzione del gradiente nella tendina e cliccare ok.

6. Scegliere un colore di base o definire un colore personalizzato nella finestra di dialogo per Cominciare e Finee fare clic su ok.

Nota

ABACUS colorerà il primo piano di una forma se;
a) si tratta di una forma di 'semplice' con un singolo elemento grafico sottostante (ad esempio cerchio, rettangolo, poligono, ecc), o
b) si tratta di una forma di 'complesso' con molteplici subshapes sottostanti che sono tutto il colore stesso / gradiente tra loro o le subshapes hanno LockScale = TRUE set.
Se le condizioni non sono soddisfatte, lo sfondo della forma è colorata.

Per impostare il colore di una forma associata secondo una proprietà

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil(NON sulla tela disegno).

3. Selezionare Cambia colore.

4. Seleziona il Utilizzo di Proprietàpulsante di scelta.

5. Selezionare una struttura cliccando sul pulsante '...' a destra della casella di testo.

6. Seleziona il Gamma pulsante di scelta.

7. Regolare il Min e Maxvalori come desiderato. Nota: qualsiasi valore al di sotto del valore minimo viene mostrato come il colore Min e un valore al di sopra del massimo verrà mostrato come il colore max. Inoltre, quando si utilizza booleano, List o data / ora proprietà i valori vengono convertiti in un indice come segue; Boolean (False = 0, True = 1), Lista (una vale intero da 1 a n per ogni valore valido il loro ordine crescente specificato nel campo Unit) e data / ora (numero di giorni dal 1 ° gennaio 1900 - tra cui decimali per ore, minuti, secondi porzioni - e se la data è pre-1990 è un numero negativo).

8. Scegliere un colore di base o definire un colore personalizzato nella finestra di dialogo per Min e Maxe fare clic su ok.

Mancia

Se Verde (RGB - 128,255,0) viene scelto come il colore e Min Rosso (RGB - 255,0,0) viene scelto come colore Max per una proprietà con campo di valori di 1 a 4quindi un valore di 1verrà visualizzato come Verde, Un valore di 2 come Giallo, 3 come arancia e 4 come Rosso.

In alternativa, per una serie di proprietà di 1 a 3un valore di 1sarà come Verde, Un valore di 2 come Ambra e 3 come Rossoalias 'semaforo' o stato RAG.

Per un intervallo di proprietà di 1 a 5 se Blu (RGB - 0,0,255) viene scelto come il colore e Min Rosso (RGB - 255,0,0) viene scelto come il colore del Max valore 1 sarà come Blu, Un valore di 2 come Acqua, Un valore di 3 come Verde, Un valore di 4 come Giallo e un valore di 5 come Rosso.

Per un intervallo di proprietà di 1 a 6 se Viola (RGB - 255,0,255) viene scelto come il colore e Min Rosso (RGB - 255,0,0) viene scelto come il colore del Max valore 1 sarà come Viola, Un valore di 2 come Blu, Un valore di 3 come Acqua, Un valore di 4 come Verde, Un valore di 5 come Giallo e un valore di 6 come Rosso.

Infine, per una serie di proprietà di 1 a 7 un valore 1 sarà come Viola, Un valore di 2 come Blu scuro, Un valore di 3 come Azzurro, Un valore di 4 come Blu verde, Un valore di 5 come Verde, Un valore di 6 come Ambra e un valore di 7 come Rosso

Nota

Vedere la nota di cui sopra in primo piano contro sfondo colorazione.

- o -

7. Seleziona il Valore specificapulsante di scelta.

8. Clicca il Modifica Colori pulsante.

9. Selezionare ogni valore, a sua volta e fare clic su Impostare Coloreimpostare un colore specifico per ogni valore.

Nota

L'intervallo di valori per gli elementi presenti sullo schema verrà pre-popolato.

10. Per aggiungere tutti i colori di valore aggiuntivi rispetto a quelli già compilati (ad esempio dopo l'intervallo di proprietà è stata riconfigurata) clic Aggiungere valore.

Per modificare la trasparenza del colore di una forma associata o una forma libera

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o forma libera sulla tela.

3. Selezionare Cambia colore.

4. Nel pannello Trasparenza impostare il dispositivo di scorrimento superiore per la trasparenza desiderata per il colore di base.

5. Se si utilizzano i Utilizzo delle opzioni di proprietà Sfumatura o, nel pannello Trasparenza impostare il cursore in basso alla trasparenza desiderato per il secondo colore.

6. Clic ok.

Mostrare ombre per tutti di associato forme in un diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componentischeda della finestra stencil.

3. Selezionare Aggiungere Shadows.

A mostrare un'ombra su una forma componente o forma libera

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Destra-clicsulla forma componente o mano libera sulla tela.

3. Selezionare Aggiungere Shadows.

Per ruotare le forme dei componenti e formare forme libere nei diagrammi

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Selezionare la forma componente o una forma libera sulla tela si desidera ruotare.

3. Pulsante destro del mousesulla forma e selezionare Ruotaree quindi selezionare l'angolo relativo che si desidera ruotare la forma facendo.

Cambiare Elemento annotazioni ed etichette di testo a mano libera

Tutti gli elementi hanno diagramma annotazioni che può essere manipolato come desiderato. Nel caso di forme associate, possono essere impostati questi aspetti per tipoe nella maggior parte dei casi anche per esempio. Nel caso di forme liberee connettori, Laetichette di testo può essere impostato per esempiosulla tela.Otto (8) diversi tipi di annotazioni possono essere visualizzati per gli elementi dello schema (cioè Nome, Tipo, valore proprietà, proprietà Marker, Componenti In un rapporto, i bambini (per i soli componenti), Standard e timestamp (creato, modificato da ecc)), in ventidue cinque (25) diverse posizioni (ad es Centro - Top Esterno, Interno sinistra - centro, esterno destro - In basso a esterno).

Nota

Qualsiasi per gli aspetti delle istanze che sono state fissate per le forme associate saranno 'sovrascritto' se lo stesso aspetto è cambiato per il tipo corrispondente.Inoltre, quando 2 o più annotazioni occupano la stessa posizione di un solo tipo, lo stile, il colore e dimensione dei caratteri possono essere utilizzati e un separatore (ad esempio virgola, spazio, nuova riga) deve essere selezionata.

Mostrare il nome o il tipo un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Nome o Tipo.

5. Nella finestra di dialogo che appare selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Per mostrare una proprietà valore un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Costo dell'immobile.

5. Nella finestra di dialogo che appare selezionare la proprietà facendo clic sulla proprietà: '...' pulsante e scegliendo una proprietà nella finestra di dialogo Seleziona una Proprietàe selezionare ok. Selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Per mostrare una proprietà marcatore un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Proprietà Marker.

5. Nella finestra di dialogo che appare selezionare la proprietà facendo clic sulla proprietà: '...' pulsante e scegliendo una proprietà nella finestra di dialogo Seleziona una Proprietàe selezionare ok. Impostare il raggio del marcatore in pixel e il metodo di colorazione a uno Colour By Gamma o Colour By Proprietà e impostare le assegnazioni colori. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Mostrare componenti collegati un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Componenti allegati.

5. Nella finestra di dialogo che appare, per i componenti associati selezionare il tipo di componente collegato cliccando sul Attached: pulsante '...' e la scelta di un tipo di componente nella finestra di dialogo Imposta tipo Componente selezionare ok. Selezionare il tipo di connessione in allegato cliccando il via Connected: '...' pulsante e scegliendo un tipo di connessione nella finestra di dialogo Imposta Tipo di connessionee selezionare ok.Per le connessioni associate selezionare la fine di connessione selezionando logica positiva o negativa dalla fine Collegamento: menu a discesa. Per entrambi i componenti e le connessioni associate selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Mostrare i bambini un componente associato

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componentischeda della finestra stencil o di forma associata sulla tela.

3. Selezionare Annotazioni.

Nota

Per un individuo forma associata sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Bambini.

5. Nella finestra di dialogo che appare selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Mostrare le norme un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Standards.

5. Nella finestra di dialogo che appare selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Mostrare i timestamp un componente o connessione associata

1. Verificare di disporre di uno esistente Schema aperto .

2. Pulsante destro del mousesu una forma associata o connettore nella Componenti o Collegamentischeda della finestra stencil o di forma associata o di un connettore sulla tela.

3. Selezionare Annotazioni.

Nota

Per una forma individuale o associata connettore sulla tela è necessario selezionare il Sostituisci Stencil AnnotazioniCasella di controllo per la prima volta.

4. Selezionare Nuovo annotazione nella barra degli strumenti e selezionare Creato, Creato da, Creato Marker, modificato, modificato da o Modificato Marker.

5. Nella finestra di dialogo che appare, se non un marcatore, selezionare le opzioni di visualizzazione che sono voluti compreso staffe e lo stile del carattere, font, colore font e dimensione. Se un marcatore, impostare il raggio del marcatore in pixel e il metodo di colorazione a uno Colour By Gamma o Colour By Proprietà e impostare le assegnazioni colori. Inoltre, selezionare le opzioni di layout che sono voluti tra cui l'allineamento orizzontale e verticale (cioè posizione annotazione) e l'angolo (cioè la rotazione). Selezionare ok.

Per modificare lo stile del carattere di una forma liberao il connettore

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesulla forma libera o il connettore sulla tela. Nota: se il connettore etichetta di testo non si mostra poi per mostrare la connessioneo etichetta di testo: Pulsante destro del mouseconnectoe selezionare Note | Mostra annotazione.

3. Selezionare Cambia carattere.

4. Selezionare uno stile di carattere, carattere e le dimensioni nella finestra di dialogo e selezionare ok.

Per cambiare il tipo di carattere colore di una forma liberao il connettore

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesulla forma libera o il connettore sulla tela. Nota: se il connettore etichetta di testo non si mostra poi per mostrare la connessioneo etichetta di testo: Pulsante destro del mouseconnectoe selezionare Note | Mostra annotazione.

3. Selezionare Cambia Font Colour.

4. Selezionare un tipo di carattereColore (e per le forme Link Colour) facendo clic sul pulsante '...' e selezionando un colore nella finestra di dialogo e selezionare ok.

5. Selezionare la trasparenza dell'etichetta di testo regolando il cursore con 0 è completamente trasparente e 255 essendo completamente opaco.

Per ruotare l'etichetta di testo di una forma liberao il connettore

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Pulsante destro del mousesulla forma libera o il connettore sulla tela. Nota: se il connettore etichetta di testo non si mostra poi per mostrare la connessioneo etichetta di testo: Pulsante destro del mouseconnectoe selezionare Note | Mostra annotazione.

3. Selezionare Ruotaree quindi selezionare l'angolo relativo si desidera ruotare il etichetta di testo di.

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


Simulando Total Cost of Ownership (TCO)

Navigazione: Simulare l'architettura> Simulatori>

Simulando Total Cost of Ownership (TCO)

Invia commenti su questo argomento.

Sfondo

Total Cost of Ownership (TCO) è una stima finanziaria, destinato a misurare i costi del ciclo di vita totale sostenuto (dall'acquisizione di smantellamento / smaltimento) associate a beni di proprietà. TCO riflette non solo i costi di acquisto, include anche tutti gli altri aspetti della ulteriore uso e la manutenzione del bene.

TCO viene utilizzato per determinare gli sforzi ei costi necessari budget da spendere su un sistema. Un modo semplice di modellazione in ABACUS per TCO è quello di rompere il sistema IT in componenti. Possiamo poi scoprire quanto, in media, costa per eseguire uno di questi componenti. Dopo questo potremmo poi fattore di costi diversi a seconda che il sistema informatico è evolvable o aperto ecc Se un sistema è già installato e funzionante, il fattore principale da considerare è il costo della manutenzione e, forse, il costo di smantellare.

Un esempio

Schema per Esempio di calcolo

Il componente in Associazione o il suo standard ha queste caratteristiche:

· FTE= 100 000 $ / anno

· Supporto Sforzo= 0,01 ETP + 0.001 FTE / anno = 1000 $ + 100 $ / anno

· Costo di manutenzione= 100 $ - 10 $ / anno

· Costo del capitale= 2000 $

· Installare Sforzo= 2 FTE / giorno = 0,01 FTE / anno = 1000 $

Il componente in Organizzazione ha queste caratteristiche:

· Installare Horizon= -2 Anni (vale a dire il sistema è stato installato 2 anni prima del presente)

· Durata= 3 anni

quando Installare Horizon + Durata della vita <= 0 , Non c'è più costi di manutenzione.

Calcoli

I calcoli sono i seguenti:

Nota

TC = il costo per anno. SE = sostenere lo sforzo. MC = costi di manutenzione.

· Costo = Capitale Costo iniziale + Installare Sforzo= 2000 + 1000 = 3000 $

· A t = -2 (durante 1 ° anno), TC = Costo iniziale + SE + MC= 3000 + 1000 + 100 = 4100 $

· A t = -1, TC = SE + MC= (1000 + 100) + (100 - 10) = 1190 $

· A t = 0, TC = (1000 + 200) + (100 - 20) = 1280 $

· A t = 1 (ultimo anno), TC = (1000 + 300) + (100 - 30) = 1370 $

Grafico per Esempio di calcolo

TCO è la somma di tutti i costi presenti e futuri fino a quando il sistema è stato dismesso.

· A t = -2 (durante 1 ° anno), TCO = 4100 + 1190 + 1280 + 1370 = 7940 $

· A t = -1, TCO = 1190 + 1280 + 1370 = 3840 $

· A t = 0, TCO = 1280 + 1370 = 2650 $

· A t = 1 (ultimo anno), TCO = 1.370 $

Fattori di costo principali

I fattori di costo principali da considerare per il calcolo del costo totale di proprietà di un bene in ABACUS sono:

· Acquisizione Hardware- Costo iniziale delle attrezzature (costo del capitale).

· Software di acquisizione- Costo iniziale della licenza per il software (costo del capitale).

· Installazione- I costi associati alla configurazione iniziale.

· Formazione- Costi associati alla formazione fornitore esterno dopo la configurazione iniziale.

· Supporto- Costi associati con il supporto interno.

· Manutenzione- I costi di sostituzione o l'aggiornamento del fornitore di contratti di manutenzione, le forniture ed i costi di disaster recovery.

· Infrastruttura- I costi associati con il supporto del bene.

ABACUS Esempio Rappresentazione dei fattori di costo principali

Esecuzione del simulatore di costo

Per simulare l'architettura in termini di costo

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Analisi| Costo.

3. Scegli il Architecture (s)si desidera includere nella valutazione.

Nota

Per impostazione predefinita, ABACUS selezionerà automaticamente l'architettura (s) per i quali è necessaria una seconda simulazione a causa di qualsiasi proprietà sottostante o modifiche strutturali.Questo è mostrato nella evidenziazione Rosso sul Barra degli strumenti di simulazione .

4. Seleziona il Valutadalla tendina.

5. Muovi il Anni per calcolarecursore per il numero di anni richiesti.

Nota

Per impostazione predefinita, se gli anni di calcolare è più di 1 anno i costi saranno automaticamente calcolate per ogni singolo anno (e un insieme di proprietà aggiunti / aggiornati) e quindi un valore cumulativo per l'intero numero di anni calcolati anche. Se è richiesto solo il valore cumulativo quindi deselezionare la Calcoli per-Yearopzione come descritto di seguito per salvare il numero di proprietà nel progetto.

6. Scegliere se lasciare Calcoli per-Yearcontrollato o deselezionare esso.

7. Clic Il prossimo.

8. Opzionalmente scegliere il Collegamentisi vuole attribuire costi lungo come parte della valutazione.

Nota

Usando un Costo | Attribuzioneimmobili sui costi connessioni può essere attribuito dal componente collegato all'estremità lavello della connessione al componente fissato all'estremità fonte(cioè Costo | Attribuzione = "Sink alla Fonte"), o dal componente attaccato al fonte fine della connessione al componente attaccato al lavello fine(cioè Costo | Attribuzione = "Fonte di affondare"). Inoltre, ABACUS selezionerà automaticamente le connessioni con un comportamento | Relazione = "processi" o "supporti"e la direzione di attribuzione sara 'Sink alla Fonte'. Inoltre, i costi sono ripartita secondo una qualsiasi comportamento | % O costo | % Proprietà sulle connessioni, o in alternativa dove ci sono più connessioni da un lavandino per molte fontio la fonte di molti pozziSecondo una qualsiasi comportamento | Caratteristiche di lavorazione sui componenti sorgenteo affondare i componenti, rispettivamente,.

9. Clic Finiturae si otterrà un Avvertimento dialogo.

10. Opzionalmente esplorare le avvertenze cliccando Dettagli >>.

11. Clic Continuare.

Nota

A questo punto, ABACUS effettuerà una valutazione dei costi di valutazione per attività dell'architettura (s) e dopo un breve periodo di tempo (con barre di avanzamento per il feedback) viene visualizzata una finestra completa di calcolo.

12. Clic okdi riconoscere la valutazione.

Mancia

Per i corsi di formazione e ulteriore assistenza a costo di simulazione consultare il Avolution Community .

Componente e / o Connessione Proprietà

Nella tabella seguente sono elencati i componenti e / o connessione proprietà necessari per la valutazione dei costi.Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'ingresso dei costi'. Un cambiamento a qualsiasi di queste proprietà "input" e varie modifiche strutturali al repository comporterà il simulatore di costo che richiede una nuova simulazione, come indicato nella Rosso sul Barra degli strumenti di simulazione .

Tipo

Nome

Valore di default

Unità

Tipo di dati

Richiesto

Descrizione

Costo

Installare Horizon

0

anni

Numero intero

Vero

Specifica quando il componente o connessione è stato o verrà installato.

· Un valore pari a 0 (predefinito) indica che il componente o connessione viene installato l'anno in corso.

· Un valore minore di 0 indica che il componente o connessione è stato installato in passato.

· Un valore maggiore di 0 indica che il componente o connessione sarà installato in futuro.

Costo

Durata

0

anni

Numero intero

Vero

Specifica la lunghezza del tempo in cui la componente o connessione rimarrà in funzione, dopo di che verrà dismesso.

Costo

FTE

100.000,00

$ / anno

Decimale

Falso

Il costo annuale di ogni dipendente a tempo pieno.

Se questa proprietà non viene trovata nel componentestessa o in caso di connessioni componente collegato all'estremità sink del collegamento, Verrà cercato in altri componenti.

In primo luogo, qualsiasi 'sink' componentes alla fine di a connessione con un rapporto "supporti" al componente saranno cercati, seguito da il genitore del componente 'affondare'S.

Se la proprietà FTE non viene trovato, del componente genitoreverranno quindi ricercati -components. Se FTE non viene ancora trovata, viene utilizzato il valore predefinito.

Nota: FTE è solo una proprietà input valido su componenti.

Costo

Costi di manutenzione (fisso)

0.00

$ / anno

Decimale

Falso

Il costo fisso annuo del mantenimento della componenteo connessione.

Costo

Costi di manutenzione (variabile)

0.00

$ / anno

Decimale

Falso

L'importo di cui il costo totale della manutenzione del componente o connessione cambierà ogni anno.

Ad esempio, un valore di $ -500 indica che il costo di manutenzione totale diminuisce di $ 500 ogni anno, mentre un valore di $ 500 indica che gli incrementi di costi di manutenzione per $ 500 ogni anno.

Costo

Supporto Sforzo (fisso)

0.00

FTE / anno

Decimale

Falso

Lo sforzo fisso annuale del sostegno per la componenteo connessione, Specificato in termini di anni-persona.

Costo

Supporto Sforzo (variabile)

0.00

FTE / anno

Decimale

Falso

Il valore dello sforzo complessivo di sostenere il componente o connessione cambierà ogni anno.

Ad esempio, un valore di -0.01 indica che lo sforzo totale supporto diminuisce di 0,01 anni persona ogni anno, mentre un valore di 0,01 indica che gli incrementi di sforzo supporto di 0,01 ogni anno.

Costo

Costo del capitale

0.00

$

Decimale

Falso

Il costo iniziale di acquisto del componenteo connessione.

Costo

Installare Sforzo

0.00

FTE

Decimale

Falso

Lo sforzo richiesto, in anni-persona, per installare il componenteo connessione.

Nella tabella seguente sono elencati i componenti e / o connessione proprietà che sono uscita dal valutatore TCO. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Output costo'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di costo richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Nota

Dove le proprietà di uscita dal valutatore TCO devono essere 'arrotondato' il "mezzo tondo a anche" l'approccio (indicato anche come 'banchieri' arrotondamento) è usato.Questa tecnica viene utilizzata per risolvere in modo più uniforme ogni 0,5 'tie-break "con il risultato di essere arrotondati al più vicino anche Di conseguenza, piuttosto che sempre arrotondando e inficiare il risultato. Cioè 2.5 viene arrotondato a 2, mentre 3,5 viene arrotondato a 4, piuttosto che essendo entrambi o arrotondato per difetto a 2 e 3 o arrotondato a 3 e 4.

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Costo | Costo totale per Acquistare - prossimi x anni. | $ | Numero intero | Falso | Il costo totale di proprietà nel corso del prossimo xanni, dove x è il periodo di tempo specificato durante l'esecuzione il valutatore. Questo include il costo del componente di o la connessione di norme, sub-componentio sotto-connessioni(cioè bambini) e gli eventuali costi attribuiti.
Costo | Costo totale per Acquistare (locale) - prossimo x anni. | $ | Numero intero | Falso | Il costo 'locale' di proprietà nel corso del prossimo xanni, dove xè il periodo di tempo specificato quando si esegue il valutatore. Questo fa nonincludere il costo dei sottocomponenti del componente o sub-collegamenti di connessione (cioèbambini) o eventuali costi attribuiti.
Costo | Costo totale per Acquistare (bambini) - prossimo x anni. | $ | Numero intero | Falso | Il costo 'figli' di proprietà nel corso del prossimo xanni, dove x è il periodo di tempo specificato durante l'esecuzione il valutatore. Questo solo comprende il costo dei sottocomponenti del componente o sub-collegamenti di connessione (cioè bambini).
Costo | Costo totale per Acquistare (attribuito) - prossimo x anni. | $ | Numero intero | Falso | Il costo e 'attribuito' di proprietà nel corso del prossimo xanni, dove x è il periodo di tempo specificato durante l'esecuzione il valutatore. Questo solo comprende eventuali costi attribuiti dai componenti collegati(che può ovviamente includere i costi attribuiti da qualsiasi collegamento allegati).

Nella tabella seguente sono elencati i componenti e / o connessione proprietà che sono uscita dal valutatore TCOse la Calcola Per-Anno Costi opzione è selezionata. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Output costo'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di costo richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Nota

Vedere la nota sopra sulla possibile arrotondamento degli proprietà di output.

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Costo | Costo totale per Acquistare - anno X. | $ | Numero intero | Falso | Il costo totale di proprietà per anno x, Dove x è per ogni anno specificata durante l'esecuzione il valutatore. Questo include il costo del componente dio la connessione di norme, sub-componenti o sotto-connessioni (cioè bambini) e gli eventuali costi attribuiti.
Costo | Costo totale per Acquistare (locale) - anno X. | $ | Numero intero | Falso | Il costo 'locale' di proprietà per anni x, dove x è per ogni anno specificata durante l'esecuzione il valutatore. Questo fa nonincludere il costo dei sottocomponenti del componente o sub-collegamenti di connessione (cioè bambini) o eventuali costi attribuiti.
Costo | Costo totale per Acquistare (bambini) - anno X. | $ | Numero intero | Falso | Costi di gestione I 'bambini' per anni x, Dove x è per ogni anno specificata durante l'esecuzione il valutatore. Questo solo comprende il costo dei sottocomponenti del componente o sub-collegamento di collegamento (cioè bambini).
Costo | Costo totale per Acquistare (attribuito) - anno X. | $ | Numero intero | Falso | Il costo e 'attribuito' di proprietà per anni x, Dove x è per ogni anno specificata durante l'esecuzione il valutatore. Questo solo comprende eventuali costi attribuiti dai componenti collegati(che può ovviamente includere i costi attribuiti da qualsiasi collegamento allegati).

Aggiuntivo Proprietà di connessione

La tabella seguente elenca addizionale proprietà di connessione che sono richiesti dal valutatore TCO. Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'costo / prestazioni Input' o semplicemente 'ingresso dei costi'. Un cambiamento a qualsiasi di queste proprietà "input" e varie modifiche strutturali al repository comporterà il costo e / o Simulatore di prestazioni richiede una nuova simulazione come indicato in Rosso sul Barra degli strumenti di simulazione .

Tipo

Nome

Valore di default

Unità

Tipo di dati

Richiesto

Descrizione

Costo

Attribuzione

Lavello a Fonte

[Fonte di affondare | Lavello a Fonte]

Ricerca / Elenco

Vero

Se "Fonte di affondare", Questa connessione volere avere avere costosattribuito 'lungo' esso dal fontecomponente al lavello componente. In alternativa, se "Lavello a Fonte", Questa connessione volere hanno costi attribuito 'lungo' esso dal componente lavandino per la componente di origine.

Comportamento

Relazione

supporti

[processi | supporta]

Ricerca / Elenco

Falso

Se "sostegni", questa connessione indica che componente "sorgente" è sostenuto dalla componente "sink".

Inoltre, se sia "sostegni" o poi il collegamento sarà automaticamente selezionato nelle connessioni "processi" di avere i loro costi attribuito 'lungo' dal componente lavandino per la componente di origine.

Costo

%

100.0

%

Decimale

Falso

Indica la percentuale dei costi componenti lavandino che verranno attribuiti alla componente di origine. I valori% non hanno bisogno di aggiungere fino al 100% ed è semplicemente usato per scalare il "Total Cost per Acquistare - prossimi x anni." proprietà (vedere sopra) dal componente lavandino come è attribuito al componente sorgente.

Proprietà Architettura

Nella tabella seguente sono elencate le proprietà di architettura che sono uscita dal valutatore TCO. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Output costo'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di costo richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Nota

Vedere la nota sopra sulla possibile arrotondamento degli proprietà di output.

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Costo | Costo totale per Acquistare - prossimi x anni. | $ | Numero intero | Falso | Il costo totale di proprietà dell'intera architettura per i prossimi x anni.

Nella tabella seguente sono elencate le proprietà di architettura che sono uscita dal valutatore TCOse la Calcola Per-Anno Costi opzione è selezionata. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Output costo'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di costo richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Nota

Vedere la nota sopra sulla possibile arrotondamento degli proprietà di output.

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Costo | Costo totale per Acquistare - anno X. | $ | Numero intero | Falso | Il costo totale di proprietà per l'intera architettura per anni x nel futuro.


Simulazione Modularità

Navigazione: Simulare l'architettura> Simulatori>

Simulazione Modularità

Invia commenti su questo argomento.

Il simulatore modularità calcola il numero di connessioni in entrata e in uscita per ogni componente.

Per simulare l'architettura in termini di modularità

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Analisi| Modularità.

3. Scegli il Architecture (s)si desidera includere nella valutazione.

Nota

Per impostazione predefinita, ABACUS selezionerà automaticamente l'architettura (s) per i quali è necessaria una seconda simulazione a causa di tutti i cambiamenti strutturali di fondo.Questo è mostrato nella evidenziazione Rosso sul Barra degli strumenti di simulazione .

4. Clic Il prossimo.

5. Scegli il Tipi di collegamento (s)si desidera includere nella valutazione.

6. Clic Il prossimo.

7. Facoltativamente personalizzare i nomi di proprietà per i risultati del calcolo.

8. Clic Finitura.

Nota

A questo punto, ABACUS eseguirà una valutazione strutturale dell'architettura (s) e dopo un breve periodo di tempo (con barre di avanzamento per il feedback) viene visualizzata una finestra completa di calcolo.

9. Clic okdi riconoscere la valutazione.

Mancia

Per i corsi di formazione e ulteriore aiuto sulla modularità di valutazione si rimanda al Avolution Community .

Proprietà del componente

Nella tabella seguente sono elencate le proprietà dei componenti che sono uscita dal valutatore modularità.Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Modularità Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà non sono aggiornati a causa di un cambiamento strutturale sottostante al repository e il simulatore Modularità richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Tipo di dati | Richiesto | Descrizione
Modularità | Giunto-ventilatore a (locale) | Numero intero | Falso | Numero di collegamenti che fan in questo componente.
Modularità | Giunto-ventilatore out (locale) | Numero intero | Falso | Numero di connessioni che ventaglio di questo componente.
Modularità | Giunto-ventilatore | Numero intero | Falso | Numero di collegamenti che fan in questa componente, compresi i collegamenti che i fan in sotto-componenti.
Modularità | Giunto-fan out | Numero intero | Falso | Numero di connessioni ventaglio di tale componente, compresi i collegamenti che i fan in sotto-componenti.


Simulazione di apertura

Navigazione: Simulare l'architettura> Simulatori>

Simulazione di apertura

Invia commenti su questo argomento.

Il simulatore apertura determina il grado in cui una architettura ed i suoi elementi sono 'aperti', cioè la capacità del sistema di gestire la sostituzione di componenti con un impatto minimo.

Per simulare l'architettura in termini di apertura

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Analisi | Apertura.

3. Scegli il Architecture (s)si desidera includere nella valutazione.

Nota

Per impostazione predefinita, ABACUS seleziona automaticamente la prima architettura per il quale è necessaria una seconda simulazione a causa di qualsiasi proprietà sottostante o modifiche strutturali.Questo è mostrato nella evidenziazione Rosso sul Barra degli strumenti di simulazione .

4. Clic Finiturae si otterrà un Avvertimento dialogo.

5. Opzionalmente esplorare le avvertenze cliccando Dettagli >>.

6. Clic Continuare.

Nota

A questo punto, ABACUS eseguirà una valutazione strutturale dell'architettura (s) e dopo un breve periodo di tempo (con barre di avanzamento per il feedback) viene visualizzata una finestra completa di calcolo.

7. Clic okdi riconoscere la simulazione.

Mancia

Per i corsi di formazione e ulteriore aiuto sulla valutazione apertura consultare il Avolution Community .

Componenti e collegamento Proprietà standard

Nella tabella seguente sono elencate le proprietà standard di componenti e di connessione necessarie per valutare l'apertura.Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'apertura di ingresso'. Un cambiamento a qualsiasi di queste proprietà "input" nel repository comporterà il simulatore Apertura che richiede una nuova simulazione, come indicato nella Rosso sul Barra degli strumenti di simulazione .

Tipo | Nome | Valore di default | Unità | Tipo di dati | Richiesto | Descrizione
Apertura | Standard-Standard Maturity-Organisation livello |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Livello di responsabile Standard Corpo 0:Organizzativo / proprietario 1:Consorzio / Defacto 2:Nazionale / Militare 3: Internazionale
Apertura | Standard-Standard-Maturity Stato |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Livello di Soddisfazione ottenuto con l'organismo di normalizzazione 0:Lavoro / Comitato Progetto 1:Progetto Pubblico / Balloted 2:Progetto Interim 3: Approvato
Apertura | Standard-Standard-Maturità Stabilità |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | È lo standard destinata a cambiare? 0:Obsoleto standard 1:Altamente soggetto a modifiche in prossimo 1 a 2 anni 2:Noti cambiamenti / aggiornamenti di funzioni esistenti 3:Altamente stabile (nessun cambiamento entro 2 anni)
Apertura | Standard-Standard Maturity-vendor Supporto |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Venditore Supporto 0:Nessun prodotto o venditori supportano lo standard 1:Uno o più fornitori che implementano una porzione dello standard 2:Più di un fornitore di prodotti che implementano tutte le parti della norma 3:Molti di più di un fornitore di prodotti che implementano tutte le parti della norma
Apertura | Standard-Standard esplicitezza-Documentazione |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Qualità della documentazione standard 0:Povero 1:Fiera 2: Buona 3: Eccellente
Apertura | Standard-Standard esplicitezza-standard Larghezza |  |  | Numero intero | Falso | Numero di caratteristiche. Un conteggio delle caratteristiche standard di livello più basso - Sf
Apertura | Standard-Standard-Sm esplicitezza |  | % | Decimale | Falso | Percentuale del numero totale di caratteristiche che sono obbligatori
Apertura | Standard-Standard esplicitezza-So |  | % | Decimale | Falso | Percentuale del numero totale di caratteristiche che sono facoltativi
Apertura | Standard-Standard esplicitezza-Sc |  | % | Decimale | Falso | Percentuale del numero totale di caratteristiche che sono condizionalmente definito
Apertura | Profili-Profile-Documentazione Documentazione |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Qualità della documentazione standard 0: Nessuna 1:Povero 2:Fiera 3: Eccellente
Apertura | Profili-Profilo Documentazione-Accuracy |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Ha documentazione riflette la progettazione vera e propria del sistema? Qual è il livello di funzionalità del profilo sono utilizzati nel sistema? 0:Nessuna caratteristica 1:Alcune caratteristiche 2:La maggior parte delle caratteristiche 3:Tutte le caratteristiche
Apertura | Profili-Profilo Documentazione-Maturity |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | È il profilo maturo e disponibile? 0: Ad hoc 1:A progetto 2:Organizzativa 3: Pubblico
Apertura | Profili-Profile-esplicitezza esplicito Larghezza |  |  | Numero intero | Falso | Numero di caratteristiche standard specificati, come richiesto nel profilo
Apertura | Profili-Profilo esplicitezza-Pm |  | % | Decimale | Falso | Percentuale di caratteristiche obbligatorie nel profilo
Apertura | Profili-Profilo esplicitezza-Po |  | % | Decimale | Falso | Percentuale di OPTIONAL caratteristiche di profilo
Apertura | Profili-Profilo esplicitezza-Pc |  | % | Decimale | Falso | Caratteristiche Percentuale di CONDIZIONATAMENTE definiti nel profilo
Apertura | Profili-Profilo esplicitezza-copertura |  | % | Decimale | Falso | Percentuale di caratteristiche standard specificamente indirizzata nel profilo
Apertura | Profili-Profilo estensioni-Extension Larghezza |  |  | Numero intero | Falso | Numero di non-standard caratteristiche specificate dal profilo
Apertura | Profili-Profilo estensioni-copertura |  | % | Decimale | Falso | Percentuale di estensioni dettagliato nel profilo
Apertura | Disponibilità Prodotti-prodotto e Conformità-Numero di prodotti |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Numero di prodotti sostenendo le caratteristiche obbligatorie dello standard 0:Non ci sono prodotti supportano lo standard 1:Uno o più prodotti implementano una porzione dello standard 2:Più di un prodotto implementa tutte parti dello standard 3:Molti più di un prodotto implementa tutte parti dello standard
Apertura | Disponibilità Prodotti-prodotto e Conformità-Application Conformità |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Qual è il livello di conformità non prodotti hanno lo standard? 0: Nessuna 1: Ha sostenuto 2:Dimostrato 3:Certificata e dimostrata
Apertura | Disponibilità Prodotti-prodotto e Conformità-Conformità di qualità |  | [0 | 1 | 2 | 3] | Ricerca / Elenco | Falso | Qualità dei test di conformità 0: Nessuna 1:In-house test per sviluppatore di prodotti 2:Test indipendenti (ad esempio NIST) 3:Dimostrato nel contesto del prodotto in questione

Componente, Proprietà Architettura di connessione e

La seguente tabella elenca la componente, collegamento e architettura proprietà uscita dal valutatore apertura. Tutte le seguenti proprietà restituiscono tra zero (0) e tre (3), zero (0) è la meno desiderabile e tre (3) è il più desiderabile.Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'apertura di uscita'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà non sono aggiornati a causa di una modifica della proprietà sottostante al repository e il simulatore di apertura richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Tipo di dati | Richiesto | Descrizione
Apertura | Apertura | Decimale | Falso | Valutazione complessiva di apertura di articolo.
Apertura | Maturità Standard-Standard | Decimale | Falso | Lo stato attuale dello standard, che riflette se sia o non è stato approvato, quanto tempo è stato in uso e come ben accettata sia all'interno della comunità degli sviluppatori.
Apertura | Standard-Standard esplicitezza | Decimale | Falso | L'esplicitazione degli standard, che riflette la potenziale ambiguità nelle norme che ne derivano
Apertura | Profili-Profile Documentazione | Decimale | Falso | La misura in cui il profilo dell'interfaccia documentazione è sviluppato e se la documentazione profilo riflette il disegno reale del sistema e / o il sistema implementato
Apertura | Profili-Profile esplicitezza | Decimale | Falso | Il livello di dettaglio fornito in una specifica del profilo / profile
Apertura | Profili-Profilo Estensioni | Decimale | Falso | Il grado in cui il profilo conforme allo standard su cui si basa
Apertura | Prodotti-Disponibilità del prodotto e conformità | Decimale | Falso | O se non ci sono i prodotti conformi a standard, aperto disponibile per l'utilizzo nel progetto


Simulazione delle prestazioni

Navigazione: Simulare l'architettura> Simulatori>

Simulazione delle prestazioni

Invia commenti su questo argomento.

Sfondo

Il valutatore architettonica per prestazioni è un simulatore eventi discreti che funziona simulando il flusso dei messaggi (o token) tutta l'architettura. La teoria alla base di questo è derivato da una ricerca effettuata dalla University of Technology di Sydney, e si basa su I modelli a strati Queuing rete(LQNM), Timed e colorate Petri-Net(TCPN) e Attività diagrammi di ciclo(ACD).

Nella simulazione prestazioni ABACUS, elaborazione su un componente è sostanzialmente determinato dall'area messaggi passati da un altro componente. I principi alla base di questa tecnica possono essere comprese in quattro parti principali:

1. Il messaggio-centriccomunicazione è modellato in ABACUS utilizzando logico(o indiretto) connessioni. Connessioni logiche definiscono il comportamento (frequenza e dati) dei messaggi passati tra i componenti. Un buon esempio di connessioni logiche sarebbe la sequenza scorre tra due (2) i processi di business o le interfacce logiche tra due (2) applicazioni.

2. Messaggi logici vengono trasportati a destinazione via gerarchia(come swimlanes risorse) o direttoconnessioni (quali cavi fisici). Per fare questo possono essere instradati su, attraverso e indietro la gerarchia (un approccio a più livelli), per seguire il percorso diretto.

3. La fedeltà del modello può essere regolato per adattarsi. Ad esempio, un processo può essere diviso a misura tale che ogni processo e funzione elementare ha un ingombro elaborazione separata. In alternativa, può essere sufficiente avere un solo valore per l'intero processo, che riflette la mediarisposta a un messaggio di elaborazione.

4. Il reale lavorazioneviene eseguita esclusivamente da componenti che hanno (o sono) un processore. Un processore è una cosa generica, e potrebbe essere una CPU, una persona, un'unità organizzativa o altro che è in grado di svolgere il lavoro. Ad esempio, un processo di business non fa alcuna elaborazione attuale; questo è fatto dal primo 'trasformatore' individua né nel gerarchia padre (se viene utilizzata una notazione swimlane) o la rete di elaborazione (se viene utilizzata una notazione elaborazione distribuita).

La valutazione viene effettuata simulando il (specificato) traffico nel sistema, in modo tale che ogni connessione viene simulato almeno una volta. Tempi di arrivo di messaggi sono generati casualmente per quanto riguarda la loro frequenza specificata. Il modello simula l'elaborazione delle risorse e contesa e l'accodamento di messaggi, raccogliere statistiche lungo la strada a varie proprietà di output.

Fattori chiave delle prestazioni di input

1. Frequenza- La frequenza con cui si verifica la connessione.

2. Elaborazione- La quantità di tempo di esecuzione per completare un processo. Questo può essere in ore, minuti, giorni, ecc operazioni

3. Velocità- La velocità della risorsa processore. Cioè, quanti cicli / istruzioni / azioni può compiere in una unità di tempo. E 'importante essere coerenti con le unità utilizzate per l'elaborazione.

4. Processori- Il numero di risorse del processore. Processori potrebbero essere persone, CPU, ecc organizzazioni esterne

Fattori chiave delle prestazioni di uscita

1. Throughput- Il numero di messaggi per unità di tempo attraverso la connessione. Questo valore effettivo può essere confrontato con i valori teorici / attesi (Frequency) per dedurre saturazione del sistema.

2. Messaggio Tasso- Il numero di messaggi per unità di tempo attraverso la componente. Questa è la somma dei messaggi entranti e uscenti tutti i componenti.

3. Risposta- Il minimo / medio / latenza massima per questo connessione. Questa è la somma di tutte le latenze osservati per il collegamento dalla sorgente al lavello e qualsiasi coda e di elaborazione (, latenza di nuovo alla fonte se bidirezionale).

4. Utilizzo- L'utilizzazione componente. Questo sarà 0% se il componente non è un dispositivo / processore (cioè non ha i processori e le proprietà di velocità sopra definiti).

Mentre una simulazione ad eventi discreti è effettuata per calcolare le varie proprietà di uscita, come descritto sopra, la formula seguente può essere utilizzato per una verifica approssimativa dei risultati (in cui il sistema non è saturo):

Utilizzo = Somma di frequenza per tutte le connessioni in entrata * Processing / (velocità * Processori)

Il concetto generale è forse meglio dimostrato dal considerando seguente diagramma, che mostra due diverse meta-modelli di spettacolo. Lo stile mano sinistra è la classica notazione 'swimlane' con compiti di elaborazione basati gerarchicamente all'interno delle loro risorse del processore. Lo stile mano destra è una notazione 'distribuito' con le attività di elaborazione collegati tramite una connessione processi per la loro risorsa processore. Quest'ultima notazione consente a più risorse del processore per un determinato compito di trasformazione, a differenza la notazione swimlane limitata.

Nota

Inserire in tutte le meta-modello sono le proprietà di input (in rosso) e le proprietà di output (in blu):

Prestazioni meta-modelli: Swimlane contro notazione Distributed

Esecuzione del simulatore prestazioni

Per simulare l'architettura in termini di prestazioni

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Analisi| Prestazioneo cliccare sul pulsante della barra degli strumenti.

3. Seleziona il Architetturasi vuole valutare dal menu a discesa.

Nota

Per impostazione predefinita, ABACUS seleziona automaticamente la prima architettura per il quale è necessaria una seconda simulazione a causa di qualsiasi proprietà sottostante o modifiche strutturali.Questo è mostrato nella evidenziazione Rosso sul Barra degli strumenti di simulazione .

4. Seleziona il Componenti e Collegamentisi vuole valutare, dal finestra di selezione elemento standard .

5. Impostare il Durata Fattore di scalaslider.

Nota

Valori più alti produrranno più statisticamente risultati coerenti ma prendere più tempo per calcolare.

Aggiuntivo Casella di controllo al finestra di selezione elemento standard

· Save modello trasformato volere salvare una copia della versione RBD trasformata del progetto nella stessa cartella del progetto attuale e aggiungere "_transformed" per il nome del progetto.Questo progetto trasformato può essere utilizzato per diagnosticare in dettaglio la simulazione affidabilità intrapresa da ABACUS.

Altre opzioni per il finestra di selezione elemento standard

· Durata Fattore di scala controlla il tempo di simulazione e la precisione con una maggiore I valori di rendimentoingstatisticamente più risultati coerenti ma presa tempo maggiore correre.

Nota

Quando ABACUS calcola il tempo di simulazione che determinerà la più lenta frequenza collegamento indiretto che è stato selezionato da simulare e poi 'warm-up' per il periodo (ovvero 1 sopra la frequenza) di questo collegamento (di avviare i generatori di messaggi periodici per tutti i collegamenti in modo casuale durante questo tempo di warm-up, dando loro tutte le possibilità per iniziare) e quindi simulare per tempi Run Time Scale Factor il Periodo di tale connessione. O (1 / frequenza) tempo di riscaldamento + (1 / frequenza) * Durata Fattore di scala tempo di simulazione. Questo per assicurarsi che che tutte le connessioni siano avviate prima statistiche sono raccolte e quindi la connessione più lenta è ancora simulati almeno una volta nella simulazione. Es Se il più lento collegamento indiretto ha una frequenza di 0.033 unità di tempo (o circa una volta al mese se i termini unità sono giorni), il tempo di riscaldamento sarà 30,3 unità di tempo e il tempo di simulazione sarà 30.3 temporali, gruppi volte Il fattore di scala tempo Run.

6. Clic Finiturae si otterrà un Avvertimento dialogo.

7. Opzionalmente esplorare le avvertenze cliccando Dettagli >>.

8. Clic Continuare.

Nota

A questo punto, ABACUS effettuerà una simulazione di eventi discreti dell'architettura e dopo un breve periodo di tempo (con barre di avanzamento per il feedback) viene visualizzata una finestra completa di calcolo.

9. Clic okdi riconoscere la simulazione.

Mancia

Per i corsi di formazione e ulteriore assistenza sulle prestazioni di simulazione consultare il Avolution Community .

Proprietà del componente

La tabella seguente elenca le proprietà necessarie per valutare le prestazioni. Le proprietà sono ricercati per la prima nei casi componente, gli standard di componenti e se non lo trova, viene utilizzato il valore predefinito.Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'Performance Input'. Un cambiamento a qualsiasi di queste proprietà "input" e varie modifiche strutturali al repository comporterà il simulatore prestazioni che richiedono una nuova simulazione, come indicato nella Rosso sul Barra degli strumenti di simulazione .

Tipo | Nome | Valore di default | Unità | Tipo di dati | Richiesto | Descrizione
Comportamento | b_pack | 0.0 |  | Decimale | Falso | Il tempo di servizio fissata per il confezionamento in pochi secondi. La struttura, è tipicamente specificato come tipo standard e poi utilizzati per istanze di un componente. Ad esempio, CORBA ha b_pack = 0,23 ms.
Comportamento | m_pack | 0.0 |  | Decimale | Falso | Il tempo di servizio variabile da confezionare in pochi secondi / byte. La struttura, è tipicamente specificato come tipo standard e poi utilizzati per istanze di un componente.
Comportamento | b_unpack | 0.0 |  | Decimale | Falso | Il tempo di servizio fissata per decomprimere in pochi secondi. La struttura, è tipicamentespecificato come tipo standard e poi utilizzati per istanze di un componente.
Comportamento | m_unpack | 0.0 |  | Decimale | Falso | Il tempo di servizio variabile da decomprimere in secondi / byte. La struttura, è tipicamentespecificato come tipo standard e poi utilizzati per istanze di un componente.
Comportamento | Elaborazione | 0.0 |  | Decimale | Vero | La quantità di tempo di esecuzione per completare un processo. Questo può essere in ore, minuti, giorni, ecc operazioni
Comportamento | Processori | 1 |  | Numero intero | Vero | Il numero di risorse del processore. Processori potrebbero essere persone, CPU, ecc organizzazioni esterne
Comportamento | Velocità | 100 |  | Numero intero | Vero | La velocità della risorsa processore. Cioè, quanti cicli / istruzioni / azioni può compiere in una unità di tempo. E 'importante essere coerenti con le unità utilizzate per l'elaborazione.
Comportamento | k_bkgd | 0.0 |  | Decimale | Falso | L'elaborazione in background sul componente. Questa viene utilizzata per regolare i risultati in modo che corrisponda eventuali compensazioni fissate per%. Questo può probabilmente essere ignorato.

La seguente tabella elenca le proprietà del componente in uscita dal valutatore prestazioni. Un insieme di queste proprietà dei componenti vengono generati per ogni componente su ogni corsa prestazioni.Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Performance Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di prestazioni richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Comportamento | Messaggio Tasso |  | Decimale | Falso | Il numero di messaggi per unità di tempo attraverso il componente. Questa è la somma dei messaggi entranti e uscenti tutti i componenti.
Comportamento | Larghezza di banda |  | Decimale | Falso | Larghezza di banda complessiva attraverso il componente. La somma dovuta sia i messaggi in entrata e in uscita.
Comportamento | Utilizzo | % | Decimale | Falso | L'utilizzo del componente. Questo sarà 0% se il componente non è un dispositivo / processore (cioè non ha processori e le proprietà di velocità definito sopra)

Proprietà di connessione

La tabella seguente elenca le proprietà necessarie per valutare le prestazioni. Le proprietà sono ricercati per la prima nei casi di connessione, quindi gli standard di connessione e se non lo trova, viene utilizzato il valore predefinito.Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'Performance Input' o 'prezzo / prestazioni di input'. Un cambiamento a qualsiasi di queste proprietà "input" e varie modifiche strutturali al repository comporterà il simulatore prestazioni e / o Simulatore costo richiede una nuova simulazione come indicato in Rosso sul Barra degli strumenti di simulazione .

Tipo

Nome

Valore di default

Unità

Tipo di dati

Richiesto

Descrizione

Comportamento

Genere

bidirezionale

[bidirezionale | unidirezionale]

Ricerca / Elenco

Vero

Se il collegamento è a due vie (bidirezionale) o unidirezionale (unidirezionale).

I valori ammessi per questa proprietà sono "bidirezionale" o "unidirezionale".

Bidirezionale significa sincroni messaggi richiesta / risposta, mentre mezzi unidirezionale un unico "evento" asincrono.

Comportamento

Astrazione

indiretto

[indiretta | diretto]

Ricerca / Elenco

Vero

Se la connessione è fisica o logica. Collegamenti diretti sono "tubi" fisiche tra due componenti che scorrono lungo connessioni logiche.

I valori ammessi per questa proprietà sono "diretti" o "indiretto".

Se il valore è "diretta", allora la connessione non ha bisogno di tutte le altre proprietà (ad eccezione per le proprietà Gentili e astrazione).

Dati

L_app1

0

Numero intero

Falso

Richiesta / size evento in byte.

Ogni connessione avrà tipicamente un valore specifico per questo. In CORBA, eventi sono realmente bidirezionale e sempre avere un byte 12 riconoscono (L_app2). Se si tratta di un vero collegamento unidirezionale poi lasciare la proprietà L_app2.

Dati

L_app2

0

Numero intero

Falso

Formato di risposta / riconoscere in byte.

Ogni connessione avrà tipicamente un valore specifico per questo. Una connessione unidirezionale non avrà L_app2.

Comportamento

Frequenza

1

Decimale

Vero

La frequenza con cui si verifica la connessione.

Ogni connessione avrà tipicamente un valore specifico per questo. Se la frequenza proprietà è lasciato fuori allora viene utilizzato il valore predefinito.

Comportamento

Relazione

processi

[processi | supporta]

Ricerca / Elenco

Falso

Le connessioni che hanno la proprietà "processi" indicano che il componente all'inizio del collegamento sarà trasformato da lavorare al componente al termine della connessione. In effetti la componente "fonte" viene spostato a diventare un bambino della componente "sink" (le connessioni collegate siano anche "trascinati" con questa mossa).

Se una proprietà "processi" esiste poi verranno ignorate tutte le altre proprietà di connessione, tranne la proprietà facoltativa "%" descritta di seguito.

Comportamento

%

100.0

Decimale

Falso

Le connessioni che hanno la proprietà "processi" (descritto sopra) possono facoltativamente avere una proprietà "%" per indicare la proporzione di trattamento che verrà attribuito al componente di destinazione. In questo modo un unico componente sorgente può essere elaborato da più componenti di destinazione a vari s%. I valori% non hanno bisogno di aggiungere fino al 100% ed è semplicemente usato per scalare la proprietà "trattamento" (vedi sopra) per il componente di origine, come si trasforma per diventare un figlio del componente di destinazione.

Nella tabella seguente sono elencate le proprietà generate dal valutatore prestazioni. Un insieme di queste proprietà di connessione vengono generati per ogni connessione su ogni corsa prestazioni.Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Performance Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di prestazioni richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Comportamento | Larghezza di banda |  | Decimale | Falso | La larghezza di banda complessiva per la connessione. Questo è calcolato solo per le connessioni indirette ed è essenzialmente (L_app1 + L_app2) * Throughput.
Comportamento | Larghezza di banda 1/2 |  | Decimale | Falso | La larghezza di banda specificamente per uscita (1) e in entrata (2) messaggi del collegamento. Questo è calcolato solo per le connessioni indirette ed è essenzialmente L_app1 * throughput e L_app2 * throughput.
Comportamento | Throughput |  | Decimale | Falso | Il numero di messaggi per unità di tempo attraverso la connessione. Questo valore effettivo può essere confrontato con i valori teorici / attesi (Frequency) per dedurre saturazione del sistema.
Comportamento | Completato | % | Decimale | Falso | La percentuale di messaggi di elaborazione che completare con successo per il collegamento. Questo è calcolato solo per le connessioni indirette ed è il Throughput / Frequenza. Di tanto in tanto il valore Completato supera il 100% perché la casualità dei risultati di generazione messaggio in una leggermente più alta frequenza di generazione messaggio di quanto specificato.
Comportamento | Risposta (Min / Ave / max) |  | Decimale | Falso | La minima / media / latenza massima. Questo è calcolato solo per le connessioni indirette ed è la latenza osservata per il collegamento da fonte di affondare e qualsiasi coda e di elaborazione (, latenza di nuovo alla fonte se bidirezionale).

Proprietà Architettura

Nella tabella seguente sono elencate le proprietà architettoniche a livello di sistema generati dal valutatore prestazioni. Un unico insieme di proprietà per l'architettura sono "aggregate" per ogni esecuzione delle prestazioni.Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Performance Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di prestazioni richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Comportamento | Messaggio Tasso |  | Decimale | Falso | Il numero di messaggi per unità di tempo attraverso i componenti nell'architettura. Questa è la somma dei messaggi entranti e uscenti tutti i componenti.
Comportamento | Throughput |  | Decimale | Falso | Il numero di messaggi per unità di tempo attraverso le connessioni nell'architettura. Questa è la somma di tutte le connessioni throughput indiretti "e questo valore effettivo può essere confrontato con i valori teorici / attesi (Frequency) per dedurre saturazione del sistema.
Comportamento | Larghezza di banda |  | Decimale | Falso | La larghezza di banda complessiva. Somma delle larghezze di banda di connessione della dell'architettura.
Comportamento | Utilizzo | % | Decimale | Falso | L'utilizzo di tutti i componenti. Può essere superiore al 100% in quanto è solo la somma di tutte le utilizzazioni componenti dell'architettura.
Comportamento | Risposta (Min / Ave / max) |  | Decimale | Falso | La minima / media / latenza massima. Somma di tutte le latenze osservati per i collegamenti della dell'architettura da fonte di affondare (e di nuovo a fonte se bidirezionale).


Simulazione di affidabilità e disponibilità

Navigazione: Simulare l'architettura> Simulatori>

Simulazione di affidabilità e disponibilità

Invia commenti su questo argomento.

Sfondo

L'affidabilità Evaluator calcola l'affidabilità dell'architettura utilizzando i componenti di ingresso e connessioni.

Per i componenti e le connessioni dirette, affidabilità si basa su Mean Time Between Failure (MTBF). Le uniche variabili necessarie per calcolare l'affidabilità di elementi architettonici sono:

· Il MTBFvalore (in anni);

· Il Tempo medio di riparazione (MTTR)un fallimento (in anni); e

· Il periodo di tempo definito per testare affidabilità sopra.

La formula utilizzata nel calcolo di affidabilità è dato da:

Affidabilità = -e (-y × età)
Dove y = 1 ÷ MTBF

La disponibilità di componenti e connessioni si basa sulla MTBF e MTTR. Si noti che la disponibilità, a differenza di affidabilità, non è influenzato dal periodo di tempo per il quale è in fase di test.

Disponibilità = MTBF / (MTBF + MTTR)

Mentre i metodi che si trasformano Affidabilità Diagrammi a blocchi(con serie di semplici e costrutti paralleli) dare i risultati più esatti, questi metodi diventano altamente sonopratico quando cerchiamo di calcolare l'affidabilità per missioni nel enormi reti di migliaia di elementi. Inoltre, questi approcci trasformazione abbattere per molte strutture comuni, come la rete "mesh".

Il Monte Carlometodo consente l'affidabilità e la disponibilità di un sistema di dimensioni arbitrarie e complessità essere calcolato. Il metodo Monte Carlo simula molti scenari efo ciascun scenario uno stato casuale, a disposizione o non disponibile, È assegnato a ciascun elemento fisico. La probabilità di un dato elemento essendo in uno stato disponibile si basa sulla affidabilità / disponibilità del componente.

Ad esempio, un componente con il 90% di disponibilità può essere previsto per essere disponibile in circa il 90% degli scenari. Affidabilità e disponibilità del collegamento indiretto può pertanto essere stimata come la percentuale di scenarios- casuale per cui un percorso di elementi esiste in una dichiarazione disponibili dall'origine alla destinazione.

Nota

Poiché il calcolo dell'affidabilità e della disponibilità locale si basa su parametri diversi e differenti formule (e quindi si traduce in valori diversi), è necessario assegnare ciascun elemento dueStati, uno per la disponibilità, e una per l'affidabilità. Il calcolo della disponibilità utilizza lo stato disponibilità in ogni scenario, mentre il calcolo della affidabilità utilizza lo stato di affidabilità in ogni scenario.

Il valutatore affidabilità utilizza la tecnica di simulazione Monte Carlo per capire l'affidabilità di una particolare architettura. L'architettura è messo attraverso migliaia di singoli simulazioni ei risultati tabulati per derivare una misura dell'affidabilità. Come accennato in precedenza, Monte Carlo è la tecnica più veloce per simulare reti più grandi e funziona con qualsiasi complesso (cioè maglia) struttura.

Il valutatore uscite quattro valori:

1. Missione Affidabilitàun certo numero di anni;

2. Disponibilitàdella architettura;

3. Affidabilitàdella componente localeun certo numero di anni; e

4. Disponibilitàdella componente locale.

Il valutatore funziona la probabilità di il componente o collegamento di lavoro (cioè non mancando) e il tempo necessario per riparare.

Come standard con MTBF e / o MTTRs sono trattati

Se un elemento (componente o connessione) ha standard con MTBF assegnato e / o MTTR valori, questi valori sono utilizzati anche nel calcolo dell'affidabilità locali e disponibilità di un elemento come un collegamento in serie.

Ad esempio, se un componente A, Con gli standard assegnati B, C, e Dhanno ciascuno un MTBF e un MTTR valore, locale Affidabilità = R(A)× R(B) × R(C) × R(D), dove R = Affidabilità calcolata (usando la formula) del componente / standard e Del posto Dispcapacità = UN(A)× UN(B) × UN(C) × UN(D), dove A = Calcolato utilitàcapacità (utilizzando la formula) del componente / standard. Cioè, se un elemento ha tre standard a testa con MTBF e MTTR valores, E anche MTBF e MTTR valoresper le proprietà dell'elemento, l'affidabilità locali e avilability è dato come valore serie di ciascuna soluzione standard e l'elemento stesso.

Come altro esempio, se un componente Aha standard assegnati B, C, e Dma unico standard Bha sia un MTBF e un valore MTTR, mentre di serie Cha solo un valore di MTBF e di serie Dha solo un valore MTTR, locale Affidabilità = R (A)× R (B)× R (C), dove R= Affidabilità calcolato (con la formula) del componente e / oi regolamenti locali Disponibilità = A (A)× A (B)× AC), dove A= Disponibilità calcolato (con la formula) del componente / norme, ma nel calcolo A (C) perché lo standard è solo un valore MTBF esso 'Ricerche'per il valore corrispondente MTTR (s) e aggiungerà tutto il MTTR valori constati che don't stessi hanno un valore MTBF di corrispondenza, quindi in questo caso sarebbe utilizzare il valore MTTR dello standard D. Se ci fosse un altro standard, dire E, Con solo un valore di MTTR e poi AC)avrebbe utilizzato il MTBF di Ccon il MTTR di D e Esommati. Se un altro standard, dire F, Ha avuto solo un valore di MTBF poi A (F)sarebbe anche usare il MTTR di D e Esommati.

Calcolo Mission Affidabilità

Mentre il calcolo affidabilità locale è una questione di usare una formula semplice, il calcolo dei collegamenti indiretti (missione) non è così facile, soprattutto una volta che abbiamo reti complesse e di grandi dimensioni di percorsi intrecciati (collegamenti) e componenti.

Prendendo l'intera rete in considerazione

Mentre i collegamenti indiretti non rappresentano un collegamento fisico, dobbiamo scoprire come il componente di origine può ottenere la sua componente di destinazione. E questo implica guardando l'intera rete e tutti i diversi modi (e percorsi) il nostro componente di origine può adottare per raggiungere la componente di destinazione (sink).

Nota

Finché non vi è almeno uno completarepercorso dalla sorgente alla destinazione, la missione avrà successoe il collegamento indiretto è indicato come una connessione chiusa.

Capire il collegamento Matrix

Per sapere quali componenti / collegamenti diretti sono collegati a ciò, abbiamo bisogno di un manufatto per verificare rapidamente se due blocchi sono collegati in una particolare direzione. Questa è la funzione della matrice collegamento. In breve, la matrice di collegamento è una matrice bidimensionale di variabili booleane che indica se un particolare componente può raggiungere direttamente un altro componente. La sua dimensione è uguale al quadrato del numero totale dei componenti della rete.

Un semplice Reliability Block Diagram (RBD)

Correlati link Matrice per Reliability Block Diagram (RBD)

Poiché non tutte le connessioni sono bidirezionali (che va in entrambe le direzioni), è importante saper leggere correttamente la matrice di collegamento. Nel valutatore affidabilità, il primo argomento è la fonte e il secondo argomento è la destinazione (lavandino).

Quindi se matrice collegamento (A, B) = true allora vuol dire che A può arrivare a B direttamente (unidirezionale). B può arrivare a A se solo se matrice collegamento (B, A) = true. Se questo è vero, questo implica una connessione bidirezionale.

Nell'esempio al di sopra:

· Fonte 1 può arrivare a destinazione 0 (Fonte 1 e Destinazione 0 dà un risultato di True); e

· Fonte 0 può raggiungere destinazione 1 (fonte e destinazione 0 1 dà un risultato di True), come il legame tra 0 e 1 è bidirezionale.

· Fonte 2 non può raggiungere destinazione 1 (Fonte 2 e destinazione 1 dà un risultato di falso), anche quando la sorgente 1 può arrivare a destinazione 2 (Fonte 1 e Destinazione 2 dà un risultato di True). Ciò implica che è il legame tra 1 e 2 è unidirezionale.

Comprendere la Reliability Block Diagram

Lo schema a blocchi di affidabilità (RBD) incapsula la struttura dell'intero modello a oggetti in termini di blocchi e collegamenti. Ogni blocco rappresenta un elemento che ha una possibilità di fallimento o il successo in base ai collegamenti / percorsi che li collegano. Entrambi i componenti e le connessioni possono diventare un "blocco" nel RBD.

Esempio RBD Blocchi e collegamenti

La figura sopra rappresenta un esempio RBD. La linea rossa tratteggiata rappresenta una singola missione di 4 a 1. Nota come non ci sono solo due possibili percorsi per la missione 4-1.

Si consideri il percorso 4 a 3 a 0 a 1, e il percorso 4 al 7 a 1. I blocchi tratteggiate 2, 5e 6 rappresentano i blocchi che non influenzano il fallimento / non-fallimento della missione di 4 a 1. Non sono considerati e vengono ignorati. Questo è importante come per la maggior parte delle missioni ci sarà un gran numero di blocchi ridondanti che non influenzerà il successo di una missione particolare. Questo è più evidente in reti più grandi per cui il numero di blocchi ridondanti renderà i risultati della simulazione imprecisa.

Per accelerare i tempi di simulazione, e di garantire risultati più accurati, è necessario estratto l'intero RBD e utilizzare solo gli elementi che influenzano il successo di una missione.

Nota

Un unico percorso / percorso non può passare attraverso qualsiasi componente due volte.

A questo punto siamo in grado di creare una matrice di collegamento e di eseguire una simulazione Monte Carlo.

Calcolo Architettura Disponibilità

La disponibilità architettura è la probabilità che tutti i collegamenti indiretti saranno disponibili in qualsiasi punto nel tempo. La disponibilità di ciascun collegamento indiretto è determinato durante ogni iterazione della simulazione Monte Carlo, tuttavia questi collegamenti indiretti (tipicamente) si basano sullo stesso insieme di elementi fisici. Quindi, semplicemente aggregando questi singoli disponibilità sarebbero "doppio-count" questi un-disponibilità, dando un pessimista disponibilità complessiva architettura. In alternativa, la disponibilità complessiva architettura è calcolato, cercando ad ogni iterazione e vedere se gli elementi coinvolti nelle connessioni indirette di interesse sono disponibili. E quindi aggregando questi risultati alla fine della simulazione.

Esecuzione del simulatore Affidabilità

Per simulare l'architettura in termini di affidabilità

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Analisi| Affidabilità.

3. Seleziona il Architetturasi vuole valutare dal menu a discesa.

Nota

Per impostazione predefinita, ABACUS seleziona automaticamente la prima architettura per il quale è necessaria una seconda simulazione a causa di qualsiasi proprietà sottostante o modifiche strutturali.Questo è mostrato nella evidenziazione Rosso sul Barra degli strumenti di simulazione .

4. Seleziona il Componenti e Collegamentisi vuole valutare dal finestra di selezione elemento standard utilizzando le 'Mostra Connessioni dirette "e" Mostra processi Connessioni' Radio Filtri bottoni in basso a sinistra della finestra di dialogo per aiutare con voi selezione.

Aggiuntivo Casella di controllo al finestra di selezione elemento standard

· Save modello trasformato volere salvare una copia della versione RBD trasformata del progetto nella stessa cartella del progetto attuale e aggiungere "_transformed" per il nome del progetto.Questo progetto trasformato può essere utilizzato per diagnosticare in dettaglio la simulazione affidabilità intrapresa da ABACUS.

Ulteriori Radio-Pulsanti al finestra di selezione elemento standard

· Mostra connessioni dirette imposterà automaticamente una connessione Ha filtro di proprietà in proprietà Type = Comportamento, Name = Astrazione e Valore = diretta.Questa opzione è selezionata per impostazione predefinita e favorisce la selezione dei collegamenti «diretti» come descritto sopra e sotto.

· Mostra i processi Connessioni imposterà automaticamente una connessione Ha filtro di proprietà in proprietà Type = Comportamento, Nome = Relazione e valore = processi.Questa opzione aiuta la selezione delle connessioni "diretti" come descritto sopra e sotto.

5. Clic Il prossimo.

6. Scegli il Missioniossia ai collegamenti che si desidera includere nella simulazione.

7. Impostare il Durata Fattore di scalaslider.

Nota

Valori più alti produrranno più statisticamente risultati coerenti ma prendere più tempo per il calcolo.

Caselle di controllo

· Mostrare Collegamenti Chiuso volere filtrare automaticamente le connessioni disponibili per includere solo quelli che hanno almeno un percorso fisico completo dal componente source al componente di destinazione come per la selezione REA sopra descritto.

· Mostra connessioni indirette imposterà automaticamente una connessione Ha filtro di proprietà in proprietà Type = Comportamento, Name = Astrazione e Valore = indiretta.Questa opzione è selezionata per impostazione predefinita e favorisce la selezione dei collegamenti 'indiretti' o missione, come descritto sopra e sotto.

Pulsanti

· Tuttiseleziona tutto il Collegamenti.

· Invertiredeseleziona tutto il selezionato Collegamenti e seleziona tutti coloro che non sono stati selezionati.

· Nessunadeseleziona tutto il Collegamenti.

Altre opzioni

· Durata Fattore di scala controlla il tempo di simulazione e la precisione con una maggiore I valori di rendimentoingstatisticamente più risultati coerenti ma presa tempo maggiore correre.

Nota

Quando ABACUS calcola il numero di iterazioni per simulare determinerà l'elemento più affidabile che non è perfettamente affidabile e quindi simulare per tempi Run Time Scale Factor 1 sopra l'indisponibilità di tale elemento più 1 iterazione. Oppure (MTBF + MTTR) / MTTR * tempo di esecuzione Fattore di scala + 1. La presente è quello di fare in modo che tale elemento non riesce ancora, almeno una volta nella simulazione. Es Se l'elemento più affidabile che non è perfettamente affidabile ha un MTBF di 10.000 ore e MTTR di 8 ore, quindi la simulazione prenderà (10.000 + 8) / 8 = 1.251 volte il fattore Durata scala + 1 iterazioni.

· Anni Per simulare Ahead determina il numero di anni per la Missione di affidabilità da calcolare per.

· Numero di Filidetermines il numero di thread di elaborazione da utilizzare per la simulazione Monte-Carlo.Questa opzione di default in base al numero di CPU / core disponibili (compresi core iper-threading) per ridurre al minimo il tempo di simulazione globale.

8. Clic Finiturae si otterrà un Avvertimento dialogo.

9. Opzionalmente esplorare le avvertenze cliccando Dettagli >>.

10. Clic Continuare.

Nota

A questo punto, eseguirà un ABACUS Monte Carlosimulazione dell'architettura e dopo un breve periodo di tempo (con barre di avanzamento per il feedback) viene visualizzata una finestra completa di calcolo.

11. Clic okdi riconoscere la simulazione.

Mancia

Per i corsi di formazione e ulteriore aiuto su Affidabilità Simulazione consultare il Avolution Community .

Proprietà del componente e di connessione

La seguente tabella elenca il componente e 'diretto'proprietà di connessione necessari per la valutazione di affidabilità. Queste proprietà verranno visualizzati nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) Con il tooltip 'Affidabilità Input'. Un cambiamento a qualsiasi di queste proprietà "input" e varie modifiche strutturali al repository comporterà il simulatore di affidabilità che richiede una nuova simulazione, come indicato nella Rosso sul Barra degli strumenti di simulazione .

Tipo | Nome | Valore di default | Unità | Tipo di dati | Richiesto | Descrizione
Affidabilità | MTBF | ∞ | anni, settimane, giorni o ore | Decimale | Vero | Il tempo medio tra i guasti dell'elemento. Nota: I valori possono essere espressi in unità di anni, settimane, giorni o ore e vengono convertiti in seguito a un concetto di disponibilità '24 / 7 'come segue; - 1 anno = 52 settimane o 365 giorni o 8.760 ore - 1 settimana = 7 giorni o 168 ore - 1 giorno = 24 ore
Affidabilità | MTTR | 0 | anni, settimane, giorni o ore | Decimale | Vero | Il tempo medio di riparazione dell'elemento. Nota: I valori possono essere espressi in unità di anni, settimane, giorni o ore e vengono convertiti in seguito a un concetto di disponibilità '24 / 7 'come segue; - 1 anno = 52 settimane o 365 giorni o 8.760 ore - 1 settimana = 7 giorni o 168 ore - 1 giorno = 24 ore

La seguente tabella elenca il componente e 'diretto' proprietà di connessione in uscita dal valutatore affidabilità. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Affidabilità Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di affidabilità richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Affidabilità | Affidabilità - x anni |  | Decimale | Falso | La probabilità che l'elemento non mancherà nei prossimi x anni. Questo è un valore tra 0 e 1.
Affidabilità | Inaffidabilità - x anni |  | Decimale | Falso | La probabilità che l'elemento non riuscirà entro i prossimi x anni. Questo è un valore tra 0 e 1.
Affidabilità | Disponibilità | % | Decimale | Falso | La disponibilità calcolato del componente o collegamento. Questo è un valore compreso tra 0% e 100%.
Affidabilità | Non disponibilità | % | Decimale | Falso | L'indisponibilità calcolato del componente o collegamento. Questo è un valore compreso tra 0% e 100%.

La seguente tabella elenca il 'indiretto'proprietà di connessione in uscita dal valutatore affidabilità. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Affidabilità Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di affidabilità richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Affidabilità | Missione Affidabilità - x anni |  | Decimale | Falso | La probabilità che il collegamento indiretto non mancherà nei prossimi x anni. Questo è un valore tra 0 e 1.
Affidabilità | Missione Inaffidabilità - x anni |  | Decimale | Falso | La probabilità che il collegamento indiretto non riuscirà entro i prossimi x anni. Questo è un valore tra 0 e 1.
Affidabilità | Disponibilità | % | Decimale | Falso | La disponibilità calcolato del collegamento indiretto. Questo è un valore compreso tra 0% e 100%.
Affidabilità | Non disponibilità | % | Decimale | Falso | L'indisponibilità calcolato del collegamento indiretto. Questo è un valore compreso tra 0% e 100%.

Proprietà Architettura

La seguente tabella elenca l'output architettura proprietà dal valutatore affidabilità. Queste proprietà verranno visualizzati nella finestra Proprietà con una icona del selezionatore della riga di output immobili ( [image] ) Con il tooltip 'Affidabilità Output'. La freccia sull'icona evidenzierà Rosso ( [image] ) Quando queste proprietà sono obsolete a causa di una proprietà sottostante o modifica strutturale al repository e il simulatore di affidabilità richiede ri-simulazione in base alla Rosso evidenziando sulla Barra degli strumenti di simulazione .

Tipo | Nome | Unità | Tipo di dati | Richiesto | Descrizione
Affidabilità | Disponibilità | % | Decimale | Falso | La disponibilità di tutti i collegamenti indiretti che sono stati inclusi nella valutazione. Cioè, la probabilità che tutticonnessioni indirette saranno disponibili in un dato momento. Questo è un valore compreso tra 0% e 100%. Nota: Questo non è la moltiplicazione delle singole disponibilità di connessione come questo sarebbe "doppio conteggio" il non-disponibilità dei componenti rilevanti.
Affidabilità | Non disponibilità | % | Decimale | Falso | L'indisponibilità dei collegamenti indiretti che sono stati inclusi nella valutazione. Cioè, la probabilità che almeno unacollegamento indiretto non sarà disponibile in un determinato punto nel tempo. Questo è un valore compreso tra 0% e 100%. Nota: Questo non è la moltiplicazione dei singoli indisponibilità di connessione come questo sarebbe "doppio conteggio" il non-disponibilità dei componenti rilevanti.
Affidabilità | Missione Affidabilità - x anni |  | Decimale | Falso | La probabilità che tutti i collegamenti indiretti che sono stati inclusi nella valutazione non sarà falliscono entro i prossimi x anni. Si tratta di un valore compreso tra 0 e 1. Nota: Questo NON è la moltiplicazione dei singoli affidabilità di connessione come questa sarebbe "doppio conteggio" il non-disponibilità dei componenti rilevanti.
Affidabilità | Missione Inaffidabilità - x anni |  | Decimale | Falso | La probabilità che almeno uno dei collegamenti indiretti che sono stati inclusi nella valutazione non riuscirà entro il prossimo x anni. Si tratta di un valore compreso tra 0 e 1. Nota: Questo NON è la moltiplicazione dei singoli unreliabilities collegamento come questa sarebbe "doppio conteggio" il non-disponibilità dei componenti rilevanti.


Simulando l'architettura

Navigazione: Simulare l'architettura>

Simulando l'architettura

Invia commenti su questo argomento.

Dopo aver popolato e analizzato l'architettura, si è pronti ad utilizzare ABACUS per determinare se la propria architettura soddisferà le vostre esigenze quantitative. Ciò richiede simulazione. Per simulare l'architettura è necessario prima di decidere il tipo di informazioni che si desidera scoprire. Questi tipi di informazioni sono spesso indicati come KPI, Key Performance Indicator o. Ad esempio, vuoi per analizzare le prestazioni, evolvibilità, e l'apertura, o vuoi per raccogliere le metriche come il costo totale di proprietà. Tutte queste informazioni può essere rivelata in qualche modo. Una volta che avete questi dati, si sarà in grado di analizzare l'architettura in una varietà di formati grafici (o analizzare direttamente i nuovi valori).

Ci sono tre opzioni per simulare la propria architettura:

· Semplici metriche ;

· Simulatori pre-costruito ; o

· Scripting .

Semplici metriche

Ogni componente nell'architettura ha proprietà - molti dei quali possono essere personalizzati per l'applicazione di ABACUS. Queste proprietà rappresentano varie caratteristiche dei componenti. In alcuni casi, semplicemente la raccolta di questi parametri (per la costruzione di KPI) può essere sufficiente per dirvi importanti informazioni sul architettura. Ad esempio, KLOCS o migliaia di linee di codice, sono stati ampiamente utilizzati come misura di complessità. In altri casi, si consiglia di esportare i dati e analizzare utilizzando un altro strumento. Inoltre, si consiglia di raccogliere le proprietà dopo l'esecuzione di un altro tipo di simulazione.

Le proprietà possono essere raccolti attraverso il processo di aggregazione . Aggregazione aggiunge specificati sotto-proprietà, per un totale che si riflette nel componente genitore. Aggregazione funziona solo su componenti che contengono sottocomponenti.

Simulatori pre-costruito

Ci sono cinque simulatori predefiniti che possono essere utilizzati con ABACUS. Questi sono:

· Prestazione;

· Modularità;

· Total Cost of Ownership (TCO);

· Apertura; e

· Affidabilità.

Nota

ABACUS evidenzierà automaticamente quale di questi simulatori devono essere rieseguire attraverso Rosso evidenziando sulla Barra degli strumenti di simulazione .

Scripting

Scripting fornisce la flessibilità per simulare la propria architettura in modi personalizzati. Di scrittura di script è possibile eseguire simulazioni di oltre l'attuale capacità incorporata di ABACUS. L'intero modello a oggetti ABACUS è disponibile al motore di script, quindi si sono limitati solo dalla vostra capacità di scrivere script!

Script di Visual Basic è il linguaggio di scripting supportato da ABACUS, in quanto fornisce funzioni di programmazione essenziali in un formato abbastanza semplice.

Guarda anche

Esportazione architettura | Proprietà di aggregazione | Script di scrittura


Evolving l'architettura

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Evolving l'architettura

Invia commenti su questo argomento.

Architetture possono essere esplicitamente evoluti e una gerarchia di architetture create. Così evolvendo la propria architettura in ABACUS, è possibile creare una serie di soluzioni architettoniche avanzate, rispetto e baselined. Obiettivi (o metriche) possono essere definite per qualsiasi numero di proprietà di progettazione di architetture esistenti.

Un modo semplice per considerare l'evoluzione di un'architettura è in relazione con il concetto di architettura discendente. Quando si è evoluta una architettura, un copiadell'architettura principale viene creata. Questa copia può dire di essere una diretta discendentedell'originale genitore architettura.

Nota

In questa documentazione Guida in linea e il toolset ABACUS sé, il termine evolvereè più comunemente usata del termine discendente, Si ricorda che entrambi si riferiscono alla stessa funzionalità.

Per evolvere un'architettura esistente

1. Assicurarsi di avere un File ABACUSaperto e la Windows Explorervisualizzato.

2. Selezionare l'architettura in questione si vuole evolvere dall'albero esploratore.

3. Fare clic destrosull'architettura e selezionare Evolveredal menu.

Evolvere il Prescelto Architettura

4. L'architettura evoluta apparirà sotto l'architettura selezionata.

Evolved Architettura

Nota

L'architettura evoluta può essere rinominato facendo clic destro su architettura e selezionando Rinominare.Inoltre, tutti gli schemi e cataloghi in architettura evoluta saranno impostati automaticamente su 'diff' contro l'architettura di base che si è evoluto da.

Stabilire gli obiettivi per la propria architettura evoluta

Stabilire gli obiettivi per la propria architettura evoluta consente di creare un criterio per valutare l'evoluzione delle tue architetture. Gli obiettivi sono determinate dai tipi di proprietà ed i nomi di quelle proprietà esistenti nella vostra architettura evoluta. Gli obiettivi possono anche essere definiti manualmente e sopraggiunte architettura. Seguire i passi di seguito per impostare obiettivi.

Stabilire gli obiettivi da immobili esistenti per la propria architettura evoluta

1. Assicurarsi di avere un File ABACUSaperto e la Windows Explorervisualizzato.

2. Selezionare Strumenti | Obiettivi prefissatiDalla barra dei menu principale.

3. Il Goal InputVerrà visualizzata la finestra.

Goal Finestra Input

4. Clicca su Esistente pulsante.

5. Il Selezionare una proprietàVerrà visualizzata la finestra.

6. Selezionare una proprietà che si desidera impostare come un obiettivo per la vostra architettura evoluta e cliccare sul ok pulsante.

7. L'obiettivo selezionato verrà visualizzato nella Goal Input finestra.

8. Selezionare l'obiettivo e fare clic sul Modifica pulsante.

9. Il Modifica GoalVerrà visualizzata la finestra.

Nota

Questa finestra consente di modificare il nome della proprietà e il tipo che l'obiettivo sarà riflettere, così come i peggiori e migliori di valore (o minimo / massimo) per tale proprietà. Questi valori si trovano confrontando tutte le architetture e trovare il valore più piccolo e il più grande in ogni per quella proprietà specifica. Questi valori possono anche essere definiti manualmente. Ad esempio, se si dovesse fissare un obiettivo per la proprietà denominata Risposta (Ave)e di tipo Comportamento, Il vostro valore peggiore e migliore potrebbe riflettere la velocità delle transazioni necessaria per ottenere prestazioni ottimali (miglior valore) e la velocità di transazione necessaria solo per le applicazioni principali da elaborare (peggior valore).

10. Una volta che sono stati definiti i valori rilevanti, selezionare ok.

Impostazione gol di nuove proprietà per la propria architettura evoluta

1. Assicurarsi di avere un File ABACUSaperto e la Windows Explorervisualizzato.

2. Selezionare Strumenti | Obiettivi prefissatiDalla barra dei menu principale.

3. Il Goal InputVerrà visualizzata la finestra.

4. Clicca su Nuovo pulsante.

5. Il Nuovo obiettivoVerrà visualizzata la finestra.

Nota

Questa finestra consente di definire il nome della proprietà e il tipo che l'obiettivo sarà riflettere, così come il valore peggiore e migliore (o valori minimi / massimi) per quella proprietà. Ad esempio, se si dovesse fissare un obiettivo per proprietà denominata Risposta (Ave)e di tipo Comportamento, Il vostro valore peggiore e migliore potrebbe riflettere la velocità delle transazioni necessaria per ottenere prestazioni ottimali (miglior valore) e la velocità di transazione necessaria solo per le applicazioni principali da elaborare (peggior valore).

6. Una volta che sono stati definiti i valori rilevanti, selezionare ok.

7. Una finestra di dialogo per Aggiungi a tutte le architettureverrà visualizzato come di seguito:

8. Clicca su sìaggiungere l'obiettivo come una proprietà di tutte le architetture pertinenti. Questo assicura che l'obiettivo appena definita e le sue proprietà vengono aggiunti a tutte le architetture nel file. Se non si desidera includere la proprietà nelle architetture, è possibile fare clic su No.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Visualizzazione di un appezzamento stella delle vostre architetture evolute | Visualizzazione di un grafico a dispersione delle tue architetture evolute


Espandere e comprimere l'albero

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Espandere e comprimere l'albero

Invia commenti su questo argomento.

Quando un nodo dell'albero contiene sottocomponenti e collezioni, avrà un piccolo [image] o [image] firmare al suo sinistro. È possibile fare clic [image] per espandere il nodo e vedere le sue sottocomponenti e connessioni. Allo stesso modo, è possibile fare clic [image] per comprimere il nodo di nascondere i sub-componenti e connessioni (per rendere più spazio o rendere l'albero più facile comprensione).

In alternativa, è possibile espandere un intero nodo, in questo caso tutte le sue sotto-nodi sarà anche ampliato, e loro sotto-nodi, e il loro ... ecc Allo stesso modo, è possibile comprimere un intero nodo - la chiusura più livelli in una sola volta .

Inoltre, ci sono le opzioni per espandere solo le architetture, elementi (ad esempio i componenti e le connessioni), componenti o le connessioni.

Per espandere o comprimere un intero nodo (e dei suoi sotto-nodi, etc.)

1. Pulsante destro del mousesul nodo.

2. Selezionare Espandi | Tutti o Crollo.

Per espandere tutti un'architettura (s)

1. Pulsante destro del mousesu architetture o un'architettura.

2. Selezionare Espandi | Tutti.

Per espandere elementi

1. Pulsante destro del mousesu architetture o un'architettura.

2. Selezionare Espandi | Elementi.

Per espandere i componenti

1. Pulsante destro del mousesu componenti, un componente o sottocomponente.

2. Selezionare Espandi | Componenti | Tutti.

Per espandere i collegamenti

1. Pulsante destro del mousesu connessioni, una connessione o un sub-collegamento.

2. Selezionare Espandi | Collegamenti | Tutti.


Esportazione Architettura

Navigazione: Segnalazione vostra architettura>

Esportazione Architettura

Invia commenti su questo argomento.

ABACUS consente aesportare la propria architettura di .mdb (Microsoft Access), MS SQL Server, .abacus (file ABACUS), .xls e formato (Microsoft Excel). È anche possibile esportare la vostra diagrammas in formato PNG, JPG, SVG (Scalable Vector Graphics), TIFF, GIF e BMP e rapporti di .html (HTML), .pdf (Adobe Acrobat), .xls (Microsoft Excel), .doc (Microsoft Word) e .rtf (Rich Text Format) formati. Ciò consente di analizzare e visualizzare l'architettura ei suoi dati in qualsiasi modo si desidera.

Per esportare la vostra architettura MDB (Microsoft Access)

1. Assicurarsi di avere un File ABACUS aprire.

2. Clicca su File menu.

3. Selezionare Esportare, e poi Per MDB.

4. Prendete nota di avvertimento e fare clic su ok.

5. Digitare un nome per il file.

6. Clicca il Salvare Pulsante.

Nota

Il formato di esportazione del database mdb è specifico per ABACUS e le eventuali modifiche allo schema si tradurrà in impossibilità di reimportare. Perfavore guarda Popolando con MS Access per una descrizione dello schema MS Access.

Per esportare la vostra architettura MS SQL Server

1. Assicurarsi di avere un File ABACUS aprire.

2. Clicca su File menu.

3. Selezionare Esportare, e poi Per MS SQL Server.

4. Nella finestra di dialogo che appare clicca il Esporta in bianco MDB ...Pulsante e importare questo nel vostro server di database MS SQL Server.

5. Compilare le informazioni del database e la stringa di connessione.

6. Clicca il Esportare Pulsante.

Nota

Il formato di esportazione del MS SQL Serverdatabase è specifico per ABACUS e le eventuali modifiche allo schema si tradurrà in impossibilità di reimportare. Perfavore guarda Popolando con MS Access per una descrizione dello schema del database.

Per esportare la propria architettura di .xls (file di Excel)

1. Assicurarsi di avere un File ABACUS aperto , un explorer visualizzato , e un architettura aggiunto .

2. Assicurarsi di avere un File Excel Importa configurazione / Export definito.

3. Pulsante destro del mousesu un'architettura nel modello o in qualsiasi parte del Componentinodo (all'interno di una determinata architettura) si desidera esportare il file di configurazione di Excel.

4. Selezionare Esportare | A Eccellere... dal menu.

5. Il Seleziona file Excel Importa configurazione / esportazione per l'utilizzoverrà visualizzata la finestra.

6. Selezionare il file di configurazione corrispondente per il modello architetturale e cliccare sul Aprire pulsante.

7. Se non è fatto automaticamente così, mappa i componenti di livello superiore nel tuo attuale architettura al ID set(come definita in precedenza) e fare clic su Esportare....

Esempio di mappatura dei componenti di primo livello

8. Scegliere un percorso e tutti i file per il file di Excel e fare clic sul Salvare pulsante.

Per esportare la propria architettura di .abacus (file ABACUS)

1. Assicurarsi di avere un File ABACUS aprire.

2. Pulsante destro del mousesul nodo di Architettura, qualsiasi architettura nel modello o in qualsiasi parte della struttura dei componenti.

3. Selezionare Export | A File...dal menu.

4. Scegliere un percorso e nome del file e fare clic sul Salvare pulsante.

Nota

È possibile importare un file ABACUS indietro nel ABACUS dai seguenti fasi 1-2sopra e quindi selezionando Import | Da parte di File.... Dopo aver selezionato il file da importare, verrà chiesto come si desidera importare gli standard e tipi. È possibile importare standard e tipi come sia standard e tipi nuovi o unite. L'impostazione predefinita è per le norme e tipi di essere fusa con norme e di tipi esistenti, se già esistono nella vostra progetto.

Per esportare la vostra architettura .xml

1. Assicurarsi di avere un File ABACUS aprire.

2. Pulsante destro del mousesu un nodo Architettura, qualsiasi architettura nel modello o in qualsiasi parte della struttura dei componenti.

3. Selezionare Export | A XML ...dal menu. In alternativa, è possibile fare clic sul menu File| Esportare| A XML ...

4. Scegliere un percorso e nome del file e fare clic sul Salvare pulsante.

Nota

È possibile importare un file XML nel ABACUS dai seguenti fasi 1-2sopra e quindi selezionando Import | Da parte di XML .... Dopo aver selezionato il file XML da importare, verrà chiesto come si desidera importare gli standard e tipi. È possibile importare standard e tipi come sia standard e tipi nuovi o unite. L'impostazione predefinita è per le norme e tipi di essere fusa con norme e di tipi esistenti, se già esistono nella vostra progetto.

Per esportare il diagramma in PNG, JPG, SVG, TIFF, GIF o BMP

1. Assicurarsi di avere un File ABACUS aprire.

2. Apri il diagrammasi desidera esportare.

3. Clicca su Export Diagrampulsante sulla Diagramma barra degli strumenti.

4. Il Esporta DiagrammaVerrà visualizzata la finestra.

5. Seleziona il Navigareper salvare la visualizzazione nella posizione desiderata.

6. Seleziona il Salva comemenu a discesa per scegliere il tipo di file.

7. Clicca il Salvare pulsante.

Per esportare il report in formato .pdf (Adobe Acrobat), .xls (Microsoft Excel) o.doc (Microsoft Word)

1. Assicurarsi di avere un File ABACUS aprire.

2. Creare un relazione si desidera esportare.

3. Clicca su Esportaresulla barra degli strumenti rapporti.

4. Selezionare Excel, PDF o Worddalla casella a discesa.

5. Attendere qualche istante mentre le esportazioni di report.

6. Scegliere un percorso e nome del file e fare clic sul Salvare pulsante.


Ricerca e sostituzione di elementi nella vostra architettura

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Ricerca e sostituzione di elementi nella vostra architettura

Invia commenti su questo argomento.

Potete trovare e sostituisci un componente specifico, il collegamento, tipo, standard o proprietà utilizzando ABACUS 'Trova e sostituisci struttura.

Per trovare una voce

1. Fare clic sul nodo dell'albero si desidera cercare dentro.

2. Selezionare Modifica| Trovao premere Ctrl + F.

3. Inserisci il testo l'oggettodi trovare nel campo 'Trova cosa'.

4. Clic Trova il prossimo.

A sostituire un oggetto

1. Fare clic sul nodo dell'albero si desidera cercare dentro.

2. Selezionare Modifica| Sostituireo premere Ctrl + H.

3. Inserisci il testo l'oggettotrovare nel 'trovare quello' campo e il testo per sostituirlo con la 'Sostituisci con' campo (o nulla se il campo viene lasciato vuoto).

4. Clic Trova il prossimoper trovare la prima istanza del testo 'Trova quello che' e clic Sostituire di sostituire questa istanza con il testo 'Sostituisci con' o click Sostituisci tuttoper sostituire tutte le istanze.

Avete le opzioni per:

o Accoppiare il suo caso,

o Far corrispondere l'intera parola,

o Cerca fin dall'inizio del progetto,

o Ignora architetture - che è l'architettura stessi nodi. Saranno ancora cercati tutti i nodi sotto i nodi architettura quali i componenti e connessioni,

o Ignora componenti - che è la componente stessi nodi,

o Ignora collegamenti - che è il collegamento stessi nodi,

o Ignora standard - cioè tutti i nodi standard di architettura, di componenti e di collegamento saranno ignorati,

o Ignora tipi - che è il tipo stessi nodi. Saranno ancora essere ricercati in tutti i nodi vincolo sotto dei nodi di tipo,

o Ignorare modelli e contenuti - che è il modello di nodi se stessi così come qualsiasi componente modello e nodi di collegamento sotto di loro,

o Ignora proprietà - che è tutti i tipi di proprietà, i nomi, i valori e le unità di tutti gli elementi del modello verrà ignorato,

o Ignora descrizioni - che è le descrizioni di tutti gli elementi del modello vengono ignorati.

Guarda anche

Come si un'architettura rappresentata in ABACUS


Guida in altre lingue

Navigazione: Introduzione alla ABACUS>

Guida in altre lingue

Invia commenti su questo argomento.

ABACO aiuto è disponibile in varie altre lingue / traduzioni e può essere scaricato dal link qui sotto.

A sostituire il file corrente di aiuto ABACUScon un file di aiuto tradotta nel seguente modo:

1. Salvare il file di aiuto dal relativo link in basso.

2. Rinominare il file di aiuto per ABACUS.chm.

3. Aprire il file con un doppio clic su di esso e se un 'Apri file - Avviso di protezione' dialogo appare quindi deselezionare la "chiedere sempre prima di aprire il file" e fare clic su Apri.

4. Chiudere il file.

5. Sostituire il file ABACUS.chm nella cartella dei file di programma ABACUS, tipicamente "C: \ Program Files \ Avolution \ ABACUS" o "C: \ Program Files(x86)\ Avolution \ ABACUS".

Nota

Guida sensibile al contesto continuerà a lavorare con i file della guida tradotti.

ABACUS file di aiuto in altre lingue:

· Arabo / العربية .

· bulgaro / български .

· Cinese semplificato) / 中文 (简体) .

· ceco / Česká .

· danese / Dansk .

· Estone / Eesti .

· finlandese / Suomen .

· francese / Français .

· Tedesco / Deutsch .

· ungherese / Magiaro .

· islandese / islandese .

· indonesiano / Indonesia .

· italiano / Italiano .

· giapponese / 日本 の .

· lettone / Latvijas .

· Malese / Malaysia .

· maltese / Malto i .

· Norweigen / Norweigen .

· polacco / Po lska .

· Portoghese / Português .

· russo / русский .

· Slovacco / Slovenski .

· sloveno / Slovenski .

· spagnolo / Españoles .

· svedese / Svenska .

· Turco / Türk .

· gallese / Cymraeg .

Guarda anche

Cosa fa ABACUS fare?


Come si un'architettura rappresentato in ABACUS?

Navigazione: Introduzione alla ABACUS>

Come si un'architettura rappresentato in ABACUS?

Invia commenti su questo argomento.

In ABACUS, si modella la vostra architettura. Per semplicità, chiamiamo questo modello architettonico un'architettura.

Il diagramma illustra come una tipica architettura di 5Componenti (in una gerarchia) collegati da 2 collegamenti sarebbero rappresentati nel ABACUS.

Come un'architettura semplice è rappresentata in ABACUS

Si può avere un numero qualsiasi di architetture in un unico file ABACUS.

La prima architettura nella struttura

In genere, è necessario creare una nuova architettura ogni volta che si vuole valutare un cambiamento. Ad esempio, si potrebbe modellare l'architettura esistente prima - questa sarebbe la prima architettura nella struttura. Si potrebbe chiamare 'corrente'.

Il secondo

Quando si vuole modellare e valutare una modifica alla vostra architettura esistente (ad esempio un aumento requisiti) devi creare una nuova architettura. Il modo più semplice per farlo sarebbe quello di creare una copia di 'corrente' e rinominarlo 'Evolution 1 Tentativo 1'. Questa sarebbe la seconda architettura nell'albero. Se le vostre valutazioni di 'Evolution 1 Tentativo 1' hanno esito positivo, è possibile rinominare semplicemente 'Evolution 1'.

Il terzo

Se 'Evolution 1 Tentativo 1' non soddisfa le vostre esigenze, è possibile creare una copia di esso, rinominarlo in 'Evolution 1 Tentativo 2', e riprovare. Questo sarebbe il terzo architettura nella struttura.

Guarda anche

Cosa fa ABACUS fare? | Come si fa (Panoramica) | Che cos'è l'architettura? | Lavorare con i file ABACUS | Creazione o duplicare una architettura


Come usare ABACUS (Panoramica)

Navigazione: Introduzione alla ABACUS>

Come usare ABACUS (Panoramica)

Invia commenti su questo argomento.

Questa sezione fornisce una panoramica di base dei compiti da svolgere con l'utilizzo di ABACUS.

Il diagramma seguente illustra il processo di analisi basato su architettura che ABACUS prevede evolvere un'architettura corrente a un nuovo o di destinazione architettura.

Il processo di ABACUS

Per utilizzare ABACUS:

1. Audit - Prima di utilizzare ABACUS, è necessario raccogliere tutte le informazioni che si hanno circa l'architettura, e le sue esigenze.

· Architettura - Identificare i potenziali componenti dell'architettura e come interagiscono. Ci dovrebbe essere solo pochi componenti a livello superiore. Questi sono chiamati "componenti essenziali". Anche le architetture più complesse devono avere meno di 10 componenti essenziali. es Le componenti essenziali dell'architettura una compagnia di assicurazione possono essere politiche, ricevute, reclami e pagamenti.

· Requisiti- Devi sapere cosa ci si aspetta di architettura al fine di determinare se è soddisfacente. es Numero di transazioni all'ora.

· Dove hai trovato? - Queste informazioni possono provenire da specifiche dei requisiti, documenti di progettazione, interviste con gli stakeholder, il codice distribuito, ecc Fondamentalmente ogni materiale che è disponibile offre informazioni ABACUS sull'architettura.

2. Popolare -Utilizzare ABACUS per modellare la propria architettura e specificare i requisiti dell'architettura sarà misurato contro.

· Architettura - In ABACUS si inizia con una architettura vuoto - si deve popolareesso. Questo significa entrare tutte le informazioni architettura avete raccolto sopra. È possibile popolare l'architettura manualmente (tramite il menu di scelta rapida), oppure si può compilare automaticamente (da Microsoft Visio, Excel, Access, ecc). In genere più in alto livelli (più astratti) dell'architettura verranno popolati manualmente, e i livelli più bassi (più concrete) verranno compilati automaticamente.

· Requisiti - Come si aggiungono i componenti e le connessioni, è necessario specificare le loro proprietà. Nella maggior parte dei casi, queste proprietà saranno i requisiti dell'architettura. Ad esempio, se si avrà un nodo di 1250 MIPS / cluster, si dovrebbe aggiungere il nodo come un componente, quindi aggiungere la proprietà prestazioni e assegnare un valore di 1250 MIPS.

3. Analizzare - Utilizzare ABACUS per analizzare con eleganza e visualizzare la complessa struttura della vostra architettura. Tu in grado di analizzare l'architettura in un certo numero di modi o da un numero di punti di vista, inclusi i diagrammi, 3D e Explorer. In alternativa si potrebbe desiderare di utilizzare alcune vedute più specifici come segue:

· Grafico l'architettura - per ottenere prestazioni (tempo di risposta, la larghezza di banda, ecc), costo (barre, a torta, ecc) o possibilità di evoluzione (spazio capacità, trade-off, ecc) vista.

· Creare una relazione sulla propria architettura.

4. Simulare - Utilizzare ABACUS per simulare le prestazioni, la disponibilità, il costo, l'apertura della propria architettura, ecc

· Per fare questo, eseguire uno dei simulatori. ABACUS valuta la vostra architettura contro le vostre esigenzeeseguendo una simulazione. Si legge e analizza l'attuale architettura, effettua simulazioni, e calcola alcune nuove proprietà. Queste proprietà vengono poi salvate di nuovo all'architettura. Le nuove proprietà sono i dati che si sta cercando di analizzare, come ad esempio l'utilizzo, i tempi di risposta, la larghezza di banda,% di disponibilità, TCO etc.

5. Ingegnere- Utilizzare ABACUS per rispondere diverse "what if" scenari e controllare l'evoluzione della propria architettura. Engineering è il processo di ripetere il Popola - Analizzare - Simulare ciclo.

· A questo punto,'veprobabilmente sviluppato una comprensione della attuale architettura e messo in evidenza le aree necessarie per evolvere. Molto spesso, però, è necessario ripetere il Popola - Analizzare - processo Simulare un certo numero di volte. Questo sarà probabilmente perché si può prendere un paio di iterazioni prima di trovare l'architettura di destinazione. Inoltre, se la propria architettura è molto complessa, si consiglia di ripetere il processo per ogni "livello" di architettura.

6. Pianoil futuro della vostra architettura utilizzando le informazioni fornite da ABACUS.

Nota

Se non stai cercando di evolvere un'architettura esistente, potrebbe essere necessario ripetere alcuni passaggi di un certo numero di volte, e in un ordine diverso. Dipende da quello che si sta cercando do. Per esempio, se si sta progettando una nuova architettura, probabilmente solo di popolare la propria architettura, una volta, e quindi utilizzare ABACUS per un lungo periodo di tempo per guidare l'evoluzione futura (s) dell'architettura. D'altra parte, se si sta acquistando una nuova architettura e hanno diverse alternative tra cui scegliere, avrete bisogno di Scopri e Popolare per ciascuna delle alternative, e quindi analizzare e simulare ognuno in modo indipendente prima di effettuare un confronto finale al fine.

Guarda anche

Cosa fa ABACUS fare? | Che cos'è l'architettura? | Come si un'architettura rappresentato in ABACUS? | Compilazione l'architettura | Analizzando l'architettura | Simulando l'architettura


Importazione in vostro Architettura

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Importazione in vostro Architettura

Invia commenti su questo argomento.

ABACUS consente di importare in l'architettura da un .abacus (file ABACUS), formato (Microsoft Visio) .xml (un frammento XML ABACUS o un file XML ArchiMate Interchange Language), .vsd, e formato .xls (Microsoft Excel). Questo ti permette di costruire la propria architettura da fonti esterne in fretta.

A importare l'architettura da parte di.abacus (file ABACUS)

1. Assicurarsi di avere un File ABACUS aprire.

2. Pulsante destro del mousesul nodo di Architettura, qualsiasi architettura nel modello o in qualsiasi parte della struttura dei componenti.

3. Selezionare Importare| Da parte di File...dal menu.

4. Scegliere un luogo e il .abacus file e fare clic sul Aprire pulsante.

Nota

Dopo aver selezionato il file da importare, verrà chiesto come si desidera importare gli standard, Tipie punti di vista. È possibile importare standard, Tipi e punti di vista sia come norme nuove o fusi, Tipie punti di vista. L'impostazione predefinita è per gli standard, Tipi e punti di vista per essere fusa con gli standard esistenti, Tipi e punti di vista se già esistono (con lo stesso nome esatto) nel tuo progetto.

A importarel'architettura da parte di.xml (un frammento di ABACUS XML o un file XML ArchiMate Interchange Language)

1. Assicurarsi di avere un File ABACUS aprire.

2. Pulsante destro del mousesu un nodo Architettura, qualsiasi architettura nel modello o in qualsiasi parte della struttura dei componenti.

3. Selezionare Importare| Da parte di XML ...dal menu.

4. Scegliere un luogo e il .xml file e fare clic sul Aprire pulsante.

Nota

ABACUS solo importare un frammento XML ABACUS adeguatamente formata o un file XML ArchiMate Interchange Language. Dopo aver selezionato il file XML da importare, verrà chiesto come si desidera importare gli standard, Tipie punti di vista. È possibile importare standard, Tipi e punti di vista sia come norme nuove o fusi, Tipie punti di vista. L'impostazione predefinita è per gli standard, Tipi e punti di vista per essere fusa con gli standard esistenti, Tipi e punti di vista se già esistono (con lo stesso nome esatto) nel tuo progetto.

A importarel'architettura da parte di.vsd(Visio file) vedere Qui .

A importarel'architettura da parte di.xls (file di Excel) vedere Qui .


Importazione di tipi e gli standard da una libreria

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Importazione di tipi e gli standard da una libreria

Invia commenti su questo argomento.

È possibile importare i tipi e le norme da un file di libreria ABACUS. È inoltre possibile esportare i tipi e gli standard dal file ABACUS in un file di libreria ABACUS.

Per importare i tipi e gli standard da una libreria nella vostra architettura

1. Assicurarsi di avere un File ABACUSaperto e la Windows Explorervisualizzato.

2. Seleziona file | Aprireaprire un File di libreria ABACUS.

3. La Biblioteca ABACUS si aprirà in un secondo foglio a schede nella finestra Esplora e si dovrà sganciare questa scheda a schede per essere in grado di drag-and-drop da esso al file ABACUS originale.

4. Drag-and-droptipi e standard dalla libreria nella vostra architettura.

- o -

1. Seleziona file | Nuovo ...

2. Creare un nuovo File ABACUSsulla base di un File di libreria ABACUS.

Per esportare i tipi e gli standard di propria architettura in una libreria

1. Assicurarsi di avere un File ABACUS apri il Windows Explorerindicato, un File di libreria ABACUSaperto e la Finestra Bibliotecavisualizzato.

2. Drag-and-droptipi e standard dal vostro architettura nella libreria.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente


L'interfaccia ABACUS

Navigazione: Introduzione alla ABACUS>

L'interfaccia ABACUS

Invia commenti su questo argomento.

Quando si avvia ABACUS, vedrete la schermata principale, che è vuoto, fatta eccezione per il menu e barra degli strumenti in alto, una finestra vuota Explorer e barra del titolo. Questo schermo sarà il fulcro della vostra interazione con ABACUS.

Gli elementi principali sono:

· i menu principali

· le barre degli strumenti

· il menu del tasto destro

· Esplora risorse e proprietà

· la barra di stato

I menu principali

I menu sono disposti in un ordine logico.

I menu sono descritti come segue;

· Menu File- Il menu File permette di creare, aprire, chiudere, salvare, esportare e pubblicare file ABACUS. Consente inoltre di creare, aprire, chiudere e salvare i file di libreria ABACUS.

· Menu Modifica- Il menu Modifica permette di tagliare, copiare, incollare, cancellare, rinominare, trovare e ordinare gli elementie undo / redo operazioni.

· Visualizza il menu- Il menu Visualizza consente di aprire o chiudere le varie interfaccia di Windows e barra di stato, Navigare avanti e indietro, andare a viste specifiche e gestire dashboard.

· Menu Inserisci- Il menu Inserisci consente di aggiungere nuovi standard, Modelli, tipi, elementi, vistapuntos, I cataloghi, gli schemi, grafici, Relazioni e matrici.

· Menu Analysis- Il menu Analysis consente di eseguire le valutazioni nei confronti di una architettura tra cui: prestazioni, costi, affidabilità, modularità e apertura.

· Menu Strumenti- Il menu Strumenti consente di eseguire lo scripting, obiettivi fissati per l'architetturaed eseguire e architettura 'diff'. È inoltre possibile modificare le opzioni del programma e personalizzare l'interfaccia dal menu strumento.

· Menu Finestra- Il menu Finestra consente di agganciare, organizzare, visualizzare e nascondere le finestre che avete aperto.

· Menu?- Dal menu Guida è possibile accedere a questo file di aiuto ABACUS. È possibile accedere al sito web, di visualizzare il vostro Patente accordo e visualizzare i dettagli generali sulla ABACUS tra cui la versione del software e ABACUS supporto e contatti. Per inviare un commento tramite la pagina di notifica problema. Se necessario, è possibile inserire una chiave di registrazione tramite il menu?.

Questo è l'ordine potrete seguire in genere quando si sta portando le vostre mansioni;Dopo aver creato o aperto un file, Ti normalmente popola l'architettura, allora vistaessa (in Esplora risorse, diagrammi, 3D, grafici, ecc). A questo punto, potrete sia esegue un valutatore, O ti ripete il processo con la stessa architettura o un'architettura diversa. (Vedere Come usare ABACUS (Panoramica) per ulteriori dettagli.)

Dai un'occhiata attraverso i menu principali e cercare di immaginare come li applicherete al sistema.

Nota

Puoi Personalizza il tuo menu in ogni momento.

Le barre degli strumenti

Per impostazione predefinita, vi sono le seguenti barre degli strumenti;

· la barra degli strumenti principale -

· il Simulazione Barra degli strumenti -

· la barra degli strumenti Vista -

· il Strumento Diagrammabar (se un diagramma è aperto) -

· il Macro Registrazione Barra degli strumenti -

Dai un'occhiata attraverso i pulsanti sulla barra degli strumenti ogni passandoci sopra per vedere il tool-tip (scorciatoia-chiave).

Nota

Solo alcuni pulsanti saranno attivi a seconda di ciò che è stato selezionato nella finestra Esplora e si può Personalizza le barre degli strumenti in ogni momento.Inoltre, il tasto 'Convalida / Vincoli progetto Verifica "sulla barra degli strumenti principale e pulsanti della barra degli strumenti di simulazione metterà in evidenza Rosso quando una modifica al repository sottostante richiede una nuova validazione del progetto o di una nuova simulazione di quel simulatore rispettivamente. Passa il mouse sopra il pulsante per vedere quali architetture sono interessate.

Il menu di scelta rapida

I principali menu e barre degli strumenti sono nonutilizzato per tutto, però. Spesso è più conveniente usare il menu contestuale del tasto destro per le varie operazioni. (Inoltre, non tutti i comandi disponibili tramite pulsante destro del mouse sono disponibili attraverso i principali menu, barre degli strumenti o comandi da tastiera.)

Per esempio, una volta che hai creato un file, e si dispone di un diagramma ad albero di propria architettura, è meglio fare clic destro su architetture nella struttura per aggiungere una nuova architettura. Allo stesso modo, si dovrebbe fare clic destro su componenti per aggiungere un nuovo componente. Fai clic destro su un paio di cose nella struttura per vedere cosa si può fare.

Mancia

In generale, userete i menu principali per svolgere i compiti più alto livello, come valutare la vostra architettura. I compiti di basso livello - come l'aggiunta di singoli componenti e le connessioni - sono fatte con le barre degli strumenti e / o menu del tasto destro.

Esplora risorse e proprietà

Quando si apre o si crea un file, un diagramma ad albero viene visualizzata nella finestra Esplora. Si tratta di una finestra nella vostra architettura. E come si selezionano gli elementi all'interno della finestra di Explorer tre altre finestre; le proprietà generali, Elenchie finestre Proprietà verranno aggiornate per riflettere informazioni dettagliate sulla selezione.

Nota

Le proprietà generali, Elenchie finestre Proprietà sono nascosti per impostazione predefinita. Vedere Personalizzazione dell'interfaccia per come visualizzare loro e potenzialmente lasciarli mostrato permanentemente.

Mentre si sta costruendo la propria architettura, le finestre di Explorer e proprietà sono la rappresentazione più utile. Perché possono essere crollati e ampliati, come richiesto, e non diventano ingombranti.

La finestra Explorer ha un albero (e barra di stato) e le finestre Proprietà ha 5sezioni:

· Tipo

· Standards

· Descrizione

· Riferimenti

· Proprietà

ABACUS considera tutte queste cose per essere parte dell'architettura.

Albero

Questa sezione ha un albero raggruppate in 3 aree come segue:

1. Meta-modello

· Standards- Se numerosi componenti hanno lo stesso insieme di proprietà, è possibile definire il set up-front, e poi basta assegnarlo ai componenti. Lo stesso vale per le connessioni e qualsiasi degli altri elementi. Questi insiemi di proprietà standard sono memorizzate nel Standardsramo dell'albero. Invece di definire tutte le proprietà per ogni componente e ogni proprietà per ogni connessione, ecc, solo assegnare un standard. Per esempio, le caratteristiche standard di Unix di HP / UXpossono essere salvati come un Standard e assegnate ai componenti utilizzando la Unix di HP / UXsistema operativo come mostrato per la OS01 assistente nello screenshot al di sopra.

· Tipi - Questo ramo dell'albero è una libreria dei tipi di componenti e connessioni è possibile utilizzare. Tipi vengono utilizzati per definire la meta-modello per l'architettura e per la classificazione e filtraggio quando si visualizza la propria architettura. Essi determinano anche un modello per quello che standard, Proprietà e vincoli tuoi componenti / connessioni possono avere.

· Punti di vista- Vistapuntos possono essere creati dai diagrammi esistenti e può essere utilizzato per creare nuovi diagrammi.Sono stencil diagramma.

· Modelli - Modelli negozio riutilizzabile modelli di componenti e connessioni insieme con il modo in cui sono rappresentate o visualizzati. Essi possono essere pensate come "mini" architetture o soluzioni che possono essere inseriti in architetture esistenti.

2. Architetture -Le Architetture ramo dell'albero è dove si costruisce il architettura (s) del sistema. (Questo si chiama popolando l'architettura.) Si può avere un numero qualsiasi di architetture in un unico file ABACUS.

3. Cruscotti - Il ramo Dashboard dell'albero è dove si può accedere a qualsiasi salvato cruscotti per il progetto.

Nota

Elementi nella struttura Explorer che hanno avuto il loro Aggiornamento permesso rimosso (cioè sono di sola lettura) sono mostrati in grigio.

Tipo

Questa sezione indica la componente o collegamento specifico tipo di elemento selezionato nella struttura.

Standards

Questa sezione fornisce un elenco delle standard per l'elemento selezionato nella struttura.

Descrizione

Questa sezione fornisce una breve descrizione dell'elemento selezionato nella struttura. Eventuali collegamenti ipertestuali relativi possono anche essere aggiunti a questa sezione. Questi includono siti web o percorsi assoluti locali che puntano a ulteriori informazioni sull'elemento data. Sono ammesse anche le linee multiple. Collegamenti ipertestuali validi hanno bisogno di iniziare con uno dei 5 corde; http: //, https: //, ftp: //, file: /// o mailto :.

Mancia

Per i collegamenti ipertestuali con spazi, gli utenti possono digitare l'URL o il percorso, selezionare il testo desiderato e Right Click| Collegamento ipertestuale. Questo cambierà spazi a % 20così l'intero URL o il percorso funziona correttamente.

Creati e modificati

Queste seziones fornirel'utente e data / ora per creare, e dell'ultima modifica, l'elemento attualmente selezionato nella struttura.

Riferimenti

Questa sezione fornisce un elenco delle componenti uscita e in entrata per l'elemento selezionato nella struttura.Essa mostra anche i diagrammi, 3D e vista grafico che l'elemento attualmente selezionato viene visualizzato. Se viene selezionato un diagramma mostra il Punto di vista, se applicabile per il diagramma e per le viste, in generale, lo dimostra qualsiasi Dashboard vista appare in. E quando un standard è selezionato nella struttura che mostra l'utilizzo dello standard per i tipi, i componenti e le connessioni.

Proprietà

Questa sezione è dove si definiscono le caratteristiche dei gli elementi all'interno l'architettura, come il modo in cui si richiede di svolgere, il numero di linee di codice che ha, la percentuale di queste linee che sono commenti, etc.

I 'input' e le proprietà "uscita" del pre-costruito simulatori verrà mostrato nella finestra Proprietà con un'icona di ingresso proprietà selettore di riga ( [image] ) E l'icona di uscita ( [image] ), Rispettivamente con un tooltip che indica quale ad esempio pre-costruito simulatore la proprietà è legata alla, 'Modularità Output' o 'Performance Input'. La freccia sulle icone uscita metterà in evidenza Rosso ( [image] ) Quando la proprietà non è aggiornato a causa di una proprietà sottostante o modifica strutturale al repository con il simulatore richiede ri-simulazione in base alla Rosso evidenziazione Barra degli strumenti di simulazione .

La barra di stato

La parte sinistra della barra di stato mostra il percorso completo per l'elemento repository attualmente messa a fuoco, sia selezionato nella finestra Esplora risorse o sul diagramma tela. Questo è così che il luogo esatto nella gerarchia repository per l'elemento dato può sempre essere facilmente determinata. La parte destra della barra di stato mostra vari messaggi operativi come 'Apri file ABACUS successo' e 'Calcolo dei costi Completato'.

Guarda anche

Come si fa (Panoramica) | Personalizzazione dell'interfaccia | Che cos'è l'architettura? | Come si un'architettura rappresentato in ABACUS? | Lavorare con i file ABACUS


Cosa fa ABACUS fare?

Navigazione: Introduzione alla ABACUS>

Cosa fa ABACUS fare?

Invia commenti su questo argomento.

Per assistenza in altre lingue / traduzioni clicca Qui .

ABACUS prende il congetture di trattare con soluzioni, sistemi, software, informazioni, tecnologie, processi di business e / o intere aziende (collettivamente come le architetture). Può aiutare a progettare in modo pragmatico, monitorare, simulare, analizzare e visualizzare il tuo architettura modellando esso, analizzando in modo intuitivo (ad esempio grafici, diagrammi e 3D) e quindi la valutazione è contro i vostri requisiti non funzionali.

Nota

Requisiti non funzionalisono quei requisiti che non si riferiscono direttamente a come un prodotto funziona. Invece, sono preoccupati da quanto bene funziona. Requisiti non funzionali includono cose come le prestazioni, l'apertura, evolvibilità, qualità, scalabilità, modularità, ecc (in contrasto con i requisiti funzionali come, attivare questa luce quando si fa clic su questo pulsante). Tradizionalmente, i requisiti non funzionali sono stati difficili - se non impossibile - misurare. In realtà, ABACUS è l'unico prodotto che può oggettivamente e quantificabile di misurare i primi tre - prestazione, apertura, e evolvability.

In poche parole, si entra l'architettura e che cosa avete bisogno di fare. ABACUS poi ti dice se lo farà, come richiesto e fa notare eventuali carenze o lacune.

ABACUS si basa su oltre 20 anni di sistemi di ricerca e molti altri anni di teoria dei sistemi stabiliti. Ti dà quantificabili, affidabile, risposte oggettive, quindi non sei basandosi su una valutazione soggettiva.

ABACUS è sinonimo di Architecture-BASED Analisi, COMUNICAZIONE e Understanding di Systems. Si può aiutare con qualsiasi grande scala di architettura, ma è generalmente utilizzato per quattro (4) le cose:

· in evoluzioneun'architettura corrente. Ad esempio, se la propria architettura esistente manca di prestazioni, ABACUS visualizzerà l'architettura per voi, identificare i problemi (colli di bottiglia, ecc), allora dirò di precisocome migliorare l'architettura.

· Progettazioneuna nuova architettura. Ad esempio, se avete bisogno di un'architettura completamente nuova, e si sta progettando da soli, ABACUS vi dirà di precisoquali componenti avete bisogno e il modo in cui deve essere collegato.

· Acquistiuna nuova architettura. Per esempio, se avete chiamato di gara per la progettazione di una nuova architettura, e il gioco è scegliere tra tre modelli, ABACUS vi dirà di precisoche si adatta alle vostre esigenze migliori.

· Combinandoattuali architetture esistenti. Ad esempio, se avete bisogno di combinare due o più architetture separati, ABACUS vi guiderà.

Guarda anche

Come si fa (Panoramica) | Che cos'è l'architettura? | Come si un'architettura rappresentato in ABACUS?


Utilizzo dei collegamenti in diagrammi

Navigazione: Popolare vostra architettura> Uso di disegni>

Utilizzo dei collegamenti in diagrammi

Invia commenti su questo argomento.

Forme (forma e componenti gratuito) e connettori (forma libera o collegamenti) all'interno diagrammi possono essere collegati alle vostre rappresentazioni architettoniche esistenti in ABACUS, così come file / cartelle e URL esterni. Questi link possono poi essere gestiti (creati, modificati e cancellati) tramite il set di strumenti ABACUS. Questa funzione può essere utilizzata per migliorare la navigazione e la comprensione globale della vostra architettura schematicamente.

Per aggiungere link al diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Selezionare la forma in questione o il connettore dal diagramma.

3. Pulsante destro del mousesulla formao il connettore.

4. Selezionare Link Apertee CollegamentiViene visualizzata la finestra.

5. Clicca su Aggiungereicona e una Nuovo collegamentoViene visualizzata la finestra.

6. Selezionare il relativo Catalogo | Matrix | Diagramma| Vista 3D| Graficopulsanti di opzione, quindi selezionare la relativa catalogo, Matrice, diagramma, 3Do grafico vista nell'architettura corrente dalla Collegamento a menu a discesa.

- o -

6. Seleziona il Sito webpulsante di scelta quindi, inserire l'URL relativo (per esempio http: //www.avolutionsoftware.com /)in campo per il collegamento a una pagina web. URL validi hanno bisogno di iniziare con uno dei 5stringhe; http: //, https: //, ftp: //, file: o \\. Gli spazi devono essere inseriti con una '% 20'.

- o -

6. Seleziona il File assoluto | File Relativepulsante di opzioneS,quindi fare clic su '...'Per cercare un file esterno per collegare al vostro diagramma.

7. Clic oke il nuovo collegamento verrà visualizzato nella finestra Links. Nota: La finestra Link può essere ridimensionata per vedere il nome completo, se necessario.

8. Ripetere i passaggi 5-7per creare più collegamenti.

9. Per seguire il collegamento creato, selezionare il relativo link visualizzato nel Collegamentifinestra e fare clic Link aperto.

Nota

quando più annotazioni sono mostrati per un forma o il connettore il collegamento viene visualizzato nella prima annotazione elenco di annotazioni nella finestra di dialogo Edit Annotazioni.

Per seguire collegamenti da diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Selezionare la forma in questione o il connettore dal diagramma.

3. Clicsul collegamento ipertestuale corrispondente (blu sottolineata nome del componente) su una forma o il connettore nel diagramma per aprire e visualizzare il primo anello dalla formao il connettore.Nota: Il cursore dovrebbe cambiare per una 'mano' quando il collegamento è pronto per essere cliccato.

- o -

3. Selezionare la forma in questione o il connettore dal diagramma.

4. Pulsante destro del mousesulla formao il connettore.

5. Selezionare Link Aperte e il CollegamentiViene visualizzata la finestra.

6. Selezionare il collegamento relativo che si desidera visualizzare.

7. Clicca su Link apertopulsante per aprire e visualizzare il relativo link.

Per eliminare i collegamenti nel diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Selezionare la forma in questioneo il connettoredal diagramma.

3. Pulsante destro del mousesulla formao il connettore.

4. Selezionare Link Aperte e il CollegamentiViene visualizzata la finestra.

5. Selezionare il collegamento relativo che deve essere eliminato.

6. Clicca su Cancellare pulsante. e il collegamento viene rimosso dal Collegamenti finestra.

Collegamenti Organizzazione nel diagramma

È possibile scegliere che collegava schema, file esterno, o URL web viene visualizzata quando un'etichetta forma è Ctrl + clic nel diagramma.

1. Verificare di disporre di uno esistente Schema aperto .

2. Selezionare la forma in questione o il connettore dal diagramma.

3. Pulsante destro del mousesulla formao il connettore.

4. Selezionare Link Aperte e il CollegamentiViene visualizzata la finestra.

5. Per modificare l'ordine dei collegamenti clicca sulla Move Up | Abbassatipulsanti sul lato destro dello Collegamenti finestra.

6. Il primo collegamento che appare sul lato sinistro della Collegamentifinestra è il link che appare quando si Ctrl + Clickuna forma con collegamento ipertestuale o il connettore nome.

Guarda anche

Compilazione l'architettura | Compilazione vostra architettura manualmente | Analisi l'architettura


Diagrammi Manipolazione

Navigazione: Popolare vostra architettura> Uso di disegni>

Diagrammi Manipolazione

Invia commenti su questo argomento.

Una volta che un diagramma è stato creato, gli elementi che compaiono in esso possono essere riorganizzati e ridimensionato come desiderato.

Per spostare un componente in un diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Click-and-holdqualsiasi componente per spostarlo. Se il componente selezionato ha un genitore, verrà evidenziata la componente principale.

3. Poiché l'elemento ètrascinato dalla sua componente principale, e su altri componenti, i genitori 'potenziali' viene evidenziato. Lo schema di colori utilizzato indica l'effetto l'operazione avrà sulle avvertenze e gli errori con il progetto in corso ed è descritto in Definire e convalidare vincoli . In questo modo, è possibile navigare graficamente la gerarchia da una 'pianta'.

4. Uscitail pulsante del mouse per cadere l'elemento nella nuova posizione.

Nota

È inoltre possibile utilizzare la tastiera per riposizionare gli elementi sulla tela disegno. Basta selezionare la forma del componente o in forma libera che si desidera spostare e utilizzare i tasti freccia situati sulla tastiera per spostare la forma al posto desiderato.

Si noti inoltre che durante il trascinamento di un componente con il mouse sopra un altro componente, un 'potenziale' componente principale è evidenziata quando l'angolo superiore sinistro del componente che si sta trascinando sovrappone a un altro componente.

Mancia

Forma libera e Forme galleggianti può essere ordinato da pulsante destro del mousee selezionando Portare in primo piano o Mandare in dietrodal menu. È importante notare che le forme dei componenti possono essere convertiti in forme libere da pulsante destro del mousein forma componente specifico e selezionando Converti in forma libera.

Per ridimensionare un componente in un diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Click-hold-resistenzauna delle maniglie del componente e ridimensionare la forma alle dimensioni desiderate.

3. In alternativa, per mantenere le proporzioni della forma, deprimere Shift + Click-hold-resistenza.

Per spostare un collegamento in un diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Click-and-holdqualsiasi connessione per spostarlo.

3. Uscitail pulsante del mouse per cadere l'elemento nella nuova posizione.

Nota

È possibile spostare solo le connessioni che non sono collegati a qualsiasi componente. Se sono collegati, è possibile spostare solo l'estremità liberas, o re-instradare il collegamento .

Eliminazione di componenti e collegamenti

Quando si elimina un componente o una connessione da un diagramma, si ha la possibilità di eliminarlo dal l'intera architettura. Qualsiasi componente che viene eliminato dalla architettura sarà rimosso automaticamente da tutti gli altri diagrammi in cui appare. Dal momento che le istanze di forma libera appaiono solo in uno schema, eliminarle non influenza il modello architettonico o di qualsiasi altro schema.

Per eliminare un componente o una connessione da un diagramma

1. Verificare di disporre di uno esistente Schema aperto .

2. Clicsu qualsiasi collegamento o componente associato per selezionarla.

3. premi il Cancellarechiave per eliminarlo dal diagramma, o Maiusc + Cancper eliminarlo dalla intero modello.

- o -

2. Fare clic destro su qualsiasi elemento o componente associato. Apparirà un menu contestuale.

3. Selezionare Elimina da Vista o Elimina da Architetturadal menu contestuale.

Nota

Se l'elemento che si desidera eliminare dalla vista non ha figli e si verifica solo su questo punto di vista, ABACUS vi chiederà se si desidera eliminare l'elemento dal repository pure.

Attenzione

Quando si elimina un componente dal modello che ha componenti bambini, i bambini saranno potenzialmente eliminati in base alla finestra di avviso.

Componenti Merging

Si consiglia di unire due componenti esistenti sullo stesso diagramma (e all'interno dell'architettura). Ciò può essere fatto per molte ragioni, per esempio, Due server esiste all'interno di una società di infrastructure- H01 e H02. Questi due server sono rappresentati come due componenti separati all'interno di una architettura. H01 è stato ritenuto inutile e quindi deve essere dismesso. Tutte le applicazioni esistenti in esecuzione su H01 devono essere spostata verso H02 (ancora in commissione). Questo cambiamento può essere riflessa dall'azione di "fusione" i due componenti H01 e H02 sul diagramma (e all'interno dell'architettura).

Per una discussione dettagliata sulla fusione consultare il Voci argomento Merging Qui .

Per unire due componenti esistenti

1. Verificare di disporre di uno esistente Schema aperto .

2. Right-click-holdil componente che si desidera unire e trascinareesso sul componente che si desidera fondersi con. Assicurarsi che la sagoma del componente di destinazione viene evidenziato rosso per indicare che è stato selezionato.

3. Selezionare Unisci | Preservare Destinazione o Sovrascrittura Destinazionedal menu.

Nota

Il Preservare Destinazioneopzione conserva i valori delle proprietà del componente di destinazione se esistono sul componente originaria pure.

Il Sovrascrittura Destinazioneopzione sovrascrive le proprietà del componente di destinazione con tutte le proprietà comuni dal componente di origine.

Cambiare Connessioni

I collegamenti mostrati in un diagramma sempreriflettere la struttura definita l'architettura stessa. Lo strumento di disegno consente di staccare le connessioni dai componenti, spostarli, li curva, li ri-route e li ri-collegare ad altri componenti.

Per scollegare / collegare un collegamento da / a un componente

1. Verificare di disporre di uno esistente Schema aperto .

2. Click-and-holdsu qualsiasi connessione.

3. Selezionare la connessione fine(ossia Source o Sink) Che si desidera staccare / collegare. Nota: le estremità di collegamento sono indicati con piccoli cerchi bianchi e si libra sopra il cerchio bianco per un secondo causerà un 'suggerimento' di apparire con la rispettiva ruolo nome(cioè sia Source o Sink).

4. Trascinareterminare la connessione in una nuova posizione (un posto vacante o di un componente) e rilasciare il pulsante del mouse.

Nota

Quando una estremità di attacco è posto sopra un componente valida, il contorno del componente di destinazione è evidenziato con un contorno tratteggiato. Lo schema di colori utilizzato indica l'effetto l'operazione avrà sulle avvertenze e gli errori con il progetto in corso ed è descritto in Definire e convalidare vincoli . Una volta rilasciato che estremità di The collegamento e il componente sono collegati automaticamente(o in allegato), E questo si riflette nel modello architettonico.

Per reindirizzare un collegamento

1. Verificare di disporre di uno esistente Schema aperto .

2. Posizionate il puntatore del mouse su una connessione.

3. Tenere il Spostamentopremuto il tasto e Clicil pulsante del mouse per posizionare un punto di connessione di ancoraggio. Rilasciare il Spostamento chiave. È possibile rimuovere il punto di ancoraggio facendo la stessa operazione.

4. Clicca e trascinail punto di ancoraggio di ri-percorso del collegamento.

Mancia

Usa ilAlt invece della chiave Spostamentochiave per creare connessioni ortogonali.

A curva o raddrizzare una connessione

1. Verificare di disporre di uno esistente Schema aperto .

2. Posizionate il puntatore del mouse su una connessione.

3. Pulsante destro del mousetlui connessione e nel menu contestuale che appare selezionare Curva, Ortogonale o Dritto.

Mancia

Tutte le connessionidi un determinato tipo nel diagramma può essere impostato su curvo, ortogonale o dritto facendo clic destro sulla linea associata per il tipo sul Scheda Connessionidella Finestra Stencile selezionando Curva, ortogonale o Etero.

A ancorare su un punto specifico sul bordo di una forma

1. Verificare di disporre di uno esistente Schema aperto .

2. Selezionare una connessione.

3. Posizionate il puntatore del mouse su il 'punto bianco' a fine una connessione.

4. Pulsante destro del mousetegli fine di connessione e nel menu contestuale che appare selezionare Anchor Endpoint to Shape.Spostare il fine collegamento alla posizione di desiderio sul bordo della forma.

O

Tenere il Ctrlpremuto il tasto e cleccare e trascinareil fine collegamento punto la posizione di desiderio sul bordo della forma.

Nota

Connessioni scattano per l'intercetta effettivo della loro forma connessa al posto del riquadro di delimitazione di tale forma.

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


Unione di articoli

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Unione di articoli

Invia commenti su questo argomento.

Quando volete unire voci?

Si potrebbe unire voci quando si dispone di due (o più) degli oggetti nel modello che sono meglio rappresentati da una singola istanza. Ci sono molte situazioni in cui si potrebbe desiderare di fare questo, tra cui:

· Come risultato di importazione di un nuovo set di informazioni nel modello che può duplicare o sostituire le informazioni esistenti. Per esempio se si importa una versione aggiornata di un foglio di calcolo nel modello.

· Nel corso del tempo duplicati della 'stessa' componente sono stati creati e volete ripulire questi duplicati.

· Se si sta eseguendo una simulazione dello scenario e gli elementi che si sta modellando sono in realtà la fusione nella realtà. Ad esempio, se si uniscono due dipartimenti nell'organizzazione, o se si uniscono due server.

Che cosa può essere fusa?

Supportano il risultato della fusione dei seguenti tipi di elementi:

· Standards

· Tipi di componenti e di collegamento

· Componenti e collegamenti

Come unire articoli

Per avviare una fusione, con il pulsante destro del mouse, trascinare un elemento in Esplora risorse su un altro. L'articolo che state trascinando è la fonte, e l'elemento che si trascina sulla è la destinazione. Rilasciando il tasto destro del mouse verrà presentato con un menu dal quale è possibile scegliere di unire i due elementi. Si dovrà scegliere se si desidera conservare o sovrascrivere la destinazione. Questo è ulteriormente illustrato di seguito.

Il menu di destra e trascinare merge

Qual è la differenza tra il mantenimento e sovrascrivere la destinazione?

L'opzione conservare o sovrascrivere determina cosa succede se il nome, la descrizione o proprietà tra la partita di origine e gli elementi di destinazione.

Se si sceglie Preserve Destinazione

· Saranno tenuti Nome e descrizione della destinazione.

· Qualsiasi proprietà che esistono solo nella sorgente vengono aggiunti alla destinazione.

Se sovrascrittura destinazione viene scelta:

· Nome della destinazione verrà sovrascritto dalla sorgente.

· Descrizione della destinazione verrà sovrascritto dalla fonte, a meno Descrizione della sorgente è vuota.

· Qualsiasi proprietà che esistono solo nella sorgente vengono aggiunti alla destinazione.

· Il valore e l'unità di tutte le proprietà che esistono sia la sorgente e di destinazione verranno sovrascritti dalla fonte, a meno che il valore della sorgente o dell'unità è vuoto.

Casi speciali

· Tipi: Quando si uniscono i tipi, le autorizzazioni vengono uniti, in modo 'pessimista', in modo tale che se l'autorizzazione in origine non esisteva nella destinazione, si sarebbe aggiunto, e se esistesse nella destinazione, quindi se l'individuo l'autorizzazione per un gruppo di utenti (Create, Read, Update o Delete) non corrisponde (uno concesso, uno negato), poi che il permesso sarebbe stato negato.

· Componenti: Quando la fusione dei componenti, vengono migrati i sottocomponenti della sorgente alla destinazione, e si fondono con sottocomponenti nella destinazione se i loro nomi sono identici, Indipendentemente dal tipo.Inoltre, più sottocomponenti della sorgente con lo stesso nome vengono combinati in un unico componente secondario nella destinazione.

· Collegamenti: Gli stessi collegamenti di livello superiore devono entrambi hanno gli stessi attacchi (o mancanza) di poter essere uniti. Quando si uniscono le connessioni, la sotto-connessione della sorgente vengono migrate alla destinazione, e si fondono con sub-connessioni nella destinazione se i loro nomi sono identici Eloro attaccamenti sono identici. Se gli allegati non sono identici, i sub-connessioni di origine verranno aggiunti alla destinazione senza fusione con connessioni già presenti corrispondenti. Questo è così che non gli allegati vengono persi.


Navigazione in un diagramma 3D

Navigazione: Analizzare la vostra architettura> diagrammi 3D>

Navigazione in un diagramma 3D

Invia commenti su questo argomento.

ABACUS permette di navigare facilmente attraverso la propria architettura in 3D. L'esperienza è simile a volare. Ci sono due modalità di navigazione:

· Modalità di controllo di base (default); e

· Modalità di controllo avanzata - cambiamento a questa modalità selezionando Controllo| Modalità di controllo avanzata.

Nota

Per passare da Controllo base e avanzato modi di controllo, è possibile utilizzare il F4funzionalità scorciatoia da tastiera.

Modalità di controllo di base

· Premuto il tasto sinistro e muovendo il mouse in avanti o indietro cambia il campo;

· Premuto il tasto sinistro e muovendo il mouse verso destra o sinistra cambia la imbardata;

· Tenendo il tasto destro e spostando le vaschette del mouse la vista;

· Tenendo premuto entrambi i pulsanti e muovendo il mouse in avanti o indietro, zoom in e fuori l'architettura; e

· Tenendo entrambi i pulsanti in basso e spostando il mouse a sinistra oa destra, rulli sinistra e destra.

- o -

· Premendo il tasto Freccia sinistrasulla tastiera o tastierino numerico si svolta a sinistra;

· Premendo il tasto Freccia destrasulla tastiera o tastierino numerico si svolta a destra;

· Premendo il tasto Frecciasulla tastiera o tastierino numerico ingrandire;

· Premendo il tasto Freccia in giùsulla tastiera o tastierino numerico diminuire;

· Pressing Pagina susulla tastiera o tastierino numerico si passo su; e

· Pressing Pagina giùsulla tastiera o tastierino numerico si passo verso il basso.

Modalità di controllo avanzata

· In movimentoil mouse avanti e indietro, e su e giù, cambia il beccheggio e imbardata (rispettivamente);

· Pressing W o Frecciaingrandisce (avanti) per l'architettura;

· Pressing S o Freccia in giùzoom out (indietro) dall'architettura;

· Pressing A o Freccia sinistrarotola a sinistra;

· Pressing D o Freccia destrarotola verso destra;

· Pressing Q o Pagina giùeleva la vista (abbassando il punto di vista); e

· Pressing E o Pagina suabbassa la vista (elevando la prospettiva).

Modalità di controllo interattivo

Tenendo premuto il tasto delle maiuscolesulla tastiera sovrascrive la modalità corrente (base o avanzato) per accedere alla modalità di controllo interattivo. In questa modalità il seguente è possibile:

· Rotoloil cursore del mouse su un componente o di collegamento per vedere il componente o il nome della connessione;

· Clicsu un componente per ingrandire tale componente;

· Clicca e trascinasu un componente per ruotare la vista attorno tale componente; e

· Pulsante destro del mouseun componente o una connessione e selezionare Mostra in Explorerdi vedere tale componente o la posizione di collegamento nella struttura.

Controlli comuni

· Uso ALT-ENTER / ESCper attivare la modalità a schermo intero;

· Uso F2per cambiare la modalità di visualizzazione. Questo può essere letta anche in Vista Menu.

· Usa il Rotella del mouse o +/-per modificare la velocità. La velocità è indicata da un numero nell'angolo inferiore sinistro - visualizzato solo quando cambia. 1 è il più lento e 100 è più veloce.


Apertura di diagrammi

Navigazione: Popolare vostra architettura> Uso di disegni>

Apertura di diagrammi

Invia commenti su questo argomento.

Le finestre stencil e tela di disegno appare automaticamente quando un diagramma è aperto o creato. Analogamente, se un diagramma è chiuso, il corrispondente foglio a schede nell'area di disegno scompare e se ulteriori disegni sono aperti quindi la finestra stencil viene chiusa.

A creareun nuovo diagramma

1. Assicurarsi di avere unFile ABACUS apertocontenente il architettura popolata.

2. Clicca su Diagramicona nella barra degli strumenti Vista.

- o -

2. Selezionare Inserire| Diagram.

- o -

2. Pulsante destro del mouseil Diagrammiramo di un dato Architetturasezione della struttura e selezionare Creare Diagramma.

3. Seleziona il Architetturasi vuole mettere a fuoco dal menu a discesa. Nota: l'architettura sarà già selezionato per voi se è stato utilizzato Fase 3 di cui sopra per aprire il nuovo schema.

4. Seleziona il Punto di vista si desidera utilizzare dal menu a discesa. Nota: il punto di vista scelto filtrerà i componenti e gli elenchi collegamenti da quelli disponibili sul punto di vista unico.

5. Opzionalmente selezionare una vista dalla Filtra per Leggimenu a tendina per preselezionare i componenti e le connessioni dalla vista prescelto. Nota: questo è effettivamente utilizzando la vista scelto come query salvata.

6. Seleziona il Impaginazione essere o Radiale o Griglia.

7. Seleziona il Componenti e Collegamentiche si desidera nel diagramma dal finestra di selezione elemento standard .

8. Clic ok.

Nota

Un nuovo diagramma verrà aggiunto Diagrammiramo dell'architettura. Avrà un nome di default, che è possibile modificare in seguito facendo clic destro su di esso.Inoltre, l'ultimo stato dei filtri di selezione dei componenti e il collegamento verrà salvato con lo schema efficace di salvare il 'query' utilizzato per creare il diagramma.

Per aprire un diagramma esistente

1. Nell'architettura popolata specifico, espandere la Diagrammiramo dell'albero.

2. Doppio click il diagramma che si desidera aprire.

Per salvare un diagramma

1. Assicurarsi di disporre di un diagramma nuovo o esistente apriree aver apportato le modifiche necessarie. Nota: un asterisco '*' verrà mostrato dopo il nome della vista nell'intestazione foglio a schede se ci sono cambiamenti da salvare.

2. Nella vista explorer cliccare sul Salvarepulsante o avuto modo di File| Salvareo deprimere Ctrl + Sper salvare tutti i cambiamenti nella vostra architettura e scrivere su file.

Per salvare un diagramma come punto di vista

1. Verificare di disporre di un diagramma esistente nel file ABACUS.

2. Pulsante destro del mouseil diagramma nel Diagrammiparte dell'albero.

3. Selezionare Salva come Punto di vista Diagramma.

4. Inserite un nome per il nuovo punto di vista diagrammae fare clic su ok.

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


Compilazione utilizzando Cataloghi

Navigazione: Popolare vostra architettura>

Compilazione utilizzando Cataloghi

Invia commenti su questo argomento.

A catalogo consente di visualizzare e modificare i componenti o connessioni e le loro proprietà in modo semplice tabellare.

A creare un nuovo catalogo visualizzare in ABACO

Nota

Mentre tutti gli utenti Architetto possono creare nuovi cataloghi, per salvare le modifiche alle impostazioni di un catalogo esistente licenza utente ha bisogno la possibilità aggiuntivo Designer. Questo per 'proteggere' la configurazione di cataloghi esistenti che possono essere condivise da molti utenti. Tuttavia, architetto utilizza senza il Designer add-on può ancora scegliere di 'Salva con nome' tutte le nuove impostazioni in un nuovo catalogo. E, naturalmente, tutte le licenze utente possono scegliere di 'scartare eventuali modifiche a un catalogo esistente. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se hai bisogno Designer add-on capacità. E ricordate, questo è solo le impostazioni del catalogo, tutte le modifiche apportate ai dati del catalogo vengono immediatamente applicate al repository, a prescindere.

1. Selezionare Inserisci | Catalogo.

2. Nel pull-down selezionare l'architettura che contiene i componenti ocollegamenti che si desidera visualizzare.

3. Nel pull-down selezionare il componente o tipo di connessione che si desidera avere le istanze elencati come 'righe' nel catalogo.

4. Il catalogo sarà popolato con unriga per ogni istanza del componente o tipo di connessione selezionato.

Nota

Per impostazione predefinita, il più a sinistra Percorso Gerarchiacolonna (cioè la gerarchia di componenti madri o collegamenti sopra le istanze selezionate) e la seconda Nome colonna (cioè la lista delle istanze del componente o connessione selezionata) sono congelati alla sinistra del catalogo. Per modificare la colonna congelamento trascinare il separatore colonna a destra della colonna Nome. Puoi riordinocolonne semplicemente trascinando e rilasciando le loro intestazioni di colonna. Cellule di colonne con una sottolineatura blu sono collegamenti ipertestuali ad altri elementi del progetto ed i collegamenti ipertestuali può essere seguito tenendo premuto Ctrl e cliccando sul link. Le colonne possono essere nascosto facendo clic destro sull'intestazione di colonna e selezionando Colonna | Nascondi Colonna. Colonne nascoste possono essere non nascosti facendo clic sul pulsante Colonne della barra degli strumenti di configurazione e l'utilizzo di dialogo come illustrato di seguito Colonne Configura, oppure selezionando la freccia parte in basso del pulsante Colonne della barra degli strumenti di configurazione e individualmente selezionando la colonna (s) nascosto sia dal generale, Proprietà o accessori collezioni. Righe possono essere raggruppati dai valori delle colonne trascinando la colonna nella barra raggruppamento blu nella parte superiore del catalogo. In qualsiasi momento è possibile fare doppio clic sul selettore di riga catalogo e salta ail componente corrispondenteo connessionenella finestra Explorer.I valori delle celle sono di proprietà grassetto dove sono diversi per le impostazioni predefinite, e corsivo di sola lettura dove sono. Timestamp, Proprietà e allegate colonne componenti possono essere colorato in base ai valori delle celle o valore della proprietà di un componente collegato facendo clic destro sull'intestazione di colonna e selezionando Colonna | Cambia colore ... e poi il colore dall'opzione Colour By proprietà timestamp o, comunque, solo Lista, Intero, Decimale, booleano o Data / ora proprietà tipo di dati coloreranno. I valori delle proprietà per le colonne dei componenti allegate possono essere illustrato facendo clic destro sull'intestazione di colonna e selezionando Colonna | Mostra proprietà ... e poi l'opzione Mostra proprietà. E infine, dove ci sono Vincoli obbligatori set per una colonna di proprietà questi possono essere visualizzati con un stringa (ai coloranti, secondo i loro livelli di esecuzione) facendo clic destro sull'intestazione di colonna e selezionando Colonna | Mostra .

catalogo

A aggiungere / mostrare le colonne a a catalogo vista in ABACUS

1. Assicurarsi di avere una Vista Catalogo aprire.

2. Colonne nascoste possono essere unhidden individualmente facendo clic sul freccia a destra del pulsante della barra degli strumenti Configura colonnee selezionando la colonna nascosta sia dal Generale, Proprietà o Allegati collezioni.

Nota

Un segno di spunta verrà visualizzato accanto alle colonne attualmente indicati per il catalogo.Inoltre, solo alcuni allegati saranno disponibili sotto Allegati sezione secondo la vincoli che sono definiti nel progetto. In particolare, per un allegato sono disponibili per essere mostrato in un catalogo componenti il ​​tipo di componente per il catalogo deve essere specificato come origine o affondare (non il 'Qualsiasi') vincolo di una "connessione deve essere allegata" per una connessione tipo, e ci deve essere anche almeno un tipo di componente specificato come origine o affondare (non il 'Qualsiasi') dell'altro 'fine' dello stesso tipo di connessione.

- O -

2. Colonne multiple possono essere non nascosti (o ordinato o fisso) facendo clic sul Configurare Colonne della barra degli strumentie utilizzando le colonne Configura finestra di dialogo mostrata di seguito.

Nota

Le colonne attualmente visualizzate sono mostrati nel pannello di destra con le colonne disponibili mostrate nel riquadro a sinistra. Le colonne disponibili possono essere filtrati secondo la Selezionare Colonne disponibili Datirare verso il basso e che possono essere aggiunti selezionandoli nel riquadro a sinistra e fare clic sul Aggiungere Pulsante inbetween i due pannelli.

Configurare dialogo Colonne

A rimuovere / nascondere colonne da un catalogo vista in ABACUS

1. Assicurarsi di avere una Vista Catalogo aprire.

2. Pulsante destro del mouse sull'intestazione di colonna per la colonna che si desidera rimuovere / nascondere e selezionare Colonna | Nascondi colonna.

- O -

2. Colonne multiple possono essere nascosti (o ordinato o fisso) facendo clic sul Configurare Colonne della barra degli strumentie utilizzando le colonne Configura finestra di dialogo mostrata sopra.

Nota

Le colonne attualmente visualizzate sono mostrati nel pannello di destra con le colonne disponibili mostrate nel riquadro a sinistra. Le colonne attualmente visualizzate possono essere nascosti selezionando la colonna nel pannello a destra e facendo clic sul Rimuovere Pulsante inbetween i due pannelli.

Per compilare utilizzando un catalogo vista in ABACUS

1. A aggiungere un componente o connessionedel tipo selezionato ail Catalogo (e progetto) Fare clic su Aggiungi nuovo componente / Aggiungi nuova barra degli strumenti di collegamento. La riga dovrebbe appaiono e una componente o verrà creato il collegamento al livello superiore della Componenti o Collegamenti collezione per l'architettura prescelta.

Nota

Nuovi componenti e collegamenti vengono aggiunti per impostazione predefinita al livello superiore dei componenti o connessioni collezione dell'Architettura prescelto. Per cambiare il genitore dei nuovi componenti o connessioni destro clic sulla cella percorso Gerarchia per la nuova riga componente o connessioni e selezionare Modifica genitore ...e scegliere il genitore desiderato (prendendo atto del evidenziazione vincolo ).

Nota

Nuove righe / elementi aggiunti direttamente a un catalogo tramite il pulsante 'Aggiungi Nuovo', incollato nel catalogo, o create tramite l'importazione in catalogo da MS Excel sono esenti da filtrare fino a quando il catalogo è chiuso. Questo per consentire alcuna modifica necessaria di valori della colonna, che non possono soddisfare i criteri di filtro correnti del catalogo. Queste nuove righe elementi sono indicati da un simbolo '+' nella cella selettore di riga all'inizio della riga, che è di colore verde se attualmente l'elemento soddisfa i criteri di filtro salvate del catalogo (cioè rimarranno in catalogo se ha aperto nuovamente), e rosso se non lo fa.

2. A rimuovere un componente o connessionedel tipo selezionato da parte diil Catalogo (e progetto) selezionare la riga e premere il tasto o Del oppure fare clic destro sul selettore di riga e selezionare Elimina da Architettura. Il riga dovrebbe scomparire dal catalogo ed esso verranno eliminati dal progetto.

A filtro usando un catalogo vista in ABACUS

1. Assicurarsi di avere una Vista Catalogo aprire.

2. Se la riga di filtro non viene visualizzato nella parte superiore del catalogo quindi sulla Mostra filtro riga di intestazionebarra degli strumenti.

3. Nella colonna che si desidera aggiungere un filtro, fare doppio clic sulla cella di riga di filtro dove mostra '(Tutti)'.

4. Per Timestamp, Percorso Gerarchia Nome o Descrizionecolonne generali o Testo, Intero, Decimale, booleano o Appuntamentocolonne delle proprietà fare clic sul pulsante ... che appare in alto a destra della cella riga di filtro e immettere i valori delle celle che devono essere incluse nel catalogo.

Nota

Corrispondenza viene eseguito come se '*' jolly vengono applicati automaticamente prima e dopo ogni valori di stringa in modo che una voce di 'cat' (senza le virgolette) dovrebbe includere righe con 'bobgatto','gattodonna 'o' appligattoione 'ecc multipla /' o 'valori possono essere inseriti in nuove linee utilizzando Ctrl + Invio. Per intero e le colonne di proprietà decimali "e" logica possono essere inclusi con '&'(Senza le virgolette) e maggiore di / etc meno di logica può essere incluso usando'> =','>','<' e '<='(Senza le virgolette) per esempio '> = 50000 & <90000'. Non vuota righe di valore possono essere inclusi digitando '(Non-Blanks)'(Senza le virgolette) e righe valutate vuote possono essere inclusi digitando'(Blanks)'(Senza le virgolette).E, infine, tutti i filtri sono per caso di default insensitive cosi 'cat' (senza le virgolette) dovrebbe includere righe con 'gatto', 'gatto' o 'gatto', ecc Per il caso di corrispondenza sensibili, digitare '(Caso)'(Senza le virgolette) prima della stringa es '(Case) Cat' (senza le virgolette) dovrebbe includere solo le righe con 'Cat' in loro.

5. Per Allegaticolonne, Standards colonne o Lista colonne delle proprietà fare clic sul pulsante con la freccia verso il basso che appare in alto a destra della cella riga di filtro e selezionare i valori di cella dalle caselle di controllo che dovrebbero essere incluse nel catalogo.

Nota

La casella di controllo '(Seleziona tutto)' permetterà a tutte le altre caselle di controllo, in effetti, tra cui tutte le righe disponibili. La '(Non-Blanks)' casella includerà qualsiasi non-vuoto righe stimati. La '(Blanks)' casella includerà eventuali vuoti valutato le righe. E, infine, deselezionando eventuali caselle di controllo specifici valutato verrà automaticamente deselezionare la '(Seleziona tutto)' e '(non-Blanks)' caselle di controllo per coerenza.

6. Clic ok per applicare il filtro.

A disattivare / attivare il filtro su a catalogo vista in ABACUS

1. Assicurarsi di avere una Vista Catalogo aprire con un filtro applicato.

2. Fare clic sulla casella di controllo a sinistra della riga del filtro.

A rimuovere un filtro da a catalogo vista in ABACUS

1. Assicurarsi di avere una Vista Catalogo aprire con un filtro applicato.

2. Per rimuovere un filtro singola colonna pulsante destro del mouse sull'intestazione di colonna e selezionare Colonna | Cancella filtro.

3. Per rimuovere tutti i filtri fare clic sul Opzioni barra degli strumenti e selezionare Cancella Impostazioni filtro.

Salvare / salva come aVista Catalogo

Nota

Mentre tutti gli utenti Architetto possono creare nuovi cataloghi, per salvare le modifiche alle impostazioni di un catalogo esistente licenza utente ha bisogno la possibilità aggiuntivo Designer. Questo per 'proteggere' la configurazione di cataloghi esistenti che possono essere condivise da molti utenti. Tuttavia, architetto utilizza senza il Designer add-on può ancora scegliere di 'Salva con nome' tutte le nuove impostazioni in un nuovo catalogo. E, naturalmente, tutte le licenze utente possono scegliere di 'scartare eventuali modifiche a un catalogo esistente. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se hai bisogno Designer add-on capacità.E ricordate, questo è solo le impostazioni del catalogo, tutte le modifiche apportate ai dati del catalogo vengono immediatamente applicate al repository, a prescindere.

1. Assicurarsi di disporre di un nuovo o vista catalogo esistente apriree aver apportato le modifiche necessarie.

2. Nel Vista Catalogotoolbar clicca sul Salvareper salvare il Vista Catalogo e le eventuali modifiche di formattazione.

Nota

Se non si dispone di un pulsante Salva nella barra degli strumenti vista catalogo allora non hai Designer add-on e si è solo in grado di Salva comecambia le impostazioni di un nuovo catalogo quando si va a chiudere il catalogo esistente.

3. Se il catalogo NomeVerrà visualizzata la finestra (a causa di essere un nuovo catalogo) immettere un nome per la catalogo e premere ok.

A esportazione al catalogo MS Excel

1. Assicurarsi di avere una Vista Catalogo aprire.

2. Clicca il Esporta in Excel Catalogo foglio di calcolobarra degli strumenti.

3. Scegli un nome di file per salvare il catalogo di MS Excel come. Clic Salvare.

Nota

Per impostazione predefinita, il nome del file esportato del catalogo MS Excel sarà il nome Catalogo anteposto dal nome della Architettura tra parentesi, ad esempio 'Progetti (2014 effettivi) .xlsx'. È possibile modificare qualsiasi di questo, incluso se il formato del file deve essere .xlsx o .xls. Il nome architettura è incluso per ricordare all'utente che ogni catalogo ha un contenuto specifico (ad esempio gli ID nella colonna A e riga 1) per permettere che sia tutto scattato indietro utilizzando Importa da catalogo MS Excel come sotto.

Nota

Per impostazione predefinita, la colonna A nascosta all'interno del catalogo MS Excel esportato contiene l'ID univoco per ciascuno degli elementi nel repository ABACUS. In questo modo tutte le modifiche apportate all'interno di MS Excel per essere 'abbinati' agli elementi esistenti all'interno ABACUS all'importazione (vedi sotto). Tuttavia, l'uso di questo ID univoco di 'abbinare' file può essere ignorata con un Esterno | IDproprietà sull'elemento. Cioè, se l'elemento ha un esterno | Proprietà ID ed è incluso nel catalogo alla esportazione poi i valori del esterno | Colonna ID sarà utilizzato per abbinare le righe durante l'importazione (vedi sotto) e verrà ignorato i valori ID univoci nella colonna nascosta A (e può anche essere vuoto). La colonna nascosta A si deve rimanere, però, in particolare il valore nella cella A1. Inoltre, quando si aggiungono identità di esterni ad una collezione elemento ABACUS esistente si consiglia aggiungendoli come un albergo diverso prima, ad esempio, Esterno | Temp e quindi rinominare la proprietà per esterno | ID. In caso contrario, verranno aggiunti elementi duplicati.

Formattazione Catalogoviene esportato per impostazione predefinita, tuttavia, per cataloghi di grandi dimensioni questo può comportare l'esportazione essere piuttosto lento. Di conseguenza, in Strumenti | Opzioni ...poi il catalogoscheda,si è in grado di ridurre la quantità di formattazione che viene esportato, come indicato nella scheda di catalogo in basso, accelerando così l'esportazione.

Esportazione Catalogo Opzioni

4. Viene visualizzata una finestra di dialogo Esporta completata. Clic ok.

Esportato in catalogo MS Excel

A importazione dal catalogo MS Excel

Nota

Per impostazione predefinita, la colonna A nascosta all'interno del catalogo MS Excel esportato (vedi sopra) contiene l'ID univoco per ciascuno degli elementi nel repository ABACUS. In questo modo tutte le modifiche apportate all'interno di MS Excel per essere 'abbinati' agli elementi esistenti all'interno ABACUS all'importazione. Tuttavia, l'uso di questo ID univoco di 'abbinare' file può essere ignorata con un Esterno | IDproprietà sull'elemento. Cioè, se l'elemento ha un esterno | Proprietà ID ed è incluso nel catalogo di esportazione (vedi sopra), allora i valori della Esterna | Colonna ID sarà utilizzato per abbinare le righe su importazione ed i valori ID univoci nella colonna A nascosto saranno ignorate (e può anche essere vuoto). La colonna nascosta A si deve rimanere, però, in particolare il valore nella cella A1. Inoltre, quando si aggiungono identità di esterni ad una collezione elemento ABACUS esistente si consiglia aggiungendoli come un albergo diverso prima, ad esempio, Esterno | Temp e quindi rinominare la proprietà per esterno | ID. In caso contrario, verranno aggiunti elementi duplicati.

1. Assicurarsi di avere una Vista Catalogo aprire.

2. Clicca il Importa da Excel Catalogo foglio di calcolobarra degli strumenti.

3. Scegli un nome di file per importare il catalogo da MS Excel. Clic Aprire.

4. Nuovi errori rilevati e / o nuovi errori / avvertenze rilevati finestre di dialogo possono apparire per ogni nuovo contenuto (ad esempio righe della MS Excel), che è stato aggiunto. Prendete nota degli errori / avvertimenti e fare clic su ok.

5. Una finestra di dialogo Importa Completato viene visualizzato e può mostrare avvertimenti a causa delle importazioni (vedi note sotto). Clic ok.

Nota

Per le colonne componente assegnato Standard o collegati, nuove voci tramite il catalogo di MS Excel devono corrispondere esattamente il nome di una norma esistente o Componente del tipo corretto per l'assegnazione o la connessione da aggiungere. Il primo nome partita sarà utilizzato e le voci impareggiabili genererà un avviso come sotto. Inoltre, mentre gli avvisi sono riportati sulla reimportazione, gli elementi sono non eliminatida ABACUS se non sono presenti nel catalogo MS Excel. Questo perché non c'è modo che ABACUS può sapere se il Component assegnato standard o attaccato esiste nel progetto ABACUS, ma non esiste nel catalogo MS Excel perché è stato eliminato dal catalogo MS Excel o è stato aggiunto alla ABACUS progetto da quando il catalogo è stato esportato. Di conseguenza, se gli utenti vogliono facilmente 'rilevare', che sono stati aggiunti i collegamenti durante il processo di importazione possono semplicemente creare una proprietà necessaria al tipo di connessione e impostare è di default a vuoto in modo che essi saranno avvertiti di eventuali nuove connessioni ogni volta l'importazione è completato.

Nota

Quando si importa un catalogo di MS Excel possono essere visualizzati vari avvisi. In primo luogo, se una nuova colonna è stata aggiunta alla Excel che non corrisponde al 'sintassi' per una proprietà o un componente collegato alla colonna verrà ignorato. Successivamente, gli avvertimenti line-by-line sarà visualizzato per eventuali problemi con i dati su ogni riga del catalogo di Excel. Questi avvisi iniziano con il numero di riga tra parentesi quadre e se del caso l'etichetta di colonna (ad esempio '[23, J] ...' per la riga 23, colonna J) e possono riferirsi a elementi eliminati, standard senza eguali o nomi dei componenti collegati (che sono ignorati come da nota di cui sopra) o un ID non valido o vuoto, relativa ad una nuova riga / elemento (che saranno aggiunti). Per un articolo dettagliato sulla compilazione ABACUS utilizzando cataloghi di Excel consultare il Avolution Community o il corso di formazione Gestione portafoglio.

Nota

Nuovi componenti e collegamenti vengono aggiunti per impostazione predefinita al livello superiore dei componenti o connessioni collezione dell'Architettura prescelto. Per cambiare il genitore dei nuovi componenti o connessioni destro clic sulla cella percorso Gerarchia per la nuova riga componente o connessioni e selezionare Modifica genitore ...e scegliere il genitore desiderato (prendendo atto del evidenziazione vincolo ).

Nota

Elementi aggiunti direttamente a un catalogo tramite il pulsante 'Aggiungi Nuovo', incollato nel catalogo, o create tramite l'importazione in catalogo da MS Excel sono esenti da filtrare fino a quando il catalogo è chiuso. Questo per consentire alcuna modifica necessaria di valori della colonna, che non possono soddisfare i criteri di filtro correnti del catalogo. Queste nuove righe elementi sono indicati da un simbolo '+' nella cella selettore di riga all'inizio della riga, che è di colore verde se attualmente l'elemento soddisfa i criteri di filtro salvate del catalogo (cioè rimarranno in catalogo se ha aperto nuovamente), e rosso se non lo fa.

A confrontare il contenuto di un catalogo con un'altra architettura

1. Si prega di fare riferimento all'argomento Qui .

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Visio | Compilazione propria architettura da Excel


Popolando con Matrici

Navigazione: Popolare vostra architettura>

Popolando con Matrici

Invia commenti su questo argomento.

Una matrice consente di visualizzare e modificare il 'diretto' connessioni tra i componenti in modo semplice tabellaree per vedere anche il 'percorso indiretto' tra i componenti in base ai componenti intermedi (e collegamenti).

A creare una vista Matrix a ABACUS

Nota

Mentre tutti gli utenti Architetto possono creare matrici di loro e / o le impostazioni delle salvare licenza utente ha bisogno la possibilità aggiuntivo Designer. Questo per 'proteggere' la configurazione di matrici esistenti che possono essere condivise da molti utenti. Tuttavia, architetto utilizza senza il Designer add-on può ancora scegliere di 'Salva con nome' le nuove impostazioni per un nuovo Matrix. E, naturalmente, tutte le licenze utente possono scegliere di 'scartare eventuali modifiche ad una matrice esistente. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

1. Selezionare Inserisci | Matrice.

2. Nel rchitecture>tirare a discesa selezionare il Architettura che contiene i componenti e le connessioni che si desidera visualizzare.

3. Nel <fonteDigitare>discesa selezionare il tipo di componente che si desidera avere le istanze elencate come 'righe' discesa sulla sinistradella matrice.

4. Nel <LavelloDigitare>discesa selezionare il tipo di componente che si desidera avere le istanze elencate come 'Colonne' in altodella matrice.

5. Nel discesa ci sono essenzialmente due 'modi' di matrice si può definire ...

Collegamenti diretti '' matrici

6. Semplicemente seletto uno (1) o più connessione Tipi sul lato destro del menu visualizzato se si desidera vedere nelle "celle" della matrice se unn esplicitoesiste connessione dal Verticale/ 'riga'Componente della matrice alla Orizzontale/ 'colonna'Componente della matrice.

Nota

Solo le connessioni con la sorgente estremità collegata al Verticale/ 'riga'Fine componente e lavandino attaccato al Orizzontale/ 'colonna'Verrà mostrato componente. Accendere il fonte e Lavelloselezioni del tipo di componenti per visualizzare i collegamenti nella direzione opposta.

7. La matrice sarà popolato con una 'X' nelle celle (o un valore di proprietà - vedi nota sotto) se vi è una connessione dalla Verticale/ 'riga'componente della matrice alla Orizzontale/ 'colonna'Componente della matrice.

Nota

Per le grandi matrici verrà mostrato solo un massimo di 100 righe o colonne (compresi crollati righe / colonne) in un momento, come mostrato dagli indicatori 'C' 'R' e rispettivamente nella cella di intestazione in alto a sinistra. Per visualizzare righe aggiuntive usano le barre di scorrimento. In qualsiasi momento è possibile fare doppio clic sul Verticale/ 'riga' o Horizontal / 'colonna' componente rubriche e salta ai componenti corrispondenti nella finestra di Explorer.I genitori del Vertical/ 'riga' e Orizzontale/ 'colonna' componentes sono anche opzionalmente mostrati come voce righe / colonne con un titolo grigia voce. Quando crollò (per singolo clic sulla cella titolo) se i bambini allegati esistessero allora una 'X' sarà opzionalmente essere indicato se sono stati attaccati tutti i figli o un 'O' sarà opzionalmente mostrato se solo alcuni dei bambini sono stati attaccati. Le cellule possono essere colorato secondo un valore di proprietà dei collegamenti facendo clic sulle opzioni 'ruota dentata' in alto a destra della barra degli strumenti di matrice e selezionando Impostazioni colore ... e poi il pulsante Modifica e selezionare il colore da timestamp opzione o Colour By proprietà e scegliendo una proprietà, la gamma Min e Max valore e scelta dei colori, tuttavia, solo Lista, Intero, Decimale, booleano o Data / ora proprietà tipo di dati coloreranno. Se crollata la cella viene colorato in base al valore della proprietà media delle connessioni. Al posto di una 'X', i valori delle proprietà per le cellule possono essere illustrato cliccando Opzioni 'ruota dentata' in alto a destra della barra degli strumenti di matrice e selezionare Mostra impostazioni di valore ... e poi il pulsante Modifica e selezionando l'opzione Mostra struttura e la scelta di una proprietà.

Matrice Collegamenti diretti mostrando i server in cui applicazioni sono ospitate con colorazione e una proprietà viene mostrato invece del generico 'X'

- O -

Connessioni "indiretto" matrici

6. Selettouna sequenza di connessione Tipi e tipi di componentisul lato destro e sinistro mano del menu visualizzato se si desidera vedere nelle "celle" della matrice se unn percorso indiretto di componenti collegatiesiste dal Verticale/ 'riga'Componente della matrice alla Orizzontale/ 'colonna'Componente della matrice.

Nota

Qualsiasi percorso valido che include gli elementi selezionati nel menu percorso wmalato da mostrareindipendentemente dalla direzione dei collegamenti sottostanti, tuttavia, quando si seleziona il percorso primo e ultimi elementi selezionati devono essere i tipi di connessione. Inoltre, la ordine degli elementi che sono stati selezionati è mostrato con un prefisso numericoin piazza ('[]') Staffe e un determinato tipo può essere incluso tempi mutliplenel percorso (come indicato dal prefisso numerico). Selezione consecutiva di tipi di componenti o tipi di connessione viene interpretato come un 'O'percorso e la gerarchia di componenti collegati possono essere opzionalmente inclusi controllando la 'Cerca anche i genitori di fissaggio / bambiniLa casella di controllo '. Accendere il fonte e Lavelloselezioni del tipo di componenti per visualizzare la Percorsi nella direzione opposta.

7. La matrice viene popolata con unpercorso / insieme di componentinelle cellule se vi è un il percorso dal Verticale/ 'riga'componente della matrice alla Orizzontale/ 'colonna'Componente della matrice.

Nota

Per le grandi matrici verrà mostrato solo un massimo di 100 righe o colonne (compresi crollati righe / colonne) in un momento, come mostrato dagli indicatori 'C' 'R' e rispettivamente nella cella di intestazione in alto a sinistra. Per visualizzare righe aggiuntive usano le barre di scorrimento. In qualsiasi momento è possibile fare doppio clic sul Verticale/ 'riga' o Horizontal / 'colonna' componente rubriche e salta ai componenti corrispondenti nella finestra di Explorer.I genitori del Vertical/ 'riga' e Orizzontale/ 'colonna' componentes sono anche opzionalmente mostrati come voce righe / colonne con un titolo grigia voce. Quando crollò (per singolo clic sulla cella titolo) se i percorsi per bambini esisteva allora una 'X' sarà opzionalmente essere indicato se sono stati attaccati tutti i figli o un 'O' sarà opzionalmente essere indicato se solo alcuni dei bambini avevano percorsi. I componenti indiretti percorso può essere colorato secondo un valore di proprietà dei componenti, fare clic sul Opzioni 'ruota dentata' in alto a destra della barra degli strumenti di matrice e selezionando Impostazioni colore ... e poi il pulsante Modifica e selezionare il colore da timestamp opzione o Colour By proprietà e scegliendo una proprietà, la gamma Min e Max valore e scelta dei colori, tuttavia, solo Lista, Intero, Decimale, booleano o Data / ora proprietà tipo di dati coloreranno. I valori delle proprietà dei componenti indiretti percorso potrebbe essere illustrato cliccando Opzioni 'ruota dentata' in alto a destra della barra degli strumenti di matrice e selezionare Mostra impostazioni di valore ... e poi il pulsante Modifica e selezionando l'opzione Mostra struttura e la scelta di una proprietà.

Matrice connessioni indirette che mostra le applicazioni che implementano un determinato servizio dal Dipartimento

A filtrouna vista Matrix a ABACUS

1. Assicurarsi di disporre di un nuovo Panoramica Matrix aprire.

2. Fare clic sul filtro assi 'imbuto' in alto a destra della barra degli strumenti di matrice.

3. Sulla origine e / o le schede Lavello aggiungere Nome, immobile, Descrizione, Gerarchia o filtri standard facendo clic sul pulsante Aggiungi, selezionare un immobile, se necessario, e facendo clic ok. Selezionare le relative opzioni nel pannello Parole chiave / Articoli usando la logica / sintassi come descritto nella nota che segue. Il pannello di anteprima si aggiorna automaticamente per mostrare i risultati di serie attuale dei filtri.

Nota

Per Timestamp, Percorso Gerarchia Nome o Descrizionefiltri o Testo, Intero, Decimale, booleano o Appuntamentofiltri di proprietà corrispondente viene eseguito come se '*' jolly vengono applicati automaticamente prima e dopo ogni valori di stringa in modo che una voce di 'cat' (senza le virgolette) dovrebbe includere righe con 'bobgatto','gattodonna 'o' appligattoione 'ecc multipla /' o 'valori possono essere inseriti in nuove linee utilizzando Ctrl + Invio. Per Numero intero e Decimale filtri proprieta 'e' la logica possono essere incluse utilizzando '&'(Senza le virgolette) e maggiore di / etc meno di logica può essere incluso usando'> =','>','<' e '<='(Senza le virgolette) per esempio '> = 50000 & <90000'. Non vuota righe di valore possono essere inclusi digitando '(Non-Blanks)'(Senza le virgolette) e righe valutate vuote possono essere inclusi digitando'(Blanks)'(Senza le virgolette). Per Standards o Lista proprietà filters La casella di controllo '(Seleziona tutto)' permetterà a tutte le altre caselle di controllo, in effetti compresi tutti gli elementi a disposizione. La '(Non-Blanks)' casella includerà tutti gli elementi di proprietà non vuota valore. La '(Blanks)' casella includerà qualsiasi proprietà in bianco elementi valutati. E deselezionando eventuali caselle di controllo specifiche valutate verrà automaticamente deselezionare i "(Seleziona tutto) 'e' (non-Blanks) 'caselle di controllo per la coerenza. E, infine, tutti i filtri sono per caso di default insensitive cosi 'cat' (senza le virgolette) dovrebbe includere elementi con 'gatto', 'gatto' o 'gatto', ecc Per il caso di corrispondenza sensibili, digitare '(Caso)'(Senza le virgolette) prima della stringa es '(Case) Cat' (senza le virgolette) dovrebbe includere solo gli elementi con 'Cat' in loro.

Per compilare utilizzando una Panoramica Matrix a ABACUS

Nota

Si può solo aggiungere / rimuovere le connessioni in cui un unico tipo di connessione è stato utilizzato per il percorso sopra descritto.

1. A aggiungere una connessionedel tipo selezionato tra un Verticale/ 'riga'Dei componenti e una Orizzontale/ 'colonna'Componente della matrice, dove un' non esiste X '(o di un valore di proprietà mostrato - vedi nota sopra), Fare doppio clic sulla cella. Dovrebbe apparire un 'X' (o di un valore di proprietà - vedi nota sopra) e un collegamento viene creato al livello superiore della raccolta connessioni per l'architettura scelta.

Nota

Il nome della connessione sarà il collegamento nome del tipo come per l'impostazione della matrice di tipo di connessione e se un valore di proprietà che viene mostrato al posto di una 'X' il valore predefinito per la proprietà verrà mostrato.

2. A modificare il valore della proprietà indicatosulla connessione tra a Verticale/ 'riga'Dei componenti e una Orizzontale/ 'colonna'Componente della matrice, Fare doppio clic sulla cella, oppure fare clic destro sulla cella e selezionare Modifica valore ... e modificare il valore nella finestra di dialogo Modifica valore.

3. A rimuovere una connessionedel tipo selezionato tra un Verticale/ 'riga'Dei componenti e una Orizzontale/ 'colonna'Componente della matrice, dove un' già esiste X '(o di un valore di proprietà mostrato - vedi nota sopra), destra-fare clic sulla cellae selezionare Disconnetti. La X dovrebbe scomparire e il collegamento viene cancellato dal progetto.

Salvare / salva come aPanoramica Matrix

Nota

Mentre tutti gli utenti Architetto possono creare matrici di loro e / o le impostazioni delle salvare licenza utente ha bisogno la possibilità aggiuntivo Designer. Questo per 'proteggere' la configurazione di matrici esistenti che possono essere condivise da molti utenti. Tuttavia, architetto utilizza senza il Designer add-on può ancora scegliere di 'Salva con nome' le nuove impostazioni per un nuovo Matrix. E, naturalmente, tutte le licenze utente possono scegliere di 'scartare eventuali modifiche ad una matrice esistente. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se hai bisogno Designer add-on capacità.E ricordate, questo è solo le impostazioni di Matrix, tutte le modifiche apportate ai dati nella matrice vengono immediatamente applicate al repository, a prescindere.

1. Assicurarsi di disporre di un nuovo Panoramica Matrix apriree aver apportato le modifiche necessarie.

2. Nel Panoramica Matrixtoolbar clicca sulla sinistra Salvare Matriceper salvare il Panoramica Matrix e le eventuali modifiche di formattazione.

Nota

Se non si dispone di un pulsante Salva nella barra degli strumenti Panoramica Matrix, allora non hai Designer add-on e si è solo in grado di Salva comele impostazioni cambia a una nuova matrice quando si va a chiudere la matrice esistente.

3. Se il Matrice Nomedialogo che appare (a causa di essere una nuova matrice) immettere un nome per la matricee premere ok.

A esportazione alla matrice MS Excel

1. Assicurarsi di avere una Panoramica Matrix aprire.

2. Clicca il Esporta in Excelbarra degli strumenti.

3. Scegli un nome di file per salvare la matrice MS Excel come. Clic Salvare.

Nota

Per impostazione predefinita, il nome del file esportato della matrice di MS Excel sarà il nome Matrix anteposto dal nome della Architettura tra parentesi, ad esempio 'Applicazioni ospitati presso i server (2014 effettivi) .xlsx'. È possibile modificare qualsiasi di questo, incluso se il formato del file deve essere .xlsx o .xls.

Formattazione Matrixviene esportato per impostazione predefinita, tuttavia, per le grandi matrici questo può comportare l'esportazione essere piuttosto lento. Di conseguenza, in Strumenti | Opzioni ...poi il Matricescheda,si è in grado di ridurre la quantità di formattazione che viene esportato, come indicato nella scheda Matrix sotto, velocizzando così l'esportazione.

Matrix esportazione Opzioni

4. Viene visualizzata una finestra di dialogo Esporta completata. Clic ok.

Esportato in matrice MS Excel

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Visio | Compilazione propria architettura da Excel


Diagrammi popolamento

Navigazione: Popolare vostra architettura> Uso di disegni>

Diagrammi popolamento

Invia commenti su questo argomento.

Disegni in ABACUS sono più di rappresentazioni solo arbitrarie. Essi sono personalizzati vista dell'architettura, formattati e disposti a mostrare particolare significato.

Lo strumento di disegno rafforza la struttura gerarchica delle architetture, in modo che i componenti siano visivamente nidificati all'interno di altri componenti - dando effettivamente un 'pianta' degli elementi. Una volta che un componente o una connessione è stata definita nell'architettura, può essere utilizzato in qualsiasi numero di differenti diagrammi. È importante sottolineare che lo strumento di disegno è strettamente legata al modello architettonico, in modo che i cambiamenti fatti in uno dei due si riflettono sempre nell'altra.

Lo strumento funziona associando forme con particolari tipi di connessione e di componenti definiti nella sezione Tipi dell'architettura. Queste associazioni variano a seconda del tipo di diagramma di fase di elaborazione, ed è possibile che un tipo di componente (o connessione) possono avere diverse rappresentazioni nei diversi diagrammi, a seconda del contesto.

Per impostare una associazione tra una forma e un tipo di componente o connessione

1. Assicurarsi che avete un nuovo o esistente Schema aperto .

2. Massimizzare l'applicazione ABACUS, e configurare le proporzioni delle finestre come volete.

3. Seleziona il Scheda Forme o il Scheda Connettori nella finestra stencil.

4. Nel Tiporamo della Explorer, individuare il tipo di componente o di connessione che si desidera associare con una forma o un connettore.

5. Selezionare l'elemento tipo scelto dall'albero, trascinarlo verso la scheda Forme o scheda Connettori, e rilasciarlo la forma o il connettoresi desidera utilizzare.

Nota

È possibile verificare un'associazione aver creato selezionando il Componenti o scheda Connessioni nella finestra di stencil, che mostrano gli elementi attualmente associati.

Per aggiungere nuovi forme per il tuo diagrammi / libreria

1. Creare un diagramma di MS Visio con le forme che si desidera aggiungere al vostro diagramma e importare il diagramma di MS Visio .

Mancia

E 'importante che taglia a fare la forma master in MS Visio perché la tela ABACUS è dimensionato in pixel e solo le unità millimetri di MS Visio convertire granulare per pixel su un 4 pixel a 1 ratio millimetro. Inoltre, le forme predefinite ABACUS sono in genere di 60 pixel di altezza in modo che si traduce in 15 millimetri in MS Visio. Significato un opportuno maestro dimensioni della forma in MS Visio è 25 millimetri di larghezza e 15 mmcome questo si tradurrà in 100 pixel di larghezza per 60 pixel di altezza in ABACUS.

Mancia

Se si desidera avere una 'icona' piccolo in alto a sinistra di una forma, allora si può semplicemente creare l''icona' a forma di MS Visio master utilizzando la palette MS strumento di disegno di Visio (si noti che le linee solo semplici, cerchi e rettangoli sono supportati e forme rasterizzata / bitmap, in particolare, non sono supportati). Inoltre, se si desidera che l'icona sia fisso in formato / scalaall'interno della forma in ABACUS allora si può gruppo 'icona' nel master MS Visio forma selezionando tutti i suoi elementi, pulsante destro del mouse un elemento, selezionando Forma | Gruppo, poi clic destro sul forma raggruppata e selezionando Dati | Shape dati ..., selezionando Sì nella finestra di dialogo che appare e poi l'aggiunta di una proprietà con l'etichetta impostata LockScale(notare la maiuscola 'L' e 'S'), il tipo è impostato su Booleano e il valore impostato per essere VERO (notare che è tutto in maiuscolo).

Mancia

Se si vuole avere una parte della forma congelata da scalare orizzontalmente o verticalmente (come è tipico di forma 'swimlane'), allora è possibile fare clic sulla parte (s), della forma di MS Visio master che si desidera congelato da scalare e selezionare Dati | Shape dati ..., selezionando Sì nella finestra di dialogo che appare e poi l'aggiunta di una proprietà con l'etichetta impostata LockXScale o LockYScale (notare la maiuscola 'L' e 'S'), il tipo è impostato su Booleano e il valore impostato per essere VERO (nota è tutto in maiuscolo), per bloccato il ridimensionamento orizzontale o verticale, rispettivamente.

Mancia

Per consentire la colorazione della forma in ABACUS dopo l'importazione piuttosto che la forma sia sempre un colore fisso è consigliabile effettuare il riempimento di MS Visio forma master trasparente e quindi utilizzare la capacità intrinseca di ABACUS per colorare lo sfondo di un forma. Questo funziona solo con rettangolo o quasi rettangolo (ad esempio rettangolo arrotondato) le forme come l'intero sfondo rettangolare sarà colorato.

2. Aprire il diagramma corrispondente e seleziona la Scheda Componentinella finestra stencil.

3. Per ogni nuova forma che si desidera mettere a disposizione di altri diagrammi Pulsante destro del mousela forma e selezionare Aggiungi a forme Biblioteca. Questo renderà la forma disponibili nella scheda Forme nella finestra dello stencil.

4. Associare il tipo di componente in questione con la nuova forma dalla libreria Forme secondo la procedura descritta sopra.

Nota

Solo semplice e le forme sono supportati ABACUS al momento "a base vettoriale", vale a dire le bitmap non sono supportati. Tuttavia, strumenti come Vector Magic ( www.vectormagic.com ) Sono disponibili in grado di convertire facilmente immagini bitmap in forme vettoriali (cioè in formato SVG) che possono essere aperti in MS Visio e quindi utilizzati in ABACUS secondo le istruzioni di cui sopra.

AggiuntaComponenti e collegamenti

Lo strumento di disegno consente di aggiungere i componenti e le connessioni esistenti dal repository o creare nuovi componenti e collegamenti come si sta disegnando un diagramma. Come componenti e connessioni vengono create nei diagrammi, sono contemporaneamente aggiunti nel deposito. Ci sono tre raccomandato modi di aggiungere componenti a un diagrammae tre modi di aggiungere connessioni a un diagramma consigliato:

Per creare un nuovo componente o connessione su un diagrammadallo stencil

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Seleziona il Componenti o Collegamentischeda nella finestra di stencil per vedere le forme associate. Solo queste forme possono essere usati per creare nuovi elementi del modello.

3. Clicca e trascinauna delle forme associate disponibili sulla tela disegno. Il nuovo elemento verrà visualizzato sulla tela e nella struttura di Esplora risorse.

4. Inizia a digitareun nome per il nuovo elemento nella finestra di dialogo e tutti gli elementi esistenti che sono abbinati sono suggeriti e possono essere scelti piuttosto che aggiungere un nuovo elemento per l'architettura.

5. Clic ok.

6. Se una forma è stato abbandonato su un componente esistente, allora sarà o diventerà un figlio di quel componente (se la forma è venuto dal Componentitab), o sarà allegata a tale componente (se la forma venuto dal Collegamentischeda).

Nota

A volte è necessario regolare il nuovo componente o collegamento in un posto diverso nella gerarchia architettonica usando l'esploratore.

Per posizionare un componente esistente o connessione dal deposito su un diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Essere sicuri di avere sia lo strumento di disegno e finestre di Explorer visualizzabile.

3. In Esplora risorse, individuare il componente o connessione(elemento) che si desidera aggiungere al diagramma.

4. Clicca e trascinal'elemento scelto nel diagramma. Una forma che rappresenta l'elemento apparirà sulla tela.

Nota

Se il tipo di elemento scelto è già associato con una forma, la forma corrispondente apparirà sulla tela. Se, tuttavia, non vi è alcuna associazione definito per quel particolare elemento, una forma di default (rettangolo) apparirà sulla tela meno che il Imporre Diagramma Punti di vista opzione è attiva, nel qual caso non verrà aggiunto la forma di diagramma.

Mancia

Quando un componente viene posizionato su un diagramma che è collegato ad un altro componente già nel diagramma, lo strumento di disegno interrogherà se si desidera visualizzare la connessione (s) tra di loro. Inoltre, se ci sono figli del componente lo strumento di disegno interrogherà se si desidera includere i bambini, in modo ricorsivo.

A creare un collegamento tra 2 componenti o un componente collegato su un diagramma utilizzando il connettore dinamico

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Librarsi nel corso di un componente dello schema che si desidera connettersi a un altro componente e noterete 2 icone appaiono fuori dalla top-destra del confine della forma come illustrato di seguito. Nota: L'icona superiore è per la creazione di una connessione in cui il componente è passato il mouse è la fonte, l'icona in basso è per la creazione di una connessione in cui il componente è passato il mouse è di essere il lavandino.

3. Movimento il cursore sopra l'icona desiderata e clicca e trascinal'icona a oltre uno su un altro spazio componente o di punizione sulla tela come illustrato di seguito.

4. Per connettersi a un componente esistente scegliere la Allegare a...voce del menu pop-up e, se necessario per sfogliare il sottomenu per scegliere i tipi di connessione disponibili.

- o -

4. Per creare un componente collegato scelto dal Nuovo...voci del menu a comparsa e se necessario per sfogliare il sottomenu per scegliere i tipi di connessione disponibili come mostrato di seguito. Inizia a digitareun nome per il nuovo elemento nella finestra di dialogo e tutti gli elementi esistenti che sono abbinati sono suggeriti e possono essere scelti piuttosto che aggiungere un nuovo elemento per l'architettura.

Nota

La disponibilità delle voci del menu a comparsa e sottomenu è regolata dalla vincoli nel meta-modello.Questa è solo la sorgente valido o affondare tipi di componenti come determinato da vincoli di connessione sarà presentato come Connetti a ... e voci di menu Nuovo ....

A ri-aprire la finestra di selezione degli elementi e inserire componenti o connessioni dal repository esistente su un diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Clic il Aperto Selezione dell'elementoil pulsante nella barra degli strumenti Diagramma. Nota: il dialogo di selezione elemento si aprirà con l'ultimo stato di eventuali filtri salvati.

3. Scegliere qualsiasi contenuto aggiuntivo è desiderato da aggiungere al diagramma e click ok. Nota: il nuovo contenuto verrà aggiunto alla spazio libero sulla tela e il diagramma può essere successivamente di cui di nuovo tramite Schema di layoutil pulsante nella barra degli strumenti Diagramma.

Utilizzo gratuitoformaForme

Spesso è auspicabile creare elementi visivi in ​​un diagramma per ragioni puramente estetiche. Questi elementi possono aiutare a migliorare il layout e l'aspetto di un diagramma, ma non hanno un significato architettonico rigoroso. Lo strumento di disegno consente l'uso di forme libere di fornire il disegno flessibilità.

Per aggiungere una forma libera a un diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Seleziona il Forme o Connettorischeda nella finestra stencil.

3. Clicca e trascinauna delle forme disponibili o connettori sulla tela disegno. Il nuovo elemento verrà visualizzato sulla tela - ma nonnella struttura Explorer.

Nota

Forme libere sono 'non associati' forme, in quanto non hanno associazione con qualsiasi componente o connessione nel modello architettonico particolare.

A visualizzare le informazioni di repository in forma liberafiglioun diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Pulsante destro del mousela forma libera e selezionare Note | Display.

3. Scegliere di visualizzare sia la Nome Diagramma, Diagramma Descrizione, Diagramma Proprietà, Punto di vista Nome o Architettura Nome.

Nota

Il testo in forma libera si aggiorna automaticamente le modifiche ai dati sottostanti repository.In questo modo è possibile creare uno schema a 'cartiglio' per, e quindi facilmente copiati in tutto, diagrammi.

Usare le forme galleggianti

Forme galleggianti sono essenzialmente un altro modo per rappresentare i componenti in un diagramma. Si consideri un'organizzazione con divisioni principali: CEO, Marketing, Vendite e Sviluppo.

Visualizzazione ad albero

Queste divisioni possono essere rappresentati visivamente in modo stratificato:

Layered View

Oppure possono essere rappresentati visivamente in un sfalsata / a galla modo per mostrare la gerarchia:

Sfalsato / A galla Vista

Quest'ultimo rappresentazione utilizza il concetto di forme galleggianti.

Per convertire una forma componente a strati in una forma fluttuante

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Seleziona il componentenel diagramma si vuole rappresentare come una forma mobile o una forma associata nel Componentischeda della finestra di stencil che si desidera tutte le istanze come forme galleggianti.

3. Fare clic sulla forma e selezionare Float Componente dal menu contestuale che appare. Si noti la diamante collegamento direttodal componente principale (s) al componente mobile (s).

4. Clicca e trascinail componente nella posizione desiderata. Quando un a gallacomponente è selezionato avrà un contorno blu.

Per convertire una forma componente variabile in forma stratificata

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Seleziona il componentenel diagramma che è attualmente in fase mostrata come una forma mobile o una forma associata nel Componentischeda della finestra di stencil che si desidera tutte le istanze come forme stratificate.

3. Clicca e trascinail componente mobile (s) torna al genitore (s) (secondo il diamante collegamento diretto). Nota: se non si fa questo, allora quando si converte il componente (s) torna ad essere a strati la gerarchia del modello potrebbe essere influenzata.

4. Fare clic sulla forma e deselezionare Float Componente dal menu contestuale che appare. Si noti che il diamante collegamento direttodal componente principale (s) al componente mobile (s) scompare.

Repliche

Lo strumento di disegno consente di aggiungere lo stesso componente di uno schema più volte con ogni istanza visiva aggiuntiva del componente dello schema indicato come una replica. Ciò è particolarmente utile per gli schemi in cui un componente ha un gran numero di connessioni ad esso ed è preferibile mostrare il componente in più posizioni più vicini all'origine di ciascuno dei collegamenti, o per i diagrammi in cui una relazione uno-a-molti di un componente è preferibile indicare, mediante la funzione flottante (descritta in precedenza) con la componente in più posizioni sulla parte superiore dei 'molti' componenti che è legato alla.

Nota

È possibile collegare / scollegare collegamenti a / da istanza originale del componente su un diagramma (come sempre), ma anche a qualsiasi delle repliche, tuttavia, quando le connessioni vengono aggiunti automaticamente a un diagramma sono attaccati alla prima istanza del componente sul diagramma di default.

Nota

Le repliche possono essere uniti tra loro mediante tasto destro del mouse e trascinatequindi selezionando Merge replicheTuttavia, la fusione una replica con un diverso componente provocherà altri repliche scomparire dal diagramma.

Nota

Non vi è alcuna differenza visiva tra l'istanza originale di un componente su un diagramma e eventuali repliche. Inoltre, il menu di scelta rapida per la componente originale su un diagramma e qualsiasi repliche è identico, con per esempio Mostra in Explorerche vi porterà lo stesso componente nella struttura ad albero del repository (aka il modello). Tuttavia, fare clic sul componente nella struttura ad albero del repository e selezionando Andare ae la navigazione di un diagramma con le repliche sempre vi porterà al 'antica' istanza del componente sullo schema. Tipicamente questo sarà istanza originale che è stata aggiunta allo schema, ma se tale istanza originale è stato successivamente eliminato o fusa con una replica poi Vai a salterà la più antica delle restanti repliche che sono stati aggiunti.

A aggiungere una replica a un diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Fai clic destro un componente esistente nel diagramma e selezionare Crea replica.Una replica del componente selezionato viene creato alla destra del componente originale.

- O -

Selezionare un componente esistente su un diagramma e stampa Ctrl + Co destro del mouse su un componente esistente nel diagramma e selezionare Copia. Ora fare clic con il percorso sul diagramma che si desidera la replica e selezionare Incolla come Replica. Nota: premendo Ctrl + V (o tasto destro del mouse e selezionando Incolla) creerà una copia del componente originale non una replica.

- O -

Clicca e trascinaun componente dalla Vista ad albero del repository (aka il modello) su un diagramma in cui esiste già il componente.

Configurazione connessione Cappelli / Ends

Lo strumento di disegno consente di impostare il simbolo usato alle estremità delle linee di connessione sia a un simbolo fisso o un simbolo dipendente da una proprietà sulla connessione stessa.Ciò è particolarmente utile per gli schemi in cui è richiesta la direzione di una connessione da visualizzare, o per i diagrammi in cui la cardinalità del collegamento (o la direzione) è contenuto in una proprietà sul collegamento stesso, ad esempio 'Uno-a-molti' contro 'molti-a-molti' (o 'fonte di affondare' vs 'Sink a sorgente').

A configurare le protezioni di connessione / termina il un diagramma

1. Assicurarsi che avete un nuovo o esistente Schema aperto.

2. Seleziona il Collegareionischeda nella finestra stencil.

3. Destra-cleccare uno dei associati tipi di connessione e selezionare Configura Caps ....

4. Per una connessione fissa cap / fine sia nella logica positiva o negativa fine del collegamento assicurarsi che il relativo Fisso pulsante di opzione è selezionata e quindi selezionare il simbolo fine collegamento dalla tendina, ad esempio, 'Freccia Head' o 'Diamante'.

- O -

Per una proprietà a base di collegamento cap / fine sia nella logica positiva o negativa fine del collegamento assicurarsi che il relativo Utilizzo di Proprietàsi seleziona pulsante di scelta, quindi fare clic sul pulsante '...' e selezionare la proprietà desiderata e poi accanto ad ogni simbolo estremità connessione immettere i valori delle proprietà per cui il simbolo connessione specifica sono da mostrare.

Nota

Molteplici valori delle proprietà per un determinato simbolo fine collegamento può essere inserito separati da virgole.Es la finestra di dialogo che segue mostra che se la 'dei dati | Cardinalità 'immobile ha un valore di' uno-a-molti 'poi la fine fonte della connessione avrà due linee di colpi attraverso di essa e alla fine lavandino della connessione avrà un tratto della linea attraverso di essa e poi un fan-out di due Linea colpi alla fine.

Configura Caps finestra

Guarda anche

Lo strumento di disegno | Compilazione l'architettura | Analisi l'architettura


Compilazione l'architettura

Navigazione: Popolare vostra architettura>

Compilazione l'architettura

Invia commenti su questo argomento.

Il processo di costruzione di un modello di propria architettura è conosciuta come popolamento. Una volta scoperto l'architettura e identificato le vostre esigenze, si è pronti a modellare la propria architettura in ABACUS.

Durante la popolazione, si entra tutti i dettagli che conosci l'architettura e ciò che è richiesto di esso.

Per popolare la vostra architettura

1. Assicurarsi di avere un File ABACUS aperto , un explorer visualizzato , e un architettura aggiunto .

2. Popolare manualmente i componenti di livello superiore e le connessioni della vostra architettura. In genere questo sarà i componenti più astratti e connessioni.

- o -

2. Graficamente popolare i componenti e le connessioni che si desidera vedono rappresentati schematicamente, utilizzando il Strumento di disegno .

Si consiglia inoltre di

3. Popolare utilizzando Cataloghi - È possibile visualizzare e componenti e connessioni in modo semplice tabellare.

4. Popolare con Matrici - È possibile visualizzare e modificare le connessioni tra i componenti in modo semplice tabellare.

5. Popolare da Microsoft Access - È possibile importare un architettura e esportare Microsoft Access.

6. Popolare da Microsoft Visio - È possibile importare un architettura e esportare Microsoft Visio.

7. Popolare da Microsoft Excel - È possibile importare un architettura e esportare Microsoft Excel.

8. Popolare da Microsoft SharePoint - È possibile importare un architettura e esportare Microsoft SQL Server.

9. Popolare da Microsoft SQL Server - È possibile importare un'architettura da Microsoft SQL Server.

10. Importazione da XML - È possibile importare una architettura da un frammento XML ABACUS o un file XML ArchiMate Interchange Language.

Guarda anche

Compilazione vostra architettura manualmente | Lo strumento di disegno | Compilazione propria architettura da Microsoft Access | Compilazione l'architettura di Microsoft Visio | Compilazione propria architettura da Microsoft Excel


Compilazione propria architettura da Microsoft Access

Navigazione: Popolare vostra architettura> Compilazione di prodotti Microsoft>

Compilazione propria architettura da Microsoft Access

Invia commenti su questo argomento.

È possibile esportare l'architettura di Microsoft Access per eseguire generali di uso calcoli, manipolazioni o rapporti dalla vostra architettura. È quindi possibile importare l'architettura di nuovo in ABACUS.

Nota

La caratteristica Aperto da Access / Esporta nel database richiede che Microsoft Access 2000o più recente è installato sul computer.

Per esportare la propria architettura in Microsoft Access

1. Assicurarsi di avere un File ABACUS apri il Esploratorevisualizzato, e un architetturaaggiunto.

2. Seleziona file | Esportare | Per database.

3. Prendere nota della finestra di avviso, come descritto in precedenza e fare clic su Sì per continuare.

4. Selezionare un percorso e il nome per il file di database.

Per importare l'architettura manipolato in ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Seleziona file | Nuovo e selezionare Da Accessdalla finestra di dialogo che appare e fare clic su OK.

3. Sfoglia per il file di database che si desidera importare.

Schema del database MS Access ABACUS '

ABACUS ha a cuore unn ontologia / meta-meta-modello fatto di Componenti, connessioni e vincoli. Questo approccio "CCC" è stato derivato da vari approcci standard sviluppate dal 1960 in poi si conclude con standard internazionale IEEE 1471, che i fondatori di Avolution contribuito a. Le seguenti primitive si applicano;

1. ABACO contiene Biblioteche di Standards(o standard), Componente e Tipi di connessione, Vincoli, Punti di vista, Modelli (o Patterns) e molti Architetture.

2. Standards, Tipi e Punti di vista puòessere logicamente Raggruppati per comodità.

3. Architetture potrebbe conteneremolti discendente Architetture(o Evoluzioni).

4. A testa Architettura contiene molti Componenti e Collegamentidi alcuni Tipie varie Visualizzazioni.

5. Componenti e Collegamenti può essere decomposto in Sotto-componenti e Sub-Connessioni.

6. A testa Componente è allegato aQualsiasi numero di Collegamentima ogni Connessionepuò essere solo allegato aun massimo di due Componenti.

7. Componenti e Collegamenti lattina avere Standards con Proprietàquali informazioni, prestazioni, affidabilità, costi ecc

8. Architetture, Componenti e Collegamenti lattina avere specifica Proprietàquali informazioni, prestazioni, affidabilità, costi ecc

9. Vincoli lattina esistere tra Componenti o Collegamenti o contro Proprietà.

10. Modellisono composizioni standard Componente e Tipi di connessione.

11. Punti di vistasono associazioni standard di Componente e Tipi di connessionea notazioni.

12. Visualizzazionisono rappresentazioni visive di Componenti e Collegamenti.

Il seguente MS Access Entity Relationship Diagram (ERD) documenta il nucleoArchitetture, Evoluzioni, Tipi di componenti / connessione (e gruppi), Componenti / Connessioni e Sub concetti Componente / connessione.

Lo schema del database Nucleo

Nota

Integrità referenziale non sia stata eseguita sul rapporto tra la tabella dei componenti e la tabella connessioni (per il 'attaccamento' tra una data sorgente o Sink componente e una connessione). Questo perché un collegamento può esistere senza allegati componenti. Avremmo potuto aggiunto una tabella di 'attaccamento', ma nell'interesse di semplicità deciso contro tale. Naturalmente questo significa che qualsiasi modifica di ID di componente o l'eliminazione di righe componenti tutti insieme si tradurrà in dati non corretti. ABACUS gestirà qualsiasi scorrettezza all'importazione ignorando i dati non corretti.

Il seguente MS Access ERD documenta la Proprietàconcetti per Architetture, tipi di componente / connessione e Componenti / Connessioni.

Schema di database Proprietà

Il seguente MS Access ERD documenta la Standardsconcetto di Architetture, tipi di componente / connessione e Componenti / Connessioni.Nota: Le tabelle ancora usano il termine 'Attuazione' come per le versioni precedenti di ABACUS.

Schema di database standard

Il seguente MS Access ERD documenta la Vincoliconcetto per i tipi / connessione component.

Vincolischema di database

Il seguente MS Access ERD documenta la Punti di vista concetto per Architetture.Nota: Le tabelle ancora usano il termine 'TwoDTempl' come per le versioni precedenti di ABACUS.

Punti di vistaschema di database

Il seguente MS Access ERD documenta la Cataloghiconcetto per Architetture.

Cataloghischema di database

Il seguente MS Access ERD documenta la Matriciconcetto per Architetture.

Matricischema di database

Il seguente MS Access ERD documenta la Diagrammiconcetto per Architetture.Nota: Le tabelle ancora usano il termine 'TwoD' come per le versioni precedenti di ABACUS.

Nota

Il tipo di componente / Collegamento stencil mappatura forma e le porzioni forma libera della MS Access ERD sono stati omessi per chiarezza.

Diagrammischema di database

Il seguente MS Access ERD documenta la Viste 3Dconcetto per Architetture.

Viste 3Dschema di database

Il seguente MS Access ERD documenta la Graficiconcetto per Architetture.

Graficischema di database

Il seguente MS Access ERD documenta la Cruscotti concetto.

Cruscottischema di database

ABACUS 'MS Access Interrogazioni

Incluso con il database di MS Access sono diverse query utili come segue;

· Composizioni di Props- Questa query elenca tutti i componenti del progetto (dall'architettura e tipo) e comprende tutte le proprietà come colonne. Utilizzare questa query con filtri / criteri del tipo di componente e / o l'architettura per la produzione di tavoli "tipici" per ogni tipo di componente con le loro proprietà.

· Stds di Props- Questa interrogazione elenca tutte le norme che sono in uso, il numero di occorrenze dello standard e include tutte le proprietà come colonne. Utilizzare questa query come un catalogo standard.

· Puntelli di Tipi- Questa query elenca tutte le proprietà dei componenti e la loro% completa da ogni tipo di componente come colonne. Utilizzare questa query per determinare se le proprietà specifiche siano mantenute.

· Tipi di Props- Questa interrogazione elenca tutti i tipi di componenti e comprende il% completo di tutte le proprietà come colonne. Utilizzare questa query per determinare se le proprietà specifiche siano mantenute.

· Tipo Conte- Questa query elenca tutti i tipi di componenti e include il numero di occorrenze di ogni tipo in ordine decrescente. Utilizzare questa query per determinare la popolarità di ogni tipo nel progetto.

Una nota su come lavorare con campi Memo in MS Access

I Componenti, connessioni e campi standard dei nomi nelle tabelle sono definiti come campi memo per consentire un numero illimitato di caratteri, come da ABACUS. Per i componenti e connessioni questo causa alcuni problemi, perché hanno anche un campo ID univoco per riferimento, ma per gli standard questo causa alcuni problemi quando si cerca di unire le tabelle, perché non è possibile aggiungere campi memo in MS Access. In alternativa, è possibile impostare un criterio Dove clausola per ottenere lo stesso effetto, come mostrato nella Visual Query Builder e corrispondente frammenti SQL sotto tale elenco tutte le Norme ereditate le proprietà per tutti i componenti del progetto ABACUS esportato.

Campo Memo 'unisce' in Visual Query Builder

SELEZIONARE Components.Architecture_Id, Components.Id, Components.Name, ComponentImplementationLinks.Name, ImplementationProperties.Type, ImplementationProperties.Name, ImplementationProperties.Value, ImplementationProperties.Unit

Dai componenti INNER JOIN ComponentImplementationLinks ON (Components.InternalId = ComponentImplementationLinks.Id) AND (Components.Architecture_Id = ComponentImplementationLinks.Architecture_Id), Implementazioni INNER JOIN ImplementationProperties ON Implementations.Id = ImplementationProperties.Implementation_Id

WHERE (((ComponentImplementationLinks.Name) = [Implementazioni] [Nome]).);

Campo Memo 'unisce' in SQL

Una nota sulla generando automaticamente gli ID ABACUS in MS Access

Varie tabelle ABACUS MS accesso richiedono un unico ID intero lungo modo viene fornito un metodo semplice VB per aiutare nella generazione di questi. Due metodi ResetCounter () e GetNextCounter () sono forniti all'interno di MS Access DB ABACUS 'e il loro uso è la seguente; ResetCounter () imposterà il contatore torna a 0. GetNextCounter () restituirà il contatore successivo nella sequenza.

I metodi di sfruttare un MS Access 'stranezza' che, anche se si chiama il metodo ResetCounter () per ogni inserto riga (ad esempio quando si esegue anche la funzione GetNextCounter ()) in quanto la funzione ResetCounter () non ha alcun parametro viene eseguito solo una volta e, quindi, non azzerare il contatore per ogni inserto riga. E anche perché lo stesso 'capriccio' devi passare qualsiasi vecchio variabile di colonna alla funzione GetNextCounter () di ingannare in esecuzione ogni volta.

C'è anche un trucco per essere in grado di eseguire la funzione ResetCounter () in un inserto in un'istruzione SQL perché non potete appena lo hanno seduto lì come una colonna di per sé, come se si trattasse di una query di selezione. Si consiglia di rendere il ResetCounter () chiamata parte di uno degli altri campi, concatenando alla fine, come restituisce sempre null comunque.

Qui di seguito è un uso tipico di SQL dei metodi per aggiungere un elenco di Tipi di componenti da una tabella / query denominata 'Componente Tipo List'.

INSERIREComponentTypes (Id, nome, descrizione)

SELEZIONA GetNextCounter ([tipo di componente List] .name)AS Id, [tipo di componente List] .name AS Nome, [tipo di componente List] .description & ResetCounter ()AS Descrizione

DA PARTE DI[Tipo di componente List];

ABACUS ID generazione / Contatore in SQL

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Visio | Compilazione propria architettura da Excel


Compilazione propria architettura da Microsoft Excel

Navigazione: Popolare vostra architettura> Compilazione di prodotti Microsoft>

Compilazione propria architettura da Microsoft Excel

Invia commenti su questo argomento.

È possibile importare l'architettura da un foglio di calcolo Excel (.xls o .xlsx file). L'importatore di Excel consente di mappare gli elenchi dei componenti e le connessioni con i tipi, gli standard, le proprietà e proprietà standard scegliendo le colonne nel foglio di calcolo che contengono i dati pertinenti.Si tratta tuttavia di una tecnica più avanzata rispetto al approccio raccomandatoper l'importazione da MS Excel che è via cataloghi come descritto Qui .

Nota

La funzionalità di importazione da / Esporta in Excel richiede che Microsoft Excel 2003o più recente è installato sul computer.

La funzione principale del Importer Excel è quello di permettere di definire un file di configurazione (cioè la struttura gerarchica del modello architettonico). Il file di configurazione memorizza una mappatura salvato in precedenza da un file di Excel in un file ABACUS. Una volta definito, il file di configurazione salvato viene poi utilizzato per l'ulteriore importazione e l'esportazione di file .xls.

Nota

I passaggi illustrati nella sezione sottostante sono appositamente per gli utenti che devono ancora definire e salvare un file di configurazione e importano da Excel per la prima volta. È necessario creare e salvare un file di configurazione per utilizzare la funzione di esportazione per eccellere.

Per importare un foglio di calcolo Excel in ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Seleziona file | Nuovo e selezionare Da Eccelleredalla finestra di dialogo che appare e fare clic su OK.

Nota

Se si desidera importare in un progetto ABACUS esistente allora o destro del mouse sul nodo Componenti all'interno di una Architettura, oppure fare clic destro un singolo componente all'interno di una Architettura e quindi selezionare Importa | Da Excel.

3. Il Importa foglio di calcolo ExcelVerrà visualizzata la finestra

Finestra Foglio di calcolo Excel

4. Clicca il Apri file Excelicona e cercare il file Excel che si desidera importare.

5. Scegli il Foglio di lavorosi desidera importare dalla casella a discesa.

Nota

Dopo aver aperto il file di Excel, è possibile utilizzare il Anteprima datischeda per visualizzare le colonne e le prime 25 righe del foglio di calcolo. Da qui è possibile ottenere i numeri di colonna necessarie per compilare il Componenti e Collegamentischeda.

È anche possibile selezionare se si desidera o meno componenti in un foglio di calcolo Excel da importare con maiuscole e minuscole. Basta spuntare la Importa con maiuscole e minuscoleopzione (per default è sempre selezionata) e il foglio di calcolo verrà importato di conseguenza.

Esempio di file Excel

Nota

In questo esempio verrà importare una semplice infrastruttura e architettura popolare dai dati excel mostrati nella schermata sopra. Connessioni saranno effettuati tra "persone responsabili" e "Server" che queste persone amministrano.

Per compilare la scheda Componenti

Questa sezione è per definire i tipi di componenti e la struttura gerarchica del file di configurazione.

1. Seleziona il Componentischeda. Rinominare il Set IDsovrascrivendo il (nullo) valore

Nota

Questa funzione consente di definire completamente diverso Setsper i componenti funzionalmente separate. Come mostrato nello screenshot qui sotto, è possibile distinguere i componenti dell'infrastruttura dei vostri componenti Persone. Se ci sono rapporti (connessioni) tra questi insiemi separati di componenti, possono essere definiti secondo la Collegamentischeda. Più avanti in questo esempio definire le connessioni di tipo "Amministra" tra Infrastrutture e persone Sets.

È anche possibile selezionare se si desidera o meno di aggiungere un livello superiore RaggruppamentoComponente per tutti gli elementi dell'insieme. Basta spuntare la Gruppo In Imposta IDopzione (di default è spuntata) e il foglio di calcolo verrà importato di conseguenza.

Assegnazione Set ID

2. Una volta che il Setssono state definite selezionare Impostatosi desidera popolare ed espandere facendo clic sul [+] segno.

3. Selezionare I livelli di componenti in questo setdall'elenco espanso.

4. Il Componente Gerarchia Set: Set IDVerrà visualizzata la finestra per questo Impostato.

Componente gerarchia e valori Assegnazione (Set ID: Infrastruttura)

5. Rinominare il Numero livellicolonna sovrascrivendo il (nullo) valore.

Nota

Il Numero livellicolonna consente di assegnare una gerarchia per i componenti. Ogni livello corrisponde a un livello all'interno della vostra architettura per cui il primo livello è il più alto genitore livello. Ad esempio, numero di livello "1" corrispondente al più alto livello gerarchico, Numero livello "2" è figlio di livello Numero "1" e così via.

6. Selezionare e assegnare la relativa colonna dal foglio di calcolo di Excel per ogni Numero livelliinserendo sotto la Colonna Componente colonna.

Nota

Si può scegliere di escludere alcune righe che non si desidera essere rappresentati nell'architettura. Questi possono essere le intestazioni delle colonne, righe vuote, ecc Per escludere le righe utilizzare il Righe da escludere:casella di testo accanto all'angolo in alto a destra della finestra. In questo esempio abbiamo escluso riga 1 perché contiene le nostre intestazioni di colonna.

7. È possibile scegliere di aggiungere descrizioni alle vostre componenti sovrascrivendo il (nullo)valore nel Descrizione Colonna.

Nota

Questa descrizione è quello che apparirà in ABACUS sotto la Proprietà generaliSezione | Descrizione campo.

8. Se una data colonna foglio di calcolo è più di un componente per cella (inserito con Alt-Invio o il (10) Comando CAR) allora spuntare la casella sottostante Trattare Nuove linee come componenti separati. Ogni linea sarà importato come componenti separati.

Mancia

Per importare un 'matrix' da un insieme di colonne, in cui un 'X' in un dato 'matrix' celle (celle B2: D2 diciamo) implica che la componente specificato dalla riga (nella cella A2 dire) è collegato al componente specificato dalla colonna 'voce' (nella riga 1 ad esempio), una semplice formula può essere utilizzata. Inserire la seguente formula per ogni riga in una colonna di là delle celle della matrice (colonna F dire); = SE (B2 = "", "", B $ 1 & CHAR (10)) e SE (C2 = "", "", C $ 1 & CHAR (10)) e SE (D2 = "", "", D $ 1 & CHAR (10)). Poi impostare una connessione impostata come descritto di seguito tra i componenti indicati dal riga (nella colonna A dire) e quelli descritti da questa formula (nella colonna F dicono). Assicuratevi di controllare il Trattare Nuove linee come componenti separatiopzione quando vengono importati i componenti della formula. Per l'importazione di matrice più avanzata, inclusi titoli con più livelli di gerarchia o celle con valori differenti che un semplice 'X', si prega di contattare Supporto Avolution .

9. Riempire il resto delle colonne come necessario.

Nota

Si può scegliere di ottenere il tipo dalle file delle colonne selezionando la casella di controllo sotto la Ottenere Tipo dalla colonnacolonna e di entrare nella relativa colonna dal foglio di calcolo di Excel sotto la Componente Tipo Valore o Colonna colonna. Ciò importare tutti i componenti in quella colonna e impostare il tipo definito nella colonna. In alternativa, e come con la schermata sopra e sotto, è possibile scegliere di utilizzare un pre-definito nome fisso / tipo inserendo il nome del tipo sotto la Componente Tipo Valore o Colonnacolonna e assicurandosi che la casella di controllo è deselezionata.

Componente gerarchia e valori Assegnazione (Set ID: Persone)

Nota

In questo esempio si desidera avere le nostre reti e persone raggruppamenti a livello 1 della architettura. Al livello 2 vogliamo avere i nostri server e le persone responsabili dell'amministrazione tali server. Il Componentischeda è stato compilato conseguenza, come illustrato nelle due schermate sopra. Nel primo screenshot qui sopra abbiamo definito le 1 (raggruppamento di rete) e di livello 2 componenti (server) di livello per l'infrastruttura Impostato. E nello screenshot subito sopra abbiamo definito il livello 1 (persone di raggruppamento) e di livello 2 (persone responsabili) componenti per il popolo Impostato.

In alternativa, per la La genteInsieme, piuttosto che utilizzare la colonna C come un raggruppamento persone, abbiamo potuto utilizzare la Gruppo In Imposta IDopzione nella scheda componenti di livello superiore e poi appena entrato un solo popolo sotto-livello da colonna D. Questo è mostrato nello screenshot qui sotto.

Componente Gerarchia e Assegnazione di valori utilizzando l'opzione Group Sotto Set ID (Set ID: Persone)

10. Una volta che sono stati identificati i componenti, selezionare il livello di componente che si desidera per popolare le proprietà e / o standard di ed espandere facendo clic sul [+] segno.

11. Selezionare Proprietà dei componenti a questo livello o il Componenti standard di questo livellodalla lista estesa e popolare le colonne relative alle esigenze.

Componenti che popolano

Nota

Proprietà dei componenti a questo livelloconsente di definire le proprietà per i componenti a livello prescelto. Componenti standard di questo livelloconsente di definire gli standard e le loro proprietà standard per i componenti a livello prescelto.

12. Ripetere i passaggi 2 - 11finché non sono stati popolati tutti i livelli di componenti per tutti definiti Sets. Utilizzare la freccia indietro nell'angolo superiore destro della finestra per passare indietro al Setsche è stata definita in precedenza.

Per compilare la scheda Connessioni

Questa sezione è per definire i tipi di connessione e la struttura gerarchica del file di configurazione.

1. Seleziona il Collegamentischeda. Per ogni set di connessioni si deve identificare il componente Impostatoche si vuole essere i componenti di origine e la componente Impostatosi vuole essere i componenti di destinazione.

2. Sotto la Sorgente Component Set ID Inserisci il Impostatonome corrispondente al Impostatodefiniti precedentemente nella Componentischeda. Sotto la Fonte Componente Numero Livelloimmettere il numero corrispondente al livello di componente che si desidera collegare al termine fonte della connessione.

3. Ora scegliere quale componente del gruppo sarà alla fine destinazione del collegamento. Sotto la Destinazione Component Set ID Inserisci il Impostatonome corrispondente al Impostatodefinito nel Componentischeda. Sotto la Destinazione Componente Numero Livelloimmettere il numero corrispondente al livello di componente che si desidera collegare alla fine destinazione del collegamento.

Nota

In questo esempio, vogliamo collegare le persone responsabili della gestione dei server ai server che amministrano. I responsabili sono stati definiti nel Popolo Impostatocome di livello 2 componenti, mentre i server sono stati definiti nella Infrastrutture Impostatoil livello di 2 componenti. Il Collegamentischeda è stato compilato di conseguenza, come mostrato nello screenshot qui sotto.

Scheda Connessioni Parte 1 di 2

4. Se si scorre verso destra, troverete le opzioni aggiuntive per l'importazione le connessioni. Ottenere Tipo dalla colonna e Tipo di connessione Valore o Colonnafunzionano allo stesso modo come per la Componentischeda.

5. Se il Sorgente Component Set ID e il Fonte Componente Numero Livellosono le stesse come Destinazione Component Set ID e il Destinazione Componente Numero Livello(ad esempio se ci si connette gli stessi tipi di componenti, come la realizzazione di connessioni da server verso altri server), allora avete bisogno di avere un'altra colonna nel foglio di calcolo che contiene i nomi di tali server ripetute. In questa situazione si dovrebbe mettere quella colonna nel foglio di calcolo Destinazione ripetute nella colonna colonna. Se nella colonna foglio di calcolo è stato inserito più di un componente collegato per cella quindi selezionare la casella sottostante Trattare Nuove linee come componenti separati.

Scheda Connessioni Parte 2 di 2

6. Una volta che i collegamenti sono stati identificati selezionare la connessione che si desidera per popolare le proprietà e / o standard di ed espandere facendo clic sul [+] segno.

7. Selezionare Proprietà per questi collegamenti o Norme per questi collegamentidalla lista estesa e popolare le colonne relative alle esigenze.

Nota

Proprietà per questi collegamentipermette di definire le proprietà per il gruppo di connessione prescelta. Norme per queste connessioniconsente di definire gli standard e le loro proprietà standard per il gruppo di connessione prescelta.

8. Ripetere i passaggi 2-7finché non sono stati definiti tutti i gruppi di connessione.

9. Una volta terminata la definizione dei gruppi di connessione, fare clic sul Finituraverranno creati pulsante e l'architettura dal file di Excel importato. L'esempio sopra comporterà l'architettura mostrato nello screenshot qui sotto.

Esempio Architettura Importato da Excel

10. Salvare la configurazione mappato a un file facendo clic sul Salva la configurazione icona. La configurazione salvato può essere recuperato in seguito cliccando sul Aprire una configurazioneicona vicino all'angolo in alto a sinistra della finestra.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Access | Compilazione propria architettura da Visio


Compilazione l'architettura di Microsoft SharePoint

Navigazione: Popolare vostra architettura> Compilazione di prodotti Microsoft>

Compilazione l'architettura di Microsoft SharePoint

Invia commenti su questo argomento.

Puoi sincronizzare l'architettura conMicrosoft Elenchi SharePoint. Sincronizzazione comporta o la creazione di nuovi elenchi di SharePoint (e le loro colonne) da tipi di ABACUS, le loro proprietà e gli allegati, o mappatura elenchi SharePoint esistenti (e le loro colonne) per i tipi ABACUS, le loro proprietà e gli allegati, allora o l'invio di contenuti da ABACUS a SharePoint o SharePoint a ABACUS.

Nota

Il SharePoint Sync funzione richiede che un Microsoft SharePoint 2010, 2013 o SharePoint Online sito è disponibile per connettersi e sincronizzarsi con.Mentre la funzionalità di SharePoint Sync può creare elenchi (con colonne) su un sito SharePoint da qualsiasi progetto ABACUS, Avolution può anche fornire i vari modelli di sito SharePoint a sostegno del framework standard (ad esempio TOGAF, ArchiMate, ITIL ecc) in modo da contattare Supporto Avolution se avete bisogno di questa capacità.

A creare una nuova lista di SharePoint e mappare a un componente o di connessione di tipo ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Selezionare Strumenti | SharePoint Sync.

3. Clicca il Nuova mappaturapulsante e un dialogo Mapping di SharePoint come mostrato di seguito apparirà.

4. Inserire l'URL del sito, nome utente e password per il sito di SharePoint e fare clic su Collegare.

Nota

Una valida SharePoint 'admin' o conto 'collaboratore' è necessaria per la sincronizzazione da e per SharePoint e conto di un 'lettore' solo consentirà la sincronizzazione da SharePoint.

5. Selezionare il componente o tipo di connessione ABACUS per mappare dal Seleziona tipopull-down.

6. Clicca il Aggiungere nuovapulsante e poi per ogni componente o tipo di connessione aspetto ABACUS si desidera mappare un campo per la lista di SharePoint selezionare una voce nel pannello di sinistra e nel pannello di destra immettere il nuovo nome della lista di SharePoint nella colonna Nuova lista (solo la prima volta) , quindi il nome della colonna di SharePoint nella colonna Nome (o utilizzare quello predefinito) e fare clic su Assegnare ogni volta.

Nota

Come minimo per consentire la sincronizzazione della ABACUS EEID, Architettura e aspetti Nome verranno mappate automaticamente a un numero e due (2) Una riga di testo (aka testo) colonne, rispettivamente di SharePoint. Questi non possono essere assegnati. Inoltre, solo alcuni aspetti ABACUS possono attualmente essere mappati per alcune colonne di SharePoint e il tipo di colonna a discesa verranno automaticamente impostate il tipo di colonna di SharePoint richiesto.Vale a dire;

· ABACUS 'Percorso Gerarchia SharePoint righe di testo (aka Nota) colonne (Nota: SharePoint riga di testo (aka testo) colonne supportano solo 255 caratteri in modo che non siano preferito),

· Componenti ABACUS 'associate alle colonne SharePoint Lookup (Nota: Una mappatura deve esistere già in un elenco per gli stessi componenti collegati),

· Testo e Description ABACUS 'a SharePoint righe di testo (aka Nota) colonne (Nota: SharePoint riga di testo (aka testo) colonne sostengono solo di 255 caratteri in modo che non siano preferito),

· ABACUS 'decimali o interi proprietà alle colonne SharePoint Numero,

· ABACUS 'Lista delle proprietà alle colonne SharePoint Choice (Nota: SharePoint non fa rispettare i valori di scelta in modo che il tipo di dati List non ha bisogno di essere eseguita in ABACUS),

· ABACUS 'Data / proprietà Tempo per SharePoint righe di testo (aka Nota) colonne (Nota: Data di SharePoint e colonne di tempo non possono essere utilizzati ancora grazie al supporto incoerente di SharePoint per fuso orario impostazioni / regionalizzazione),

· ABACUS 'proprietà booleane a SharePoint Sì / No (aka booleano) colonne.

Le norme correlate di un elemento ABACUS non può essere mappato colonne dell'elenco SharePoint ancora.

7. Selezionare Creare Mappatura.

A creare un nuovo mapping tra una componente ABACUS o tipo di connessione e un elenco SharePoint esistente

1. Assicurarsi di avere ABACUS aperto.

2. Selezionare Strumenti | SharePoint Sync.

3. Clicca il Nuova mappaturapulsante e un dialogo Mapping di SharePoint come mostrato di seguito apparirà.

4. Inserire l'URL del sito, nome utente e password per il sito di SharePoint e fare clic su Collegare.

Nota

Una valida SharePoint 'admin' o conto 'collaboratore' è necessaria per la sincronizzazione da e per SharePoint e conto di un 'lettore' solo consentirà la sincronizzazione da SharePoint.

5. Selezionare il componente o tipo di connessione ABACUS per mappare dal Seleziona tipopull-down.

6. Selezionare l'elenco sito di SharePoint per mappare dal Seleziona Listapull-down.

7. Per ogni componente o tipo di connessione aspetto ABACUS che si desidera mappare alla sua colonna corrispondente elenco SharePoint selezionare una voce nel pannello di sinistra e il pannello di destra, rispettivamente, e fare clic su Assegnare.

Nota

Come minimo per consentire la sincronizzazione della ABACUS EEID, Architettura e aspetti Nome devono essere mappato a un numero di SharePoint e quindi per l'Architettura e nome a uno Una riga di testo (aka testo) o rispettivamente righe di testo (aka Nota) colonne. Fino a che è fatto il pulsante Crea mappatura non verrà abilitata. Inoltre, solo alcuni aspetti ABACUS possono attualmente essere mappati per alcune colonne SharePoint.Vale a dire;

· ABACUS 'architettura aspetto da una linea singola di SharePoint di testo (aka testo) o righe di testo (aka Nota) colonne (questo è richiesto per i contenuti mappatura specifica come descritto di seguito),

· Percorso Gerarchia ABACUS 'a Sharepoint riga di testo (aka testo) o righe di testo (aka Nota) colonne (Nota: SharePoint riga di testo (aka testo) colonne supportano solo 255 caratteri in modo che tutti i caratteri aggiuntivi saranno troncati e quindi si consiglia di convertirli in righe di testo (aka Nota) colonne in SharePoint prima mappatura),

· Componenti ABACUS 'associate alle colonne SharePoint Lookup (Nota: Una mappatura deve esistere già in un elenco per gli stessi componenti collegati),

· Testo e Description ABACUS 'a SharePoint riga di testo (aka testo) o righe di testo (aka Nota) colonne (Nota: SharePoint riga di testo (aka testo) colonne supportano solo 255 caratteri vengono troncati in modo che eventuali caratteri aggiuntivi e quindi si consiglia di convertirli in righe di testo (aka Nota) colonne in SharePoint prima mappatura),

· ABACUS 'decimali o interi proprietà alle colonne SharePoint numerici (Nota:. Colonne SharePoint Calcolato possono essere utilizzati tuttavia essi saranno in grado di sincronizzato da SharePoint a ABACUS Cercando di sincronizzazione' a 'una colonna calcolata si tradurrà in un avviso come sotto) ,

· ABACUS 'Lista delle proprietà alle colonne SharePoint Choice,

· ABACUS 'Data / proprietà Tempo per SharePoint righe di testo (aka Nota) colonne (Nota: Data di SharePoint e colonne di tempo non possono essere utilizzati a causa del sostegno incoerente di SharePoint per fuso orario impostazioni / regionalizzazione),

· ABACUS 'proprietà booleane a SharePoint Sì / No (aka booleano) colonne.

Le norme correlate di un elemento ABACUS non può essere mappato colonne dell'elenco SharePoint ancora. E di valuta di SharePoint, persona o gruppo, Collegamento ipertestuale o immagine, Task Outcome, dati esterni e le colonne dei metadati gestiti non può essere mappato ad aspetti ABACUS ancora.

8. Selezionare Creare Mappatura.

A sincronizzareMicrosoft Elenco SharePoint (s)in ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Selezionare Strumenti | SharePoint Sync.

Nota

A sincronizzare un elenco di SharePoint con unProgetto ABACUS la licenza utente ha bisogno il SharePoint SyncPossibilità aggiunta. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

3. Selezionare una mappatura di SharePoint esistente (o mappature usando Ctrl-click o il Seleziona tuttotasto) dalla Mapping SharePoint pannellocome mostrato nell'esempio schermata al di sopra. Nota: qui stiamo mostrando solo il 'Goal (o requisito)' ABACUS tipo di componente di mappatura per un elenco SharePoint chiamato Gol in corso di selezione.

4. Selezionare l'Architecture (s) che si desidera sincronizzare il contenuto con dal Sincronizza Contenuti di Architetturepannello come mostrato nell'esempio schermata al di sopra. Nota: qui stiamo mostrando solo il '2015 Actual' architettura viene sincronizzato.

5. Seleziona il Sync Dalla SP pulsante.

Nota

Se le credenziali del sito SharePoint non 'All Salvato' sono per la mappatura (s) scelto poi un accesso al dialogo SharePoint che chiede per il URL del sito, Nome utente e / o Parola d'ordine.Si prega di inserire questi. Inoltre, la sincronizzazione si includere altri mapping che sono necessari per allegate componenti / colonne di ricerca. Eventuali ulteriori mappature che sono inclusi automaticamente verranno visualizzate nella finestra di dialogo di cui al seguito.

6. Su sincronizzazione corretta verrà visualizzata una finestra di dialogo Risultati SharePoint Sync come mostrato di seguito l'elenco delle modifiche e le eventuali avvertenze. Clic ok.

A sincronizzare da ABACUS a Microsoft Elenco SharePoint (s)

1. Assicurarsi di avere ABACUS aperto.

2. Selezionare Strumenti | SharePoint Sync.

Nota

A sincronizzare un elenco di SharePoint con unProgetto ABACUS la licenza utente ha bisogno il SharePoint SyncPossibilità aggiunta. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

3. Selezionare una mappatura di SharePoint esistente (o mappature usando Ctrl-click o il Seleziona tuttotasto) dalla Mapping SharePoint pannellocome mostrato nell'esempio schermata al di sopra. Nota: qui stiamo mostrando solo il 'Goal (o requisito)' ABACUS tipo di componente di mappatura per un elenco SharePoint chiamato Gol in corso di selezione.

4. Selezionare l'Architecture (s) che si desidera sincronizzare il contenuto con dal Sincronizza Contenuti di Architetturepannello come mostrato nell'esempio schermata al di sopra. Nota: qui stiamo mostrando solo il '2015 Actual' architettura viene sincronizzato.

5. Seleziona il Sync Per SP pulsante.

Nota

Se le credenziali del sito SharePoint non 'All Salvato' sono per la mappatura (s) scelto poi un accesso al dialogo SharePoint che chiede per il URL del sito, Nome utente e / o Parola d'ordine.Si prega di inserire questi. Inoltre, la sincronizzazione si includere altri mapping che sono necessari per allegate componenti / colonne di ricerca. Eventuali ulteriori mappature che sono inclusi automaticamente verranno visualizzate nella finestra di dialogo di cui al seguito.

6. Su sincronizzazione corretta verrà visualizzata una finestra di dialogo Risultati SharePoint Sync come mostrato di seguito l'elenco delle modifiche e le eventuali avvertenze. Clic ok.

Nota

ABACUS aggiornerà colonne SharePoint con valori vuoti, anche se 'richiedono che questa colonna contiene informazioni' è impostata su Sì in SharePoint. Questo perché SharePoint non espone all'esterno questa impostazione. Se questo deve essere evitato, si raccomanda che un Designer ABACUS imposta il vincolo richiesto a True e Enforced per la proprietà data utilizzando ABACUS ' costrizione caratteristica .

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Visio | Compilazione propria architettura da Excel


Compilazione propria architettura da Microsoft SQL Server

Navigazione: Popolare vostra architettura> Compilazione di prodotti Microsoft>

Compilazione propria architettura da Microsoft SQL Server

Invia commenti su questo argomento.

È possibile importare la propria architettura da un database Microsoft SQL Server. Avete la scelta di importare solo le tabelle e le relazioni in modo efficace che importano solo la struttura generica del database o le tabelle, righe e relazioni che importare non solo la struttura ma i dati pure.

Nota

La funzione da SQL Server richiede che Microsoft SQL Server 20052008, 2008 R2, 2012 o 2014è installato nel computer.

Per importare il database di Microsoft SQL Server in ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Seleziona file | Nuovo e selezionare Da SQL Serverdalla finestra di dialogo che appare e fare clic su OK.

3. Nella finestra di dialogo Importa di SQL Server che appare impostare il 'MACHINENAME' e valori "SQLinstance 'della stringa di connessione variabili e il valore' DBNAME 'della variabile Nome database ai valori corretti, come mostrato nell'esempio screenshot qui sotto.

4. Impostare la variabile Nome database allo stesso valore della variabile di Initial Catalog impostato nel passaggio precedente, come illustrato nell'esempio schermata qui sotto.

5. Premere il pulsante Verifica connessione e le tabelle da importare sezione della finestra deve essere popolato con le tabelle di database disponibili, come mostrato nell'esempio screenshot qui sotto.

6. Selezionare le tabelle che si desidera importare da una selezionandoli o utilizzando il Tutto, None e pulsanti Inverti alla destra della finestra di dialogo individualmente.

Nota

Solo i relazioni di chiave esterna che esistono tra i tavoli che si selezionano andranno importati.

7. Utilizzando il pulsante Importa Stile selezionare se si desidera importare solo le tabelle e le relazioni tra loro o le tabelle, le righe e le relazioni specifiche tra le righe.

Nota

La prima opzione consente di importare le tabelle così come componenti della 'tabella' tipo e le relazioni tra due tabelle (dalle chiavi esterne) siano importati come le connessioni di tipo 'Tabella Rapporto'. Questo è un classico 'ERD' vista lo stile delle tabelle di sistema. La seconda opzione consente di importare le righe della tabella come discreti sotto-componenti di tipo 'Table Row' con proprietà corrispondenti a ciascuno dei colonne / campi e con i rapporti tra le righe della tabella del tipo 'Tabella Rapporto'. Inoltre, se vi è una colonna / campo denominato 'Nome', allora questo è usato per denominare i singoli sottocomponenti delle righe della tabella.

8. Selezionare il pulsante Importa ....

9. Dopo un breve lasso di tempo (con una barra di avanzamento per il feedback) verrà creato un nuovo progetto ABACUS con le Tavole, righe di tabella (se la seconda opzione è stata selezionata nel passaggio precedente) e relazioni del database Microsoft SQL Server.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Visio | Compilazione propria architettura da Excel


Compilazione l'architettura di Microsoft Visio

Navigazione: Popolare vostra architettura> Compilazione di prodotti Microsoft>

Compilazione l'architettura di Microsoft Visio

Invia commenti su questo argomento.

È possibile importare la propria architettura di Microsoft Visio. Forme nel disegno di Visio verranno importati come componenti in ABACUS. Connessioni nel disegno di Visio verranno importati come i collegamenti e il disegno stesso verranno importati in ABACUS come un diagramma. Inoltre, tutte le proprietà personalizzate nel disegno di Visio verrà importato come proprietà con il Sort chiave associata alla Tipo di proprietà, etichetta al nome della proprietà e il valore al valore della proprietà.

Nota

La funzione Importa da Visio richiede che Microsoft Visio 2003o più recente è installato sul computer.

Per importare i disegni di Visio in ABACUS

1. Assicurarsi di avere ABACUS aperto.

2. Seleziona file | Nuovo e selezionare Da Visiodalla finestra di dialogo che appare e fare clic su OK.

Nota

Se si desidera importare in un progetto ABACUS esistente allora o destro del mouse sul nodo Componenti all'interno di una Architettura, oppure fare clic destro un singolo componente all'interno di una Architettura e quindi selezionare Importa | Da Visio.

3. Cercare il file di Visio che si desidera importare.

Nota

Qui di seguito sono alcune semplici regole o pratiche raccomandate quando costruendo (o modificare) disegnando un MS Visio per l'importazione in ABACUS.

1. Le linee o collegamenti devono essere connettori reale, non forme.

· Altrimenti ABACUS sarà solo importarli come componenti e di conseguenza non verrà "attaccato" per niente.

· Se hai bisogno di fare un po 'di routing "intelligente" (cioè diverso da una linea retta) quindi utilizzare il connettore dinamico sulle forme di base stencil, ABACUS importerà i punti di routing / ancoraggio bene.

· Cercate di evitare di utilizzare la "rete Ring" e "Ethernet" forme dallo stencil di rete e periferiche che permette un sacco di componenti da "collegare" ad esso. Mentre importiamo gli allegati bene come le connessioni alla forma originale è ancora "espansa" per riflettere gli allegati. Utilizzare separare un "hub / bus" forma separata (senza connettore "gambe") e quindi collegare esplicitamente ogni componente all'hub / bus con connettori separati.

· Se una linea o una connessione si comporta come una forma, fate clic destro su di esso e andare a 'Formato | Comportamento ... 'e fare in modo che lo stile di interazione sia impostato su Line (1-dimensionale).

2. I componenti devono essere forme NON connettori.

· Altrimenti ABACUS sarà solo importarli come i collegamenti e di conseguenza tutte le informazioni forma verrà perso.

· Se un componente si comporta come un connettore, fate clic destro su di esso e andare a 'Formato | Comportamento ... 'e fare in modo che lo stile di interazione sia impostata su Box (2 dimensioni).

3. Terminali dei connettori devono essere collegati a forme, non girano in background dietro la forma.

· Se non si collega i connettori per le forme poi ABACUS non ha modo di sapere che si intende collegare il connettore data alla forma / componenti e di conseguenza lascerà che capo della connessione non-attaccato.

4. Le etichette per le forme dovrebbero essere (ove possibile) l'etichetta di testo integrato per la forma, non una casella di testo separato sul disegno.

· Caselle di testo separate avranno importato da ABACUS come componenti a pieno titolo e, mentre è possibile unire la componente "etichetta" con la componente reale in ABACUS, o semplicemente convertire il componente "label" per una forma libera (cioè non un componente stesso) è meglio evitare questi passaggi.

5. Usare la stessa forma di base per ogni istanza dello stesso tipo, non essere pigro e utilizzare rettangolo volte e box ad altri di diverse forme stencil.

· ABACUS utilizza la forma di base e il suo colore di base per identificare in modo univoco i tipi di componenti e di connessione nel disegno così un "rettangolo rosso" e una "scatola rossa" avranno importati come due tipi di componenti separati. Questi tipi di componenti possono essere fuse in ABACUS, ma è meglio evitare questi passaggi.

6. Interamente incapsulare "bambini" forme all'interno delle loro "genitori", non lasciare loro appeso sopra il bordo.

· ABACUS rileverà qualsiasi forma che è interamente incapsulato all'interno di un'altra forma come un bambino del genitore in modo da assicurarsi l'intera forma, compresa la parte di etichetta, è racchiuso.

7. NON posizionare una forma sovrapposte altre due forme.

· Se una forma sovrappone altri due forme, sia esso un "raggruppamento" / sfondo rettangolo o in caso contrario, verrà importato da ABACUS come un componente che è un figlio di né forme sovrapposte, ma non appena si seleziona il componente in strumento di disegno ABACUS ' , a causa del alto a sinistra essendo i componenti punto di riferimento, diventerà un figlio della sinistra sovrapposto forma / componente.

8. Cercare di ridurre al minimo l'uso delle note di testo sul disegno perché questi avranno importati come componenti nel loro diritto e dovranno essere convertiti in forme a mano libera in ABACUS. Pensate se sono davvero il nome di un componente o di connessione esistente.

9. Mentre ABACUS supporta ricco / / forme vettoriali colorate, cercano di minimizzare l'uso di bitmap, forme straniere e metafile avanzati per le forme come ABACUS fa attualmentenonsostenere questi tipi. Essi verranno importati come semplici rettangoli bianchi.

10. Cercate di evitare ritorni a capo (shift-ritorno) in etichette come vengono importati e visualizzati come un carattere speciale "[]" nel ABACUS per il nome del componente.

11. Cercare di minimizzare i diversi colori utilizzati per le forme dello stesso tipo. Come accennato in precedenza, la forma colore di base e la base identifica univocamente tipi di componenti e quindi la connessione più variazioni c'è più fusione e consolidamento che dovrà essere fatto in post-importazione ABACUS.

12. Siate cauti con forme piene, perché se una forma è riempita fino agli angoli poi colorare in un secondo momento in ABACUS non avranno alcun effetto.

13. Per le forme base di linee complesse è necessario utilizzare un poligono che viene creato per avere linee di partenza dove la conclusione di quello precedente e quindi in ultima analisi tornare al punto di partenza. Se lo si desidera, è possibile utilizzare il riempimento e la linea di larghezza per rendere l'aspetto poligonale come una 'freccia' o qualsiasi forma che si desidera.

14. Assicurarsi che l'ID forme di MS Visio è significativo non solo Shape.xx. Questo è modificabile tramite right-click 'Mostra Shapesheet', che è disponibile in modalità sviluppatore MS Visio (abilitata attraverso Strumenti | Opzioni in MS Visio).

15. Ellissi e archientro formesono supportate in ABACUS ma NURBS e spline non sono attualmente supportate.

16. Assicurarsi che l'intera forma è raggruppato in MS Visio o otterrà importato come diversi tipi di componenti /.

17. Cercare di ridurre al minimo l'uso di forme ruotati all'interno subshapes in quanto saranno a volte non essere importate correttamente.

Guarda anche

Compilazione l'architettura - Panoramica | Compilazione vostra architettura manualmente | Compilazione propria architettura da Access | Compilazione propria architettura da Excel


Compilazione vostra architettura manualmente

Navigazione: Popolare vostra architettura> Popolare manualmente>

Compilazione vostra architettura manualmente

Invia commenti su questo argomento.

I componenti di livello superiore e le connessioni della vostra architettura sarà probabilmente bisogno di essere popolato manualmente. In genere questo sarà i componenti più astratti e connessioni.

Per popolare manualmente la propria architettura

1. Assicurarsi di avere un File ABACUSaperto, un esploratorevisualizzato, e un architettura aggiunto .

2. Aggiungere un componente. Per fare questo, Pulsante destro del mousel'area della struttura che si desidera popolare, e selezionare Aggiungi Sub-Component ..., Oppure fare clic sul Nuovo componentepulsante sulla Visualizza barra degli strumenti . I componenti possono essere aggiunti solo nel ramo componenti dell'albero. Volete che il vostro diagramma ad albero per essere una rappresentazione accurata della vostra architettura. Quando hai scoperto la propria architettura, avrete imparato esattamente come si integra il tutto. Avrete bisogno di questa conoscenza quando si aggiungono i componenti e le connessioni. Se si aggiunge il vostro primo componente, si aggiungerà direttamente al ramo Componenti. Il resto dei componenti può essere sia allo stesso livello nella struttura, oppure possono essere sotto-componenti della prima.

3. Aggiornare i valori dile proprietàdi ciascun componente come lo si aggiunge. Per fare questo, clicsul componente, e modificare le proprietà visualizzate nella Finestra Proprietà(tipicamente) a destra. Le proprietà sono generalmente cose come requisiti, capacità di trasformazione, ecc Quando ABACUS valuta la propria architettura, si calcola alcune nuove proprietà, e salvarli di nuovo all'architettura. Le nuove proprietà sono i dati che si sta cercando di analizzare, come ad esempio l'utilizzo, i tempi di risposta, la larghezza di banda, ecc

4. Aggiungere le connessioni e aggiornareloro proprietàcome si va - proprio come si fa per i componenti (ma sotto il ramo Connessioni dell'albero).

5. Allegareconnessioni e componenti. Per fare questo, trovare il collegamento, fare clic su uno dei suoi finisce o ruoli , E trascinarlo un componente. In alternativa, fare clic su un componente e trascinarlo su una delle connessione del ruoli (cioè sia Source o Sink). Oppure si può fare clic destro e trascinare un componente su un altro componente e selezionare Connetti a. O semplicemente fare clic su un componente e selezionare Collegare.... Quando si trascina una connessione ruolo, Noterete un simbolo di scelta rapida quando si punta ad un componente è possibile collegarlo a. Ciò indica che non stai facendo una copia, sei solo collegarlo. Assicurati di allegare alla componente corretto di destinazione. Ad esempio, se è sorgente di un collegamento ruolo, Trascinarlo do componente sorgente (cioè il componente che è la sorgente del flusso di dati).

Mancia

Ri-ordinare i soggetti all'interno della vostra architettura (ad esempio Componenti, connessioni, ecc) nella esploratoreè abbastanza facile. Semplicemente Clic| Tenere| Trascinarel'entità in questione e il luogo dove desiderava nell'architettura. La funzionalità riordino permette anche di posizionare le entità all'interno di diverse gerarchie di vostra architettura.

Si consiglia inoltre di

6. Aggiungere Standard (set preconfigurati di immobili - preset) ai vostri componenti, collegamenti o tipi

7. Modificare le proprietà di un componente, o il tipo di connessione

8. Annulla e Ripristina operazioni

9. Cambiare il tipo di un componente o collegamento

10. Creare un nuovo tipo o di tipo di gruppo

11. Cancellare un componente o collegamento

12. Creare, duplicare o evolvere un'architettura

13. I tipi e le norme di importazione da una libreria

14. Importa da un altro file ABACUS, XML, Excel o Visio

15. Copia e incolla parti (o tutti) della vostra architettura

16. Trova e sostituisci articolo nel architettura

17. Espandi / Riduci alcuni o tutti i nodi dell'albero

18. Fondersi elementi

19. Definire e Convalidare Vincoli di limitare la struttura della vostra architettura

20. Evolve l'architettura per creare diverse soluzioni architettoniche per confrontare e di base

Guarda anche

Compilazione l'architettura - Panoramica | Creazione di un nuovo file


Pubblica sul Web

Navigazione: Segnalazione vostra architettura>

Pubblica sul Web

Invia commenti su questo argomento.

ABACUS 'Pubblica di funzionalità Web consente modelli architettonici di essere visualizzati tramite un sito web sicuro. Architetture vengono esportati in formato HTML e sono progettati in modo da riflettere l'aspetto grafico di Esplora in ABACUS. Vista (incluse Cataloghi, diagrammi, 3D e grafici) vengono anche esportati in formati visualizzabili con un browser Internet.

Nota

Attualmente, punti di vista e le matrici non sono pubblicati.

Per pubblicare i tuoi modelli architettonici al web

1. Assicurarsi di avere il relativo File ABACUSaperto, contenenti la architettura popolatache si desidera pubblicare sul web.

2. Selezionare File| Pubblicare....

3. Il Pubblica su Configurazione WebVerrà visualizzata la finestra.

Pubblica configurazione Web

4. Per impostazione predefinita, vengono selezionate tutte le parti del modello, tra cui struttura ad albero, la Standards, I tipi, modelli e Architettura (s). Deselezionare tutte le parti che non si desidera pubblicare sul web, comprese le visite individuali all'interno dell'architettura (s).

Mancia

Se si desidera nascondere specifici componenti, collegamenti e / o le loro caratteristiche, si raccomanda che un amministratore crea un ruolo di 'pubblico' con Funzionalità di accesso basato sui ruoli ABACUS ' e poi rimuove l'autorizzazione di lettura da questi tipi di componenti, i tipi di connessione e / o proprietà che non desiderano essere pubblicati. Poi un utente deve accedere con quel ruolo e pubblicare web come ABACUS pubblicherà solo gli elementi che hanno permesso di lettura impostato per il ruolo. Inoltre, gli utenti possono auto-pubblicare dalla riga di comando, come descritto Qui .

Nota

È possibile selezionare tutte le porzioni visualizzati cliccando sul Tuttipulsante o invertire la selezione facendo clic sul Invertire pulsante. È anche possibile fare clic sul Nessunatasto per cancellare la selezione.

Nota

se tu deselezionare l'opzione Tree Viewquindi nessuna struttura ad albero (vedi sotto) verrà pubblicato. Di conseguenza, è necessario selezionare una pagina iniziale in base al punto 6 sotto o dopo aver pubblicato dovrete personalizzare o di livello superiore; un) index.htmlfile modificando il 'telaio src = "mainPage.html" name = "element_details"' linea per collegare direttamente alla pagina html corrispondente nella cartella Contenuto, o, b) mainPage.htmlfornendo un collegamento ipertestuale o reindirizzare alla pagina html corrispondente nella cartella Contenuto.

5. Clicca il Opzione pulsante e il seguente Opzioni Editorefinestra visualizzerà.

PubblicareOpzioni er

6. Seleggere il 3D, Diagrammae formati Grafici e se per mostrare il titolo, descrizione o Proprietà per le vedute delle opzioni disponibili (fare riferimento alla nota di seguito per i commenti sui vari formati).

7. Se si desidera impostare la pagina iniziale del modello pubblicato di una visione particolare quindi controllare il Utilizzare Visualizza come pagina inizialeopzione e passare alla visualizzazione tramite il pulsante '...' che diventa abilitato.

Nota

Solo la vista selezionati nella sezione Zone di cui al punto 4 di cui sopra sono a disposizione per impostare come pagina iniziale.

8. Se si desidera ricevere feedback su pagine specifiche nel modello pubblicato quindi assicurarsi che la E-mail Feedbackopzione è selezionata, immettere un indirizzo di posta elettronica nel Indirizzo email casella di testoe modificare il Email CorpoSezione seconda dei casi. Se non si desidera avere un feedback inviato poi deselezionare la E-mail Feedbackopzione e lasciare vuota la casella di testo.

9. Clicca su ok pulsante.

10. Clicca su Navigare pulsante.

11. Il Sfoglia per cartelleVerrà visualizzata la finestra.

12. Selezionare la posizione che si desidera memorizzare il file HTML di primo livello (e tutti i file generati automaticamente).

Nota

E 'una buona idea per creare una cartella specifica (di solito chiamato "Pubblicato") con il Crea nuova cartellapulsante nella parte inferiore della finestra di dialogo per memorizzare il file HTML di primo livello e tutti i file generati automaticamente.

13. Clicca su ok pulsante.

14. Il percorso della cartella verrà visualizzato nella Direttorio casella di testo.

15. Clicca su Finitura pulsante.

- o -

15. Immettere il percorso della cartella nella Direttoriotesto in cui si desidera memorizzare il file HTML di primo livello (e tutti i file generati automaticamente).

16. Clicca su Finitura pulsante.

Nota

Esportazione di Diagrammimolto raramente fallisce, più spesso quando il computer è fuori la memoria (di solito quando si utilizzano file di grandi dimensioni). Un esportazione riuscita verrà ritentata una volta. Ci sarà un avvertimento per un primo tentativo fallito, e un secondo avviso se la ri-tentativo fallisce. Pertanto, se gli unici avvisi sono "primo tentativo fallito" quelli, il pubblicano ha avuto successo. Se la ri-tentativo fallisce provare la pubblicazione di una porzione più piccola del file o liberare un po 'di memoria di sistema.

Il file HTML salvato (s) può ora essere vista dalla sua posizione o copiati su un sito web sicuro.

Pubblica sul Web in Internet Explorer10

Qualsiasi collegamenti ipertestuali che sono stati creati nel modello originale verrà persistito nel modello pubblicato e cliccando sul link seguirà il link per la sua destinazione (se è stato pubblicato). Inoltre, tutti gli elementi nei diagrammi pubblicati che non sono già collegamento ipertestuale nel modello originale saranno da collegamenti ipertestuali di nuovo ai loro elementi corrispondenti nella visualizzazione ad albero (se è stato pubblicato) e cliccando l'elemento nel diagramma pubblicato il focus salterà di nuovo a la posizione relativa nella struttura. Questa funzione è simile alla "Mostra in Esplora risorse" caratteristica pulsante destro del mouse in ABACUS.

Nota

Avolution raccomanda vivamente i seguenti formati di file e software dovrebbero essere utilizzati per utilizzare pienamente la Pubblica funzionalità Web a ABACUS:

1. Internet Explorer (80,0 e sopra)per visualizzare le immagini explorer pubblicato. Mozilla Firefox (30,0 o successivo)è anche raccomandato e pienamente supportatoTuttavia, se si utilizza il formato SVG raccomandato per i diagrammi poi in Firefox 9 è possibile utilizzare solo il supporto nativo visualizzatore SVG che purtroppo non consente lo zoom o panoramica.

2. Adobe SVG Viewer 3.0 collegare (scaricabile da Qui ) e SVGformato di file per la pubblicazione diagrammi. Il formato immagine SVG per la diagrammiè consigliato perché; SVG è un formato immagine basato su vettori e quindi è 'loss-less' e guarda molto meglio in un dato livello di zoom di tutti gli altri formati, SVG possono essere importati in MS Visio, SVG può essere ingrandita a qualsiasi livello o la risoluzione , SVG ha collegamenti di nuovo alla vista ad albero per i collegamenti (non solo i componenti), SVG stampa sempre ad una risoluzione migliore e, SVG è circa la metà la dimensione del file degli altri formati. PNG è la raccomandazione dopo, però, in quanto è un formato di rasterised a certi livelli di zoom la chiarezza della vista sarà perso e cliccando connessioni su diagrammi di non tornare indietro alla posizione relativa nella struttura. BMP viene scoraggiato come mentre è un formato di 'perdita-di meno' la dimensione del file è 100 volte quella degli altri formati e le immagini 20MB non sono insoliti.

Il trade-off con SVG è che un visualizzatore SVG dovrà essere installato ed è necessario fare in modo che l'immagine Svg / svg + xml viene aggiunto tipi MIME del server web. Dopo l'installazione del visualizzatore SVG di Microsoft Internet Explorer vi chiederà di accettare accordo di licenza dello spettatore e quindi dovrebbe funzionare bene. E mentreMozilla Firefox supporta nativamente i file SVG, il plugin di Adobe è ancora raccomandatoper essere in grado di ingrandire i diagrammi se si utilizza Firefox 8 o precedente (se si utilizza Firefox 9 non è possibile disabilitare il visualizzatore SVG nativo). Una volta che è stato eseguito l'installazione per il plugin di Adobe, le seguenti operazioni sono necessarie la usano in Firefox:

· Aprite Firefox e digitare "about: config" (senza le virgolette) nella barra degli indirizzi.

· Scorrere verso il basso e trovare la proprietà svg.enabled(se si utilizza Firefox 9 poi la visione SVG nativa non può essere disattivato e questa proprietà non esiste). Fare doppio clic su di esso per disattivarlo.

· Ora trova la directory in cui è installato il plug-in SVG (ad esempio C: \ Programmi \ File comuni \ Adobe \ SVG Viewer 30,0 \)

· Copiare i file NPSVG3.dll e il NPSVG3.zip e incollarli nella directory dei plugin di Firefox (ad esempio, C: \ Program Files \ Mozilla Firefox \ plugins)

· Chiudere tutte le istanze di Firefox

3. ABACUS 3D Viewer Avolution (3.1 e superiori) e .abacus3D Di Avolutionformato di file per i punti di vista pubblicati 3D. Mentre il Plug-in di Cortona VRML client (2.0 e superiori)è disponibile per visualizzare le versioni VRML delle viste pubblicate non è gratuito per uso commerciale e ancora richiede un'installazione lato client. Il ABACUS 3D Viewer è più ricco di funzionalità rispetto a qualsiasi spettatore VRML ed è liberamente disponibile per il download Qui . In ogni caso assicurarsi di aggiungere .vrml x-mondo / x-VRML e .abacus3d application / octet-stream per tipi MIME del server web.

4. PNGformato di file per il punto di vista grafico pubblicati. Il formato immagine PNG per i punti di vista grafico è raccomandato perché mentre è un formato rasterised e c'e 'perdita' il trade-off tra dimensioni del file e la tabella di chiarezza è in genere il migliore. BMP viene scoraggiato come mentre si tratta di una 'perdita-less' formattare la dimensione del file è 20x quella degli altri formati e grafici 2Mb non sono insoliti.

Se si desidera cambiare l'aspetto grafico delle pagine web, è possibile modificare il file di pagina iniziale denominato mainPage.html e il file di foglio di stile denominato abacus.css. Troverete questi file nella stessa cartella in cui si è scelto di salvare il file HTML di livello superiore. Per ulteriori informazioni sulla struttura e sartoria della produzione pubblicata vedere la sezione successiva.

La struttura dei modelli ABACUS pubblicato

Il modello pubblicato ABACUS è strutturato come segue:

1. La cartella di primo livello contiene diversi file e assumendo tutte le opzioni sono inclusi nella ABACUS Pubblica di configurazione Web Finestra di dialogo includerà un indice.htmlfascicolo formato da tre telai; treeView.html, findNode.html e mainPage.html e poi shortcutError.html pagina. Il treeView.html è popolata dalla tree.js, tree_items.js e tree_tpl.js file javascript si trovano nella cartella include (discussi di seguito) e replica l'albero Explorer da ABACUS. Il findNode.html è alimentato dail find.js file javascript si trova nella cartella (discusso sotto) includere e cercherà i rami dell'albero, piuttosto che solo i nodi visibili. Tegli mainPage.html è una pagina HTML statica che può essere adattata con loghi aziendali e similie verrà mostrato se non si sceglie una pagina iniziale durante la pubblicazione.E, infine, la pagina shortcutError.html è una pagina di destinazione per eventuali collegamenti interrotti dal albero a causa di pagine appropriate non essere pubblicate.

Mancia

È possibile saltare il tutto per mainPage.html la scelta di utilizzare una pagina iniziale durante la pubblicazione o modificando il file index.html per puntare direttamente ad una determinata visione (ad esempio) modificando il telaio src = linea "mainPage.html" per puntare direttamente alla prima vista la prima architettura, in genere lo schema di 'quadro'.

2. L'i top-levelncludecartella contieneingvario javascript (.js) e foglio di stile CSS (CSS) i file utilizzati dai file .html per tutto il modello pubblicato.

3. La cartella Contenuto di livello superiore contiene, In ordine alfabetico;

· UN '3D Visualizzazioni' cartella con un numeratoPagina HTML e un file VRML o abacus3d per ognuna delle viste 3D pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· Un Architetture cartella con una pagina HTML numerato per ogni architettura che è stato pubblicato. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Cataloghi cartella contenente una pagina HTML numerato per ciascuno dei cataloghi pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Grafici cartella con un numeratoPagina HTML e un PNG, JPG ecc per ognuna delle viste Mappa pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Componenti cartella contenente un numeratoPagina HTML per ciascuno dei componenti pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Collegamenti cartella contenente un numeratoPagina HTML per ciascuno dei collegamenti pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Diagrammi cartella contenente un numeratoPagina HTML e un PNG, SVG file etc per ciascuna delle pubblicata diagrammi. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· Un Icone sub-cartella con varie immagini utilizzate in tutto il modello pubblicato.

· A Standards sottocartella con un numeratoPagina HTML per qualsiasi standardche sono stati pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

· A Modelli sub-cartella con una collezione di numerate sottocartelle per ogni modello pubblicato dal progetto. All'interno di ogni sottocartella è una dei componenti e una cartella Connessioni e all'interno di queste è una pagina HTML numerato per ogni componente e il collegamento del modello. Vedere la nota di seguito per informazioni sulla schema di numerazione cartella / file.

· A Tipi sottocartella con Component eCollegamento sottocartelle con numeratoPagina HTML per ogni componente eTipi di collegamento che sono stati pubblicatie una collezione di sotto-cartelle numerate per ogni tipo pubblicato dal progetto contenente una pagina HTML per ciascuno dei vincoli. Vedere la nota di seguito per informazioni sulla schema di numerazione cartella / file.

· A Vistapuntos sottocartella e un numeratoPagina HTML per qualsiasi della vistapuntos che sono stati pubblicati. Vedere la nota di seguito per informazioni sul sistema di numerazione dei file.

Nota

La numerazione delle pagine HTML (e in alcuni casi la i file di immagine) corrisponda al unico ID per ogni oggetto repository era set quando era creatoall'interno ABACUS (denominato EEIDs). Questo ID non cambia così come diagrammi, tipi, Componenti eccetera siamo aggiornato essi voleremantenere lo stesso ID come prima. In ogni caso, i rispettivi oggetto del repositorynome può essere trovato vicino l'inizio della pagina HTML tra i tag

... tag HTML.

Limitare l'accesso alle pagine Certe / Visite con IIS

Se si utilizza IIS come server Web per il modello pubblicato, si può essere in grado di limitare l'accesso a determinate pagine / vista utilizzando il seguente metodo:

1. Creare un sito web in IIS (un altro se c'è una esistente non si vuole interferire con).

2. Modificare l'accesso Proprietà-> Elenco Sicurezza-> Anonimo - l'accesso anonimo deselezionare, e l'uso autenticato accesso.

3. Se questo è solo un server normale senza complicazioni dominio, ecc, allora si dovrebbe utilizzare l'opzione 'autenticazione integrata di Windows', che poi avrebbe utilizzato le macchine server degli utenti locali / inizio attività come l'autenticazione, e basta aggiungere gli utenti al computer locale (facendo attenzione che siete a conoscenza delle implicazioni, la sicurezza saggio, di aggiungere nuovi utenti alla macchina, ad esempio, a seconda che l'accesso remoto è configurato per la macchina, ecc).

4. Aggiungere le autorizzazioni a specifici file / cartelle, come richiesto. Tasto destro del mouse i singoli file / cartelle -> Proprietà, e regolare le autorizzazioni di protezione come si farebbe normalmente per file / cartelle.

Questo può variare a seconda della versione di IIS e quello specifico sistema operativo Windows si trova sul server, e se si dispone di un dominio o altra impostazione diversa.

Guarda anche

Compilazione l'architettura | Analizzando l'architettura


Registrazione ABACUS

Navigazione: Reference>

Registrazione ABACUS

Invia commenti su questo argomento.

Quando si inizia a ABACUS (o dopo una licenza temporanea è scaduta) è necessario registrare l'applicazione contro il server di licenza di Avolution utilizzando una chiave di licenza unico fornito dall'amministratore ABACUS locale o direttamente da Avolution. Se non si dispone di una chiave di licenza si prega di contattare l'amministratore locale o ABACUS Supporto Avolution .

Per registrare con un codice di licenza

1. Dopo l'installazione, iniziare ABACUSfacendo doppio clic sul collegamento sul desktop o nel menu Start di Windows.

2. Nella finestra di dialogo di registrazione che appare inserire il Codice di licenza 26 caratterefornito dall'amministratore ABACUS locale o Supporto Avolution , O fare clic su Navigare...e selezionare il file .dlsc firmato tornato da Supporto Avolution secondo la nota al punto 4 di seguito. Se si utilizza un file di .dlsc firmato correttamente ABACUS dovrebbe iniziare come da punto 5 di seguito.

Mancia

È possibile incollare il codice di licenza nella finestra di dialogo copiandolo negli Appunti di Windows e quindi selezionare lo sfondo della finestra di dialogo e premendo Ctrl + V

Finestra di dialogo Registrazione

3. Clic oke se la chiave di licenza è un valida chiave di licenza ABACUSABACUS tenterà ora di contattare il server di licenza di Avolution per autenticare la chiave di licenza.

Nota

Se si ottiene un Codice installazione è validoerrore di registrazione è più probabile di aver digitato il codice errato. Provare a copiare e incollare il codice secondo il suggerimento di cui sopra.

Come contattare il server delle licenze Avolution

4. Clic oke dopo un breve periodo di tempo ABACUS dovrebbe registrare con successo.

Registrazione successo

Nota

Se si ottiene un Impossibile connettersi al server di licenzaerrore di registrazione è più probabile che un firewall (o di altre misure di sicurezza) sulla rete impediscono l'accesso ai server di licenza di Avolution. Clic ok, Salvare il file .dlsc sulla macchina locale e quindi entrambi inviare il file di .dlsc Supporto Avolution e attendere ulteriori istruzionio prova ad accedere il file di licenza da soli, usando il seguente URL - http://licensing.avolutionsoftware.com/LicenceSign/ .

Impossibile contattare il server di licenza

Aprire la pagina web di Licenza firma

Licenza Manuale firma pagina web

In alternativa, se si ottiene il Questo codice di installazione è stato utilizzato su più sistemi di quanto consentito dalla licenzaerrore di registrazione è probabile che il vostro computer locale è stato ricostruito dopo l'ultimo registrato ABACUS o si sta tentando di registrarsi con la chiave di licenza di un altro utente. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution .

Codice di installazione è già stato usato

5. Clic oke se registrato correttamente ABACUS dovrebbe aprire con il Schermata di benvenuto .

Guarda anche

Supporto Avolution | Cosa fa ABACUS fare?


Selezione dell'elemento standard

Navigazione: Analizzare la vostra architettura>

Selezione dell'elemento standard

Invia commenti su questo argomento.

Quando si crea un diagramma, 3D vista, relazione,grafico standardo l'esecuzione di una simulazione, La finestra di selezione elemento standard viene utilizzato per selezionare gli elementi da analizzare / vista.

Finestra di selezione elemento standard

Pulldowns

· Filtra per Vista volere includere l'elementos da una vista salvata in precedenza (ad esempio Diagramma, Grafico, 3D). In questo modo è possibile eseguire complesse 'join' query trattando un'altra vista come un salvata 'query'.

Caselle di controllo

· Mostra Livelligruppo volontà dell'elemento secondo il livello da cui si verificano nella struttura. Il livello 1 è il più alto livello.

· Mostra Tipivolontà raggruppare gli elementi secondo i tipi che sono.

· I genitori di selezionaticomprenderà gli elementi padre di eventuali elementi selezionati. In questo modo è possibile garantire che solo la gerarchia sopra dei figli sarà incluso per una selezione "bottom-up".

· I bambini di selezionatiincluderà i bambini elementi di elementi selezionati. In questo modo è possibile garantire che solo la gerarchia sotto tutti i genitori sarà incluso per una selezione "top-down".

· Nome Partite Valoreincluderà solo gli elementi che hanno un nome contenente la stringa specificata (Attenzione: caratteri jolly (e *) può essere utilizzato?). In questo modo è possibile creare una query "semantica".

· Ha Tipo di proprietà / Nome / Valoreincluderà solo gli elementi che hanno un tipo di proprietà, Nome e valore che contiene la stringa specificata direttamente sull'elemento o sui suoi standard (Si prega di notare:?.? I caratteri jolly (ad esempio e *) può essere utilizzato ad esempio * nel campo Valore sarà dare a tutti gli elementi che hanno un valore non vuoto per la proprietà data). In questo modo è possibile creare una query "semantica".

· Ha standardincluderà solo gli elementi che hanno un nome standard che contiene la stringa specificata (Nota: i caratteri jolly (ad esempio e *) può essere utilizzato ad esempio HP * fornirà tutti gli elementi con almeno una standard che iniziano con le lettere H e P?.). In questo modo è possibile creare una query "semantica".

· Componenti / Connessioni attaccato al selezionataincluderà tutti gli elementi collegati a quelli che sono stati selezionati. In questo modo è possibile selezionare un "call-albero" o "impatto-analisi".

Nota

Se si dispone di entrambi Mostra Livelli e Mostra Tipiselezionato allora si può scegliere di avere i livelli di albero spettacolo prima o tipi prima dal pulsante che apparirà sopra le due caselle di controllo.

Mancia

Una volta che un elemento è selezionato nella finestra di selezione dell'elemento standard, non sarà soggetto a ulteriori modifiche del filtro fino a quando non viene deselezionata. Poiché non vi è alcun modo nativo per la ricerca di due diverse serie di elementi in una sola volta (ad esempio Componenti i cui standard A o standard B), è possibile cercare in primo luogo per un set, selezionare i componenti desiderati, e quindi eseguire una seconda ricerca per il secondo set .

Pulsanti

· Tuttiseleziona tutti gli elementi.

· Invertiredeseleziona tutti gli elementi attualmente selezionati e seleziona tutti coloro che non sono stati selezionati.

· Nessunadeseleziona tutti gli elementi.

· Aggiungi filtroseleziona il contenuto risultante delle impostazioni del filtro corrente e consente la selezione di contenuti aggiuntivi come efficacemente AND o JOIN filtro.

Guarda anche

Analizzando l'architettura


Lo strumento di disegno

Navigazione: Popolare vostra architettura> Uso di disegni>

Lo strumento di disegno

Invia commenti su questo argomento.

Lo strumento di disegno permette la creazione di una grande varietà di schemi architettonici e diagrammi. Architetti usano tradizionalmente una serie di disegni diversi per registrare e trasmettere la progettazione di una architettura. Diagrammi bidimensionali (2D) è il mezzo di documentare e comunicare varie parti di un sistema. Disegni tipici tipi utilizzati nei sistemi aziendali sono:

· Affari modelli di processo e diagrammi;

· Organigrammi;

· Diagrammi di collaborazione;

· Entity-Relationship (ER) diagrammi;

· Diagrammi di dati-Flow (DFD di);

· Diagrammi delle classi;

· IDEF (che incorpora diversi di cui sopra); e

· UML (che incorpora molti dei sopra).

Non c'è davvero limite al tipo di schemi che possono essere creati. ABACUS cerca di bilanciare flessibilità diagramma preservando l'integrità dell'architettura e le sue forme di rappresentazione.

L'ambiente è un disegno schede e finestra agganciabile all'interno del principale dell'applicazione ABACUS. Questa finestra contiene una tela in cui ha luogo l'estrazione e quando la finestra di disegno è aperta una seconda finestra agganciabile , La finestra stencil, è visibile con un set di stencil disegno. Il riquadro stencil ha 4 schede: Componenti, Connessioni, forme e connettori. La tela appare come uno sfondo bianco con linee di griglia sottili (utile per il layout).

I componenti sono rappresentati da una serie di forme, mentre le connessioni sono disegnate come linee dirette. Connessioni attaccano ai componenti mediante ruoli (cioè sia Source o Sink) anche se questi non sono mostrati per motivi estetici.

Mancia

Mentre diagrammisono molto utili per mostrare diverse parti di un sistema, sono limitate nella loro scalabilità, ed è per questo ABACUS utilizza 3D per visualizzare le strutture complesse del sistema.

Si consiglia di

1. Apri il Diagrammi Strumento

2. Creare un nuovo diagramma di parte di una propria architettura

3. Copiare un diagramma all'interno o tra architetture

4. Aggiungere componenti a un diagramma

5. Creare nuovi componenti e connessioni a vostra architettura (schematicamente) utilizzando lo strumento di disegno

6. Eliminare i componenti da un diagramma

7. Attaccare e manipolare i collegamenti

8. Cambia il proprietà di visualizzazione di componenti e connessioni.

9. Utilizzo di collegamenti a diagramma

10. Applicare le associazioni del tipo e punti di vista in modo da limitare i tipi di diagrammi che si possono trarre.

Guarda anche

Compilazione l'architettura | Compilazione vostra architettura manualmente | Analisi l'architettura


Titolo pagina

ABACO

Disclaimer

Avolution Pty Ltd non rilascia alcuna dichiarazione o garanzia relativamente a questo manuale e, nella misura massima consentita dalla legge, limita espressamente la propria responsabilità per la violazione di qualsiasi garanzia che potrebbe essere implicita alla sostituzione di questo manuale con un altro. Inoltre, Avolution Pty Ltd si riserva il diritto di rivedere questa pubblicazione in qualsiasi momento senza incorrere in un obbligo di notificare ad alcuno la revisione.

Diritto d'autore

Copyright 2001-2015Avolution Pty Ltd. Tutti i diritti riservati.

Marchi di fabbrica

Avolution Pty Ltd ha fatto ogni sforzo per fornire informazioni sui marchi su nomi di società, prodotti e servizi menzionati in questo manuale. Marchi riportati di seguito sono stati ottenuti da varie fonti.

Microsoft Windows, Access, Visio, Excel, SQL Server e Internet Explorersono marchi registrati di Microsoft Corporation.

Avviso generale:

Alcuni nomi di prodotti utilizzati in questo manuale sono utilizzati solo a scopo identificativo e possono essere marchi delle rispettive società.

Dicembre 2015Edition per Avolution ABACUS Version 4.5.

Revisione Manuale 1.0

Generata al computer, stampati e rilegati in Australia.


ABACUS Installazione Prerequisiti

Navigazione: Reference>

ABACUS Installazione Prerequisiti

Invia commenti su questo argomento.

Informazioni relative Visio Importazione ed Excel Import / Export

ABACUS è necessario che Microsoft Office sia installato per eseguire le operazioni di Excel Import / Export e Visio di importazione. Si prega di verificare che Microsoft Office 2003 o più recenteè installato correttamente. Se si verificano ulteriori problemi, contatto Supporto Avolution .

Al fine di eseguire operazioni di importazione Visio ed Excel Import / Export, ABACUS utilizza l'Ufficio Primary Interop Assemblies Microsoft (PIA di). ABACUS viene attualmente fornito con i gruppi necessari per eseguire Excel Import / Export e Import Visio.

Informazioni Importazione quanto riguarda SQL Server

ABACUS è necessario che Microsoft SQL Server 20052008, 2008 R2, 2012 o 2014è installato al fine di avviare un nuovo progetto da SQL Server. Si prega di verificare che Microsoft SQL Server 20052008, 2008 R2, 2012 o 2014è installato correttamente. Se si verificano ulteriori problemi, contatto Supporto Avolution .

Errori di apertura visualizzazioni 3D

Se la ABACUS 3D Viewer non funziona per voi, è possibile che manchi il SlimDX DirectX Runtime (installato come parte del pieno ABACUS EXE di installazione). Questo può essere scaricato Qui . Se si dispone di una versione a 64 bit di Windows, potrebbe anche essere necessario installare Questo .

Errori La modifica ABACO Usanza Rapporti

Modifica ABACUS 'Report personalizzati richiede report 3.0 da installare. ABACUS e il report sono costruiti su .NET Framework 4.0 di Microsoft, e mentre entrambi non richiedono .NET Framework 3.5 di Microsoft, Microsoft ha erroneamente configurato il report MSI di procedere solo se è installato .NET Framework 3.5 di Microsoft.

Di conseguenza, Avolution ha una versione modificata del file di installazione Report Builder MSI che non richiede .NET Framework 3.5 di Microsoft, questo può essere scaricato Qui .

L'originale di Microsoft Report Builder MSI può essere scaricato Qui . Se non si dispone già di Microsoft .NET Framework 3.5 che sarà necessario, è possibile scaricarlo Qui . Nota: Per le installazioni multiple, la linea di installazione di .NET Framework 3.5 di Microsoft da Qui può essere più appropriato.


Annulla e Ripristina

Navigazione: Popolare vostra architettura> Popolare manualmente> Opzioni Extra>

Annulla e Ripristina

Invia commenti su questo argomento.

Come molte applicazioni moderne, ABACUS supporta la possibilità di annullare e ripetere sia recenti modifiche utente apportate a un progetto aperto. Per annullare la modifica più recente, è sufficiente attivare il comando di annullamento. Le modifiche che sono state annullate può essere rifatto attivando il comando redo; ridando cambiamento più recente annullata.

Avvertimento

Modifiche annullate non sono in grado di essere riapplicata se ulteriori modifiche apportate al progetto da quando è stato annullata.

Nota

Mentre la stragrande maggioranza delle modifiche supporto undo / redo in tempo reale, un po ' diagramma cambiamenti stencil, come la creazione di un nuovo tipo di figura / associazione Line o la modifica di un attributo di colore associazione, non sono in grado di essere annullata immediatamente. In questi casi, il diagramma modificato (indicato con un asterisco) deve essere chiuso prima tali modifiche possono essere annullate.

Annulla e Ripristina posizioni di comando

I comandi Annulla e Ripeti sono accessibili da tre posizioni diverse:

· il menu Modifica

· barra degli strumenti Standard

· i tasti di scelta rapida della tastiera CTRL + Z(undo) e CTRL + Y (rifare)

Mancia

Il pulsanti Annulla e Ripristina sulla barra degli strumenti standard forniscono elenchi a discesa che mostrano le 10 modifiche più recenti che possono essere annullate e sono stati rifatti, rispettivamente. Essi sono anche un modo pratico per undo / redo più modifiche in una sola volta.


Utilizzo di macro

Navigazione: Simulare l'architettura>

Utilizzo di macro

Invia commenti su questo argomento.

Se si esegue un compito ripetutamente ABACUS, è possibile automatizzare l'operazione utilizzando una macro. Di conseguenza, una macro ABACUS è registrata una serie di operazioni che possono essere riprodotti in qualsiasi momento.

Registrazione di una macro

1. Selezionare Strumenti | Registra macroo in alternativa premere Alt + F10.

2. Iniziare le operazioni che si desidera registrare l'esecuzione.

Avvertimento

In questo momento, ci sono alcuni problemi noti con registrazione macro. Si prega di tenerne conto quando si registrano le macro:

· Attualmente macro si limitano a registrare i tasti premuti Microsoft Windows, il mouse-movimenti e click del mouse. Tuttavia, a causa delle limitazioni con lo stesso registratore di macro, ci sono alcune combinazioni di tasti che non vengono sempre registrati. Questi includono:

· [Tab]

· [Ctrl]

· [Alt]

· [Esc]

· [Cominciare]

· [F1] a [F12]

· Si raccomanda pertanto di verificare che una scorciatoia da tastiera viene registrato dal registratore di macro prima di registrare una grande sequenza di eventi che possono dipendere da quello di lavoro scorciatoia da tastiera.

· Attualmente a causa di limitazioni con il registratore di macro, menu contestuali non sono gestite correttamente ABACUS quando vengono aperti da un'azione registrato dal registratore di macro. Quando si apre un menu di scelta rapida, è necessario eseguire una delle funzioni elencate nel menu di scelta rapida tramite il menu contestuale, altrimenti il ​​menu di contesto può rimanere aperta durante la riproduzione, che può portare ad azioni non intenzionali o azioni che potrebbero causare errori in ABACUS.

· Si noti che i normali metodi di chiusura di un menu di scelta rapida (ad esempio premendo il tasto [Esc] sulla tastiera, o di sinistra-clic da qualche altra parte sullo schermo) non può effettivamente chiudere il menu di scelta rapida durante la riproduzione di una macro.

Mancia

Nelle finestre di dialogo, piuttosto che utilizzare clic del mouse, si consiglia di utilizzare il tasto Tab per spostarsi tra i controlli disponibili ei tasti cursore per selezionare le voci di menu a discesa o pulsanti di opzione e la barra spaziatrice per selezionare / deselezionare controllo scatole.

Per interrompere la registrazione di una macro

1. stampa Alt + F9o in alternativa selezionare Strumenti | Smettere di Macro.

2. Nella finestra di dialogo Salva macro come Sfoglia per una città e scegli una macro ABACUS (file .abacusmac) il nome del file e fare clic su Salva.

Nota

Utilizzando Strumenti| Smettere di Macrocomprenderà questa operazione nella macro registrata. Pertanto, si raccomanda che gli utenti diventano abili nell'uso delle opzioni dei tasti Alt + funzione per lavorare con le macro in modo da non includere indesiderate operazioni macro nella macro stesse.

Mancia

Poiché le macro non sono attualmente modificabili si consiglia di registrare le attività lunghe come una serie di macro separati utilizzando F9 'coppie' Alt + F10 / Alt +.

Per riprodurre una macro registrata

1. Selezionare Strumenti | Riproduzione Macroo in alternativa premere Alt + F8.

2. Nella finestra di dialogo Apri Sfoglia Macro per una città e scegli una macro ABACUS (file .abacusmac) il nome del file e fare clic su Apri.

Avvertimento

Quando si apre una macro ABACUS, se si fa doppio clic su un file macro dalla finestra di dialogo Sfoglia per aprirlo, il registratore di macro può tenere premuto il tasto sinistro del mouse in uno stato di sinistra-clic fino a registrate click sinistro sostituzioni questo stato.

Nota

La velocità di riproduzione della macro può essere impostato nella scheda Generale in Strumenti| Opzionisia come normale (impostazione predefinita), veloce o lento. Entrambi velocità di riproduzione veloci e lenti non sono raccomandati in quanto saranno riprodurre le macro registrate in circa 100 volte e 1/100 ° in tempo reale, rispettivamente. Velocità di riproduzione normale continua a ripetere la macro circa il 30% più veloce rispetto alla velocità registrata per cui si consiglia durante la registrazione per mettere in pausa per un breve periodo dopo eventuali operazioni di elaborazione lunghi per garantire che durante la riproduzione la prossima operazione non viene eseguita prima che il task di elaborazione ha completato.

Per fermare la riproduzione di un macro registrata

1. stampa Alt + F9.


Visualizzazione di un diagramma di 3D

Navigazione: Analizzare la vostra architettura> diagrammi 3D>

Visualizzazione di un diagramma di 3D

Invia commenti su questo argomento.

ABACUS consente di visualizzare la propria architettura come una vista 3D in cui le proprietà dei componenti e di collegamento sono associati con colori, forme e dimensioni.

Per visualizzare una vista 3D della vostra architettura

1. Assicurarsi di avere aprire il file ABACUScontenente il architettura popolata.

2. Espandere il Visualizzazioniramo dell'albero.

3. Espandere il 3Dramo dell'albero.

4. Doppio click la visualizzazione che si desidera aprire.

- o -

1. Assicurarsi di avere aprire il file ABACUScontenente il architettura popolata.

2. Selezionare Inserire| 3Do cliccare sul pulsante della barra degli strumenti.

3. Aprire un esistentevisualizzazione (.abacus3d)

- o -

1. Assicurarsi di avere aprire il file ABACUScontenente il architettura popolata.

2. Selezionare Inserire| 3Do cliccare sul pulsante della barra degli strumenti.

3. Creare una nuova visualizzazione:

· Seleziona il Architetturasi desidera visualizzare dal menu a discesa.

· Seleziona il Componenti e Collegamentisi desidera includere nel diagramma dal finestra di selezione elemento standard .

· Colori associati, forme e dimensioni con Tipi di componenti e Proprietà.

· Associare i colori e forme con Tipi di connessione e Proprietà.

Per esportare una vista 3D

1. Assicurarsi di avere aprire una vista 3D esistente.

2. Nel menu a discesa della vista 3D selezionare File | Esportare...e ha scelto il tipo di percorso e file per il file di visualizzazione (.abacus3d, .vrml o .html).

3. Clic Salvare.

Guarda anche

Analizzando l'architettura | Navigazione in 3D | Lo strumento di diagrammi


Visualizzazione di un grafico a bolle

Navigazione: Analizzare la vostra architettura> grafici personalizzati>

Visualizzazione di un grafico a bolle

Invia commenti su questo argomento.

Un grafico a bolle consente di confrontare fino a 5 dimensioni (ad esempio X, Y, dimensione bolla / raggio, colore bolla e bolla colore confine) in un'unica vista.

Per visualizzare un grafico a bolle

1. Assicurarsi di avere un File ABACUS aperto .

2. Selezionare Inserire| Grafico| il Grafici personalizzatiScheda | Grafico a bolle.

3. Nel Architetturesezione, barrare le architetture (se presente) che si desidera tracciare, quindi fare clic su Il prossimo.

4. Seleziona il Componenti e Collegamentiche si desidera nel grafico (se presente) dal finestra di selezione elemento standard , Quindi fare clic su Il prossimo.

5. Seleziona il Asse Xproprietà, quindi fare clic su Il prossimo.

Nota

Solo Intero, Decimale, Data / Ora, booleano e le proprietà List può essere utilizzato per l'asse X. Inoltre, le proprietà Integer, decimali e Data / Ora sono tracciate da sinistra a destra lungo l'asse scalato in base al valore della proprietà, tuttavia, booleani e List proprietà sono semplicemente tracciate da sinistra a destra nell'ordine esatto (o in ordine inverso se l'opzione per invertire l'ordine controllato) definito per la proprietà indipendentemente dai loro valori. Es Low | Media | Alto o 1, 2, 4, 8, 16.

6. Seleziona il Yproprietà, quindi fare clic su Il prossimo.

Nota

Solo Intero, Decimale, Data / Ora, booleano e le proprietà List può essere utilizzato per l'asse Y. Inoltre, le proprietà interi, decimali e data / ora sono tracciati dal basso verso l'alto lungo l'asse in scala in base al valore della proprietà, tuttavia, booleani e List sono semplicemente tracciate bottom-to-top nell'ordine esatto (o in ordine inverso se l'opzione per invertire l'ordine controllato) definito per la proprietà indipendentemente dai loro valori. Es Low | Media | Alto o 1, 2, 4, 8, 16.

7. Seleziona il dimensione delle bolle / raggioproprietà, quindi fare clic su Il prossimo.

Nota

Solo Intero, Decimale, booleano e le proprietà List può essere utilizzato per la bolla dimensioni / raggio. Inoltre, Integer e le proprietà decimali risultato in una dimensione delle bolle / raggio scalato in base al valore della proprietà, tuttavia, booleani e List proprietà determinano incrementi pari passo della bolla dimensioni / raggio nell'ordine esatto (o in ordine inverso se la possibilità di invertire l'ordine è selezionata) definito per la proprietà indipendentemente dai loro valori. Es Low | Media | Alto o 1, 2, 4, 8, 16.

8. Selezionare un bolla colore fisso o associare una proprietà con la bolla colore, Quindi fare clic su Il prossimo.

Nota

Solo Intero, Decimale, booleano e le proprietà List può essere utilizzato per il colore bolla. Inoltre, interi e proprietà decimali comportano un colore bolla nel settore selezionato in scala in base al valore della proprietà, tuttavia, booleani e List proprietà determinano incrementi fasi uguali del colore bolla nel settore selezionato nell'esatto ordine definiti per la immobili indipendentemente dalle loro valori. Es Low | Media | Alto o 1, 2, 4, 8, 16.

9. Selezionare nessun colore confine bolla o associare una proprietà con il colore del bordo bolla, Quindi fare clic su Finitura.

Nota

Solo Intero, Decimale, booleano e le proprietà List può essere utilizzato per il colore del bordo bolla. Inoltre, Integer e le proprietà decimali risultato in un colore del bordo bolla nel settore selezionato in scala in base al valore della proprietà, tuttavia, booleani e List proprietà determinano incrementi pari passo del colore del bordo bolla all'interno della gamma prescelta nell'ordine esatto definito per la proprietà indipendentemente dai loro valori. Es Low | Media | Alto o 1, 2, 4, 8, 16.

Bubble chart

Per salvare un grafico a bolle

Nota

Grafici a bolle possono essere salvati solo se contengono solo i componenti e le connessioni, i quali devono essere da una singola architettura all'interno del progetto in corso.

1. Assicurarsi di disporre di un nuovo o esistente grafico a bolle apriree aver apportato le modifiche necessarie.

2. Nella barra degli strumenti grafico cliccare sulla sinistra Salva Graficoper salvare il grafico e le eventuali modifiche di formattazione.

3. Nel Nome graficofinestra di dialogo visualizzata inserire un nome per il grafico a bolle e premere ok.

Per esportare un grafico a bolle

1. Assicurarsi di avere aprire un grafico a bolle esistente.

2. Nella barra degli strumenti grafico cliccare al 2 ° da sinistra Salva con nome BMPPulsante e ha scelto il luogo per il grafico.

3. Clic Salvare.

Guarda anche

Analizzando l'architettura


Visualizzazione di un grafico spazio capacità

Navigazione: Analizzare la vostra architettura> grafici personalizzati>

Visualizzazione di un grafico spazio capacità

Invia commenti su questo argomento.

Un grafico capacità spaziale consente di visualizzare se la vostra architettura soddisfa le capacità del sistema necessaria rispetto alle proprietà identificati durante processo analisi dei requisiti di sistema.

Per visualizzare un grafico spazio capacità

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata, E che avete valutatol'architettura.

2. Selezionare Inserire| Grafico| Grafici personalizzati| Capacità Spazio. (L' Capacità Spazio Grafico Configfinestra visualizzerà.)

3. Nel Architetturesezione, spuntare le architetture che vuoi che grafico, quindi fare clic su Il prossimo.

4. Nel Proprietàzona, spuntare le caratteristiche architettoniche gradireste inclusi come gli assi del grafico.

5. Nel Capacitàzona, per ogni immobile incluso dal passaggio precedente, selezionare se qualsiasi minimo o limiti massimi di capacità esistono e i valori di tali limiti. I valori di default sono i valori minimo e massimo valutati per le architetture o obiettivo per la proprietà se è stata impostata.

Per esportare un grafico spazio capacità

1. Assicurarsi di avere una esistente capacità grafico dello spazio aprire.

2. Nella barra degli strumenti grafico cliccare sulla sinistra Salva con nome BMPPulsante e ha scelto il luogo per il grafico.

3. Clic Salvare.

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico tempo di risposta


Report standard

Navigazione: Segnalazione vostra architettura>

Report standard

Invia commenti su questo argomento.

ABACO' standard report consentono di ottenere un elenco dei componenti e dei collegamenti in uno o più dei vostri architetture. Il rapporto contiene tutte le informazioni relative ai componenti e connessioni selezionate, comprese le informazioni sul componente o del luogo di collegamento nella gerarchia, tipo, standard, descrizione, le proprietà e suoi allegati.

Nota

Il contenuto del report èconfigurabileattraverso la finestra di dialogo Opzioni report descritto di seguito, tuttavia, to trovare ulteriori informazioni su come creare personalizzato completamente configurabile rapportiutilizzando ABACUS Rapporti personalizzati, per favore vedere l'argomento Qui o contatto Supporto Avolution .

Per visualizzare un standard relazione

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata(S).

2. Selezionare Inserire| Rapporto standardoppure fare clic sul Crea rapporto standard barra degli strumenti. Il Rapporto configurazioneverrà visualizzata la finestra.

Finestra Configurazione report

3. Seleziona il Architetture, Componenti e Collegamentiche si desidera nella relazione della Rapporto finestra di configurazione.Si prega di fare riferimento alla Selezione dell'elemento standard Qui argomento per chiedere aiuto.

4. Ora cliccate sul Opzionipulsante e il Rapporto OpzioniVerrà visualizzata la finestra.

Finestra Opzioni report

5. È possibile scegliere di visualizzare un Nuova pagina per ogni Element, La Stampa data, Tempo di stampa, Numeri di paginae se includere il titolo nell'intestazionedella relazione barrando / deselezionando le relative caselle di controllo. Si consiglia inoltre di personalizzare il titolo e l'autore modificando il Titolo Report e Autore le caselle di testo. È inoltre possibile scegliere quali contenuti viene visualizzato sul rapporto spuntando / deselezionando le caselle di controllo sotto la Segnala contenutosezione della finestra. Una volta finito cliccate su ok.

6. Ora cliccate su Finituranella finestra Configurazione rapporto.

Per interpretare il report visualizzabile

Esempio rapporto generato con brevi spiegazioni

Per navigare tra le pagine del report, fare clic sulle icone [image] sulla barra degli strumenti in alto a sinistra dello schermo.

Nota

Puoi salvare il rapporto in vari formati cliccando sul Esportare rapporto Icona [image] collocato in la barra degli strumenti. È possibile scegliere di esportare nei seguenti formati: Eccellere, PDF e Parola. Si prega di salvare il rapporto nella posizione desiderata per un uso successivo. Se le modifiche vengono apportate all'architettura in una fase successiva, un nuovo rapporto dovrà essere creata per riflettere le modifiche.

Guarda anche

Analizzando l'architettura


Visualizzazione di un grafico tempo di risposta

Navigazione: Analizzare la vostra architettura> grafici personalizzati>

Visualizzazione di un grafico tempo di risposta

Invia commenti su questo argomento.

Un grafico tempo di risposta consente di visualizzare se i vostri collegamenti sono in fase di elaborazione al tasso richiesto (cioè entro la loro scadenza).

Per visualizzare un grafico tempo di risposta

1. Assicurarsi di avere un File ABACUS aperto contenente il architettura popolata, E che avete valutatol'architettura.

2. Selezionare Inserire| Grafico| Grafici personalizzati| Tempo di risposta. (L' Risposta Grafico Tempo Configfinestra visualizzerà.)

3. Dal ArchitettureNell'elenco a discesa, selezionare l'architettura che si desidera tracciare.

4. Nel Collegamentizona, spuntare le connessioni gradireste incluse nel grafico.

5. Il Tipo scalaarea, selezionare Linearese si desidera che l'asse verticale (tempo di risposta) deve essere visualizzato come una progressione lineare - ogni segmento di tempo viene assegnato una parte uguale dell'asse. Selezionare Logaritmicase si vuole che appare come una progressione logaritmica - ogni segmento dell'asse rappresenta periodi di tempo il più in alto l'asse si va sempre più lunghi. (Il tasso di aumento è determinato dalla Basesi seleziona.)

Risposta grafico tempo scala asse verticale

Per esportare un grafico tempo di risposta

1. Assicurarsi di avere una esistente risposta grafico tempo aprire.

2. Nella barra degli strumenti grafico cliccare sulla sinistra Salva con nome BMPPulsante e ha scelto il luogo per il grafico.

3. Clic Salvare.

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico spazio capacità


Visualizzazione di un grafico a dispersione delle tue architetture evolute

Navigazione: Analizzare la vostra architettura> grafici personalizzati>

Visualizzazione di un grafico a dispersione delle tue architetture evolute

Invia commenti su questo argomento.

Una volta che l'architettura è stata evoluta e gli obiettivi sono definiti, può quindi essere visualizzato e confrontato con l'architettura originale utilizzando matrici di dispersione. Questa sezione illustra come creare e capire le caratteristiche di una matrice a dispersione.

Per visualizzare una matrice dispersione delle tue architetture evolute

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere evoluto e obiettivi prefissatiper l'architettura come indicato sotto Evolving l'architettura

3. Selezionare Inserire| Grafico| il Grafici personalizzatiScheda | Dispersione Matrix.

4. Clicca su Finitura pulsante.

5. Il Scatter Plotcon l'evoluzione definito delle architetture e dei gol saranno visualizzati.

Nota

L'area sul lato sinistro della matrice dispersione mostra le impostazioni della matrice dispersione visualizzato. Questo include l'architettura che è stato sviluppato (in questo caso "ABC Ltd così com'è 2010") Nonché gli obiettivi che sono stati fissati per tale architettura. Noterete che gli obiettivi che hanno un segno di spunta accanto a loro sono rappresentati come assi X e Y della matrice a dispersione (ad esempio, KPI- Costo, KPI - Qualità e KPI - Tempo). È possibile deselezionare questi obiettivi in ​​qualsiasi punto del tempo per rimuoverli dalla matrice a dispersione.

I punti blu che appaiono sul terreno nella matrice rappresentano un valore normalizzato, come determinato dal valore di meglio e il peggio (illustrate sotto Stabilire gli obiettivi per la propria architettura evoluta ). Questi valori sono rappresentati in un Spazio Qualità.

Due obiettivi definiti vengono confrontati uno contro l'altro in una matrice dispersione e il processo viene ripetuto finché sono stati confrontati tutti gli obiettivi (ad esempio la prima trama di matrice nel diagramma sopra confronta la KPI - Costiobiettivo con il KPI - Qualità goal. Il secondo è Costo contro Orario e l'ultima trama è Qualità contro Orario. Le etichette obiettivo rilevanti sono visualizzati nella parte superiore e destro o ogni fila di trame.).

6. Seleziona il Architetturepulsante di scelta se si desidera visualizzare le metriche per le singole architetture.

7. Seleziona il Evoluzionipulsante di scelta se si desidera visualizzare le modifiche normalizzati dalla architettura originale (ad esempio, As-Is 2010) All'architettura evoluto (s) (ad esempio To-Be 2011 - Strategia A e To-Be 2011 - Strategia B).

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico tempo di risposta | Visualizzazione di un appezzamento stella delle vostre architetture evolute | Evolving l'architettura


Visualizzazione di un grafico standard

Navigazione: Analizzare la vostra architettura> classifiche di serie>

Visualizzazione di un grafico standard

Invia commenti su questo argomento.

Tabelle standard ABACUS 'includono linea, bar, colonna, zona, a dispersione, grafico a torta, curva, Pareto, passo, superficie, radar, cubo, ciambella, piramide, contorno e grafici ad area della curva. Dopo aver selezionato il tipo di grafico che si desidera, il resto del processo per la visualizzazione di ognuno di questi grafici è lo stesso.

Per visualizzare un grafico standard del architettura

1. Assicurarsi di avere aprire il file ABACUScontenente il architettura popolata, E che avete valutatol'architettura.

2. Selezionare Inserire| Graficoo cliccare sul pulsante della barra degli strumenti. Il Graficiverrà visualizzata la finestra.

Finestra Grafici

3. Selezionare il tipo di grafico desiderato e impostare le Opzioni grafico, quindi fare clic su Il prossimo.

Opzioni grafico

o Stackedmostrerà il rapporto dei singoli elementi a tutto. È possibile utilizzare un grafico in pila quando si prevede di avere più serie di dati (cioè più proprietà) e quando si vuole sottolineare la totale.

o Stacked 100%metterà a confronto la percentuale di ciascun valore contribuisce a un totale tra le categorie. È possibile utilizzare un grafico sovrapposto al 100% quando si prevede di avere più serie di dati (cioè più proprietà) e si desidera sottolineare i contributi al complesso, soprattutto se il totale è lo stesso per ogni elemento.

o 3D Graficosi limiterà a visualizzare i punti dati in formato 3-D per l'estetica. Se si desidera visualizzare la serie di dati lungo una dimensione 3 / z quindi utilizzare l'opzione Serie Cluster descritto di seguito.

o Serie di proprietàvisualizzerà una serie di dati per ogni proprietà che è in ultima analisi selezionato. Se questo non è selezionata, allora le proprietà diventeranno le categorie e le serie di dati saranno per ogni elemento selezionato.

o Grafico Ruotaruoterà il grafico di 90 gradi in senso orario scambiando gli assi xe y. Questa opzione è disponibile solo per le linee, step e Cube graficied è particolarmente utile per fare diagrammi Milestone come descritto nella seconda punta sotto. Nota: Colonna e grafici a barre sono gia 'ruotare' versioni di ogni altro.

o Serie Clustervisualizza dati di serie multiple lungo una dimensione 3a / z. Questa opzione è disponibile solo per la colonna, Bar e Cube graficied è particolarmente utile per fare diagrammi Gantt stile come descritto nel primo Tip sotto.

Mancia

È possibile creare un diagramma di Ganttcon barre orizzontali che mostrano tempo / proprietà di data per i vari elementi selezionando un tipo di grafico a barre e poi selezionando l'opzione Serie Cluster.Inoltre, una volta creato, il più a sinistra barre sul grafico può essere reso 'invisibili' colorando di bianco facendo clic destro uno dei bar, selezionando colore dal menu visualizzato e scegliendo il colore in alto a sinistra dalla tavolozza. Inoltre il confine per il più a sinistra barra può essere reso 'invisibili' facendo clic destro uno dei bar, selezionando Proprietà ... e nella scheda Serie nella finestra di dialogo che appare cambiare il Border Effect su None e colore al top colore-sinistra dalla tavolozza.

Mancia

È possibile creare un Grafico Milestonecon piccole forme che mostra tempo / proprietà di data per i diversi elementi selezionando un tipo di grafico Cube e quindi selezionare la tabella Ruota e opzioni Serie Cluster.Inoltre, una volta creato, i cubi possono essere cambiati ad altre forme facendo clic destro uno dei cubi in una determinata serie di dati e selezionando Proprietà ... e nella scheda Serie nella finestra di dialogo che appare cambiare la barra a uno Cilindro o Cono . Nota: Il valore della larghezza Gap può essere utilizzato anche per 'ridurre' simboli sulla tabella di ridurre sovrapposizioni, maggiore è il numero minore sovrapposizione ci sarà.

4. Nel Architetturesezione, spunta l'architettura / s che si desidera tracciare le proprietà a livello di architettura per, quindi fare clic su Il prossimo.

Nota

La selezione di proprietà a livello di architettura è un passo del tutto facoltativo e deve essere utilizzato solo quando si desidera eseguire il grafico in modo esplicito le proprietà a livello di architettura stessi.Un'architettura non deve essere selezionato per poi includere componenti o proprietà di connessione nel passaggio successivo.

5. Seleziona il Componenti e Collegamentiche si desidera nel grafico dal finestra di selezione elemento standard , Quindi fare clic su Il prossimo.

6. Seleziona il Proprietàsi desidera nel grafico e cliccare Finitura.

Opzioni grafico

o Includere le proprietà standard volere mostrare le proprietà ereditate dagli standard disponibili per la selezione.

o Proprietà di aggregazione volere contare la varianza tra i valori della serie e tracciare questi risultati in contrasto con l'individuo stessi valori.Questa opzione è disponibile solo se la serie dall'opzione proprietà è stata selezionata al punto 3.

Mancia

Le proprietà disponibili per la creazione di grafici dipendono dagli elementi selezionati.

Per salvare un grafico

Nota

I grafici possono essere salvati solo se contengono solo i componenti e le connessioni, i quali devono essere da una singola architettura all'interno del progetto in corso.

1. Assicurarsi di disporre di un grafico nuovo o esistente apriree aver apportato le modifiche necessarie.

2. Nella barra degli strumenti grafico cliccare sulla sinistra Salva Graficoper salvare il grafico e le eventuali modifiche di formattazione.

3. Nel Nome graficofinestra di dialogo visualizzata inserire un nome per il grafico e stampa ok.

Per esportare un grafico

1. Assicurarsi di avere una esistente grafico aprire.

2. Nella barra degli strumenti grafico cliccare al 2 ° da sinistra Salva con nome BMPPulsante e ha scelto il luogo per il grafico.

3. Clic Salvare.

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico tempo di risposta | Visualizzazione di un grafico spazio capacità


Visualizzazione di un appezzamento stella delle vostre architetture evolute

Navigazione: Analizzare la vostra architettura> grafici personalizzati>

Visualizzazione di un appezzamento stella delle vostre architetture evolute

Invia commenti su questo argomento.

Una volta che l'architettura è stata evoluta e gli obiettivi sono definiti, può quindi essere visualizzato e confrontato con l'architettura originale utilizzando trame stelle. Questa sezione illustra come creare e manipolare un complotto stella.

Per visualizzare un grafico stella delle vostre architetture evolute

1. Assicurarsi di avere un File ABACUS aperto .

2. Assicurarsi di avere evoluto e obiettivi prefissatiper l'architettura come indicato sotto Evolving l'architettura

3. Selezionare Inserire| Grafico| il Grafici personalizzatiScheda | Stella Plot.

4. Clicca su Finitura pulsante.

5. Il Stella Plotcon le architetture evolute e di riferimento verranno visualizzati obiettivi. Nota: Gli assi della trama stella possono essere riposizionati facendo clic e trascinando gli assi in un'altra area entro i limiti dello spazio qualità di stampa stella.

Nota

L'area sul lato sinistro del grafico stella mostra le impostazioni della trama stella visualizzata. Questo include l'architettura che è stato sviluppato (in questo caso "ABC Ltd così com'è 2010") Nonché gli obiettivi che sono stati fissati per tale architettura. Noterete che gli obiettivi che hanno un segno di spunta accanto a loro sono rappresentati come gli assi della trama stella (ad esempio, KPI- Costo, KPI - Qualità e KPI - Tempo). È possibile deselezionare questi obiettivi in ​​qualsiasi punto del tempo per rimuoverli dalla trama stella.

I "punti" rossi e verdi che appaiono sul vostro diagramma stella rappresentano un valore normalizzato, come determinato dal valore di meglio e il peggio (illustrate sotto Stabilire gli obiettivi per la propria architettura evoluta ) Per l'architettura di alto livello selezionato ed eventuali evoluzioni di esso. Questi valori sono rappresentati in un Spazio Qualità.

Come illustrato nella figura sopra, è chiaramente visibile che l'architettura originale (As-Is 2010) Ha scarso Costo, Mentre la prima opzione evoluto (To-Be 2011 - Strategia A) È spostato all'interno dello spazio di migliorare la qualità Costo, Qualità e Tempoobiettivi. In alternativa, la seconda opzione evoluto (To-Be 2011 - Strategia B) mentre ha migliorato anche la Costo l'entità del miglioramento è inferiore a quella di Strategia A ma sia gli obiettivi di qualità e di tempo sono stati migliorati più che con la strategia A.In questo caso un architetto può scegliere Strategia A al di sopra Strategia Bcome loro raccomandazionee evolvere ulteriormente che l'opzione (To-Be 2012 - Strategia A).

6. Deselezionare la Mostra Evoluzionicasella di controllo per nascondere la linea (s) che rappresenta l'evoluzione (s) tra l'originale (ad esempio, As-Is 2010) E si è evoluta (ad esempio To-Be 2011 - StrategiaA) Architettura (s).

7. Seleziona il Mostra Stickscasella di controllo per visualizzare la grandezza relativa di ciascun attributo di qualità (gli obiettivi che sono stati definiti su ogni asse) per ogni architettura.

8. Seleziona il Mostra Architettura nomicasella di controllo se volete i nomi dell'architettura (s) originale e evoluto ad apparire sulla trama stella.

Guarda anche

Analizzando l'architettura | Visualizzazione di un grafico tempo di risposta | Visualizzazione di una matrice di dispersione delle tue architetture evolute | Evolving l'architettura


Analizzando l'architettura

Navigazione: Analizzare la vostra architettura>

Analizzando l'architettura

Invia commenti su questo argomento.

Dopo aver popolato (e facoltativamente simulata) la propria architettura, si è pronti ad utilizzare ABACUS di analizzarlo. Analizzando esso, è possibile determinare se la propria architettura soddisferà le vostre esigenze.

È possibile analizzare l'architettura in una varietà di modi diversi:

· Diagramma

· 3D vista

· tabelle standard (torta, linea, colonna, bar, etc.)

· grafici personalizzati ( tempo di risposta , spazio capacità , plot stella , Matrice grafico a dispersione e grafico a bolle )

· Architettura Diff

Nota

Quando si crea un diagramma, 3D vista, Report o grafico standard, il finestra di selezione elemento standard viene utilizzato per selezionare gli elementi che si desidera visualizzare.

Guarda anche

Compilazione l'architettura | Simulando l'architettura | Il Diagrammi Strumento


Che cos'è l'architettura?

Navigazione: Introduzione alla ABACUS>

Che cos'è l'architettura?

Invia commenti su questo argomento.

L'architettura è un estratto concetto- Non un fisico cosa. E 'una descrizione ricca e completa o la comprensione della struttura di un sistema - la cattura dei componenti e come sono collegati (interagire). Poiché la nozione di architettura è così onnicomprensivo, è fondamentale il costo, disponibilità, evolvibilità, apertura, e le prestazioni del sistema. Un'architettura suono è un pre-requisito di un sistema audio.

In ABACUS, si modella la vostra architettura. Per semplicità, chiamiamo questo modello architettonico un'architettura.

Il diagramma seguente illustra una tipica architettura di 5Componenti (in una gerarchia) collegati da 2 collegamenti. Le etichette indicano i nomi dati delle varie parti dell'architettura in ABACUS.

Un semplice architettura

ABACUS considera tutte queste cose per essere parte dell'architettura:

· Componentirappresentano le entità della vostra architettura che si potrebbe descrivere come "cose". Per una compagnia di assicurazioni, i componenti potrebbero essere i sistemi di elaborazione delle politiche, reclami, pagamenti e ricevute.

· Collegamentirappresentare le relazioni tra questi componenti. Ad esempio, in una compagnia di assicurazioni, ricevute vengono generati per le politiche valide, le richieste sono fatte contro le politiche valide, e le richieste legittime comportano pagamenti. Quando si pensa di vista architettonico - in particolare quando si utilizzano ABACUS - i collegamenti sono importanti quanto i componenti, e sono trattati in modo quasi identico.

· Tutto nel albero può avere Proprietà. Le proprietà sono cose come il modo in cui si richiede il sistema per eseguire, il numero di linee di codice che ha, la percentuale di queste linee che sono commenti, ecc ABACUS considera tutte queste cose per essere parte dell'architettura.

· Usando gerarchie(ossia sottocomponenti e sub-connessioni), È possibile nascondere le informazioni e de-comporre il architettura. Il modello architettonico ABACUS è estremamente flessibile. Qualsiasi componente a qualsiasi livello può essere collegato a qualsiasi altro componente in qualsiasi altro livello da collegamento a qualsiasi livello.

· Attaccamentoè l'operazione con cui componenti porti sono vincolati alla connessioneruoli. Porte e Ruoli sono l'interfacciastra componenti e connessioni. Essi sono utilizzati per fissare i collegamenti ai componenti. Connessioni hanno una fonte e un lavandino ruolo(facilitando il flusso di dati dal componente di origine al componente lavandino)e concettualmente, i componenti hanno porte. Per semplicità, tuttavia, in ABACUS porti componenti non vengono mostrati ei ruoli di collegamento sono collegati direttamente ai componenti stessi.

· Componenti e connessioni sono di una certa Tipo. Ciò è principalmente per scopi di classificazione. Ad esempio le politiche, i reclami, pagamenti e ricevute sono componenti di tipo 'Sistema'. Le politiche valide, le richieste valide, ecc, sono i collegamenti di tipo 'transazione'. Il tipo assegnato ad un componente o connessione fornisce un modello per le proprietà e le norme che ha. Ad esempio, un tipo di componente Server potrebbe avere 'marca e modello' standarde una proprietà indirizzo IP. A differenza di altri strumenti rigidi con una banca dati di base relazionale (RDB) di back-end, in ABACUS è possibile creare liberamente i propri nuovi tipi e assegnare le proprie combinazioni di proprietà e norme ad essi.

· Librerie standard di proprietà possono essere specificate e assegnati a qualsiasi altra cosa nell'architettura. Queste librerie sono noti come Standards. Usando Standards, Avete solo bisogno di raccogliere le specifiche proprietà di sistemi - le proprietà standard sono già lì. Ad esempio, le caratteristiche standard di prestazioni di Microsoft Windows 2000 possono essere assegnati a qualsiasi componenti utilizzano il sistema operativo Microsoft Windows 2000.

Guarda anche

Come si un'architettura rappresentato in ABACUS? | Cosa fa ABACUS fare? | Come si fa (Panoramica) | Creazione di un nuovo tipo di


Lavorare con Enterprise Server

Navigazione: Amministrazione>

Lavorare con Enterprise Server

Invia commenti su questo argomento.

ABACUS Enterprise Server è sia un 'non-bloccaggio' approccio collaborativo, ma uno 'scollegato' anche. ABACUS è 'non-bloccaggio' perché non fa forzare il file sia bloccato da un utente per essere aggiornato. Ogni utente ha la propria copia locale del file, e come fanno le modifiche e salvare il loro file, questi cambiamenti vengono registrati e conservati per quando l'utente desidera loro commit al server.

ABACUS è 'disconnesso', nel senso che non è necessario essere connessi al server o la necessità di accesso alla rete mentre si lavora su un file. ABACUS richiede solo l'accesso al server quando si eseguono operazioni come la creazione di un file, o eseguire un checkout, insieme con le operazioni su un file esistente - l'aggiornamento, si impegnano, o la visualizzazione del registro di passato impegna. L'accesso al server non è tenuto a lavorare sul file, e le modifiche non sono inviato al server immediatamente (questo ti permette di scartare facilmente le modifiche se si commette un errore). Quando si salva il file, si sono 'solo' salva il tuo copia a livello locale - non è fino a che si impegnano le modifiche locali (le modifiche apportate dal tuo ultimo commit), vengono inviati al server.

Creare un nuovo file Enterprise

Per creare un nuovo file di Enterprise, selezionare File| Nuovo ...e quindi selezionare una delle prime due opzioni nella sezione Enterprise Modello del Finestra Nuovo progetto (cioè un file Enterprise vuoto, o crearne uno da un file ABACUS esistente). La terza opzione è quella di 'cassa' un file di qualcun altro Enterprise ha già creato, questo sarà coperto nel prossimo paragrafo.

Quando si sceglie di creare un nuovo file Enterprise, vi verrà dato un dialogo che vi permetterà di navigare al punto in cui su un server repository che si desidera memorizzare il file. Avrà anche il percorso del file esistente e nome inserito la parte superiore se si è scelto 'Da modello esistente' dalla finestra di dialogo Nuovo progetto e fornito un file.

URL: Questo è l'URL al server repository in cui sono memorizzati i file ABACUS Enterprise. Si dovrebbe chiedere alla persona che gestisce il server che cosa questo URL dovrebbe essere.

L'immagine qui sopra mostra un repository con quattro (4) progetti ABACUS Enterprise esistente, dopo aver inserito l'URL e premendo Invio. Tu vedrà dopo aver creato un nuovo file Enterprise, nella finestra successiva di 'cassa', ci sarà un'altra cartella e file in questo repository.

Nota

Se si utilizza un https (SSL) del server, e il server non dispone di un certificato SSL valido (comune per i server intranet o non pubblici a causa di il costo del certificato SSLs) Ci sarà un passo in più per prendere. Vi sarà richiesto di accettare in modo permanente tutte le connessioni al server nella finestra di dialogo che si apre (sarà anche mostrare un po 'più di informazioni sul server). Per fare questo, tipo 'p' (senza le virgolette) e premere Invio. ABACUS apparirà un messaggio che ricorda di questo prima di mostrare la finestra di dialogo.

Nota

È possibile che venga richiesto di accedere al server, nel qual caso la persona che è la gestione del serverin grado di fornire il nome utente e la password del server. Inoltre, le credenziali di accesso per tutti i server che si è connessi alla vengono salvati quindi se per qualsiasi motivo hanno bisogno di essere chiarito questo può essere fatto tramite Strumenti | Opzionie poi sulla Generale scheda facendo clic Ripristina Subversion Salvato Accedie selezionando il server dall'elenco a discesa e facendo clic Cancella Entrae selezionando OK nella finestra che appare.

Nota

A differenza della schermata sopra riportata, in genere un singolo ABACUS progetto è incluso in ogni ABACUS repository perché se più di 1 ABACUS progetto viene creato in un unico ABACUS repository, i numeri di cambiamento di registro ABACUS sono condivisi tra tutti i Progetti ABACUS e questo possono confondere gli utenti.

Nome file preferito: Questo riguarda sia la cartella che il nome del file che verrà utilizzata (se non già fatto) quando si crea il file sul server repository. Si noti che una nuova cartella viene creata automaticamente sul server repository per ogni file (per ragioni di prestazioni, i file ABACUS Enterprise vengono creati nella propria cartella sotto la posizione in rassegna a nella finestra di dialogo).

Conservare copia di lavoro nella directory: Quando viene creato un file Enterprise su un server di repository, i file di lavoro locali devono essere creati sul computer, in modo da poter lavorare sul file senza essere connessi alla rete. Questo è il posto che navigherai a quando si desidera aprire / riaprire un file ABACUS Enterprise.

Checkout un Enterprise file esistente

Se qualcuno ha già creato un nuovo file di Enterprise, si puo 'cassa' questo file, che scarica una copia locale e imposta i file necessari in modo da ABACUS riconosce come file Enterprise. La finestra di dialogo è simile a quello di New Enterprise File Dialog. Inserire l'URL del repository (le sottodirectory possono essere inclusi nella URL), selezionare il file desiderato e fare clic su OK. Fatta salva la nota sotto tegli file verrà quindi aperta.

Nota

È possibile che venga richiesto di accedere al server, nel qual caso la persona che è la gestione del serverin grado di fornire il nome utente e la password del server. Inoltre, le credenziali di accesso per tutti i server che si è connessi alla vengono salvati quindi se per qualsiasi motivo hanno bisogno di essere chiarito questo può essere fatto tramite Strumenti | Opzionie poi sulla Generale scheda facendo clic Ripristina Subversion Salvato Accedie selezionando il server dall'elenco a discesa e facendo clic Cancella Entrae selezionando OK nella finestra che appare.

Differenze Enterprise File

Dopo aver creato un file di Enterprise (o uno nuovo, o via 'cassa' di un file creato da qualcun altro), verrà creata una cartella per il file, e sarà comunemente conterrà questi 3 principali tipi di file:

· File '.abacus'- Questo è il file ABACUS stesso. Le modifiche apportate a livello locale non sono immediatamente salvato in questo file, è scritto solo quando si commettono. Questo file è un 'normale' di file ABACUS, può essere somministrato a utenti non EEcome un progetto a sé stante (senza il file di log), O utilizzato come punto di partenza per un nuovo file EE.

· File '.changes'- I locali cambiamenti (commit) apportate al file. Se questo file non è presente, questo significa che non ci sono cambiamenti locali.

· File 'log'- Questo file ha solo le modifiche apportate dall'utente finale (il contenuto del file .changes dell'utente quando hanno commesso).

Nota

Ci sono vari altri file che potrebbero essere creati durante l'aggiornamento e commettono processi, vale a dire; ‘.changesbefore' file- Questo file è una copia del file .changes dopo un aggiornamento è stata eseguita e viene utilizzato per riconciliare automaticamente eventuali conflitti di ID tra l'aggiornamento e qualsiasi locale (uncommitted) cambia prima di commettere; ‘.backup' file- Questo file è una copia del file .changes prima che un utente salva (uncommitted) cambia più locale al file .changes; e ‘.errore' file- Questo file è una copia di file changes se ci fosse alcun problema che ha causato ABACUS a non aprire il file .abacus e l'utente ha scelto di tornare loro cambiamenti.Questi file possono essere ignorati.

Apertura di un file

Per aprire un file, è sufficiente individuare dove si è scelto di memorizzare la copia di lavoro, e aprire il file ABACUS che viene memorizzato lì. Quando ABACUS vede che vi è un .file di registro (e forse un .modifiche dei file se sono state apportate modifiche), che tratterà il file come file Enterprise.

Aggiornamento di un file

Esecuzione di unn 'Aggiorna' ti controllare se una versione più recente di un file si trova sul server. Se c'è, si chiuderà il file corrente, l'aggiornamento per il più recente file dal server, e scaricare alcuni file temporanei che hanno un numero come estensione - ad esempio 'Demo.125'. Questi file sono le versioni precedenti del file di log, e vengono utilizzati per determinare quali modifiche sono state apportate a un file dopo l'ultimo aggiornato esso. Ciò è necessario per rilevare eventuali conflitti che possono essersi verificati in modo che possiate risolverli.

Se durante il processo di aggiornamento ogni conflitti furono trovati, È necessario risolverli prima di poter aprire di nuovo il file (è possibile annullare ma verrà richiesto di risolvere i conflitti di nuovola prossima volta che si apre il file).

Salvataggio di un file

Quando si salva un file, questo aggiunge tutte le modifiche apportate al file .changes. Esso nonmodificare il file .abacus in questa fase - solo quando il file è impegnata a server sarà scritto sopra (o quando si riceve un aggiornamento dal server).

Dove si trova il 'Salva con nome'?

Non esiste il concetto di Salva con nome per i file Enterprise. È possibile tuttavia, copiare la copia di lavoro .abacus di file, tenendo presente che hanno abituato le modifiche locali in esso.

Risoluzione dei conflitti

Se altri utenti hanno cambiamenti impegnati al file in una parte simile del file da voi, ci possono essere alcuni conflitti tra i loro cambiamenti e il vostro. Ad esempio, un altro utente può eliminare un componente che si doveva aggiornare una proprietà su. È necessario o annullare il loro cambiamento (se si è certi che la loro voglianon essere successo), o scartare le modifiche (si può quindi tornare nel file e ripetere la modifica).

In particolare ci sono 4 classi di conflitti che possono verificarsi;

1. Cancellare - Quando un utente elimina un oggetto che un altro utente le modifiche. Es L'utente A cancellato un componente, ma l'utente B ha cambiato il nome del componente o collegato ad esso o aggiungere un componente figlio ad esso, ecc

2. Attributo - Quando due utenti sia il cambiamento esattamente lo stesso 'attributo' di un oggetto. Es Sia utente A e l'utente B cambiarono nome di un componente o la sua descrizione o il valore di una delle sue proprietà ecc

3. Riferimento - Quando due utenti modificano lo stesso esatto 'riferimento' un oggetto dispone di un altro oggetto. Es Sia per l'utente A e l'utente B cambiato il tipo di un componente o il componente di origine / sink collegati a una connessione o il punto di vista legato per un diagramma etc.

4. Collezione - Quando due utenti modificano una 'collezione' per un oggetto. Es Sia per l'utente A e utente B spostato di un componente da un genitore all'altro o ri-ordinato un insieme di componenti per bambini.

Nota

Vari conflitti insignificanti vengono risolti automaticamente da ABACUS per minimizzare l'overhead sugli utenti.Per esempio le impostazioni pan-zoom in conflitto per i diagrammi hanno deciso di mantenere le impostazioni più recenti pan-zoom.

Commettere Modifiche

Quando si sceglie di confermare le modifiche, il file ABACUS dal server è aperto, il vostro del posto modifiche vengono eseguite contro di esso, e poi il tuo locale .abacus file viene sovrascritto con uno che ha le modifiche in esso. Le modifiche di file quindi sovrascrive il file di log, e sia il file .abacus e il file di log vengono inviati al server.Se il commit è successo un dialogo messaggio di commit come mostrato di seguito è previsto per inserire un messaggio con il commit.

Visualizzazione di un log delle modifiche

A visualizzare un log delle modifiche apportate a un Impresa progetto, selezionare File| Vista del registro...

Massimo voci di registro: Questo con ripristino di ultimi 10 voci, ma le voci aggiuntive possono essere recuperate modificando il valore e facendo clic sul Recupera pulsante.

Revisione: Thcolonna e revisione sono elencati i numeri di revisione impegnati al server Enterprise, per impostazione predefinita, in ordine cronologico inverso.

Nota

I numeri di revisione possono non essere continua come solo la ABACUS impegna i sarà elencato mentre lo stesso repository Subversion può essere utilizzato per altri progetti ABACUS e / o altre applicazioni di controllo di versione.

Data: ThData e colonna elenca la data che la revisione è stato commesso al server Enterprise.

Orario: Thcolonna e Tempo elenca l'ora del giorno (in formato 24 ore) che la revisione è stato commesso al server Enterprise.

Autore: The autore della colonna elenca il nome di accesso di Microsoft Windows per l'utente che ha eseguito il commit seguito dal loro ABACUS nome utente , O 'Anonymous' se l'utente non è autenticato e utenti anonimi è stato permesso l'accesso al progetto Enterprise al momento del commit.

Messaggio di log: Thcolonna e messaggio di log elenca il messaggio di commit che è stato fornito con la revisione come per la finestra di dialogo mostrata sopra.

Scaricare la revisione XX in formato ABACUS autonomo: Se si seleziona una data di revisione nella tabella e quindi fare clic sul pulsante Download si sarà in grado di estrarre la revisione progetto ABACUS scelto dal server e salvarlo come / stand-alone progetto ABACUS locale.

Nota

Per ripristinare una precedente revisione vedere questo Articolo comunità Avolution .

(Admin) Scaricare file di registro XML per la revisione XX: Gli utenti con la capacità di amministratore ABACUS possono selezionare una data revisione nella tabella e quindi fare clic sul pulsante Download per estrarre il progetto ABACUS scelto commit log file dal server e salvarlo come un file .xml.

Visualizzazione di un Audit Trail di modifiche

A visualizzare un itinerario di controllo delle modifiche a qualsiasi dato elemento (ossia componente, collegamento, vista, bambini, ecc) di un Impresa progetto, pulsante destro del mouse l'elemento e selezionare Audit Trail..., Impostare Da e A gamma di revisione e scatto Ricerca.

Nota

Una volta che un elemento viene eliminato dal progetto non si è più in grado di accedere informazioni specifiche audit trail su questo elemento. È possibile, tuttavia, ancora accedere al componente 'genitori' (per esempio) e visualizzare informazioni audit trail sulla eliminazione (in questo caso l'elenco ID dell'elemento che è stato eliminato).Inoltre, Componente / attaccamento Connection è un 'proprietà' delle connessioni in modo che cambiano una componente collegata attraverso la finestra di Explorer o su diagrammi mostrerà nell'itinerario di controllo per una connessione NON componente, e l'eliminazione di una connessione e la creazione di una nuova connessione (come succede se si fa clic 'Unattach' e poi 'connect ...' nei cataloghi) si tradurrà in perdita di informazioni traccia di controllo per la componente originale - attacco di collegamento del tutto.

Nota

Per impostazione predefinita, la pista di controllo in modo ricorsivo verificare la presenza di modifiche a qualsiasi dei figli dell'elemento selezionato. Ciò può comportare tempi di risposta lunghi e di conseguenza la pista di controllo può essere limitata all'elemento stesso deselezionando la Ricorsiva facoltà di cui al Opzioni di controllobarra degli strumenti 'ruota dentata' nella finestra di dialogo Audit Trail.

Dalla revisione: Questo sarà di default alla prima / più antica versione disponibile per il progetto sul server Enterprise.

Alla revisione: Questo si torna all'ultima / revisione più recente disponibile per il progetto sul server Enterprise.

Nota

Dopo aver impostato il Da e revisione gamma clic sul pulsante Cerca di recuperare eventuali modifiche specifiche per l'elemento scelto.

Revisione: Thcolonna e revisione sono elencati i numeri di revisione impegnati al server Enterprise, per impostazione predefinita, in ordine cronologico in avanti.

Nota

I numeri di revisione è improbabile che siano continuo come verranno visualizzate solo le revisioni rilevanti per l'elemento scelto e solo il ABACUS impegna saranno elencati mentre lo stesso repository Subversion può essere utilizzato per altri progetti ABACUS e / o applicazioni di controllo di versione.

Data: ThData e colonna elenca la data in cui l'azione dell'utente è stata fatta.

Nota

La data indicata è la data azione dell'utente, non la data della revisione è stato commesso al server Enterprise. Di conseguenza, la data può precedere la revisione corrispondente commit data indicata con il File | Vista del registro... comando.

Orario: Thcolonna e Tempo elenca l'ora del giorno (in formato 24 ore) che l'azione dell'utente è stata fatta.

Nota

L'ora indicata è l'ora azione dell'utente, non è il momento della revisione è stato commesso al server Enterprise. Di conseguenza, il tempo sarà molto probabilmente precederà la revisione corrispondente impegnano tempo indicato con il File | Vista del registro... comando.

Autore: ThAutore e colonna elenca l'utente che ha eseguito Microsoft Windows il nome di login di azione seguita dalla loro ABACUS nome utente , O 'Anonymous' se l'utente non è autenticato e utenti anonimi è stato permesso l'accesso al progetto Enterprise al momento dell'azione dell'utente.

Nota

L'autore elencato nella finestra di Audit Trail non può necessariamente corrispondere al Autore elencato nella finestra di dialogo Visualizza registro sopra per la stessa revisione. Questo perché le liste di dialogo Visualizza registro l'utente connesso al momento del commit mentre le liste di dialogo Audit Trail l'utente connesso al momento dell'azione dell'utente, ed è possibile avere un utente di apportare modifiche e inviare loro. modifiche apportate ai file ad un altro utente a commettere - come è il caso in cui un utente esterno (come Avolution) è quello di lavorare su un progetto EE.

Dettagli: ThDettagli e colonna sono elencati i dettagli esatti dell'azione utente come registrato sul server Enterprise.

Mancia

È utile gruppo da colonna Revisione (come mostrato nella finestra sopra) e / o la colonna Azione utente a facilmente classificare le modifiche all'elemento di interesse.

L'utilizzo di script con i file Enterprise

Se si utilizzano script con i file aziendali, si deve essere consapevoli di come eliminare correttamente un oggetto dal modello. In genere, quando si elimina un oggetto, si chiamerà il metodo .Delete () su di esso, e non solo la rimozione dal suo genitore.

Es se si fosse comp1 come il genitore di comp2 e si desidera eliminare comp2 nello script, è necessario chiamare comp2.Delete (), piuttosto che comp1.Components.Remove (comp2).

Si può utilizzare Remove se avete intenzione di aggiungere l'oggetto comp2 in un altro luogo all'interno dell'architettura, ma non dovrebbe essere usato se l'intenzione è quella di eliminare l'oggetto.

C'è un'eccezione a questa, per quando si desidera rimuovere un oggetto che 'vive' in altre parti del modello. Se si desidera rimuovere un'istanza di serie da un / component / collegamento architettura, allora si dovrebbe fare in modo da rimuoverlo dal dell'istanza standard di raccolta - arch1.Implementazioni.Rimuovere (Imp) - perché l'eliminazione sarebbe elimina da tutte le istanze.

Correttamente utilizzando Elimina negli script è importante perché se un oggetto viene rimosso dal objectmodel e non re-ha aggiunto, allora non sarà in grado di essere situato, ma dato che non era specificamente 'cancellato', rilevazione e risoluzione dei conflitti non sarà rilevare correttamente un conflitto se un altro utente è stato quello di tentare di utilizzare tale oggetto in una qualsiasi delle loro modifiche, e il risultato finale sarà un set danneggiato di modifiche per quell'utente.

Guarda anche

Come si un'architettura rappresentato in ABACUS?


Lavorare con i file ABACUS

Navigazione: Introduzione alla ABACUS>

Lavorare con i file ABACUS

Invia commenti su questo argomento.

Un file ABACUS è un contenitore per un modello del architettura . All'interno di un singolo file ABACUS, è possibile modellare qualsiasi numero di architetture qualsiasi numero di volte.

Quando si apre ABACUS, non ci sono file aperti. Per lavorare sulla vostra architettura, è necessario creare un nuovo file o aprire un file esistente.

Quando si apre o si crea un nuovo file, un albero nella finestra di explorer visualizza automaticamente. Questa vista explorer mostra l'architettura ad oggi. Quando si chiude il file, l'albero nella finestra di explorer scomparirà anche.

Per creare un nuovo file ABACUS

1. Selezionare File| Nuovo ...

2. Nella finestra di dialogo Nuovo progetto che appare (come mostrato qui sotto) Scegliereper creare un modello di vuoto, un modello da un biblioteca ABACUS norma , Un modello da una libreria ABACUS personalizzato, un modello da XML, MS Access , MS Visio , MS Excel , MS SQL Server , un Impresa Server modello o una libreria ABACUS personalizzato (file .abacuslib).

3. Clicca su okPulsante e seguire le finestre di dialogo che possono essere visualizzati.

Mancia

Non verrà richiesto il nome del file finché non si salva o si chiude. E 'una buona idea per salvare il file appena creato. Allora non dovrete preoccuparvi di nominarlo più avanti nel processo quando ci si concentra su altre cose complesse (come il popolamento propria architettura).

Crea un nuovo progetto

ABACUS Librerie standard

ABACUS supporta oltre 100 strutture pubbliche e notazioni, alcuni dei quali sono riportati di seguito. Quando si sceglie di creare un nuovo progetto da un utente della libreria standard hanno un rapido avvio alla modellazione in un quadro stabilire la piena utilizzazione di tutti i tipi di elementi definiti, attributi, notazioni, punti di vista e modelli o disegni. Ulteriori librerie standard sono liberamente disponibili attraverso la Comunità Avolution Qui .

Nuovo progetto dalla libreria standard

Per salvare un nuovo file ABACUS

1. Selezionare File| Salva come

Mancia

I nomi dei file possono essere di qualsiasi lunghezza, e può contenere caratteri alfanumerici e spazi. Essi non possono contenere il carattere tilde (~), la pipe (|) carattere, il punto interrogativo, o i caratteri normalmente utilizzato per la descrizione del percorso, come la barra rovesciata (\) - se non come parte del percorso (?).

Per aprire un file esistente ABACUS

1. Selezionare File| Aprire

Nota

Se si apre un file da un percorso di rete condivisa che è già aperto a un altro utente, ABACUS vi fornirà accesso di sola lettura. Quando si utilizza ABACUS con accesso di sola lettura, non sarà in grado di eseguire operazioni di scrittura, come ad esempio la compilazione l'architettura e l'esecuzione di valutatori. È possibile, tuttavia, vedere l'architettura utilizzando la vista esploratore e viste 3D.

Guarda anche

Come si un'architettura rappresentato in ABACUS?


Lavorare con cruscotti

Navigazione: Amministrazione>

Lavorare con cruscotti

Invia commenti su questo argomento.

Progetti ABACUS possono avere qualsiasi configurazione di punti di vista (ad esempio, diagrammi, Tabelle ecc) salvate come un cruscotto e questi cruscotti salvati possono essere impostare come predefinito di partenza 'schermo' su apertura di un progetto e / o assegnato ad una specifica gruppo di utenti e presentato ai membri di quel gruppo di utenti quando accedono a un progetto ABACUS.

Nota

Per configurare dashboard in un progetto ABACUS la licenza utente ha bisogno della capacità di amministratore. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

Guarda il dashboard

Un esempio di applicazione Portfolio Management (APM) cruscotto

Per visualizzare un dashboard salvato

1. Selezionare Vista| Cruscotti

2. Selezionare un cruscotto salvato dalla lista dei cruscotti disponibili.

Nota

Una volta selezionato ABACUS costruirà le viste necessarie per il cruscotto e l'operazione potrebbe richiedere alcuni secondi. Perfavore sii paziente.

Gestione dashboard

Gestione dashboard

Per creare un nuovo Dashboard

1. Aprire le viste necessarie e organizzare e dock finestre come richiesto per il cruscotto.

2. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

Nota

Se non vedi la voce di menu Gestisci Dashboard allora non avete la capacità di amministratore. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

3. Nella finestra di dialogo che appare selezionare il Creareil pulsante e inserire il nome Dashboard nella finestra di dialogo Crea nuova Dashboard.

4. Clicca su ok pulsante.

Per eliminare un Dashboard esistente

1. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

2. Nella finestra di dialogo che appare selezionare la dashboard che si desidera eliminare dall'elenco e selezionare il Cancellare pulsante.

Nota

L'eliminazione di un cruscotto eliminerà anche qualsiasi assegnazione di gruppi di utenti a quella del cruscotto.

3. Clicca su ok pulsante.

Per sostituire un Dashboard esistente

1. Aprire le viste necessarie e organizzare e dock finestre come richiesto per il cruscotto di sostituzione.

2. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

3. Nella finestra di dialogo che appare selezionare la dashboard che si desidera sostituire dall'elenco e selezionare la Sostituire pulsante.

4. Clicca su okpulsante per riconoscere la finestra Dashboard Sostituito.

Per assegnare un Dashboardcome la pagina iniziale di default

1. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

2. Nella finestra di dialogo che appare selezionare il Dashboard dalla lista che si desidera assegnare come 'schermo' l'inizio di defaulte selezionare Assegnare... pulsante.

3. Nella finestra di dialogo che appare selezionare il voce nella colonna Utente Gruppi.

Nota

Solo un cruscotto può essere assegnare come il inizio 'schermo' così ri-assegnazione rimuoverà il incarico dal cruscotto precedente.Inoltre, se l'utente accede come un membro di un gruppo di utenti che dispone di un cruscotto assegnato poi il cruscotto assegnato sarà aperto al posto del cruscotto progetto predefinito.

4. Clicca su ok pulsante.

Per assegnare un gruppo di utenti a un dashboard

1. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

2. Nella finestra di dialogo che appare selezionare il Dashboard dalla lista che si vuole assegnare un gruppo di utenti e selezionare il Assegnare... pulsante.

3. Nella finestra di dialogo che appare selezionare il User Group (o gruppi)si desidera assegnare il cruscotto come 'start up' dello schermo per.

Nota

Se lo stesso gruppo di utenti viene assegnato a più dashboard verrà utilizzato il primo incarico nella lista.

4. Clicca su ok pulsante.

Per annullare l'assegnazione di un gruppo di utenti da un cruscotto

1. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

2. Nella finestra di dialogo che appare espandere l'elemento Dashboard dalla lista che si desidera annullare l'assegnazione di un gruppo di utenti da.

3. Selezionare il gruppo utente che si desidera annullare l'assegnazione e selezionare il Annulla assegnazione pulsante.

4. Clicca su ok pulsante.

Impostazione di autorizzazioni

Le autorizzazioni possono essere impostati per cruscotti per consentire il cruscotto sia visualizzabile, Aggiornabile e / o cancellabilia determinati gruppi di utenti.

Permessi di Gestione

Per impostare l'autorizzazione per un cruscotto

1. Selezionare Vista| Cruscotti| Gestisci Dashboard ...

2. Nella finestra di dialogo che appare selezionare il Dashboard dalla lista che si desidera impostare le autorizzazioni e selezionare il Permessi ... pulsante.

3. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

4. Per impostazione predefinita, si vedrà che il Read, Update e Delete permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

5. Clicca su ok pulsante.

Guarda anche

Personalizzazione dell'interfaccia ABACUS | Utilizzo delle autorizzazioni


Utilizzo delle autorizzazioni

Navigazione: Amministrazione>

Utilizzo delle autorizzazioni

Invia commenti su questo argomento.

Progetti ABACUS possono avere basata sui ruoliimpostare le autorizzazioni per ogni elemento all'interno del repository. Specificamente, a grana fine Create-Read-Update-DELETE (CRUD) I permessi possono essere impostati al 'oggetto' (vale a dire componente o connessione), vista e l'attributo (ad esempio immobili) i livelli.

Panoramica

Quando si lavora con il ABACUS Enterprise Server , ABACUS offre a grana fine, i permessi CRUD basate sui ruoli per controllare l'accesso di più utenti al repository.

Nota

Per configurare le autorizzazioni in un progetto ABACUS la licenza utente ha bisogno della capacità di amministratore. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

Le autorizzazioni possono essere impostate per le architetture, i tipi di componenti e di collegamento, le proprietà (attraverso i loro tipi), modelli, punti di vista e diagrammi, cataloghi, matrici, grafici e 3Dvista. Quando le autorizzazioni sono impostate per un tipo di componente o una connessione tutte le istanze di quel tipo in qualsiasi architettura di quel progetto 'ereditare' tali autorizzazioni. Allo stesso modo, quando un permesso è impostato per una proprietà di un tipo di componente o una connessione, la proprietà data sulle istanze del componente o di connessione in qualsiasi architettura di quel progetto 'ereditare' tali autorizzazioni. Di conseguenza, alcune autorizzazioni verranno applicate alle viste su cui esistono questi elementi. Quando le autorizzazioni sono impostate per un diagramma, la visualizzazione e / o il contenuto della vista stessa avere varie autorizzazioni applicate ad esso.

Nota

Per impostazione predefinita, nessuna autorizzazione sono impostate per gli elementi all'interno di un progetto ABACUS. Cioè tutti gli elementi sono Createable, leggibile, aggiornabile e cancellabili da tutti gli utenti. In questo modo i permessi devono essere considerati solo per un determinato elemento nel repository quando un certo permesso è di essere limitatoper un determinato gruppo di utenti. Ad esempio, se le autorizzazioni per un determinato gruppo di utenti sono state aggiunte ad un oggetto (ad esempio un tipo di componente), ma sinistra con tutti permessi abilitati, allora questo è funzionalmente lo stesso come se questo gruppo di utenti Non era aggiunto all'oggetto.

Permessi non puòessere impostato per istanze specifiche di elementi di un dell'architettura. Ad esempio, non è possibile effettuare un componente Application aggiornabile ancora un altro no. Per realizzare in modo efficace queste autorizzazioni 'di dominio specifico «Tuttavia, l'amministratore può impostare tipi di elementi specifici per i domini indicati, ad esempio, «Domanda - dominio CRM 'tipi di componenti e' Applicazione - dominio HR ', e quindi impostare le autorizzazioni per ogni tipo di conseguenza. È possibile effettuare particolari tipi di raggruppamento per ogni dominio e quindi rimuovere il permesso di aggiornamento per il tipo di gruppo specifica del dominio e questo limitare creazioni all'interno ed eliminazioni da quel raggruppamento ma non aggiorna dei bambini. Naturalmente se il Gruppo specifica del dominio era nascosto rimuovendo autorizzazione di lettura poi i bambini sarebbero stati nascosti e quindi non aggiornabile. In alternativa, se vengono utilizzati principalmente viste (piuttosto che explorer) per gestire / visualizzare il repository, una determinata vista per ogni dominio è stato possibile stabilire, e poi l'amministratore potrebbe impostare le autorizzazioni per ogni vista di conseguenza.

Gestione di utenti e gruppi

Le autorizzazioni vengono definite a ruolo o gruppolivello, rispetto al livello di singolo utente, in modo che mentre appartenenza dei gruppi può cambiare, le autorizzazioni può rimanere fisso. Naturalmente se si vuole un permesso utente specifico poi semplicemente li rende un gruppo, o creare più precisamente un gruppo con l'utente come unico membro.

Va notato che i gruppi siano atomico, Cioè non possono ereditare le autorizzazioni o utenti da uno all'altro, e se un utente appartiene a più gruppi, allora l'autorizzazione gruppo più 'pessimista' avranno la precedenza su un caso per caso, per ogni singolo permesso (cioè Crea -Leggi-Update-Delete). Per esempio, se lo stesso utente è un membro del Gruppo A e Gruppo B e Gruppo A ha appena Create-autorizzazione di lettura per i tipi di componenti di applicazione mentre il gruppo B ha appena lettura Aggiornamento permesso per tipi di componente Application allora l'utente solo hanno letto il permesso per istanze dei componenti di applicazione.

Inoltre, per impostazione predefinita, utenti anonimi(cioè gli utenti che non sono stati definiti o che non hanno effettuato l'accesso) hanno accesso completoal progetto. Questo per garantire in una configurazione iniziale è disponibile l'accesso. Per bloccare l'accesso da parte di utenti anonimi semplicemente deselezionare la 'Consenti utente anonimo l'accesso completo al fascicolo' opzione Gestisci utenti / gruppi finestra di dialogo mostrata di seguito. Quando gli utenti anonimi non controllate saranno in grado di vedere la porzione standard di qualsiasi progetto.

Infine, l'autenticazione nome utente, se l'opzione 'Utilizza Windows nome utente Login' è selezionata viene eseguita contro di Windows User Account di accesso sul computer di ogni utente contro il nome utente del inserito come sotto. Cioè se Windows nome utente Login per computer di un determinato utente esiste come un nome utente corretto allora è richiesta alcuna password e l'utente è autenticato automaticamente. Nota: questo permette efficacemente l'utilizzo di Windows Active Directory (AD) di autenticazione.

Nota

Dato che le autorizzazioni sono definiti solo quando hanno bisogno di essere portato via (ristretto) da un utente, qualsiasi utente che non è un membro di un gruppo, o di qualsiasi gruppo che non dispone di autorizzazioni definite per contro alcun oggetto, avranno pieno accesso a il progetto.

Utenti e gruppi di utenti

Per creare un nuovo utente

1. Selezionare File| Gestisci utenti / gruppi

Nota

Se non vedi la Gestione Utenti / voce di menu Gruppi di allora non hanno la capacità di amministratore. Si prega di contattare l'amministratore locale o ABACUS Supporto Avolution se avete bisogno di questa capacità.

2. Nella finestra di dialogo che appare selezionare il Aggiungi utentepulsante e inserire un nome utente e una password nella finestra di dialogo Crea nuovo utente. Nota: i nomi utente e le password sono case sensitive.

Nota

Se l'opzione 'Utilizza Windows nome utente Login' è selezionata come sopra descritto poi una password fittizia può essere inserito come l'autenticazione verrà eseguita secondo di Windows dell'utente nome utente solo Entra.

2. Per impostazione predefinita, si vedrà che il Gli utenti possono modificare la propria password. Se necessario, l'amministratore ABACUS potrà cancellareil possibilità per gli utenti di impostare la propria password di deselezionandole caselle di controllo.

Nota

Se gli utenti possono modificare la propria password avranno una File | Cambiare la password...voce di menu per farlo.Inoltre, essere consapevoli del fatto che se più persone utilizzano lo stesso nome utente, allora un utente può modificare la password in modo che nessun altro popolo possono effettuare il login dopo. Di conseguenza pratica, è consigliabile avere un singolo username per persona reale.

4. Facoltativamente, inserire l'indirizzo e-mail, Posizione e Numero di telefono per gli utenti per riferimento futuro.

5. Clicca su okpulsante nella finestra di dialogo Crea nuovo utente.

6. Clicca su ok pulsante.

Nota

Dopo aver creato il vostro primo utente che si dovrebbe prendere in considerazione il blocco dell'accesso da utenti anonimi deselezionando la 'Consenti utente anonimo l'accesso completo al fascicolo' opzione nel / finestra di dialogo Gestisci utenti Gruppi.Inoltre, una volta che un utente è stato creato (e se un progetto Enterprise, la modifica impegnata al server), la prossima volta che il progetto viene aperto agli utenti verrà richiesto di Login per l'accesso autenticatocome per la finestra di dialogo mostrata di seguito. Se il Accedi automaticamente con questi dettaglil'opzione è selezionata, il nome utente combinazione / password sarà ricordato per il progetto e applicato ogni volta che in apertura. Per cancellare l'account di accesso salvato select File | Cancella salvata logindopo l'apertura e sarete richiesto di accedere di nuovo la prossima volta che si apre il progetto.

Accesso

Per eliminare un utente esistente

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare selezionare il nome utente nel pannello Utenti che si desidera eliminare e quindi selezionare la Elimina utente pulsante.

3. Clicca su ok pulsante.

Per creare un nuovo gruppo

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare selezionare il Aggiungi gruppopulsante e immettere un nome gruppo nel pannello Gruppi.

Nota

I nomi dei gruppi devono essere univoci.

3. Clicca su ok pulsante.

A copiare un esistente Gruppo

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare selezionare il Copia Gruppo pulsante.

Nota

Un gruppo duplicato verrà creato prefisso "Copia di".Per impostazione predefinita, tutti i permessi del gruppo copiato verranno duplicati per la "copia di" gruppo compreso qualsiasi incarico utente.

3. Rinominare il "Copia di" gruppo a seconda dei casi utilizzando Modifica gruppoo lento doppio clic.

Per eliminare un gruppo esistente

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare selezionare il nome del gruppo nel pannello I gruppi che si desidera eliminare e quindi selezionare la Elimina gruppo pulsante.

Nota

Tutte le assegnazioni utente al gruppo saranno rimossi.

3. Clicca su ok pulsante.

Per assegnare un utente a un gruppo

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare selezionare il nome utente nel pannello Utenti che si desidera assegnare a un gruppo e drag-and-dropsul campo di nome gruppo nel pannello I gruppi che si desidera assegnare.

3. Clicca su ok pulsante.

Nota

Il gruppo (s) che un utente viene assegnato a sono mostrati espandendo la Nome utente nel pannello Utentie gli utenti che sono assegnati a un gruppo vengono visualizzati espandendo il nome del gruppo nel pannello Gruppi. Ad esempio, nella schermata precedente, l'utente "AS1-Aus" è assegnato a tre (3) gruppi, vale a dire; "App Support Team 1", "attuale" e "Australia".

Per annullare l'assegnazione di un utente da un gruppo

1. Selezionare File| Gestisci utenti / gruppi

2. Nella finestra di dialogo che appare espandere il nome del gruppo che contiene il compito dell'utente che si desidera annullare l'assegnazione e selezionare il nome utente.

3. Clicca su Annulla assegnazione utente pulsante.

4. Clicca su ok pulsante.

Per importare gli utenti e / o gruppi (ed eventuali autorizzazioni di corrispondenza)

1. Selezionare File| Gestisci utenti / gruppi

2. Clicca su Importare pulsante.

3. Nella finestra di dialogo che appare Navigareda e per aprire il progetto ABACUS che contiene gli utenti e / o gruppi (e autorizzazioni) che si desidera importare nel progetto corrente e fare clic Aprire. Utenti e gruppi verranno importati e un dialogo Importa risultati appare che riassume l'importazione degli Utenti e / o gruppi. Clicca su ok pulsante.

Nota

Se gli utenti o gruppi importati esistevano già nel progetto corrente allora saranno fuse con gli utenti o gruppi esistenti.

4. Clicca su okpulsante indietro nel principale Gestire utenti dialogo / gruppi.

5. Se ci sono tutti i tipi di corrispondenza, Punti di vista, Modelli o Architetture tra il progetto in corso e il progetto ABACUS si sta importando da, completi di autorizzazioni che non esistono ancora nel progetto corrente, le autorizzazioni vengono importati e una seconda finestra di importazione Risultati appare riassumendo l'importazione. Clicca su ok pulsante.

Nota

Le autorizzazioni vengono aggiunti solo ai tipi esistenti (e le loro proprietà), Punti di vista, Modelli o Architetture per i gruppi in cui non esistono già le autorizzazioni per il Gruppo. Sia perché il gruppo è nuovo o il Gruppo esisteva già nel progetto attuale, ma nessuna autorizzazione era stata assegnata per tale gruppo a tale elemento. Non esiste una 'fusione' di autorizzazioni per elementi in cui le autorizzazioni già esistenti per il Gruppo nel progetto corrente di corrispondenza.

Impostazione di autorizzazioni

Le autorizzazioni possono essere impostate per le architetture, i tipi di componenti e di collegamento, le proprietà (attraverso i loro tipi), modelli, punti di vista e diagrammi, cataloghi, matrici, grafici und 3Dvista. Quando le autorizzazioni sono impostate per un tipo di componente o una connessione tutte le istanze di quel tipo in qualsiasi architettura di quel progetto 'ereditare' tali autorizzazioni. Allo stesso modo, quando un permesso è impostato per una proprietà di un tipo di componente o una connessione, la proprietà data sulle istanze del componente o di connessione in qualsiasi architettura di quel progetto 'ereditare' tali autorizzazioni. Di conseguenza, alcune autorizzazioni verranno applicate alle viste su cui esistono questi elementi. Quando le autorizzazioni sono impostate per un diagramma, la visualizzazione e / o il contenuto della vista stessa avere varie autorizzazioni applicate ad esso.

Permessi di Gestione

Per impostare l'autorizzazione per un componente (o connessione) Tipo

1. Espandere il Tipiramo dell'albero.

2. Espandere il Component (o connessione) Tipiramo dell'albero.

3. Espandere Gruppi dove necessario.

4. Pulsante destro del mouse sul Component (o connessione) Tiposi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

5. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

6. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

Nota

Crea il permesso governa anche quando è possibile copiare un elemento. Pertanto, per essere in grado di copiare un elemento richiede autorizzazione Create per tutti i suoi figli (poiché per copiare l'elemento significa copiare tutto sotto). Rimozione di Aggiornamento permesso da un elemento elimina la possibilità di modificare il tipo stesso, anche se l'utente ha la Designer aggiuntivo e rimuove anche Aggiornamento permesso per tutte le sue proprietà. Un elemento genitore deve avere aggiornamento permesso di essere in grado di Creare elementi per ragazzi o Eliminare la sua esistente Elementi bambini. Eliminare il permesso per un elemento richiede anche eliminare il permesso per tutti i suoi figli. Eliminare il permesso per i componenti richiede anche l'autorizzazione di aggiornamento di tutte le connessioni collegate.E, infine, la rimozione di autorizzazione di eliminazione da un elemento elimina la possibilità di eliminare il tipo stesso, anche se l'utente ha la Designer aggiuntivo.

7. Clicca su ok pulsante.

Per impostare l'autorizzazione per un gruppo di componente (o connessione) Tipi

1. Espandere il Tipiramo dell'albero.

2. Espandere il Component (o connessione) Tipiramo dell'albero.

3. Pulsante destro del mouse sul Gruppoche contiene il componente (o connessione) Tipi che si desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

7. Nella finestra di dialogo che appare clicca il sì pulsante.

Per impostare l'autorizzazione per una proprietà

1. Espandere il Tipiramo dell'albero.

2. Espandere il Component (o connessione) Tipiramo dell'albero.

3. Espandere Gruppi dove necessario.

4. Selezionare il componente (o connessione) Tipo che contiene la proprietà che si desidera impostare le autorizzazioni per le.

5. Nella finestra Proprietà tasto destro del mouse sul Proprietàsi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

6. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

7. Per impostazione predefinita, si vedrà che le autorizzazioni di lettura e di aggiornamento sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

Nota

Le proprietà che hanno avuto il permesso di aggiornamento rimosso sono mostrati in corsivonella finestra Proprietàed i loro valori non possono essere aggiornati per quel ruolo. Inoltre, la capacità di modificare i dettagli di una proprietà (ad esempio, il nome, unità, ecc) richiede sia il permesso di aggiornamento sulla proprietà e Designer add-on.

8. Clicca su ok pulsante.

Per impostare l'autorizzazione per un modello

1. Espandere il Modelliramo dell'albero.

2. Individuare il Modelloche siete interessati a.

3. Pulsante destro del mouse sul Modellosi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che l'autorizzazione di lettura è disponibile. Rimuovere il permesso di deselezionandola casella di controllo.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per un punto di vista

1. Espandere il Punti di vistaramo dell'albero.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul Punto di vistasi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per una architettura

1. Espandere il Architettureramo dell'albero.

2. Espandi per il Architetturache siete interessati a.

3. Pulsante destro del mouse sul Architetturasi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che l'autorizzazione di lettura è disponibile. Rimuovere il permesso di deselezionandola casella di controllo.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per un catalogo

1. Espandere il Cataloghiramo dell'architettura che si sono interessati a.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul catalogosi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per un Matrice

1. Espandere il Matriciramo dell'architettura che si sono interessati a.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul Matricesi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per un diagramma

1. Espandere il Diagrammiramo dell'architettura che si sono interessati a.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul Diagrammasi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

Nota

Mentre è possibile impostare le autorizzazioni CRUD direttamente per un diagramma, si precisa che le autorizzazioni degli elementi del diagramma possono influenzare le autorizzazioni per la vista stessa. Ad esempio, se vi è anche un solo elemento sulla considerazione che ha avuto la sua leggere o aggiornare il permesso rimosso il diagramma avrà il suo Aggiorna permessi rimosso. Questo è perché; a) gli elementi della visione che hanno avuto la loro autorizzazione di lettura rimosso non vengono visualizzati nella vista lasciando 'spazio bianco' dove si potrebbe altrimenti inserire alcuni nuovi elementi, se la vista era aggiornabile, e b) gli elementi della visione che hanno avuto il loro aggiornamento permesso rimosso potrebbe poi avere altri elementi è sceso su di loro di diventare figli se la vista era aggiornabile. Inoltre, creare e aggiornare il permesso per un diagramma richiede che tutti gli elementi della vista hanno l'autorizzazione di lettura ed i componenti hanno il permesso di aggiornamento (questo è perché a spostare un componente su un altro componente, è necessario essere in grado di aggiornare da quando lo farà diventare un bambino).

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per una visualizzazione in 3D

1. Espandere il 3D Vistaramo dell'architettura che si sono interessati a.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul Vista 3Dsi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

Per impostare l'autorizzazione per un Grafico

1. Espandere il Graficiramo dell'architettura che si sono interessati a.

2. Espandere Gruppi dove necessario.

3. Pulsante destro del mouse sul Graficosi desidera impostare le autorizzazioni e selezionare Modifica autorizzazioni.

4. Nella finestra di dialogo che appare cliccare sul Aggiungere...e selezionare il Grupposi desidera aggiungere facendo doppio clic su di esso o selezionandolo e cliccando sul ok pulsante.

5. Per impostazione predefinita, si vedrà che il creare, leggere, aggiornare ed eliminare i permessi sono tutti disponibili. Rimuovere le autorizzazioni deselezionandole caselle di controllo competenti.

6. Clicca su ok pulsante.

Guarda anche

Come si un'architettura rappresentato in ABACUS?


Script Writing

Navigazione: Simulare l'architettura>

Script Writing

Invia commenti su questo argomento.

Script Editor è un programma semplice e funzionale per la scrittura e l'esecuzione di VB o C # script nel File ABACUS attualmente aperto(Biblioteche non sono supportati negli script). Ha la solita Apri file, chiudere e salvare i comandi, in modo da poter salvare e recuperare gli script si scrive. Essa ha anche un impianto di base corsa e di debug. The Script Manager consente di eseguire facilmente i vari script che avete scritto mettendo una voce di menu per loro direttamente nel menu Strumenti.

Per accedere Script Editor

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Strumenti | Script Editore la finestra Script Editor si aprirà. Allora o;

3. Aprire uno script esistente via File | Aprire nei menu Script Editor,

o

3. Aprire uno script di esempio tramite il Esempio voce nei menu Script Editor,

o

3. Impostare la lingua predefinita a uno VB o C # tramite la Lingua voce nei menu Script Editor,

o

3. Scripting Apri la Guida specifica tramite il Aiuto voce nei menu Script Editor

Durante la scrittura di script, è necessario rispettare sia la VB o C # sintassisecondo l'impostazione sotto la voce lingua nei menu Script Editor.

NOTA:

· Per utilizzare le funzioni standard come VB MsgBox ()è necessario includere la Importazioni Microsoft.VisualBasicdichiarazione all'inizio del vostro script. Questo non è stato necessario prima che la versione 3.0 di ABACUS.

· Questo aiuto non include informazioni su come scrivere VB script, né contiene un riferimento VB. Sentitevi liberi di scrivere i vostri script nel vostro IDE preferito o un editor, quindi copiare e incollare nel Script Editor.

Al primo avvio Script Editor, Script Editor sarà vuoto. È possibile accedere a uno script scheletro attraverso il menu Esempi. La prima volta che si avvia il Script Editor, è necessario eseguire lo scheletro template per vedere che funziona. In aggiunta, ci sono due script di esempio cui si può accedere attraverso il menu Esempi.

Per scrivere uno script utile è necessario fare riferimento alla ABACUS ObjectModel. Si è messo a disposizione per lo script inserendo la Importazioni ABACUS.ObjectModeldichiarazione alla testa del vostro script. Un riferimento completo per l'intero modello a oggetti ABACUS è incluso con il Script Editor. Lo si può trovare selezionando Aiuto | Contenutodalla finestra Script Editor.

L'editor di script include molte caratteristiche utili per la scrittura di sceneggiature, tra cui completamento automatico come mostrato nello screenshot qui sotto. Tuttavia, per un'esperienza utente ancora più ricca MS Visual Studio può essere integrato con ABACUS e le istruzioni dettagliate sono disponibili Qui .

Script Editor con completamento automatico

Per utilizzare il Gestore degli script

1. Assicurarsi di avere il file ABACUS, Contenente il architettura popolata, aprire.

2. Selezionare Strumenti | Script Manager.

3. Clicca su Aggiungereicona e un AprireViene visualizzata la finestra.

4. Individuare lo script ABACUS (.abacusscript, VB o cs) File che si desidera aggiungere al menu Strumenti.

5. Clic oke un riferimento allo script verrà visualizzato nella finestra Script Manager. Immettere il nome per lo script come si desidera che appaia nel menu Strumenti. Nota: La finestra Script Manager può essere ridimensionata a vedere il percorso completo, se necessario.

6. Ripetere i passaggi 3-5per creare collegamenti a più script ABACUS.

7. Clic Chiudereper chiudere il Gestore script e notare che lo script ABACUS (s) appaiono ora sotto il menu Strumenti.

Per eseguire uno script

Entrambi;

1. Aperto, digitare, o copiare e incollare nello script che si desidera eseguire, in modo che viene visualizzato nella finestra principale del Script Editor.

2. Clicca il Correre pulsante.

3. Se lo script contiene degli errori, la Descrizione errore sezione in fondo di Script Editor elencherà i dettagli, compresi i numeri di riga. NOTA: Ogni singolo errore nella Descrizione errore sezione può essere doppio clic per portarvi la riga corrispondente nello script.

- o -

1. Selezionare Strumentie quindi la Nome ABACUS Script voce di menu come creato con la Script Manager.

2. Se lo script contiene degli errori, il Script Editor verrà aperto con il contenuto dello script mostrato nella finestra principale (evidenziato nella riga del primo errore) e l'errore Descrizione sezione in fondo di Script Editor elencherà i dettagli o l'errore (s) compresi i numeri di riga. NOTA: Ogni singolo errore nella Descrizione errore sezione può essere doppio clic per portarvi la riga corrispondente nello script.

Errori di compilazione Scripting

Errori di compilazione si verificano quando la sintassi del codice di script non è corretto. Questi errori appariranno nella parte inferiore della finestra, nella sezione di errore, con una descrizione dell'errore, e un numero di riga. E 'il numero di riga che distingue un errore di compilazione da un errore di runtime (vedi sotto), che non avrà un numero di riga. Errori di compilazione possono essere doppio cliccato per saltare e evidenziare la linea specifica in questione.

Gli errori di script runtime (Importante)

Gli errori di runtime si verificano dopo il codice di script è stato compilato con successo senza errori, ma si verifica un errore in fase di esecuzione (vedi esempi ulteriormente verso il basso). Errori di runtime sono importanti in quanto possono provocare modelli danneggiati, quando gli oggetti creati e riferimento da altri oggetti nel modello, non sono essi stessi parte del modello (di solito perché si è verificato un errore di runtime prima del codice che li avrebbe collocati nel modello da qualche parte, è stato giustiziato).

Se lo script crea gli oggetti da aggiungere al modello, è possibile evitare la corruzione causata da un errore di runtime salvando lo script, la chiusura di scripting, e l'esecuzione di un annullamento dei cambiamenti che sono stati creati dallo script (se l'esecuzione di script non è stato completato normalmente ). Tuttavia, ci sono anche altri modi per evitare qualsiasi danneggiamento che si verificano (vedi sotto). Nota: Tutti gli script che si limita a leggere dal modello e non scrivono ad esso, sono sicuri e non causerà alcun problema, indipendentemente dal fatto che gli errori di runtime si verificano durante la loro esecuzione.

Per evitare la corruzione, durante la scrittura di codice di script che sta creando oggetti e aggiungerli al modello a oggetti, si suggerisce che gli oggetti vengono aggiunti al modello il più presto possibile se si fa riferimento da altri oggetti.

Ad esempio, se si sta creando una nuova connessione, e 2 nuovi componenti, e quindi collegare insieme, si consiglia di creare il primo componente, aggiungerlo al modello, poi la seconda e aggiungerlo, e quindi creare la connessione e aggiungerlo, e poi finalmente creare gli allegati. Ciò significa che se si dovesse verificare un errore di runtime che interrompe l'esecuzione dello script, tutti gli oggetti necessari per essere nella prima objectmodel viene creato un allegato, sono nel modello. Danneggiamento può verificarsi se, per esempio, era stato aggiunto solo la connessione, gli attacchi realizzati, e quindi verificato un errore di esecuzione prima dello script infine aggiunti i nuovi componenti al model.Corruption può verificarsi quando un oggetto a cui fa riferimento un altro oggetto la objectmodel, non è essa stessa in objectmodel.

Esempio errori di runtime includono:

· Il riferimento non impostato a un'istanza di un oggetto - ciò si verifica quando una variabile oggetto è un riferimento nullo, e viene utilizzato un metodo o una proprietà su quell'oggetto. Riferimenti Null possono essere controllati da 'Se objectVariable è niente allora ...'

· L'indice era i limiti della matrice - ciò si verifica quando un array è necessario accedere con un indice che è al di fuori dei limiti - per esempio minore di 0 o uguale o maggiore della lunghezza / Count della matrice. Array o lunghezza Collection possono essere controllati dalle proprietà .length o Count, rispettivamente.

· No Permesso Eccezione - Non hai il permesso di ... - questo si verifica se non si ha il permesso di fare il cambiamento data

· Eccezione chiave primaria - Duplica / mancante Nome / ID - questo si verifica se viene apportata una modifica a un attributo unico che è in conflitto con un altro oggetto. Es Architetture devono essere univoci in base al nome, allo stesso modo con gli standard.

· Integrità referenziale Eccezione - Impostazione di un campo di riferimento a un oggetto che non è valido. Es l'aggiunta di 'nulla' o null come un bambino a molte delle collezioni del objectmodel.

· Lunghezza zero Eccezione - questo si può verificare se si tenta di impostare il nome di un oggetto su una stringa vuota. La maggior parte degli oggetti impongono ai loro nomi di avere almeno 1 carattere.

Istruzioni Imports

Da notare che, all'inizio degli script scheletro ci sono affermazioni come Importazioni ABACUS.ObjectModel. Queste dichiarazioni non sono una DLL che non sia già referenziato dallo script - il loro scopo è quello di fornire una 'scorciatoia' per dover specificare il nome completo di una classe.

Ad esempio, per dichiarare una variabile di tipo componente I (che rappresenta un componente in ABACUS), con il Importazioni ABACUS.ObjectModeldichiarazione verso la parte superiore dello script, si richiedono solo di essere dichiarato come comp dim come componente I, Perché il compilatore sa di dover cercare nello spazio dei nomi ABACUS.ObjectModel per la classe componente I. Senza la dichiarazione delle importazioni, avrebbe dovuto essere dichiarato come dim comp come ABACUS.ObjectModel.CComponent. Un'assemblea (come mscorlib.dll, o System.Windows.Forms.dll) può contenere più di un namespace - l'istruzione Imports è per questi spazi dei nomi, non per le assemblee stesse. L'assemblea ABACUS.ObjectModel.dll ha solo il singolo spazio dei nomi ABACUS.ObjectModel accessibile tramite scripting.

Assembly referenziati automaticamente

Le seguenti DLL sono riferiti automaticamente da script:

· mscorlib.dll

· System.dll

· System.Drawing.dll

· System.Windows.Forms.dll

· Microsoft.VisualBasic.dll (implicitamente riferimento dal compilatore)

· ABACUS.ObjectModel.dll

Per fare ulteriori riferimenti ad altri sia assembly .NET, o le vostre assemblee, vedere la seguente sezione sulla #Dichiarazione ImportDLL.

#ImportDLL Dichiarazione

A partire dal ABACUS 3.1, è possibile fare riferimento assembly aggiuntivi che si possono richiedere per lo scripting con l'uso del #Dichiarazione ImportDLL. Ad esempio, se si vuole accedere ad una DLL personalizzata della vostra e utilizzare le funzioni in esso, si dovrebbe inserire nella directory ABACUS e includere l'istruzione come la prima linea (s) nello script. Se si tratta di una dll .NET, allora è ovvio che non è necessario inserire l'intero percorso, solo la DLL.

· #ImportDLL C: \ Program Files \ Avolution \ ABACUS \ YourDLL.dll

· #ImportDLL System.Xml.dll

Alcune altre cose da notare:

1. Poiché le DLL devono essere trovati in fase di compilazione e di runtime, questo limita personalizzati (non .NET) DLL per essere immessi nella cartella del programma ABACUS solo.

2. #Dichiarazioni ImportDLL devono essere la prima linea (s) di uno script - se si dispone di 5 dichiarazioni, allora dovrebbero essere le prime 5 righe dello script

3. Un #Dichiarazione ImportDLL posizionato ovunque ma le prime righe dello script (ad esempio, se è stato posto dopo un commento o un'istruzione Imports) non funzionerà correttamente e / o può causare errori di compilazione indipendenti.

#ImportDLL con assemblee di Office

Se si dispone di Microsoft Office installato, e lo script richiede assemblee Ufficio di interoperabilità, è possibile fare riferimento a loro semplicemente utilizzando #ImportDLL con il nome di montaggio (come di seguito elencati, es #ImportDLL Excel). Usando questo metodo ha il vantaggio che un percorso dll assoluto non deve essere utilizzato, in modo che il copione è più portabile (dovrebbe funzionare sia su Office 2003 e il 2007 senza modificare lo script).

Quando si utilizza questa funzionalità, il GAC (Global Assembly Cache) viene cercato l'assembly di interoperabilità, e lo script compila con il percorso di quella assemblea se trovato. Se non ha trovato, script controllerà nella directory del programma ABACUS (che contiene il Excel e Visio Interops solo). Se l'interoperabilità richiesto non viene trovato da questo momento, viene mostrato un messaggio di avviso.

Le Interops non sono in genere installati nel GAC se si è installato Microsoft Office prima di installare il .NET Framework (che è parte dell'installazione completa ABACUS). È possibile installarlo eseguendo l'opzione Modifica per Microsoft Office da Add / Remove Programs, e scegliere le opzioni di programmabilità .NET. Per maggiori informazioni, si veda questo articolo su MSDN.

I gruppi per i quali questo collegamento è supportato sono:

· Accesso

· Access.Dao

· Eccellere

· Grafico

· MSProject

· Vista

· OutlookViewCtl

· OWC11

· Presa della corrente

· Editore

· SmartTag

· Visio

· Visio.SaveAsWeb

· VisOcx

· Parola

It non è del tutto chiaro se tutti i gruppi di cui sopra sono utili, le camere sono sta inclusi in questa funzione regardeless come alcuni utenti feb hanno bisogno anche per le assemblee oscuri.

Vedere anche

Simulando l'architettura